# generated from original `xyzt`-based data via:
#   D = 2
#   SG_CODES_V = Vector{Vector{Tuple{Int8, Int8}}}(undef, MAX_SGNUM[D])
#   ROTATIONS = Crystalline.ROTATIONS_2D         # adjust for D
#   TRANSLATIONS =  Crystalline.TRANSLATIONS_2D  # adjust for D
#   sgs = spacegroup_from_xyzt.(1:MAX_SGNUM[D], Val(D))
#   for sg in sgs
#       sgnum = num(sg)
#       Nprimops = length(sg) ÷ Bravais.centering_volume_fraction(centering(sgnum, D))
#       sg_codes = Vector{Tuple{Int8, Int8}}(undef, Nprimops-1)
#       idx = 0
#       for (n, op) in enumerate(sg)
#           isone(op) && continue # skip identity (trivially in  group): no need to list
#           n > Nprimops && break
#           r, t = rotation(op), translation(op)
#           r_idx = Int8(something(findfirst(==(r), ROTATIONS)))
#           t_idx = Int8(something(findfirst(==(t), TRANSLATIONS)))
#           sg_codes[idx+=1] = (r_idx, t_idx)
#       end
#       SG_CODES_V[sgnum] = sg_codes
#   end

const SG_CODES_Vs = (
# SpaceGroup{1}
Vector{Tuple{Int8,Int8}}[
#=1=# [],
#=2=# [(2,1)],
],
# SpaceGroup{2}
Vector{Tuple{Int8,Int8}}[
#=1=#  [],
#=2=#  [(2,1)],
#=3=#  [(3,1)],
#=4=#  [(3,2)],
#=5=#  [(3,1)],
#=6=#  [(2,1),(3,1),(4,1)],
#=7=#  [(2,1),(3,4),(4,4)],
#=8=#  [(2,1),(3,3),(4,3)],
#=9=#  [(2,1),(3,1),(4,1)],
#=10=# [(2,1),(5,1),(6,1)],
#=11=# [(2,1),(5,1),(6,1),(3,1),(4,1),(7,1),(8,1)],
#=12=# [(2,1),(5,1),(6,1),(3,3),(4,3),(7,3),(8,3)],
#=13=# [(9,1),(10,1)],
#=14=# [(9,1),(10,1),(8,1),(11,1),(12,1)],
#=15=# [(9,1),(10,1),(7,1),(13,1),(14,1)],
#=16=# [(9,1),(10,1),(2,1),(15,1),(16,1)],
#=17=# [(9,1),(10,1),(2,1),(15,1),(16,1),(8,1),(11,1),(12,1),(7,1),(13,1),(14,1)],
],
# SpaceGroup{3}
Vector{Tuple{Int8,Int8}}[
#=1=#   [],
#=2=#   [(2,1)],
#=3=#   [(3,1)],
#=4=#   [(3,4)],
#=5=#   [(3,1)],
#=6=#   [(4,1)],
#=7=#   [(4,2)],
#=8=#   [(4,1)],
#=9=#   [(4,2)],
#=10=#  [(3,1),(2,1),(4,1)],
#=11=#  [(3,4),(2,1),(4,4)],
#=12=#  [(3,1),(2,1),(4,1)],
#=13=#  [(3,2),(2,1),(4,2)],
#=14=#  [(3,7),(2,1),(4,7)],
#=15=#  [(3,2),(2,1),(4,2)],
#=16=#  [(6,1),(3,1),(5,1)],
#=17=#  [(6,2),(3,2),(5,1)],
#=18=#  [(6,1),(3,5),(5,5)],
#=19=#  [(6,6),(3,7),(5,5)],
#=20=#  [(6,2),(3,2),(5,1)],
#=21=#  [(6,1),(3,1),(5,1)],
#=22=#  [(6,1),(3,1),(5,1)],
#=23=#  [(6,1),(3,1),(5,1)],
#=24=#  [(6,6),(3,7),(5,5)],
#=25=#  [(6,1),(4,1),(7,1)],
#=26=#  [(6,2),(4,2),(7,1)],
#=27=#  [(6,1),(4,2),(7,2)],
#=28=#  [(6,1),(4,3),(7,3)],
#=29=#  [(6,2),(4,3),(7,6)],
#=30=#  [(6,1),(4,7),(7,7)],
#=31=#  [(6,6),(4,6),(7,1)],
#=32=#  [(6,1),(4,5),(7,5)],
#=33=#  [(6,2),(4,5),(7,8)],
#=34=#  [(6,1),(4,8),(7,8)],
#=35=#  [(6,1),(4,1),(7,1)],
#=36=#  [(6,2),(4,2),(7,1)],
#=37=#  [(6,1),(4,2),(7,2)],
#=38=#  [(6,1),(4,1),(7,1)],
#=39=#  [(6,1),(4,4),(7,4)],
#=40=#  [(6,1),(4,3),(7,3)],
#=41=#  [(6,1),(4,5),(7,5)],
#=42=#  [(6,1),(4,1),(7,1)],
#=43=#  [(6,1),(4,9),(7,9)],
#=44=#  [(6,1),(4,1),(7,1)],
#=45=#  [(6,1),(4,5),(7,5)],
#=46=#  [(6,1),(4,3),(7,3)],
#=47=#  [(6,1),(3,1),(5,1),(2,1),(8,1),(4,1),(7,1)],
#=48=#  [(6,5),(3,6),(5,7),(2,1),(8,5),(4,6),(7,7)],
#=49=#  [(6,1),(3,2),(5,2),(2,1),(8,1),(4,2),(7,2)],
#=50=#  [(6,5),(3,3),(5,4),(2,1),(8,5),(4,3),(7,4)],
#=51=#  [(6,3),(3,1),(5,3),(2,1),(8,3),(4,1),(7,3)],
#=52=#  [(6,3),(3,8),(5,7),(2,1),(8,3),(4,8),(7,7)],
#=53=#  [(6,6),(3,6),(5,1),(2,1),(8,6),(4,6),(7,1)],
#=54=#  [(6,3),(3,2),(5,6),(2,1),(8,3),(4,2),(7,6)],
#=55=#  [(6,1),(3,5),(5,5),(2,1),(8,1),(4,5),(7,5)],
#=56=#  [(6,5),(3,7),(5,6),(2,1),(8,5),(4,7),(7,6)],
#=57=#  [(6,2),(3,7),(5,4),(2,1),(8,2),(4,7),(7,4)],
#=58=#  [(6,1),(3,8),(5,8),(2,1),(8,1),(4,8),(7,8)],
#=59=#  [(6,5),(3,4),(5,3),(2,1),(8,5),(4,4),(7,3)],
#=60=#  [(6,8),(3,2),(5,5),(2,1),(8,8),(4,2),(7,5)],
#=61=#  [(6,6),(3,7),(5,5),(2,1),(8,6),(4,7),(7,5)],
#=62=#  [(6,6),(3,4),(5,8),(2,1),(8,6),(4,4),(7,8)],
#=63=#  [(6,2),(3,2),(5,1),(2,1),(8,2),(4,2),(7,1)],
#=64=#  [(6,7),(3,7),(5,1),(2,1),(8,7),(4,7),(7,1)],
#=65=#  [(6,1),(3,1),(5,1),(2,1),(8,1),(4,1),(7,1)],
#=66=#  [(6,1),(3,2),(5,2),(2,1),(8,1),(4,2),(7,2)],
#=67=#  [(6,4),(3,4),(5,1),(2,1),(8,4),(4,4),(7,1)],
#=68=#  [(6,3),(3,2),(5,6),(2,1),(8,3),(4,2),(7,6)],
#=69=#  [(6,1),(3,1),(5,1),(2,1),(8,1),(4,1),(7,1)],
#=70=#  [(6,13),(3,12),(5,11),(2,1),(8,16),(4,15),(7,14)],
#=71=#  [(6,1),(3,1),(5,1),(2,1),(8,1),(4,1),(7,1)],
#=72=#  [(6,1),(3,5),(5,5),(2,1),(8,1),(4,5),(7,5)],
#=73=#  [(6,6),(3,7),(5,5),(2,1),(8,6),(4,7),(7,5)],
#=74=#  [(6,4),(3,4),(5,1),(2,1),(8,4),(4,4),(7,1)],
#=75=#  [(6,1),(9,1),(10,1)],
#=76=#  [(6,2),(9,23),(10,24)],
#=77=#  [(6,1),(9,2),(10,2)],
#=78=#  [(6,2),(9,24),(10,23)],
#=79=#  [(6,1),(9,1),(10,1)],
#=80=#  [(6,8),(9,27),(10,39)],
#=81=#  [(6,1),(11,1),(12,1)],
#=82=#  [(6,1),(11,1),(12,1)],
#=83=#  [(6,1),(9,1),(10,1),(2,1),(8,1),(11,1),(12,1)],
#=84=#  [(6,1),(9,2),(10,2),(2,1),(8,1),(11,2),(12,2)],
#=85=#  [(6,5),(9,3),(10,4),(2,1),(8,5),(11,3),(12,4)],
#=86=#  [(6,5),(9,7),(10,6),(2,1),(8,5),(11,7),(12,6)],
#=87=#  [(6,1),(9,1),(10,1),(2,1),(8,1),(11,1),(12,1)],
#=88=#  [(6,6),(9,29),(10,10),(2,1),(8,6),(11,30),(12,9)],
#=89=#  [(6,1),(9,1),(10,1),(3,1),(5,1),(13,1),(14,1)],
#=90=#  [(6,1),(9,5),(10,5),(3,5),(5,5),(13,1),(14,1)],
#=91=#  [(6,2),(9,23),(10,24),(3,1),(5,2),(13,24),(14,23)],
#=92=#  [(6,2),(9,25),(10,26),(3,25),(5,26),(13,1),(14,2)],
#=93=#  [(6,1),(9,2),(10,2),(3,1),(5,1),(13,2),(14,2)],
#=94=#  [(6,1),(9,8),(10,8),(3,8),(5,8),(13,1),(14,1)],
#=95=#  [(6,2),(9,24),(10,23),(3,1),(5,2),(13,23),(14,24)],
#=96=#  [(6,2),(9,26),(10,25),(3,26),(5,25),(13,1),(14,2)],
#=97=#  [(6,1),(9,1),(10,1),(3,1),(5,1),(13,1),(14,1)],
#=98=#  [(6,8),(9,27),(10,39),(3,39),(5,27),(13,8),(14,1)],
#=99=#  [(6,1),(9,1),(10,1),(4,1),(7,1),(15,1),(16,1)],
#=100=# [(6,1),(9,1),(10,1),(4,5),(7,5),(15,5),(16,5)],
#=101=# [(6,1),(9,2),(10,2),(4,2),(7,2),(15,1),(16,1)],
#=102=# [(6,1),(9,8),(10,8),(4,8),(7,8),(15,1),(16,1)],
#=103=# [(6,1),(9,1),(10,1),(4,2),(7,2),(15,2),(16,2)],
#=104=# [(6,1),(9,1),(10,1),(4,8),(7,8),(15,8),(16,8)],
#=105=# [(6,1),(9,2),(10,2),(4,1),(7,1),(15,2),(16,2)],
#=106=# [(6,1),(9,2),(10,2),(4,5),(7,5),(15,8),(16,8)],
#=107=# [(6,1),(9,1),(10,1),(4,1),(7,1),(15,1),(16,1)],
#=108=# [(6,1),(9,1),(10,1),(4,2),(7,2),(15,2),(16,2)],
#=109=# [(6,8),(9,27),(10,39),(4,1),(7,8),(15,27),(16,39)],
#=110=# [(6,8),(9,27),(10,39),(4,2),(7,5),(15,40),(16,28)],
#=111=# [(6,1),(11,1),(12,1),(3,1),(5,1),(15,1),(16,1)],
#=112=# [(6,1),(11,1),(12,1),(3,2),(5,2),(15,2),(16,2)],
#=113=# [(6,1),(11,1),(12,1),(3,5),(5,5),(15,5),(16,5)],
#=114=# [(6,1),(11,1),(12,1),(3,8),(5,8),(15,8),(16,8)],
#=115=# [(6,1),(11,1),(12,1),(4,1),(7,1),(13,1),(14,1)],
#=116=# [(6,1),(11,1),(12,1),(4,2),(7,2),(13,2),(14,2)],
#=117=# [(6,1),(11,1),(12,1),(4,5),(7,5),(13,5),(14,5)],
#=118=# [(6,1),(11,1),(12,1),(4,8),(7,8),(13,8),(14,8)],
#=119=# [(6,1),(11,1),(12,1),(4,1),(7,1),(13,1),(14,1)],
#=120=# [(6,1),(11,1),(12,1),(4,2),(7,2),(13,2),(14,2)],
#=121=# [(6,1),(11,1),(12,1),(3,1),(5,1),(15,1),(16,1)],
#=122=# [(6,1),(11,1),(12,1),(3,39),(5,39),(15,39),(16,39)],
#=123=# [(6,1),(9,1),(10,1),(3,1),(5,1),(13,1),(14,1),(2,1),(8,1),(11,1),(12,1),(4,1),(7,1),(15,1),(16,1)],
#=124=# [(6,1),(9,1),(10,1),(3,2),(5,2),(13,2),(14,2),(2,1),(8,1),(11,1),(12,1),(4,2),(7,2),(15,2),(16,2)],
#=125=# [(6,5),(9,3),(10,4),(3,3),(5,4),(13,1),(14,5),(2,1),(8,5),(11,3),(12,4),(4,3),(7,4),(15,1),(16,5)],
#=126=# [(6,5),(9,3),(10,4),(3,6),(5,7),(13,2),(14,8),(2,1),(8,5),(11,3),(12,4),(4,6),(7,7),(15,2),(16,8)],
#=127=# [(6,1),(9,1),(10,1),(3,5),(5,5),(13,5),(14,5),(2,1),(8,1),(11,1),(12,1),(4,5),(7,5),(15,5),(16,5)],
#=128=# [(6,1),(9,1),(10,1),(3,8),(5,8),(13,8),(14,8),(2,1),(8,1),(11,1),(12,1),(4,8),(7,8),(15,8),(16,8)],
#=129=# [(6,5),(9,3),(10,4),(3,4),(5,3),(13,5),(14,1),(2,1),(8,5),(11,3),(12,4),(4,4),(7,3),(15,5),(16,1)],
#=130=# [(6,5),(9,3),(10,4),(3,7),(5,6),(13,8),(14,2),(2,1),(8,5),(11,3),(12,4),(4,7),(7,6),(15,8),(16,2)],
#=131=# [(6,1),(9,2),(10,2),(3,1),(5,1),(13,2),(14,2),(2,1),(8,1),(11,2),(12,2),(4,1),(7,1),(15,2),(16,2)],
#=132=# [(6,1),(9,2),(10,2),(3,2),(5,2),(13,1),(14,1),(2,1),(8,1),(11,2),(12,2),(4,2),(7,2),(15,1),(16,1)],
#=133=# [(6,5),(9,6),(10,7),(3,3),(5,4),(13,2),(14,8),(2,1),(8,5),(11,6),(12,7),(4,3),(7,4),(15,2),(16,8)],
#=134=# [(6,5),(9,6),(10,7),(3,6),(5,7),(13,1),(14,5),(2,1),(8,5),(11,6),(12,7),(4,6),(7,7),(15,1),(16,5)],
#=135=# [(6,1),(9,2),(10,2),(3,5),(5,5),(13,8),(14,8),(2,1),(8,1),(11,2),(12,2),(4,5),(7,5),(15,8),(16,8)],
#=136=# [(6,1),(9,8),(10,8),(3,8),(5,8),(13,1),(14,1),(2,1),(8,1),(11,8),(12,8),(4,8),(7,8),(15,1),(16,1)],
#=137=# [(6,5),(9,6),(10,7),(3,4),(5,3),(13,8),(14,2),(2,1),(8,5),(11,6),(12,7),(4,4),(7,3),(15,8),(16,2)],
#=138=# [(6,5),(9,6),(10,7),(3,7),(5,6),(13,5),(14,1),(2,1),(8,5),(11,6),(12,7),(4,7),(7,6),(15,5),(16,1)],
#=139=# [(6,1),(9,1),(10,1),(3,1),(5,1),(13,1),(14,1),(2,1),(8,1),(11,1),(12,1),(4,1),(7,1),(15,1),(16,1)],
#=140=# [(6,1),(9,1),(10,1),(3,2),(5,2),(13,2),(14,2),(2,1),(8,1),(11,1),(12,1),(4,2),(7,2),(15,2),(16,2)],
#=141=# [(6,6),(9,31),(10,34),(3,6),(5,1),(13,31),(14,34),(2,1),(8,6),(11,33),(12,32),(4,6),(7,1),(15,33),(16,32)],
#=142=# [(6,6),(9,31),(10,34),(3,3),(5,2),(13,30),(14,9),(2,1),(8,6),(11,33),(12,32),(4,3),(7,2),(15,29),(16,10)],
#=143=# [(17,1),(18,1)],
#=144=# [(17,35),(18,36)],
#=145=# [(17,36),(18,35)],
#=146=# [(17,1),(18,1)],
#=147=# [(17,1),(18,1),(2,1),(19,1),(20,1)],
#=148=# [(17,1),(18,1),(2,1),(19,1),(20,1)],
#=149=# [(17,1),(18,1),(14,1),(22,1),(21,1)],
#=150=# [(17,1),(18,1),(13,1),(23,1),(24,1)],
#=151=# [(17,35),(18,36),(14,36),(22,35),(21,1)],
#=152=# [(17,35),(18,36),(13,1),(23,36),(24,35)],
#=153=# [(17,36),(18,35),(14,35),(22,36),(21,1)],
#=154=# [(17,36),(18,35),(13,1),(23,35),(24,36)],
#=155=# [(17,1),(18,1),(13,1),(23,1),(24,1)],
#=156=# [(17,1),(18,1),(15,1),(25,1),(26,1)],
#=157=# [(17,1),(18,1),(16,1),(28,1),(27,1)],
#=158=# [(17,1),(18,1),(15,2),(25,2),(26,2)],
#=159=# [(17,1),(18,1),(16,2),(28,2),(27,2)],
#=160=# [(17,1),(18,1),(15,1),(25,1),(26,1)],
#=161=# [(17,1),(18,1),(15,2),(25,2),(26,2)],
#=162=# [(17,1),(18,1),(14,1),(22,1),(21,1),(2,1),(19,1),(20,1),(16,1),(28,1),(27,1)],
#=163=# [(17,1),(18,1),(14,2),(22,2),(21,2),(2,1),(19,1),(20,1),(16,2),(28,2),(27,2)],
#=164=# [(17,1),(18,1),(13,1),(23,1),(24,1),(2,1),(19,1),(20,1),(15,1),(25,1),(26,1)],
#=165=# [(17,1),(18,1),(13,2),(23,2),(24,2),(2,1),(19,1),(20,1),(15,2),(25,2),(26,2)],
#=166=# [(17,1),(18,1),(13,1),(23,1),(24,1),(2,1),(19,1),(20,1),(15,1),(25,1),(26,1)],
#=167=# [(17,1),(18,1),(13,2),(23,2),(24,2),(2,1),(19,1),(20,1),(15,2),(25,2),(26,2)],
#=168=# [(17,1),(18,1),(6,1),(30,1),(29,1)],
#=169=# [(17,35),(18,36),(6,2),(30,37),(29,38)],
#=170=# [(17,36),(18,35),(6,2),(30,38),(29,37)],
#=171=# [(17,36),(18,35),(6,1),(30,36),(29,35)],
#=172=# [(17,35),(18,36),(6,1),(30,35),(29,36)],
#=173=# [(17,1),(18,1),(6,2),(30,2),(29,2)],
#=174=# [(17,1),(18,1),(8,1),(32,1),(31,1)],
#=175=# [(17,1),(18,1),(6,1),(30,1),(29,1),(2,1),(19,1),(20,1),(8,1),(32,1),(31,1)],
#=176=# [(17,1),(18,1),(6,2),(30,2),(29,2),(2,1),(19,1),(20,1),(8,2),(32,2),(31,2)],
#=177=# [(17,1),(18,1),(6,1),(30,1),(29,1),(13,1),(23,1),(24,1),(14,1),(22,1),(21,1)],
#=178=# [(17,35),(18,36),(6,2),(30,37),(29,38),(13,35),(23,1),(24,36),(14,37),(22,2),(21,38)],
#=179=# [(17,36),(18,35),(6,2),(30,38),(29,37),(13,36),(23,1),(24,35),(14,38),(22,2),(21,37)],
#=180=# [(17,36),(18,35),(6,1),(30,36),(29,35),(13,36),(23,1),(24,35),(14,36),(22,1),(21,35)],
#=181=# [(17,35),(18,36),(6,1),(30,35),(29,36),(13,35),(23,1),(24,36),(14,35),(22,1),(21,36)],
#=182=# [(17,1),(18,1),(6,2),(30,2),(29,2),(13,1),(23,1),(24,1),(14,2),(22,2),(21,2)],
#=183=# [(17,1),(18,1),(6,1),(30,1),(29,1),(15,1),(25,1),(26,1),(16,1),(28,1),(27,1)],
#=184=# [(17,1),(18,1),(6,1),(30,1),(29,1),(15,2),(25,2),(26,2),(16,2),(28,2),(27,2)],
#=185=# [(17,1),(18,1),(6,2),(30,2),(29,2),(15,2),(25,2),(26,2),(16,1),(28,1),(27,1)],
#=186=# [(17,1),(18,1),(6,2),(30,2),(29,2),(15,1),(25,1),(26,1),(16,2),(28,2),(27,2)],
#=187=# [(17,1),(18,1),(8,1),(32,1),(31,1),(15,1),(25,1),(26,1),(14,1),(22,1),(21,1)],
#=188=# [(17,1),(18,1),(8,2),(32,2),(31,2),(15,2),(25,2),(26,2),(14,1),(22,1),(21,1)],
#=189=# [(17,1),(18,1),(8,1),(32,1),(31,1),(13,1),(23,1),(24,1),(16,1),(28,1),(27,1)],
#=190=# [(17,1),(18,1),(8,2),(32,2),(31,2),(13,1),(23,1),(24,1),(16,2),(28,2),(27,2)],
#=191=# [(17,1),(18,1),(6,1),(30,1),(29,1),(13,1),(23,1),(24,1),(14,1),(22,1),(21,1),(2,1),(19,1),(20,1),(8,1),(32,1),(31,1),(15,1),(25,1),(26,1),(16,1),(28,1),(27,1)],
#=192=# [(17,1),(18,1),(6,1),(30,1),(29,1),(13,2),(23,2),(24,2),(14,2),(22,2),(21,2),(2,1),(19,1),(20,1),(8,1),(32,1),(31,1),(15,2),(25,2),(26,2),(16,2),(28,2),(27,2)],
#=193=# [(17,1),(18,1),(6,2),(30,2),(29,2),(13,2),(23,2),(24,2),(14,1),(22,1),(21,1),(2,1),(19,1),(20,1),(8,2),(32,2),(31,2),(15,2),(25,2),(26,2),(16,1),(28,1),(27,1)],
#=194=# [(17,1),(18,1),(6,2),(30,2),(29,2),(13,1),(23,1),(24,1),(14,2),(22,2),(21,2),(2,1),(19,1),(20,1),(8,2),(32,2),(31,2),(15,1),(25,1),(26,1),(16,2),(28,2),(27,2)],
#=195=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1)],
#=196=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1)],
#=197=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1)],
#=198=# [(6,6),(3,7),(5,5),(33,1),(38,5),(36,6),(40,7),(34,1),(35,7),(39,5),(37,6)],
#=199=# [(6,6),(3,7),(5,5),(33,1),(38,5),(36,6),(40,7),(34,1),(35,7),(39,5),(37,6)],
#=200=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1),(2,1),(8,1),(4,1),(7,1),(41,1),(46,1),(44,1),(48,1),(42,1),(43,1),(47,1),(45,1)],
#=201=# [(6,5),(3,6),(5,7),(33,1),(38,7),(36,5),(40,6),(34,1),(35,6),(39,7),(37,5),(2,1),(8,5),(4,6),(7,7),(41,1),(46,7),(44,5),(48,6),(42,1),(43,6),(47,7),(45,5)],
#=202=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1),(2,1),(8,1),(4,1),(7,1),(41,1),(46,1),(44,1),(48,1),(42,1),(43,1),(47,1),(45,1)],
#=203=# [(6,13),(3,12),(5,11),(33,1),(38,11),(36,13),(40,12),(34,1),(35,12),(39,11),(37,13),(2,1),(8,16),(4,15),(7,14),(41,1),(46,14),(44,16),(48,15),(42,1),(43,15),(47,14),(45,16)],
#=204=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1),(2,1),(8,1),(4,1),(7,1),(41,1),(46,1),(44,1),(48,1),(42,1),(43,1),(47,1),(45,1)],
#=205=# [(6,6),(3,7),(5,5),(33,1),(38,5),(36,6),(40,7),(34,1),(35,7),(39,5),(37,6),(2,1),(8,6),(4,7),(7,5),(41,1),(46,5),(44,6),(48,7),(42,1),(43,7),(47,5),(45,6)],
#=206=# [(6,6),(3,7),(5,5),(33,1),(38,5),(36,6),(40,7),(34,1),(35,7),(39,5),(37,6),(2,1),(8,6),(4,7),(7,5),(41,1),(46,5),(44,6),(48,7),(42,1),(43,7),(47,5),(45,6)],
#=207=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1),(13,1),(14,1),(10,1),(9,1),(50,1),(53,1),(54,1),(49,1),(51,1),(55,1),(52,1),(56,1)],
#=208=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1),(13,8),(14,8),(10,8),(9,8),(50,8),(53,8),(54,8),(49,8),(51,8),(55,8),(52,8),(56,8)],
#=209=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1),(13,1),(14,1),(10,1),(9,1),(50,1),(53,1),(54,1),(49,1),(51,1),(55,1),(52,1),(56,1)],
#=210=# [(6,7),(3,5),(5,6),(33,1),(38,6),(36,7),(40,5),(34,1),(35,5),(39,6),(37,7),(13,33),(14,9),(10,30),(9,32),(50,33),(53,32),(54,9),(49,30),(51,33),(55,30),(52,32),(56,9)],
#=211=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1),(13,1),(14,1),(10,1),(9,1),(50,1),(53,1),(54,1),(49,1),(51,1),(55,1),(52,1),(56,1)],
#=212=# [(6,6),(3,7),(5,5),(33,1),(38,5),(36,6),(40,7),(34,1),(35,7),(39,5),(37,6),(13,30),(14,9),(10,32),(9,33),(50,30),(53,33),(54,9),(49,32),(51,30),(55,32),(52,33),(56,9)],
#=213=# [(6,6),(3,7),(5,5),(33,1),(38,5),(36,6),(40,7),(34,1),(35,7),(39,5),(37,6),(13,29),(14,10),(10,34),(9,31),(50,29),(53,31),(54,10),(49,34),(51,29),(55,34),(52,31),(56,10)],
#=214=# [(6,6),(3,7),(5,5),(33,1),(38,5),(36,6),(40,7),(34,1),(35,7),(39,5),(37,6),(13,29),(14,10),(10,34),(9,31),(50,29),(53,31),(54,10),(49,34),(51,29),(55,34),(52,31),(56,10)],
#=215=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1),(16,1),(15,1),(11,1),(12,1),(62,1),(57,1),(58,1),(61,1),(64,1),(60,1),(63,1),(59,1)],
#=216=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1),(16,1),(15,1),(11,1),(12,1),(62,1),(57,1),(58,1),(61,1),(64,1),(60,1),(63,1),(59,1)],
#=217=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1),(16,1),(15,1),(11,1),(12,1),(62,1),(57,1),(58,1),(61,1),(64,1),(60,1),(63,1),(59,1)],
#=218=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1),(16,8),(15,8),(11,8),(12,8),(62,8),(57,8),(58,8),(61,8),(64,8),(60,8),(63,8),(59,8)],
#=219=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1),(16,8),(15,8),(11,8),(12,8),(62,8),(57,8),(58,8),(61,8),(64,8),(60,8),(63,8),(59,8)],
#=220=# [(6,6),(3,7),(5,5),(33,1),(38,5),(36,6),(40,7),(34,1),(35,7),(39,5),(37,6),(16,9),(15,30),(11,33),(12,32),(62,9),(57,32),(58,30),(61,33),(64,9),(60,33),(63,32),(59,30)],
#=221=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1),(13,1),(14,1),(10,1),(9,1),(50,1),(53,1),(54,1),(49,1),(51,1),(55,1),(52,1),(56,1),(2,1),(8,1),(4,1),(7,1),(41,1),(46,1),(44,1),(48,1),(42,1),(43,1),(47,1),(45,1),(15,1),(16,1),(12,1),(11,1),(58,1),(61,1),(62,1),(57,1),(59,1),(63,1),(60,1),(64,1)],
#=222=# [(6,5),(3,6),(5,7),(33,1),(38,7),(36,5),(40,6),(34,1),(35,6),(39,7),(37,5),(13,2),(14,8),(10,4),(9,3),(50,2),(53,3),(54,8),(49,4),(51,2),(55,4),(52,3),(56,8),(2,1),(8,5),(4,6),(7,7),(41,1),(46,7),(44,5),(48,6),(42,1),(43,6),(47,7),(45,5),(15,2),(16,8),(12,4),(11,3),(58,2),(61,3),(62,8),(57,4),(59,2),(63,4),(60,3),(64,8)],
#=223=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1),(13,8),(14,8),(10,8),(9,8),(50,8),(53,8),(54,8),(49,8),(51,8),(55,8),(52,8),(56,8),(2,1),(8,1),(4,1),(7,1),(41,1),(46,1),(44,1),(48,1),(42,1),(43,1),(47,1),(45,1),(15,8),(16,8),(12,8),(11,8),(58,8),(61,8),(62,8),(57,8),(59,8),(63,8),(60,8),(64,8)],
#=224=# [(6,5),(3,6),(5,7),(33,1),(38,7),(36,5),(40,6),(34,1),(35,6),(39,7),(37,5),(13,5),(14,1),(10,6),(9,7),(50,5),(53,7),(54,1),(49,6),(51,5),(55,6),(52,7),(56,1),(2,1),(8,5),(4,6),(7,7),(41,1),(46,7),(44,5),(48,6),(42,1),(43,6),(47,7),(45,5),(15,5),(16,1),(12,6),(11,7),(58,5),(61,7),(62,1),(57,6),(59,5),(63,6),(60,7),(64,1)],
#=225=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1),(13,1),(14,1),(10,1),(9,1),(50,1),(53,1),(54,1),(49,1),(51,1),(55,1),(52,1),(56,1),(2,1),(8,1),(4,1),(7,1),(41,1),(46,1),(44,1),(48,1),(42,1),(43,1),(47,1),(45,1),(15,1),(16,1),(12,1),(11,1),(58,1),(61,1),(62,1),(57,1),(59,1),(63,1),(60,1),(64,1)],
#=226=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1),(13,8),(14,8),(10,8),(9,8),(50,8),(53,8),(54,8),(49,8),(51,8),(55,8),(52,8),(56,8),(2,1),(8,1),(4,1),(7,1),(41,1),(46,1),(44,1),(48,1),(42,1),(43,1),(47,1),(45,1),(15,8),(16,8),(12,8),(11,8),(58,8),(61,8),(62,8),(57,8),(59,8),(63,8),(60,8),(64,8)],
#=227=# [(6,41),(3,42),(5,43),(33,1),(38,43),(36,41),(40,42),(34,1),(35,42),(39,43),(37,41),(13,41),(14,1),(10,42),(9,43),(50,41),(53,43),(54,1),(49,42),(51,41),(55,42),(52,43),(56,1),(2,1),(8,44),(4,45),(7,46),(41,1),(46,46),(44,44),(48,45),(42,1),(43,45),(47,46),(45,44),(15,44),(16,1),(12,45),(11,46),(58,44),(61,46),(62,1),(57,45),(59,44),(63,45),(60,46),(64,1)],
#=228=# [(6,44),(3,45),(5,46),(33,1),(38,46),(36,44),(40,45),(34,1),(35,45),(39,46),(37,44),(13,47),(14,8),(10,48),(9,49),(50,47),(53,49),(54,8),(49,48),(51,47),(55,48),(52,49),(56,8),(2,1),(8,41),(4,42),(7,43),(41,1),(46,43),(44,41),(48,42),(42,1),(43,42),(47,43),(45,41),(15,50),(16,8),(12,51),(11,52),(58,50),(61,52),(62,8),(57,51),(59,50),(63,51),(60,52),(64,8)],
#=229=# [(6,1),(3,1),(5,1),(33,1),(38,1),(36,1),(40,1),(34,1),(35,1),(39,1),(37,1),(13,1),(14,1),(10,1),(9,1),(50,1),(53,1),(54,1),(49,1),(51,1),(55,1),(52,1),(56,1),(2,1),(8,1),(4,1),(7,1),(41,1),(46,1),(44,1),(48,1),(42,1),(43,1),(47,1),(45,1),(15,1),(16,1),(12,1),(11,1),(58,1),(61,1),(62,1),(57,1),(59,1),(63,1),(60,1),(64,1)],
#=230=# [(6,6),(3,7),(5,5),(33,1),(38,5),(36,6),(40,7),(34,1),(35,7),(39,5),(37,6),(13,29),(14,10),(10,34),(9,31),(50,29),(53,31),(54,10),(49,34),(51,29),(55,34),(52,31),(56,10),(2,1),(8,6),(4,7),(7,5),(41,1),(46,5),(44,6),(48,7),(42,1),(43,7),(47,5),(45,6),(15,30),(16,9),(12,32),(11,33),(58,30),(61,33),(62,9),(57,32),(59,30),(63,32),(60,33),(64,9)],
]
)