#=
MSG_CODES_D = Dict{Tuple{Int, Int}, Vector{Tuple{Int8, Int8, Bool}}}()
for msg in msgs
    msg_codes = Vector{Tuple{Int8, Int8, Bool}}(undef, length(msg)-1)
    for (n, mop) in enumerate(msg)
        op = mop.op
        tr = mop.op
        isone(op) && !tr && continue # skip identity (trivially in  group): no need to list
        r, t = rotation(op), translation(op)
        r_idx = Int8(something(findfirst(==(r), ROTATIONS_3D)))
        t_idx = Int8(something(findfirst(==(t), TRANSLATIONS_3D)))
        msg_codes[n] = (r_idx, t_idx, tr)
    end
    MSG_CODES_D[msg.num] = msg_codes
end
=#

const MOP_CODE = Tuple{Int8, Int8, Bool}
const MSG_CODES_D = Dict{Tuple{Int, Int}, Vector{Tuple{Int8, Int8, Bool}}}(
(1,1) => MOP_CODE[],
(1,2) => MOP_CODE[(1,1,1)],
(1,3) => MOP_CODE[(1,2,1)],
(2,4) => MOP_CODE[(2,1,0)],
(2,5) => MOP_CODE[(2,1,0),(1,1,1),(2,1,1)],
(2,6) => MOP_CODE[(2,1,1)],
(2,7) => MOP_CODE[(2,1,0),(1,2,1),(2,2,1)],
(3,1) => MOP_CODE[(3,1,0)],
(3,2) => MOP_CODE[(3,1,0),(1,1,1),(3,1,1)],
(3,3) => MOP_CODE[(3,1,1)],
(3,4) => MOP_CODE[(3,1,0),(1,3,1),(3,3,1)],
(3,5) => MOP_CODE[(3,1,0),(1,4,1),(3,4,1)],
(3,6) => MOP_CODE[(3,1,0),(1,5,1),(3,5,1)],
(4,7) => MOP_CODE[(3,4,0)],
(4,8) => MOP_CODE[(3,4,0),(1,1,1),(3,4,1)],
(4,9) => MOP_CODE[(3,4,1)],
(4,10) => MOP_CODE[(3,4,0),(1,3,1),(3,5,1)],
(4,11) => MOP_CODE[(3,4,0),(1,4,1),(3,1,1)],
(4,12) => MOP_CODE[(3,4,0),(1,5,1),(3,3,1)],
(5,13) => MOP_CODE[(3,1,0)],
(5,14) => MOP_CODE[(3,1,0),(1,1,1),(3,1,1)],
(5,15) => MOP_CODE[(3,1,1)],
(5,16) => MOP_CODE[(3,1,0),(1,2,1),(3,2,1)],
(5,17) => MOP_CODE[(3,1,0),(1,3,1),(3,4,1)],
(6,18) => MOP_CODE[(4,1,0)],
(6,19) => MOP_CODE[(4,1,0),(1,1,1),(4,1,1)],
(6,20) => MOP_CODE[(4,1,1)],
(6,21) => MOP_CODE[(4,1,0),(1,3,1),(4,3,1)],
(6,22) => MOP_CODE[(4,1,0),(1,4,1),(4,4,1)],
(6,23) => MOP_CODE[(4,1,0),(1,5,1),(4,5,1)],
(7,24) => MOP_CODE[(4,2,0)],
(7,25) => MOP_CODE[(4,2,0),(1,1,1),(4,2,1)],
(7,26) => MOP_CODE[(4,2,1)],
(7,27) => MOP_CODE[(4,2,0),(1,3,1),(4,6,1)],
(7,28) => MOP_CODE[(4,2,0),(1,2,1),(4,1,1)],
(7,29) => MOP_CODE[(4,2,0),(1,4,1),(4,7,1)],
(7,30) => MOP_CODE[(4,2,0),(1,5,1),(4,8,1)],
(7,31) => MOP_CODE[(4,2,0),(1,7,1),(4,4,1)],
(8,32) => MOP_CODE[(4,1,0)],
(8,33) => MOP_CODE[(4,1,0),(1,1,1),(4,1,1)],
(8,34) => MOP_CODE[(4,1,1)],
(8,35) => MOP_CODE[(4,1,0),(1,2,1),(4,2,1)],
(8,36) => MOP_CODE[(4,1,0),(1,3,1),(4,4,1)],
(9,37) => MOP_CODE[(4,2,0)],
(9,38) => MOP_CODE[(4,2,0),(1,1,1),(4,2,1)],
(9,39) => MOP_CODE[(4,2,1)],
(9,40) => MOP_CODE[(4,2,0),(1,2,1),(4,1,1)],
(9,41) => MOP_CODE[(4,2,0),(1,3,1),(4,7,1)],
(10,42) => MOP_CODE[(3,1,0),(2,1,0),(4,1,0)],
(10,43) => MOP_CODE[(3,1,0),(2,1,0),(4,1,0),(1,1,1),(3,1,1),(2,1,1),(4,1,1)],
(10,44) => MOP_CODE[(3,1,1),(2,1,1),(4,1,0)],
(10,45) => MOP_CODE[(3,1,0),(2,1,1),(4,1,1)],
(10,46) => MOP_CODE[(3,1,1),(2,1,0),(4,1,1)],
(10,47) => MOP_CODE[(3,1,0),(2,1,0),(4,1,0),(1,3,1),(3,3,1),(2,3,1),(4,3,1)],
(10,48) => MOP_CODE[(3,1,0),(2,1,0),(4,1,0),(1,4,1),(3,4,1),(2,4,1),(4,4,1)],
(10,49) => MOP_CODE[(3,1,0),(2,1,0),(4,1,0),(1,5,1),(3,5,1),(2,5,1),(4,5,1)],
(11,50) => MOP_CODE[(3,4,0),(2,1,0),(4,4,0)],
(11,51) => MOP_CODE[(3,4,0),(2,1,0),(4,4,0),(1,1,1),(3,4,1),(2,1,1),(4,4,1)],
(11,52) => MOP_CODE[(3,4,1),(2,1,1),(4,4,0)],
(11,53) => MOP_CODE[(3,4,0),(2,1,1),(4,4,1)],
(11,54) => MOP_CODE[(3,4,1),(2,1,0),(4,4,1)],
(11,55) => MOP_CODE[(3,4,0),(2,1,0),(4,4,0),(1,3,1),(3,5,1),(2,3,1),(4,5,1)],
(11,56) => MOP_CODE[(3,4,0),(2,1,0),(4,4,0),(1,4,1),(3,1,1),(2,4,1),(4,1,1)],
(11,57) => MOP_CODE[(3,4,0),(2,1,0),(4,4,0),(1,5,1),(3,3,1),(2,5,1),(4,3,1)],
(12,58) => MOP_CODE[(3,1,0),(2,1,0),(4,1,0)],
(12,59) => MOP_CODE[(3,1,0),(2,1,0),(4,1,0),(1,1,1),(3,1,1),(2,1,1),(4,1,1)],
(12,60) => MOP_CODE[(3,1,1),(2,1,1),(4,1,0)],
(12,61) => MOP_CODE[(3,1,0),(2,1,1),(4,1,1)],
(12,62) => MOP_CODE[(3,1,1),(2,1,0),(4,1,1)],
(12,63) => MOP_CODE[(3,1,0),(2,1,0),(4,1,0),(1,2,1),(3,2,1),(2,2,1),(4,2,1)],
(12,64) => MOP_CODE[(3,1,0),(2,1,0),(4,1,0),(1,3,1),(3,4,1),(2,4,1),(4,4,1)],
(13,65) => MOP_CODE[(3,2,0),(2,1,0),(4,2,0)],
(13,66) => MOP_CODE[(3,2,0),(2,1,0),(4,2,0),(1,1,1),(3,2,1),(2,1,1),(4,2,1)],
(13,67) => MOP_CODE[(3,2,1),(2,1,1),(4,2,0)],
(13,68) => MOP_CODE[(3,2,0),(2,1,1),(4,2,1)],
(13,69) => MOP_CODE[(3,2,1),(2,1,0),(4,2,1)],
(13,70) => MOP_CODE[(3,2,0),(2,1,0),(4,2,0),(1,3,1),(3,6,1),(2,3,1),(4,6,1)],
(13,71) => MOP_CODE[(3,2,0),(2,1,0),(4,2,0),(1,4,1),(3,7,1),(2,4,1),(4,7,1)],
(13,72) => MOP_CODE[(3,2,0),(2,1,0),(4,2,0),(1,2,1),(3,1,1),(2,2,1),(4,1,1)],
(13,73) => MOP_CODE[(3,2,0),(2,1,0),(4,2,0),(1,7,1),(3,4,1),(2,7,1),(4,4,1)],
(13,74) => MOP_CODE[(3,2,0),(2,1,0),(4,2,0),(1,5,1),(3,8,1),(2,5,1),(4,8,1)],
(14,75) => MOP_CODE[(3,7,0),(2,1,0),(4,7,0)],
(14,76) => MOP_CODE[(3,7,0),(2,1,0),(4,7,0),(1,1,1),(3,7,1),(2,1,1),(4,7,1)],
(14,77) => MOP_CODE[(3,7,1),(2,1,1),(4,7,0)],
(14,78) => MOP_CODE[(3,7,0),(2,1,1),(4,7,1)],
(14,79) => MOP_CODE[(3,7,1),(2,1,0),(4,7,1)],
(14,80) => MOP_CODE[(3,7,0),(2,1,0),(4,7,0),(1,3,1),(3,8,1),(2,3,1),(4,8,1)],
(14,81) => MOP_CODE[(3,7,0),(2,1,0),(4,7,0),(1,4,1),(3,2,1),(2,4,1),(4,2,1)],
(14,82) => MOP_CODE[(3,7,0),(2,1,0),(4,7,0),(1,2,1),(3,4,1),(2,2,1),(4,4,1)],
(14,83) => MOP_CODE[(3,7,0),(2,1,0),(4,7,0),(1,7,1),(3,1,1),(2,7,1),(4,1,1)],
(14,84) => MOP_CODE[(3,7,0),(2,1,0),(4,7,0),(1,5,1),(3,6,1),(2,5,1),(4,6,1)],
(15,85) => MOP_CODE[(3,2,0),(2,1,0),(4,2,0)],
(15,86) => MOP_CODE[(3,2,0),(2,1,0),(4,2,0),(1,1,1),(3,2,1),(2,1,1),(4,2,1)],
(15,87) => MOP_CODE[(3,2,1),(2,1,1),(4,2,0)],
(15,88) => MOP_CODE[(3,2,0),(2,1,1),(4,2,1)],
(15,89) => MOP_CODE[(3,2,1),(2,1,0),(4,2,1)],
(15,90) => MOP_CODE[(3,2,0),(2,1,0),(4,2,0),(1,2,1),(3,1,1),(2,2,1),(4,1,1)],
(15,91) => MOP_CODE[(3,2,0),(2,1,0),(4,2,0),(1,3,1),(3,7,1),(2,4,1),(4,7,1)],
(16,1) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0)],
(16,2) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1)],
(16,3) => MOP_CODE[(5,1,1),(3,1,1),(6,1,0)],
(16,4) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(1,3,1),(5,3,1),(3,3,1),(6,3,1)],
(16,5) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(1,5,1),(5,5,1),(3,5,1),(6,5,1)],
(16,6) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(1,8,1),(5,8,1),(3,8,1),(6,8,1)],
(17,7) => MOP_CODE[(5,1,0),(3,2,0),(6,2,0)],
(17,8) => MOP_CODE[(5,1,0),(3,2,0),(6,2,0),(1,1,1),(5,1,1),(3,2,1),(6,2,1)],
(17,9) => MOP_CODE[(5,1,1),(3,2,1),(6,2,0)],
(17,10) => MOP_CODE[(5,1,0),(3,2,1),(6,2,1)],
(17,11) => MOP_CODE[(5,1,0),(3,2,0),(6,2,0),(1,3,1),(5,3,1),(3,6,1),(6,6,1)],
(17,12) => MOP_CODE[(5,1,0),(3,2,0),(6,2,0),(1,2,1),(5,2,1),(3,1,1),(6,1,1)],
(17,13) => MOP_CODE[(5,1,0),(3,2,0),(6,2,0),(1,6,1),(5,6,1),(3,3,1),(6,3,1)],
(17,14) => MOP_CODE[(5,1,0),(3,2,0),(6,2,0),(1,5,1),(5,5,1),(3,8,1),(6,8,1)],
(17,15) => MOP_CODE[(5,1,0),(3,2,0),(6,2,0),(1,8,1),(5,8,1),(3,5,1),(6,5,1)],
(18,16) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0)],
(18,17) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(1,1,1),(5,5,1),(3,5,1),(6,1,1)],
(18,18) => MOP_CODE[(5,5,1),(3,5,1),(6,1,0)],
(18,19) => MOP_CODE[(5,5,0),(3,5,1),(6,1,1)],
(18,20) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(1,4,1),(5,3,1),(3,3,1),(6,4,1)],
(18,21) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(1,2,1),(5,8,1),(3,8,1),(6,2,1)],
(18,22) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(1,6,1),(5,7,1),(3,7,1),(6,6,1)],
(18,23) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(1,5,1),(5,1,1),(3,1,1),(6,5,1)],
(18,24) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(1,8,1),(5,2,1),(3,2,1),(6,8,1)],
(19,25) => MOP_CODE[(5,5,0),(3,7,0),(6,6,0)],
(19,26) => MOP_CODE[(5,5,0),(3,7,0),(6,6,0),(1,1,1),(5,5,1),(3,7,1),(6,6,1)],
(19,27) => MOP_CODE[(5,5,1),(3,7,1),(6,6,0)],
(19,28) => MOP_CODE[(5,5,0),(3,7,0),(6,6,0),(1,2,1),(5,8,1),(3,4,1),(6,3,1)],
(19,29) => MOP_CODE[(5,5,0),(3,7,0),(6,6,0),(1,5,1),(5,1,1),(3,6,1),(6,7,1)],
(19,30) => MOP_CODE[(5,5,0),(3,7,0),(6,6,0),(1,8,1),(5,2,1),(3,3,1),(6,4,1)],
(20,31) => MOP_CODE[(5,1,0),(3,2,0),(6,2,0)],
(20,32) => MOP_CODE[(5,1,0),(3,2,0),(6,2,0),(1,1,1),(5,1,1),(3,2,1),(6,2,1)],
(20,33) => MOP_CODE[(5,1,1),(3,2,1),(6,2,0)],
(20,34) => MOP_CODE[(5,1,0),(3,2,1),(6,2,1)],
(20,35) => MOP_CODE[(5,1,0),(3,2,0),(6,2,0),(1,2,1),(5,2,1),(3,1,1),(6,1,1)],
(20,36) => MOP_CODE[(5,1,0),(3,2,0),(6,2,0),(1,3,1),(5,3,1),(3,6,1),(6,6,1)],
(20,37) => MOP_CODE[(5,1,0),(3,2,0),(6,2,0),(1,7,1),(5,6,1),(3,3,1),(6,3,1)],
(21,38) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0)],
(21,39) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1)],
(21,40) => MOP_CODE[(5,1,1),(3,1,1),(6,1,0)],
(21,41) => MOP_CODE[(5,1,0),(3,1,1),(6,1,1)],
(21,42) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(1,2,1),(5,2,1),(3,2,1),(6,2,1)],
(21,43) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(1,3,1),(5,3,1),(3,3,1),(6,3,1)],
(21,44) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(1,7,1),(5,6,1),(3,6,1),(6,6,1)],
(22,45) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0)],
(22,46) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1)],
(22,47) => MOP_CODE[(5,1,1),(3,1,1),(6,1,0)],
(22,48) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(1,2,1),(5,8,1),(3,8,1),(6,8,1)],
(23,49) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0)],
(23,50) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1)],
(23,51) => MOP_CODE[(5,1,1),(3,1,1),(6,1,0)],
(23,52) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(1,2,1),(5,2,1),(3,2,1),(6,2,1)],
(24,53) => MOP_CODE[(5,2,0),(3,3,0),(6,4,0)],
(24,54) => MOP_CODE[(5,2,0),(3,3,0),(6,4,0),(1,1,1),(5,2,1),(3,3,1),(6,4,1)],
(24,55) => MOP_CODE[(5,2,1),(3,3,1),(6,4,0)],
(24,56) => MOP_CODE[(5,2,0),(3,3,0),(6,4,0),(1,2,1),(5,1,1),(3,4,1),(6,3,1)],
(25,57) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0)],
(25,58) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,1,1),(6,1,1),(7,1,1),(4,1,1)],
(25,59) => MOP_CODE[(6,1,1),(7,1,1),(4,1,0)],
(25,60) => MOP_CODE[(6,1,0),(7,1,1),(4,1,1)],
(25,61) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,2,1),(6,2,1),(7,2,1),(4,2,1)],
(25,62) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,3,1),(6,3,1),(7,3,1),(4,3,1)],
(25,63) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,5,1),(6,5,1),(7,5,1),(4,5,1)],
(25,64) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,7,1),(6,7,1),(7,7,1),(4,7,1)],
(25,65) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,8,1),(6,8,1),(7,8,1),(4,8,1)],
(26,66) => MOP_CODE[(6,2,0),(7,1,0),(4,2,0)],
(26,67) => MOP_CODE[(6,2,0),(7,1,0),(4,2,0),(1,1,1),(6,2,1),(7,1,1),(4,2,1)],
(26,68) => MOP_CODE[(6,2,1),(7,1,1),(4,2,0)],
(26,69) => MOP_CODE[(6,2,1),(7,1,0),(4,2,1)],
(26,70) => MOP_CODE[(6,2,0),(7,1,1),(4,2,1)],
(26,71) => MOP_CODE[(6,2,0),(7,1,0),(4,2,0),(1,3,1),(6,6,1),(7,3,1),(4,6,1)],
(26,72) => MOP_CODE[(6,2,0),(7,1,0),(4,2,0),(1,4,1),(6,7,1),(7,4,1),(4,7,1)],
(26,73) => MOP_CODE[(6,2,0),(7,1,0),(4,2,0),(1,2,1),(6,1,1),(7,2,1),(4,1,1)],
(26,74) => MOP_CODE[(6,2,0),(7,1,0),(4,2,0),(1,7,1),(6,4,1),(7,7,1),(4,4,1)],
(26,75) => MOP_CODE[(6,2,0),(7,1,0),(4,2,0),(1,6,1),(6,3,1),(7,6,1),(4,3,1)],
(26,76) => MOP_CODE[(6,2,0),(7,1,0),(4,2,0),(1,5,1),(6,8,1),(7,5,1),(4,8,1)],
(26,77) => MOP_CODE[(6,2,0),(7,1,0),(4,2,0),(1,8,1),(6,5,1),(7,8,1),(4,5,1)],
(27,78) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0)],
(27,79) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0),(1,1,1),(6,1,1),(7,2,1),(4,2,1)],
(27,80) => MOP_CODE[(6,1,1),(7,2,1),(4,2,0)],
(27,81) => MOP_CODE[(6,1,0),(7,2,1),(4,2,1)],
(27,82) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0),(1,2,1),(6,2,1),(7,1,1),(4,1,1)],
(27,83) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0),(1,3,1),(6,3,1),(7,6,1),(4,6,1)],
(27,84) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0),(1,5,1),(6,5,1),(7,8,1),(4,8,1)],
(27,85) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0),(1,7,1),(6,7,1),(7,4,1),(4,4,1)],
(27,86) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0),(1,8,1),(6,8,1),(7,5,1),(4,5,1)],
(28,87) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0)],
(28,88) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0),(1,1,1),(6,1,1),(7,3,1),(4,3,1)],
(28,89) => MOP_CODE[(6,1,1),(7,3,1),(4,3,0)],
(28,90) => MOP_CODE[(6,1,1),(7,3,0),(4,3,1)],
(28,91) => MOP_CODE[(6,1,0),(7,3,1),(4,3,1)],
(28,92) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0),(1,3,1),(6,3,1),(7,1,1),(4,1,1)],
(28,93) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0),(1,4,1),(6,4,1),(7,5,1),(4,5,1)],
(28,94) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0),(1,2,1),(6,2,1),(7,6,1),(4,6,1)],
(28,95) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0),(1,7,1),(6,7,1),(7,8,1),(4,8,1)],
(28,96) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0),(1,6,1),(6,6,1),(7,2,1),(4,2,1)],
(28,97) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0),(1,5,1),(6,5,1),(7,4,1),(4,4,1)],
(28,98) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0),(1,8,1),(6,8,1),(7,7,1),(4,7,1)],
(29,99) => MOP_CODE[(6,2,0),(7,6,0),(4,3,0)],
(29,100) => MOP_CODE[(6,2,0),(7,6,0),(4,3,0),(1,1,1),(6,2,1),(7,6,1),(4,3,1)],
(29,101) => MOP_CODE[(6,2,1),(7,6,1),(4,3,0)],
(29,102) => MOP_CODE[(6,2,1),(7,6,0),(4,3,1)],
(29,103) => MOP_CODE[(6,2,0),(7,6,1),(4,3,1)],
(29,104) => MOP_CODE[(6,2,0),(7,6,0),(4,3,0),(1,3,1),(6,6,1),(7,2,1),(4,1,1)],
(29,105) => MOP_CODE[(6,2,0),(7,6,0),(4,3,0),(1,4,1),(6,7,1),(7,8,1),(4,5,1)],
(29,106) => MOP_CODE[(6,2,0),(7,6,0),(4,3,0),(1,2,1),(6,1,1),(7,3,1),(4,6,1)],
(29,107) => MOP_CODE[(6,2,0),(7,6,0),(4,3,0),(1,7,1),(6,4,1),(7,5,1),(4,8,1)],
(29,108) => MOP_CODE[(6,2,0),(7,6,0),(4,3,0),(1,6,1),(6,3,1),(7,1,1),(4,2,1)],
(29,109) => MOP_CODE[(6,2,0),(7,6,0),(4,3,0),(1,5,1),(6,8,1),(7,7,1),(4,4,1)],
(29,110) => MOP_CODE[(6,2,0),(7,6,0),(4,3,0),(1,8,1),(6,5,1),(7,4,1),(4,7,1)],
(30,111) => MOP_CODE[(6,1,0),(7,7,0),(4,7,0)],
(30,112) => MOP_CODE[(6,1,0),(7,7,0),(4,7,0),(1,1,1),(6,1,1),(7,7,1),(4,7,1)],
(30,113) => MOP_CODE[(6,1,1),(7,7,1),(4,7,0)],
(30,114) => MOP_CODE[(6,1,1),(7,7,0),(4,7,1)],
(30,115) => MOP_CODE[(6,1,0),(7,7,1),(4,7,1)],
(30,116) => MOP_CODE[(6,1,0),(7,7,0),(4,7,0),(1,3,1),(6,3,1),(7,8,1),(4,8,1)],
(30,117) => MOP_CODE[(6,1,0),(7,7,0),(4,7,0),(1,4,1),(6,4,1),(7,2,1),(4,2,1)],
(30,118) => MOP_CODE[(6,1,0),(7,7,0),(4,7,0),(1,2,1),(6,2,1),(7,4,1),(4,4,1)],
(30,119) => MOP_CODE[(6,1,0),(7,7,0),(4,7,0),(1,7,1),(6,7,1),(7,1,1),(4,1,1)],
(30,120) => MOP_CODE[(6,1,0),(7,7,0),(4,7,0),(1,6,1),(6,6,1),(7,5,1),(4,5,1)],
(30,121) => MOP_CODE[(6,1,0),(7,7,0),(4,7,0),(1,5,1),(6,5,1),(7,6,1),(4,6,1)],
(30,122) => MOP_CODE[(6,1,0),(7,7,0),(4,7,0),(1,8,1),(6,8,1),(7,3,1),(4,3,1)],
(31,123) => MOP_CODE[(6,6,0),(7,1,0),(4,6,0)],
(31,124) => MOP_CODE[(6,6,0),(7,1,0),(4,6,0),(1,1,1),(6,6,1),(7,1,1),(4,6,1)],
(31,125) => MOP_CODE[(6,6,1),(7,1,1),(4,6,0)],
(31,126) => MOP_CODE[(6,6,1),(7,1,0),(4,6,1)],
(31,127) => MOP_CODE[(6,6,0),(7,1,1),(4,6,1)],
(31,128) => MOP_CODE[(6,6,0),(7,1,0),(4,6,0),(1,3,1),(6,2,1),(7,3,1),(4,2,1)],
(31,129) => MOP_CODE[(6,6,0),(7,1,0),(4,6,0),(1,4,1),(6,8,1),(7,4,1),(4,8,1)],
(31,130) => MOP_CODE[(6,6,0),(7,1,0),(4,6,0),(1,2,1),(6,3,1),(7,2,1),(4,3,1)],
(31,131) => MOP_CODE[(6,6,0),(7,1,0),(4,6,0),(1,7,1),(6,5,1),(7,7,1),(4,5,1)],
(31,132) => MOP_CODE[(6,6,0),(7,1,0),(4,6,0),(1,6,1),(6,1,1),(7,6,1),(4,1,1)],
(31,133) => MOP_CODE[(6,6,0),(7,1,0),(4,6,0),(1,5,1),(6,7,1),(7,5,1),(4,7,1)],
(31,134) => MOP_CODE[(6,6,0),(7,1,0),(4,6,0),(1,8,1),(6,4,1),(7,8,1),(4,4,1)],
(32,135) => MOP_CODE[(6,1,0),(7,5,0),(4,5,0)],
(32,136) => MOP_CODE[(6,1,0),(7,5,0),(4,5,0),(1,1,1),(6,1,1),(7,5,1),(4,5,1)],
(32,137) => MOP_CODE[(6,1,1),(7,5,1),(4,5,0)],
(32,138) => MOP_CODE[(6,1,0),(7,5,1),(4,5,1)],
(32,139) => MOP_CODE[(6,1,0),(7,5,0),(4,5,0),(1,2,1),(6,2,1),(7,8,1),(4,8,1)],
(32,140) => MOP_CODE[(6,1,0),(7,5,0),(4,5,0),(1,4,1),(6,4,1),(7,3,1),(4,3,1)],
(32,141) => MOP_CODE[(6,1,0),(7,5,0),(4,5,0),(1,5,1),(6,5,1),(7,1,1),(4,1,1)],
(32,142) => MOP_CODE[(6,1,0),(7,5,0),(4,5,0),(1,7,1),(6,7,1),(7,6,1),(4,6,1)],
(32,143) => MOP_CODE[(6,1,0),(7,5,0),(4,5,0),(1,8,1),(6,8,1),(7,2,1),(4,2,1)],
(33,144) => MOP_CODE[(6,2,0),(7,8,0),(4,5,0)],
(33,145) => MOP_CODE[(6,2,0),(7,8,0),(4,5,0),(1,1,1),(6,2,1),(7,8,1),(4,5,1)],
(33,146) => MOP_CODE[(6,2,1),(7,8,1),(4,5,0)],
(33,147) => MOP_CODE[(6,2,1),(7,8,0),(4,5,1)],
(33,148) => MOP_CODE[(6,2,0),(7,8,1),(4,5,1)],
(33,149) => MOP_CODE[(6,2,0),(7,8,0),(4,5,0),(1,3,1),(6,6,1),(7,7,1),(4,4,1)],
(33,150) => MOP_CODE[(6,2,0),(7,8,0),(4,5,0),(1,4,1),(6,7,1),(7,6,1),(4,3,1)],
(33,151) => MOP_CODE[(6,2,0),(7,8,0),(4,5,0),(1,2,1),(6,1,1),(7,5,1),(4,8,1)],
(33,152) => MOP_CODE[(6,2,0),(7,8,0),(4,5,0),(1,7,1),(6,4,1),(7,3,1),(4,6,1)],
(33,153) => MOP_CODE[(6,2,0),(7,8,0),(4,5,0),(1,6,1),(6,3,1),(7,4,1),(4,7,1)],
(33,154) => MOP_CODE[(6,2,0),(7,8,0),(4,5,0),(1,5,1),(6,8,1),(7,2,1),(4,1,1)],
(33,155) => MOP_CODE[(6,2,0),(7,8,0),(4,5,0),(1,8,1),(6,5,1),(7,1,1),(4,2,1)],
(34,156) => MOP_CODE[(6,1,0),(7,8,0),(4,8,0)],
(34,157) => MOP_CODE[(6,1,0),(7,8,0),(4,8,0),(1,1,1),(6,1,1),(7,8,1),(4,8,1)],
(34,158) => MOP_CODE[(6,1,1),(7,8,1),(4,8,0)],
(34,159) => MOP_CODE[(6,1,0),(7,8,1),(4,8,1)],
(34,160) => MOP_CODE[(6,1,0),(7,8,0),(4,8,0),(1,3,1),(6,3,1),(7,7,1),(4,7,1)],
(34,161) => MOP_CODE[(6,1,0),(7,8,0),(4,8,0),(1,2,1),(6,2,1),(7,5,1),(4,5,1)],
(34,162) => MOP_CODE[(6,1,0),(7,8,0),(4,8,0),(1,7,1),(6,7,1),(7,3,1),(4,3,1)],
(34,163) => MOP_CODE[(6,1,0),(7,8,0),(4,8,0),(1,5,1),(6,5,1),(7,2,1),(4,2,1)],
(34,164) => MOP_CODE[(6,1,0),(7,8,0),(4,8,0),(1,8,1),(6,8,1),(7,1,1),(4,1,1)],
(35,165) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0)],
(35,166) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,1,1),(6,1,1),(7,1,1),(4,1,1)],
(35,167) => MOP_CODE[(6,1,1),(7,1,1),(4,1,0)],
(35,168) => MOP_CODE[(6,1,0),(7,1,1),(4,1,1)],
(35,169) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,2,1),(6,2,1),(7,2,1),(4,2,1)],
(35,170) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,3,1),(6,3,1),(7,3,1),(4,3,1)],
(35,171) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,7,1),(6,6,1),(7,6,1),(4,6,1)],
(36,172) => MOP_CODE[(6,2,0),(7,1,0),(4,2,0)],
(36,173) => MOP_CODE[(6,2,0),(7,1,0),(4,2,0),(1,1,1),(6,2,1),(7,1,1),(4,2,1)],
(36,174) => MOP_CODE[(6,2,1),(7,1,1),(4,2,0)],
(36,175) => MOP_CODE[(6,2,1),(7,1,0),(4,2,1)],
(36,176) => MOP_CODE[(6,2,0),(7,1,1),(4,2,1)],
(36,177) => MOP_CODE[(6,2,0),(7,1,0),(4,2,0),(1,2,1),(6,1,1),(7,2,1),(4,1,1)],
(36,178) => MOP_CODE[(6,2,0),(7,1,0),(4,2,0),(1,3,1),(6,6,1),(7,3,1),(4,6,1)],
(36,179) => MOP_CODE[(6,2,0),(7,1,0),(4,2,0),(1,7,1),(6,3,1),(7,6,1),(4,3,1)],
(37,180) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0)],
(37,181) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0),(1,1,1),(6,1,1),(7,2,1),(4,2,1)],
(37,182) => MOP_CODE[(6,1,1),(7,2,1),(4,2,0)],
(37,183) => MOP_CODE[(6,1,0),(7,2,1),(4,2,1)],
(37,184) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0),(1,2,1),(6,2,1),(7,1,1),(4,1,1)],
(37,185) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0),(1,3,1),(6,3,1),(7,6,1),(4,6,1)],
(37,186) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0),(1,7,1),(6,6,1),(7,3,1),(4,3,1)],
(38,187) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0)],
(38,188) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,1,1),(6,1,1),(7,1,1),(4,1,1)],
(38,189) => MOP_CODE[(6,1,1),(7,1,1),(4,1,0)],
(38,190) => MOP_CODE[(6,1,1),(7,1,0),(4,1,1)],
(38,191) => MOP_CODE[(6,1,0),(7,1,1),(4,1,1)],
(38,192) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,3,1),(6,3,1),(7,3,1),(4,3,1)],
(38,193) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,2,1),(6,2,1),(7,2,1),(4,2,1)],
(38,194) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,5,1),(6,6,1),(7,6,1),(4,6,1)],
(39,195) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0)],
(39,196) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0),(1,1,1),(6,1,1),(7,2,1),(4,2,1)],
(39,197) => MOP_CODE[(6,1,1),(7,2,1),(4,2,0)],
(39,198) => MOP_CODE[(6,1,1),(7,2,0),(4,2,1)],
(39,199) => MOP_CODE[(6,1,0),(7,2,1),(4,2,1)],
(39,200) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0),(1,3,1),(6,3,1),(7,6,1),(4,6,1)],
(39,201) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0),(1,2,1),(6,2,1),(7,1,1),(4,1,1)],
(39,202) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0),(1,5,1),(6,6,1),(7,3,1),(4,3,1)],
(40,203) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0)],
(40,204) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0),(1,1,1),(6,1,1),(7,3,1),(4,3,1)],
(40,205) => MOP_CODE[(6,1,1),(7,3,1),(4,3,0)],
(40,206) => MOP_CODE[(6,1,1),(7,3,0),(4,3,1)],
(40,207) => MOP_CODE[(6,1,0),(7,3,1),(4,3,1)],
(40,208) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0),(1,3,1),(6,3,1),(7,1,1),(4,1,1)],
(40,209) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0),(1,2,1),(6,2,1),(7,6,1),(4,6,1)],
(40,210) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0),(1,5,1),(6,6,1),(7,2,1),(4,2,1)],
(41,211) => MOP_CODE[(6,1,0),(7,6,0),(4,6,0)],
(41,212) => MOP_CODE[(6,1,0),(7,6,0),(4,6,0),(1,1,1),(6,1,1),(7,6,1),(4,6,1)],
(41,213) => MOP_CODE[(6,1,1),(7,6,1),(4,6,0)],
(41,214) => MOP_CODE[(6,1,1),(7,6,0),(4,6,1)],
(41,215) => MOP_CODE[(6,1,0),(7,6,1),(4,6,1)],
(41,216) => MOP_CODE[(6,1,0),(7,6,0),(4,6,0),(1,3,1),(6,3,1),(7,2,1),(4,2,1)],
(41,217) => MOP_CODE[(6,1,0),(7,6,0),(4,6,0),(1,2,1),(6,2,1),(7,3,1),(4,3,1)],
(41,218) => MOP_CODE[(6,1,0),(7,6,0),(4,6,0),(1,5,1),(6,6,1),(7,1,1),(4,1,1)],
(42,219) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0)],
(42,220) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,1,1),(6,1,1),(7,1,1),(4,1,1)],
(42,221) => MOP_CODE[(6,1,1),(7,1,1),(4,1,0)],
(42,222) => MOP_CODE[(6,1,0),(7,1,1),(4,1,1)],
(42,223) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,2,1),(6,8,1),(7,8,1),(4,8,1)],
(43,224) => MOP_CODE[(6,1,0),(7,9,0),(4,9,0)],
(43,225) => MOP_CODE[(6,1,0),(7,9,0),(4,9,0),(1,1,1),(6,1,1),(7,9,1),(4,9,1)],
(43,226) => MOP_CODE[(6,1,1),(7,9,1),(4,9,0)],
(43,227) => MOP_CODE[(6,1,0),(7,9,1),(4,9,1)],
(43,228) => MOP_CODE[(6,1,0),(7,9,0),(4,9,0),(1,2,1),(6,8,1),(7,10,1),(4,10,1)],
(44,229) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0)],
(44,230) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,1,1),(6,1,1),(7,1,1),(4,1,1)],
(44,231) => MOP_CODE[(6,1,1),(7,1,1),(4,1,0)],
(44,232) => MOP_CODE[(6,1,0),(7,1,1),(4,1,1)],
(44,233) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,2,1),(6,2,1),(7,2,1),(4,2,1)],
(44,234) => MOP_CODE[(6,1,0),(7,1,0),(4,1,0),(1,3,1),(6,3,1),(7,3,1),(4,3,1)],
(45,235) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0)],
(45,236) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0),(1,1,1),(6,1,1),(7,2,1),(4,2,1)],
(45,237) => MOP_CODE[(6,1,1),(7,2,1),(4,2,0)],
(45,238) => MOP_CODE[(6,1,0),(7,2,1),(4,2,1)],
(45,239) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0),(1,2,1),(6,2,1),(7,1,1),(4,1,1)],
(45,240) => MOP_CODE[(6,1,0),(7,2,0),(4,2,0),(1,3,1),(6,3,1),(7,4,1),(4,4,1)],
(46,241) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0)],
(46,242) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0),(1,1,1),(6,1,1),(7,3,1),(4,3,1)],
(46,243) => MOP_CODE[(6,1,1),(7,3,1),(4,3,0)],
(46,244) => MOP_CODE[(6,1,1),(7,3,0),(4,3,1)],
(46,245) => MOP_CODE[(6,1,0),(7,3,1),(4,3,1)],
(46,246) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0),(1,2,1),(6,2,1),(7,4,1),(4,4,1)],
(46,247) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0),(1,3,1),(6,3,1),(7,1,1),(4,1,1)],
(46,248) => MOP_CODE[(6,1,0),(7,3,0),(4,3,0),(1,4,1),(6,4,1),(7,2,1),(4,2,1)],
(47,249) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0)],
(47,250) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1),(2,1,1),(7,1,1),(4,1,1),(8,1,1)],
(47,251) => MOP_CODE[(5,1,0),(3,1,1),(6,1,1),(2,1,1),(7,1,1),(4,1,0),(8,1,0)],
(47,252) => MOP_CODE[(5,1,1),(3,1,1),(6,1,0),(2,1,0),(7,1,1),(4,1,1),(8,1,0)],
(47,253) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,1),(7,1,1),(4,1,1),(8,1,1)],
(47,254) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(1,3,1),(5,3,1),(3,3,1),(6,3,1),(2,3,1),(7,3,1),(4,3,1),(8,3,1)],
(47,255) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(1,5,1),(5,5,1),(3,5,1),(6,5,1),(2,5,1),(7,5,1),(4,5,1),(8,5,1)],
(47,256) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(1,8,1),(5,8,1),(3,8,1),(6,8,1),(2,8,1),(7,8,1),(4,8,1),(8,8,1)],
(48,257) => MOP_CODE[(5,7,0),(3,6,0),(6,5,0),(2,1,0),(7,7,0),(4,6,0),(8,5,0)],
(48,258) => MOP_CODE[(5,7,0),(3,6,0),(6,5,0),(2,1,0),(7,7,0),(4,6,0),(8,5,0),(1,1,1),(5,7,1),(3,6,1),(6,5,1),(2,1,1),(7,7,1),(4,6,1),(8,5,1)],
(48,259) => MOP_CODE[(5,7,0),(3,6,1),(6,5,1),(2,1,1),(7,7,1),(4,6,0),(8,5,0)],
(48,260) => MOP_CODE[(5,7,1),(3,6,1),(6,5,0),(2,1,0),(7,7,1),(4,6,1),(8,5,0)],
(48,261) => MOP_CODE[(5,7,0),(3,6,0),(6,5,0),(2,1,1),(7,7,1),(4,6,1),(8,5,1)],
(48,262) => MOP_CODE[(5,7,0),(3,6,0),(6,5,0),(2,1,0),(7,7,0),(4,6,0),(8,5,0),(1,2,1),(5,4,1),(3,3,1),(6,8,1),(2,2,1),(7,4,1),(4,3,1),(8,8,1)],
(48,263) => MOP_CODE[(5,7,0),(3,6,0),(6,5,0),(2,1,0),(7,7,0),(4,6,0),(8,5,0),(1,5,1),(5,6,1),(3,7,1),(6,1,1),(2,5,1),(7,6,1),(4,7,1),(8,1,1)],
(48,264) => MOP_CODE[(5,7,0),(3,6,0),(6,5,0),(2,1,0),(7,7,0),(4,6,0),(8,5,0),(1,8,1),(5,3,1),(3,4,1),(6,2,1),(2,8,1),(7,3,1),(4,4,1),(8,2,1)],
(49,265) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,0),(7,2,0),(4,2,0),(8,1,0)],
(49,266) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,0),(7,2,0),(4,2,0),(8,1,0),(1,1,1),(5,2,1),(3,2,1),(6,1,1),(2,1,1),(7,2,1),(4,2,1),(8,1,1)],
(49,267) => MOP_CODE[(5,2,0),(3,2,1),(6,1,1),(2,1,1),(7,2,1),(4,2,0),(8,1,0)],
(49,268) => MOP_CODE[(5,2,1),(3,2,1),(6,1,0),(2,1,1),(7,2,0),(4,2,0),(8,1,1)],
(49,269) => MOP_CODE[(5,2,1),(3,2,1),(6,1,0),(2,1,0),(7,2,1),(4,2,1),(8,1,0)],
(49,270) => MOP_CODE[(5,2,1),(3,2,0),(6,1,1),(2,1,0),(7,2,1),(4,2,0),(8,1,1)],
(49,271) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,1),(7,2,1),(4,2,1),(8,1,1)],
(49,272) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,0),(7,2,0),(4,2,0),(8,1,0),(1,3,1),(5,6,1),(3,6,1),(6,3,1),(2,3,1),(7,6,1),(4,6,1),(8,3,1)],
(49,273) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,0),(7,2,0),(4,2,0),(8,1,0),(1,2,1),(5,1,1),(3,1,1),(6,2,1),(2,2,1),(7,1,1),(4,1,1),(8,2,1)],
(49,274) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,0),(7,2,0),(4,2,0),(8,1,0),(1,6,1),(5,3,1),(3,3,1),(6,6,1),(2,6,1),(7,3,1),(4,3,1),(8,6,1)],
(49,275) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,0),(7,2,0),(4,2,0),(8,1,0),(1,5,1),(5,8,1),(3,8,1),(6,5,1),(2,5,1),(7,8,1),(4,8,1),(8,5,1)],
(49,276) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,0),(7,2,0),(4,2,0),(8,1,0),(1,8,1),(5,5,1),(3,5,1),(6,8,1),(2,8,1),(7,5,1),(4,5,1),(8,8,1)],
(50,277) => MOP_CODE[(5,4,0),(3,3,0),(6,5,0),(2,1,0),(7,4,0),(4,3,0),(8,5,0)],
(50,278) => MOP_CODE[(5,4,0),(3,3,0),(6,5,0),(2,1,0),(7,4,0),(4,3,0),(8,5,0),(1,1,1),(5,4,1),(3,3,1),(6,5,1),(2,1,1),(7,4,1),(4,3,1),(8,5,1)],
(50,279) => MOP_CODE[(5,4,0),(3,3,1),(6,5,1),(2,1,1),(7,4,1),(4,3,0),(8,5,0)],
(50,280) => MOP_CODE[(5,4,1),(3,3,1),(6,5,0),(2,1,1),(7,4,0),(4,3,0),(8,5,1)],
(50,281) => MOP_CODE[(5,4,1),(3,3,1),(6,5,0),(2,1,0),(7,4,1),(4,3,1),(8,5,0)],
(50,282) => MOP_CODE[(5,4,1),(3,3,0),(6,5,1),(2,1,0),(7,4,1),(4,3,0),(8,5,1)],
(50,283) => MOP_CODE[(5,4,0),(3,3,0),(6,5,0),(2,1,1),(7,4,1),(4,3,1),(8,5,1)],
(50,284) => MOP_CODE[(5,4,0),(3,3,0),(6,5,0),(2,1,0),(7,4,0),(4,3,0),(8,5,0),(1,3,1),(5,5,1),(3,1,1),(6,4,1),(2,3,1),(7,5,1),(4,1,1),(8,4,1)],
(50,285) => MOP_CODE[(5,4,0),(3,3,0),(6,5,0),(2,1,0),(7,4,0),(4,3,0),(8,5,0),(1,2,1),(5,7,1),(3,6,1),(6,8,1),(2,2,1),(7,7,1),(4,6,1),(8,8,1)],
(50,286) => MOP_CODE[(5,4,0),(3,3,0),(6,5,0),(2,1,0),(7,4,0),(4,3,0),(8,5,0),(1,7,1),(5,2,1),(3,8,1),(6,6,1),(2,7,1),(7,2,1),(4,8,1),(8,6,1)],
(50,287) => MOP_CODE[(5,4,0),(3,3,0),(6,5,0),(2,1,0),(7,4,0),(4,3,0),(8,5,0),(1,5,1),(5,3,1),(3,4,1),(6,1,1),(2,5,1),(7,3,1),(4,4,1),(8,1,1)],
(50,288) => MOP_CODE[(5,4,0),(3,3,0),(6,5,0),(2,1,0),(7,4,0),(4,3,0),(8,5,0),(1,8,1),(5,6,1),(3,7,1),(6,2,1),(2,8,1),(7,6,1),(4,7,1),(8,2,1)],
(51,289) => MOP_CODE[(5,3,0),(3,1,0),(6,3,0),(2,1,0),(7,3,0),(4,1,0),(8,3,0)],
(51,290) => MOP_CODE[(5,3,0),(3,1,0),(6,3,0),(2,1,0),(7,3,0),(4,1,0),(8,3,0),(1,1,1),(5,3,1),(3,1,1),(6,3,1),(2,1,1),(7,3,1),(4,1,1),(8,3,1)],
(51,291) => MOP_CODE[(5,3,0),(3,1,1),(6,3,1),(2,1,1),(7,3,1),(4,1,0),(8,3,0)],
(51,292) => MOP_CODE[(5,3,1),(3,1,0),(6,3,1),(2,1,1),(7,3,0),(4,1,1),(8,3,0)],
(51,293) => MOP_CODE[(5,3,1),(3,1,1),(6,3,0),(2,1,1),(7,3,0),(4,1,0),(8,3,1)],
(51,294) => MOP_CODE[(5,3,1),(3,1,1),(6,3,0),(2,1,0),(7,3,1),(4,1,1),(8,3,0)],
(51,295) => MOP_CODE[(5,3,0),(3,1,1),(6,3,1),(2,1,0),(7,3,0),(4,1,1),(8,3,1)],
(51,296) => MOP_CODE[(5,3,1),(3,1,0),(6,3,1),(2,1,0),(7,3,1),(4,1,0),(8,3,1)],
(51,297) => MOP_CODE[(5,3,0),(3,1,0),(6,3,0),(2,1,1),(7,3,1),(4,1,1),(8,3,1)],
(51,298) => MOP_CODE[(5,3,0),(3,1,0),(6,3,0),(2,1,0),(7,3,0),(4,1,0),(8,3,0),(1,3,1),(5,1,1),(3,3,1),(6,1,1),(2,3,1),(7,1,1),(4,3,1),(8,1,1)],
(51,299) => MOP_CODE[(5,3,0),(3,1,0),(6,3,0),(2,1,0),(7,3,0),(4,1,0),(8,3,0),(1,4,1),(5,5,1),(3,4,1),(6,5,1),(2,4,1),(7,5,1),(4,4,1),(8,5,1)],
(51,300) => MOP_CODE[(5,3,0),(3,1,0),(6,3,0),(2,1,0),(7,3,0),(4,1,0),(8,3,0),(1,2,1),(5,6,1),(3,2,1),(6,6,1),(2,2,1),(7,6,1),(4,2,1),(8,6,1)],
(51,301) => MOP_CODE[(5,3,0),(3,1,0),(6,3,0),(2,1,0),(7,3,0),(4,1,0),(8,3,0),(1,7,1),(5,8,1),(3,7,1),(6,8,1),(2,7,1),(7,8,1),(4,7,1),(8,8,1)],
(51,302) => MOP_CODE[(5,3,0),(3,1,0),(6,3,0),(2,1,0),(7,3,0),(4,1,0),(8,3,0),(1,6,1),(5,2,1),(3,6,1),(6,2,1),(2,6,1),(7,2,1),(4,6,1),(8,2,1)],
(51,303) => MOP_CODE[(5,3,0),(3,1,0),(6,3,0),(2,1,0),(7,3,0),(4,1,0),(8,3,0),(1,5,1),(5,4,1),(3,5,1),(6,4,1),(2,5,1),(7,4,1),(4,5,1),(8,4,1)],
(51,304) => MOP_CODE[(5,3,0),(3,1,0),(6,3,0),(2,1,0),(7,3,0),(4,1,0),(8,3,0),(1,8,1),(5,7,1),(3,8,1),(6,7,1),(2,8,1),(7,7,1),(4,8,1),(8,7,1)],
(52,305) => MOP_CODE[(5,7,0),(3,8,0),(6,3,0),(2,1,0),(7,7,0),(4,8,0),(8,3,0)],
(52,306) => MOP_CODE[(5,7,0),(3,8,0),(6,3,0),(2,1,0),(7,7,0),(4,8,0),(8,3,0),(1,1,1),(5,7,1),(3,8,1),(6,3,1),(2,1,1),(7,7,1),(4,8,1),(8,3,1)],
(52,307) => MOP_CODE[(5,7,0),(3,8,1),(6,3,1),(2,1,1),(7,7,1),(4,8,0),(8,3,0)],
(52,308) => MOP_CODE[(5,7,1),(3,8,0),(6,3,1),(2,1,1),(7,7,0),(4,8,1),(8,3,0)],
(52,309) => MOP_CODE[(5,7,1),(3,8,1),(6,3,0),(2,1,1),(7,7,0),(4,8,0),(8,3,1)],
(52,310) => MOP_CODE[(5,7,1),(3,8,1),(6,3,0),(2,1,0),(7,7,1),(4,8,1),(8,3,0)],
(52,311) => MOP_CODE[(5,7,0),(3,8,1),(6,3,1),(2,1,0),(7,7,0),(4,8,1),(8,3,1)],
(52,312) => MOP_CODE[(5,7,1),(3,8,0),(6,3,1),(2,1,0),(7,7,1),(4,8,0),(8,3,1)],
(52,313) => MOP_CODE[(5,7,0),(3,8,0),(6,3,0),(2,1,1),(7,7,1),(4,8,1),(8,3,1)],
(52,314) => MOP_CODE[(5,7,0),(3,8,0),(6,3,0),(2,1,0),(7,7,0),(4,8,0),(8,3,0),(1,3,1),(5,8,1),(3,7,1),(6,1,1),(2,3,1),(7,8,1),(4,7,1),(8,1,1)],
(52,315) => MOP_CODE[(5,7,0),(3,8,0),(6,3,0),(2,1,0),(7,7,0),(4,8,0),(8,3,0),(1,4,1),(5,2,1),(3,6,1),(6,5,1),(2,4,1),(7,2,1),(4,6,1),(8,5,1)],
(52,316) => MOP_CODE[(5,7,0),(3,8,0),(6,3,0),(2,1,0),(7,7,0),(4,8,0),(8,3,0),(1,2,1),(5,4,1),(3,5,1),(6,6,1),(2,2,1),(7,4,1),(4,5,1),(8,6,1)],
(52,317) => MOP_CODE[(5,7,0),(3,8,0),(6,3,0),(2,1,0),(7,7,0),(4,8,0),(8,3,0),(1,7,1),(5,1,1),(3,3,1),(6,8,1),(2,7,1),(7,1,1),(4,3,1),(8,8,1)],
(52,318) => MOP_CODE[(5,7,0),(3,8,0),(6,3,0),(2,1,0),(7,7,0),(4,8,0),(8,3,0),(1,6,1),(5,5,1),(3,4,1),(6,2,1),(2,6,1),(7,5,1),(4,4,1),(8,2,1)],
(52,319) => MOP_CODE[(5,7,0),(3,8,0),(6,3,0),(2,1,0),(7,7,0),(4,8,0),(8,3,0),(1,5,1),(5,6,1),(3,2,1),(6,4,1),(2,5,1),(7,6,1),(4,2,1),(8,4,1)],
(52,320) => MOP_CODE[(5,7,0),(3,8,0),(6,3,0),(2,1,0),(7,7,0),(4,8,0),(8,3,0),(1,8,1),(5,3,1),(3,1,1),(6,7,1),(2,8,1),(7,3,1),(4,1,1),(8,7,1)],
(53,321) => MOP_CODE[(5,1,0),(3,6,0),(6,6,0),(2,1,0),(7,1,0),(4,6,0),(8,6,0)],
(53,322) => MOP_CODE[(5,1,0),(3,6,0),(6,6,0),(2,1,0),(7,1,0),(4,6,0),(8,6,0),(1,1,1),(5,1,1),(3,6,1),(6,6,1),(2,1,1),(7,1,1),(4,6,1),(8,6,1)],
(53,323) => MOP_CODE[(5,1,0),(3,6,1),(6,6,1),(2,1,1),(7,1,1),(4,6,0),(8,6,0)],
(53,324) => MOP_CODE[(5,1,1),(3,6,0),(6,6,1),(2,1,1),(7,1,0),(4,6,1),(8,6,0)],
(53,325) => MOP_CODE[(5,1,1),(3,6,1),(6,6,0),(2,1,1),(7,1,0),(4,6,0),(8,6,1)],
(53,326) => MOP_CODE[(5,1,1),(3,6,1),(6,6,0),(2,1,0),(7,1,1),(4,6,1),(8,6,0)],
(53,327) => MOP_CODE[(5,1,0),(3,6,1),(6,6,1),(2,1,0),(7,1,0),(4,6,1),(8,6,1)],
(53,328) => MOP_CODE[(5,1,1),(3,6,0),(6,6,1),(2,1,0),(7,1,1),(4,6,0),(8,6,1)],
(53,329) => MOP_CODE[(5,1,0),(3,6,0),(6,6,0),(2,1,1),(7,1,1),(4,6,1),(8,6,1)],
(53,330) => MOP_CODE[(5,1,0),(3,6,0),(6,6,0),(2,1,0),(7,1,0),(4,6,0),(8,6,0),(1,3,1),(5,3,1),(3,2,1),(6,2,1),(2,3,1),(7,3,1),(4,2,1),(8,2,1)],
(53,331) => MOP_CODE[(5,1,0),(3,6,0),(6,6,0),(2,1,0),(7,1,0),(4,6,0),(8,6,0),(1,4,1),(5,4,1),(3,8,1),(6,8,1),(2,4,1),(7,4,1),(4,8,1),(8,8,1)],
(53,332) => MOP_CODE[(5,1,0),(3,6,0),(6,6,0),(2,1,0),(7,1,0),(4,6,0),(8,6,0),(1,2,1),(5,2,1),(3,3,1),(6,3,1),(2,2,1),(7,2,1),(4,3,1),(8,3,1)],
(53,333) => MOP_CODE[(5,1,0),(3,6,0),(6,6,0),(2,1,0),(7,1,0),(4,6,0),(8,6,0),(1,7,1),(5,7,1),(3,5,1),(6,5,1),(2,7,1),(7,7,1),(4,5,1),(8,5,1)],
(53,334) => MOP_CODE[(5,1,0),(3,6,0),(6,6,0),(2,1,0),(7,1,0),(4,6,0),(8,6,0),(1,6,1),(5,6,1),(3,1,1),(6,1,1),(2,6,1),(7,6,1),(4,1,1),(8,1,1)],
(53,335) => MOP_CODE[(5,1,0),(3,6,0),(6,6,0),(2,1,0),(7,1,0),(4,6,0),(8,6,0),(1,5,1),(5,5,1),(3,7,1),(6,7,1),(2,5,1),(7,5,1),(4,7,1),(8,7,1)],
(53,336) => MOP_CODE[(5,1,0),(3,6,0),(6,6,0),(2,1,0),(7,1,0),(4,6,0),(8,6,0),(1,8,1),(5,8,1),(3,4,1),(6,4,1),(2,8,1),(7,8,1),(4,4,1),(8,4,1)],
(54,337) => MOP_CODE[(5,6,0),(3,2,0),(6,3,0),(2,1,0),(7,6,0),(4,2,0),(8,3,0)],
(54,338) => MOP_CODE[(5,6,0),(3,2,0),(6,3,0),(2,1,0),(7,6,0),(4,2,0),(8,3,0),(1,1,1),(5,6,1),(3,2,1),(6,3,1),(2,1,1),(7,6,1),(4,2,1),(8,3,1)],
(54,339) => MOP_CODE[(5,6,0),(3,2,1),(6,3,1),(2,1,1),(7,6,1),(4,2,0),(8,3,0)],
(54,340) => MOP_CODE[(5,6,1),(3,2,0),(6,3,1),(2,1,1),(7,6,0),(4,2,1),(8,3,0)],
(54,341) => MOP_CODE[(5,6,1),(3,2,1),(6,3,0),(2,1,1),(7,6,0),(4,2,0),(8,3,1)],
(54,342) => MOP_CODE[(5,6,1),(3,2,1),(6,3,0),(2,1,0),(7,6,1),(4,2,1),(8,3,0)],
(54,343) => MOP_CODE[(5,6,0),(3,2,1),(6,3,1),(2,1,0),(7,6,0),(4,2,1),(8,3,1)],
(54,344) => MOP_CODE[(5,6,1),(3,2,0),(6,3,1),(2,1,0),(7,6,1),(4,2,0),(8,3,1)],
(54,345) => MOP_CODE[(5,6,0),(3,2,0),(6,3,0),(2,1,1),(7,6,1),(4,2,1),(8,3,1)],
(54,346) => MOP_CODE[(5,6,0),(3,2,0),(6,3,0),(2,1,0),(7,6,0),(4,2,0),(8,3,0),(1,3,1),(5,2,1),(3,6,1),(6,1,1),(2,3,1),(7,2,1),(4,6,1),(8,1,1)],
(54,347) => MOP_CODE[(5,6,0),(3,2,0),(6,3,0),(2,1,0),(7,6,0),(4,2,0),(8,3,0),(1,4,1),(5,8,1),(3,7,1),(6,5,1),(2,4,1),(7,8,1),(4,7,1),(8,5,1)],
(54,348) => MOP_CODE[(5,6,0),(3,2,0),(6,3,0),(2,1,0),(7,6,0),(4,2,0),(8,3,0),(1,2,1),(5,3,1),(3,1,1),(6,6,1),(2,2,1),(7,3,1),(4,1,1),(8,6,1)],
(54,349) => MOP_CODE[(5,6,0),(3,2,0),(6,3,0),(2,1,0),(7,6,0),(4,2,0),(8,3,0),(1,7,1),(5,5,1),(3,4,1),(6,8,1),(2,7,1),(7,5,1),(4,4,1),(8,8,1)],
(54,350) => MOP_CODE[(5,6,0),(3,2,0),(6,3,0),(2,1,0),(7,6,0),(4,2,0),(8,3,0),(1,6,1),(5,1,1),(3,3,1),(6,2,1),(2,6,1),(7,1,1),(4,3,1),(8,2,1)],
(54,351) => MOP_CODE[(5,6,0),(3,2,0),(6,3,0),(2,1,0),(7,6,0),(4,2,0),(8,3,0),(1,5,1),(5,7,1),(3,8,1),(6,4,1),(2,5,1),(7,7,1),(4,8,1),(8,4,1)],
(54,352) => MOP_CODE[(5,6,0),(3,2,0),(6,3,0),(2,1,0),(7,6,0),(4,2,0),(8,3,0),(1,8,1),(5,4,1),(3,5,1),(6,7,1),(2,8,1),(7,4,1),(4,5,1),(8,7,1)],
(55,353) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(2,1,0),(7,5,0),(4,5,0),(8,1,0)],
(55,354) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(2,1,0),(7,5,0),(4,5,0),(8,1,0),(1,1,1),(5,5,1),(3,5,1),(6,1,1),(2,1,1),(7,5,1),(4,5,1),(8,1,1)],
(55,355) => MOP_CODE[(5,5,0),(3,5,1),(6,1,1),(2,1,1),(7,5,1),(4,5,0),(8,1,0)],
(55,356) => MOP_CODE[(5,5,1),(3,5,1),(6,1,0),(2,1,1),(7,5,0),(4,5,0),(8,1,1)],
(55,357) => MOP_CODE[(5,5,1),(3,5,1),(6,1,0),(2,1,0),(7,5,1),(4,5,1),(8,1,0)],
(55,358) => MOP_CODE[(5,5,1),(3,5,0),(6,1,1),(2,1,0),(7,5,1),(4,5,0),(8,1,1)],
(55,359) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(2,1,1),(7,5,1),(4,5,1),(8,1,1)],
(55,360) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(2,1,0),(7,5,0),(4,5,0),(8,1,0),(1,3,1),(5,4,1),(3,4,1),(6,3,1),(2,3,1),(7,4,1),(4,4,1),(8,3,1)],
(55,361) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(2,1,0),(7,5,0),(4,5,0),(8,1,0),(1,2,1),(5,8,1),(3,8,1),(6,2,1),(2,2,1),(7,8,1),(4,8,1),(8,2,1)],
(55,362) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(2,1,0),(7,5,0),(4,5,0),(8,1,0),(1,7,1),(5,6,1),(3,6,1),(6,7,1),(2,7,1),(7,6,1),(4,6,1),(8,7,1)],
(55,363) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(2,1,0),(7,5,0),(4,5,0),(8,1,0),(1,5,1),(5,1,1),(3,1,1),(6,5,1),(2,5,1),(7,1,1),(4,1,1),(8,5,1)],
(55,364) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(2,1,0),(7,5,0),(4,5,0),(8,1,0),(1,8,1),(5,2,1),(3,2,1),(6,8,1),(2,8,1),(7,2,1),(4,2,1),(8,8,1)],
(56,365) => MOP_CODE[(5,6,0),(3,7,0),(6,5,0),(2,1,0),(7,6,0),(4,7,0),(8,5,0)],
(56,366) => MOP_CODE[(5,6,0),(3,7,0),(6,5,0),(2,1,0),(7,6,0),(4,7,0),(8,5,0),(1,1,1),(5,6,1),(3,7,1),(6,5,1),(2,1,1),(7,6,1),(4,7,1),(8,5,1)],
(56,367) => MOP_CODE[(5,6,0),(3,7,1),(6,5,1),(2,1,1),(7,6,1),(4,7,0),(8,5,0)],
(56,368) => MOP_CODE[(5,6,1),(3,7,1),(6,5,0),(2,1,1),(7,6,0),(4,7,0),(8,5,1)],
(56,369) => MOP_CODE[(5,6,1),(3,7,1),(6,5,0),(2,1,0),(7,6,1),(4,7,1),(8,5,0)],
(56,370) => MOP_CODE[(5,6,1),(3,7,0),(6,5,1),(2,1,0),(7,6,1),(4,7,0),(8,5,1)],
(56,371) => MOP_CODE[(5,6,0),(3,7,0),(6,5,0),(2,1,1),(7,6,1),(4,7,1),(8,5,1)],
(56,372) => MOP_CODE[(5,6,0),(3,7,0),(6,5,0),(2,1,0),(7,6,0),(4,7,0),(8,5,0),(1,4,1),(5,8,1),(3,2,1),(6,3,1),(2,4,1),(7,8,1),(4,2,1),(8,3,1)],
(56,373) => MOP_CODE[(5,6,0),(3,7,0),(6,5,0),(2,1,0),(7,6,0),(4,7,0),(8,5,0),(1,2,1),(5,3,1),(3,4,1),(6,8,1),(2,2,1),(7,3,1),(4,4,1),(8,8,1)],
(56,374) => MOP_CODE[(5,6,0),(3,7,0),(6,5,0),(2,1,0),(7,6,0),(4,7,0),(8,5,0),(1,7,1),(5,5,1),(3,1,1),(6,6,1),(2,7,1),(7,5,1),(4,1,1),(8,6,1)],
(56,375) => MOP_CODE[(5,6,0),(3,7,0),(6,5,0),(2,1,0),(7,6,0),(4,7,0),(8,5,0),(1,5,1),(5,7,1),(3,6,1),(6,1,1),(2,5,1),(7,7,1),(4,6,1),(8,1,1)],
(56,376) => MOP_CODE[(5,6,0),(3,7,0),(6,5,0),(2,1,0),(7,6,0),(4,7,0),(8,5,0),(1,8,1),(5,4,1),(3,3,1),(6,2,1),(2,8,1),(7,4,1),(4,3,1),(8,2,1)],
(57,377) => MOP_CODE[(5,4,0),(3,7,0),(6,2,0),(2,1,0),(7,4,0),(4,7,0),(8,2,0)],
(57,378) => MOP_CODE[(5,4,0),(3,7,0),(6,2,0),(2,1,0),(7,4,0),(4,7,0),(8,2,0),(1,1,1),(5,4,1),(3,7,1),(6,2,1),(2,1,1),(7,4,1),(4,7,1),(8,2,1)],
(57,379) => MOP_CODE[(5,4,0),(3,7,1),(6,2,1),(2,1,1),(7,4,1),(4,7,0),(8,2,0)],
(57,380) => MOP_CODE[(5,4,1),(3,7,0),(6,2,1),(2,1,1),(7,4,0),(4,7,1),(8,2,0)],
(57,381) => MOP_CODE[(5,4,1),(3,7,1),(6,2,0),(2,1,1),(7,4,0),(4,7,0),(8,2,1)],
(57,382) => MOP_CODE[(5,4,1),(3,7,1),(6,2,0),(2,1,0),(7,4,1),(4,7,1),(8,2,0)],
(57,383) => MOP_CODE[(5,4,0),(3,7,1),(6,2,1),(2,1,0),(7,4,0),(4,7,1),(8,2,1)],
(57,384) => MOP_CODE[(5,4,1),(3,7,0),(6,2,1),(2,1,0),(7,4,1),(4,7,0),(8,2,1)],
(57,385) => MOP_CODE[(5,4,0),(3,7,0),(6,2,0),(2,1,1),(7,4,1),(4,7,1),(8,2,1)],
(57,386) => MOP_CODE[(5,4,0),(3,7,0),(6,2,0),(2,1,0),(7,4,0),(4,7,0),(8,2,0),(1,3,1),(5,5,1),(3,8,1),(6,6,1),(2,3,1),(7,5,1),(4,8,1),(8,6,1)],
(57,387) => MOP_CODE[(5,4,0),(3,7,0),(6,2,0),(2,1,0),(7,4,0),(4,7,0),(8,2,0),(1,4,1),(5,1,1),(3,2,1),(6,7,1),(2,4,1),(7,1,1),(4,2,1),(8,7,1)],
(57,388) => MOP_CODE[(5,4,0),(3,7,0),(6,2,0),(2,1,0),(7,4,0),(4,7,0),(8,2,0),(1,2,1),(5,7,1),(3,4,1),(6,1,1),(2,2,1),(7,7,1),(4,4,1),(8,1,1)],
(57,389) => MOP_CODE[(5,4,0),(3,7,0),(6,2,0),(2,1,0),(7,4,0),(4,7,0),(8,2,0),(1,7,1),(5,2,1),(3,1,1),(6,4,1),(2,7,1),(7,2,1),(4,1,1),(8,4,1)],
(57,390) => MOP_CODE[(5,4,0),(3,7,0),(6,2,0),(2,1,0),(7,4,0),(4,7,0),(8,2,0),(1,6,1),(5,8,1),(3,5,1),(6,3,1),(2,6,1),(7,8,1),(4,5,1),(8,3,1)],
(57,391) => MOP_CODE[(5,4,0),(3,7,0),(6,2,0),(2,1,0),(7,4,0),(4,7,0),(8,2,0),(1,5,1),(5,3,1),(3,6,1),(6,8,1),(2,5,1),(7,3,1),(4,6,1),(8,8,1)],
(57,392) => MOP_CODE[(5,4,0),(3,7,0),(6,2,0),(2,1,0),(7,4,0),(4,7,0),(8,2,0),(1,8,1),(5,6,1),(3,3,1),(6,5,1),(2,8,1),(7,6,1),(4,3,1),(8,5,1)],
(58,393) => MOP_CODE[(5,8,0),(3,8,0),(6,1,0),(2,1,0),(7,8,0),(4,8,0),(8,1,0)],
(58,394) => MOP_CODE[(5,8,0),(3,8,0),(6,1,0),(2,1,0),(7,8,0),(4,8,0),(8,1,0),(1,1,1),(5,8,1),(3,8,1),(6,1,1),(2,1,1),(7,8,1),(4,8,1),(8,1,1)],
(58,395) => MOP_CODE[(5,8,0),(3,8,1),(6,1,1),(2,1,1),(7,8,1),(4,8,0),(8,1,0)],
(58,396) => MOP_CODE[(5,8,1),(3,8,1),(6,1,0),(2,1,1),(7,8,0),(4,8,0),(8,1,1)],
(58,397) => MOP_CODE[(5,8,1),(3,8,1),(6,1,0),(2,1,0),(7,8,1),(4,8,1),(8,1,0)],
(58,398) => MOP_CODE[(5,8,0),(3,8,1),(6,1,1),(2,1,0),(7,8,0),(4,8,1),(8,1,1)],
(58,399) => MOP_CODE[(5,8,0),(3,8,0),(6,1,0),(2,1,1),(7,8,1),(4,8,1),(8,1,1)],
(58,400) => MOP_CODE[(5,8,0),(3,8,0),(6,1,0),(2,1,0),(7,8,0),(4,8,0),(8,1,0),(1,3,1),(5,7,1),(3,7,1),(6,3,1),(2,3,1),(7,7,1),(4,7,1),(8,3,1)],
(58,401) => MOP_CODE[(5,8,0),(3,8,0),(6,1,0),(2,1,0),(7,8,0),(4,8,0),(8,1,0),(1,2,1),(5,5,1),(3,5,1),(6,2,1),(2,2,1),(7,5,1),(4,5,1),(8,2,1)],
(58,402) => MOP_CODE[(5,8,0),(3,8,0),(6,1,0),(2,1,0),(7,8,0),(4,8,0),(8,1,0),(1,6,1),(5,4,1),(3,4,1),(6,6,1),(2,6,1),(7,4,1),(4,4,1),(8,6,1)],
(58,403) => MOP_CODE[(5,8,0),(3,8,0),(6,1,0),(2,1,0),(7,8,0),(4,8,0),(8,1,0),(1,5,1),(5,2,1),(3,2,1),(6,5,1),(2,5,1),(7,2,1),(4,2,1),(8,5,1)],
(58,404) => MOP_CODE[(5,8,0),(3,8,0),(6,1,0),(2,1,0),(7,8,0),(4,8,0),(8,1,0),(1,8,1),(5,1,1),(3,1,1),(6,8,1),(2,8,1),(7,1,1),(4,1,1),(8,8,1)],
(59,405) => MOP_CODE[(5,3,0),(3,4,0),(6,5,0),(2,1,0),(7,3,0),(4,4,0),(8,5,0)],
(59,406) => MOP_CODE[(5,3,0),(3,4,0),(6,5,0),(2,1,0),(7,3,0),(4,4,0),(8,5,0),(1,1,1),(5,3,1),(3,4,1),(6,5,1),(2,1,1),(7,3,1),(4,4,1),(8,5,1)],
(59,407) => MOP_CODE[(5,3,0),(3,4,1),(6,5,1),(2,1,1),(7,3,1),(4,4,0),(8,5,0)],
(59,408) => MOP_CODE[(5,3,1),(3,4,1),(6,5,0),(2,1,1),(7,3,0),(4,4,0),(8,5,1)],
(59,409) => MOP_CODE[(5,3,1),(3,4,1),(6,5,0),(2,1,0),(7,3,1),(4,4,1),(8,5,0)],
(59,410) => MOP_CODE[(5,3,0),(3,4,1),(6,5,1),(2,1,0),(7,3,0),(4,4,1),(8,5,1)],
(59,411) => MOP_CODE[(5,3,0),(3,4,0),(6,5,0),(2,1,1),(7,3,1),(4,4,1),(8,5,1)],
(59,412) => MOP_CODE[(5,3,0),(3,4,0),(6,5,0),(2,1,0),(7,3,0),(4,4,0),(8,5,0),(1,4,1),(5,5,1),(3,1,1),(6,3,1),(2,4,1),(7,5,1),(4,1,1),(8,3,1)],
(59,413) => MOP_CODE[(5,3,0),(3,4,0),(6,5,0),(2,1,0),(7,3,0),(4,4,0),(8,5,0),(1,2,1),(5,6,1),(3,7,1),(6,8,1),(2,2,1),(7,6,1),(4,7,1),(8,8,1)],
(59,414) => MOP_CODE[(5,3,0),(3,4,0),(6,5,0),(2,1,0),(7,3,0),(4,4,0),(8,5,0),(1,6,1),(5,2,1),(3,8,1),(6,7,1),(2,6,1),(7,2,1),(4,8,1),(8,7,1)],
(59,415) => MOP_CODE[(5,3,0),(3,4,0),(6,5,0),(2,1,0),(7,3,0),(4,4,0),(8,5,0),(1,5,1),(5,4,1),(3,3,1),(6,1,1),(2,5,1),(7,4,1),(4,3,1),(8,1,1)],
(59,416) => MOP_CODE[(5,3,0),(3,4,0),(6,5,0),(2,1,0),(7,3,0),(4,4,0),(8,5,0),(1,8,1),(5,7,1),(3,6,1),(6,2,1),(2,8,1),(7,7,1),(4,6,1),(8,2,1)],
(60,417) => MOP_CODE[(5,5,0),(3,2,0),(6,8,0),(2,1,0),(7,5,0),(4,2,0),(8,8,0)],
(60,418) => MOP_CODE[(5,5,0),(3,2,0),(6,8,0),(2,1,0),(7,5,0),(4,2,0),(8,8,0),(1,1,1),(5,5,1),(3,2,1),(6,8,1),(2,1,1),(7,5,1),(4,2,1),(8,8,1)],
(60,419) => MOP_CODE[(5,5,0),(3,2,1),(6,8,1),(2,1,1),(7,5,1),(4,2,0),(8,8,0)],
(60,420) => MOP_CODE[(5,5,1),(3,2,0),(6,8,1),(2,1,1),(7,5,0),(4,2,1),(8,8,0)],
(60,421) => MOP_CODE[(5,5,1),(3,2,1),(6,8,0),(2,1,1),(7,5,0),(4,2,0),(8,8,1)],
(60,422) => MOP_CODE[(5,5,1),(3,2,1),(6,8,0),(2,1,0),(7,5,1),(4,2,1),(8,8,0)],
(60,423) => MOP_CODE[(5,5,0),(3,2,1),(6,8,1),(2,1,0),(7,5,0),(4,2,1),(8,8,1)],
(60,424) => MOP_CODE[(5,5,1),(3,2,0),(6,8,1),(2,1,0),(7,5,1),(4,2,0),(8,8,1)],
(60,425) => MOP_CODE[(5,5,0),(3,2,0),(6,8,0),(2,1,1),(7,5,1),(4,2,1),(8,8,1)],
(60,426) => MOP_CODE[(5,5,0),(3,2,0),(6,8,0),(2,1,0),(7,5,0),(4,2,0),(8,8,0),(1,3,1),(5,4,1),(3,6,1),(6,7,1),(2,3,1),(7,4,1),(4,6,1),(8,7,1)],
(60,427) => MOP_CODE[(5,5,0),(3,2,0),(6,8,0),(2,1,0),(7,5,0),(4,2,0),(8,8,0),(1,4,1),(5,3,1),(3,7,1),(6,6,1),(2,4,1),(7,3,1),(4,7,1),(8,6,1)],
(60,428) => MOP_CODE[(5,5,0),(3,2,0),(6,8,0),(2,1,0),(7,5,0),(4,2,0),(8,8,0),(1,2,1),(5,8,1),(3,1,1),(6,5,1),(2,2,1),(7,8,1),(4,1,1),(8,5,1)],
(60,429) => MOP_CODE[(5,5,0),(3,2,0),(6,8,0),(2,1,0),(7,5,0),(4,2,0),(8,8,0),(1,7,1),(5,6,1),(3,4,1),(6,3,1),(2,7,1),(7,6,1),(4,4,1),(8,3,1)],
(60,430) => MOP_CODE[(5,5,0),(3,2,0),(6,8,0),(2,1,0),(7,5,0),(4,2,0),(8,8,0),(1,6,1),(5,7,1),(3,3,1),(6,4,1),(2,6,1),(7,7,1),(4,3,1),(8,4,1)],
(60,431) => MOP_CODE[(5,5,0),(3,2,0),(6,8,0),(2,1,0),(7,5,0),(4,2,0),(8,8,0),(1,5,1),(5,1,1),(3,8,1),(6,2,1),(2,5,1),(7,1,1),(4,8,1),(8,2,1)],
(60,432) => MOP_CODE[(5,5,0),(3,2,0),(6,8,0),(2,1,0),(7,5,0),(4,2,0),(8,8,0),(1,8,1),(5,2,1),(3,5,1),(6,1,1),(2,8,1),(7,2,1),(4,5,1),(8,1,1)],
(61,433) => MOP_CODE[(5,5,0),(3,7,0),(6,6,0),(2,1,0),(7,5,0),(4,7,0),(8,6,0)],
(61,434) => MOP_CODE[(5,5,0),(3,7,0),(6,6,0),(2,1,0),(7,5,0),(4,7,0),(8,6,0),(1,1,1),(5,5,1),(3,7,1),(6,6,1),(2,1,1),(7,5,1),(4,7,1),(8,6,1)],
(61,435) => MOP_CODE[(5,5,0),(3,7,1),(6,6,1),(2,1,1),(7,5,1),(4,7,0),(8,6,0)],
(61,436) => MOP_CODE[(5,5,1),(3,7,1),(6,6,0),(2,1,0),(7,5,1),(4,7,1),(8,6,0)],
(61,437) => MOP_CODE[(5,5,0),(3,7,0),(6,6,0),(2,1,1),(7,5,1),(4,7,1),(8,6,1)],
(61,438) => MOP_CODE[(5,5,0),(3,7,0),(6,6,0),(2,1,0),(7,5,0),(4,7,0),(8,6,0),(1,3,1),(5,4,1),(3,8,1),(6,2,1),(2,3,1),(7,4,1),(4,8,1),(8,2,1)],
(61,439) => MOP_CODE[(5,5,0),(3,7,0),(6,6,0),(2,1,0),(7,5,0),(4,7,0),(8,6,0),(1,5,1),(5,1,1),(3,6,1),(6,7,1),(2,5,1),(7,1,1),(4,6,1),(8,7,1)],
(61,440) => MOP_CODE[(5,5,0),(3,7,0),(6,6,0),(2,1,0),(7,5,0),(4,7,0),(8,6,0),(1,8,1),(5,2,1),(3,3,1),(6,4,1),(2,8,1),(7,2,1),(4,3,1),(8,4,1)],
(62,441) => MOP_CODE[(5,8,0),(3,4,0),(6,6,0),(2,1,0),(7,8,0),(4,4,0),(8,6,0)],
(62,442) => MOP_CODE[(5,8,0),(3,4,0),(6,6,0),(2,1,0),(7,8,0),(4,4,0),(8,6,0),(1,1,1),(5,8,1),(3,4,1),(6,6,1),(2,1,1),(7,8,1),(4,4,1),(8,6,1)],
(62,443) => MOP_CODE[(5,8,0),(3,4,1),(6,6,1),(2,1,1),(7,8,1),(4,4,0),(8,6,0)],
(62,444) => MOP_CODE[(5,8,1),(3,4,0),(6,6,1),(2,1,1),(7,8,0),(4,4,1),(8,6,0)],
(62,445) => MOP_CODE[(5,8,1),(3,4,1),(6,6,0),(2,1,1),(7,8,0),(4,4,0),(8,6,1)],
(62,446) => MOP_CODE[(5,8,1),(3,4,1),(6,6,0),(2,1,0),(7,8,1),(4,4,1),(8,6,0)],
(62,447) => MOP_CODE[(5,8,0),(3,4,1),(6,6,1),(2,1,0),(7,8,0),(4,4,1),(8,6,1)],
(62,448) => MOP_CODE[(5,8,1),(3,4,0),(6,6,1),(2,1,0),(7,8,1),(4,4,0),(8,6,1)],
(62,449) => MOP_CODE[(5,8,0),(3,4,0),(6,6,0),(2,1,1),(7,8,1),(4,4,1),(8,6,1)],
(62,450) => MOP_CODE[(5,8,0),(3,4,0),(6,6,0),(2,1,0),(7,8,0),(4,4,0),(8,6,0),(1,3,1),(5,7,1),(3,5,1),(6,2,1),(2,3,1),(7,7,1),(4,5,1),(8,2,1)],
(62,451) => MOP_CODE[(5,8,0),(3,4,0),(6,6,0),(2,1,0),(7,8,0),(4,4,0),(8,6,0),(1,4,1),(5,6,1),(3,1,1),(6,8,1),(2,4,1),(7,6,1),(4,1,1),(8,8,1)],
(62,452) => MOP_CODE[(5,8,0),(3,4,0),(6,6,0),(2,1,0),(7,8,0),(4,4,0),(8,6,0),(1,2,1),(5,5,1),(3,7,1),(6,3,1),(2,2,1),(7,5,1),(4,7,1),(8,3,1)],
(62,453) => MOP_CODE[(5,8,0),(3,4,0),(6,6,0),(2,1,0),(7,8,0),(4,4,0),(8,6,0),(1,7,1),(5,3,1),(3,2,1),(6,5,1),(2,7,1),(7,3,1),(4,2,1),(8,5,1)],
(62,454) => MOP_CODE[(5,8,0),(3,4,0),(6,6,0),(2,1,0),(7,8,0),(4,4,0),(8,6,0),(1,6,1),(5,4,1),(3,8,1),(6,1,1),(2,6,1),(7,4,1),(4,8,1),(8,1,1)],
(62,455) => MOP_CODE[(5,8,0),(3,4,0),(6,6,0),(2,1,0),(7,8,0),(4,4,0),(8,6,0),(1,5,1),(5,2,1),(3,3,1),(6,7,1),(2,5,1),(7,2,1),(4,3,1),(8,7,1)],
(62,456) => MOP_CODE[(5,8,0),(3,4,0),(6,6,0),(2,1,0),(7,8,0),(4,4,0),(8,6,0),(1,8,1),(5,1,1),(3,6,1),(6,4,1),(2,8,1),(7,1,1),(4,6,1),(8,4,1)],
(63,457) => MOP_CODE[(5,1,0),(3,2,0),(6,2,0),(2,1,0),(7,1,0),(4,2,0),(8,2,0)],
(63,458) => MOP_CODE[(5,1,0),(3,2,0),(6,2,0),(2,1,0),(7,1,0),(4,2,0),(8,2,0),(1,1,1),(5,1,1),(3,2,1),(6,2,1),(2,1,1),(7,1,1),(4,2,1),(8,2,1)],
(63,459) => MOP_CODE[(5,1,0),(3,2,1),(6,2,1),(2,1,1),(7,1,1),(4,2,0),(8,2,0)],
(63,460) => MOP_CODE[(5,1,1),(3,2,0),(6,2,1),(2,1,1),(7,1,0),(4,2,1),(8,2,0)],
(63,461) => MOP_CODE[(5,1,1),(3,2,1),(6,2,0),(2,1,1),(7,1,0),(4,2,0),(8,2,1)],
(63,462) => MOP_CODE[(5,1,1),(3,2,1),(6,2,0),(2,1,0),(7,1,1),(4,2,1),(8,2,0)],
(63,463) => MOP_CODE[(5,1,0),(3,2,1),(6,2,1),(2,1,0),(7,1,0),(4,2,1),(8,2,1)],
(63,464) => MOP_CODE[(5,1,1),(3,2,0),(6,2,1),(2,1,0),(7,1,1),(4,2,0),(8,2,1)],
(63,465) => MOP_CODE[(5,1,0),(3,2,0),(6,2,0),(2,1,1),(7,1,1),(4,2,1),(8,2,1)],
(63,466) => MOP_CODE[(5,1,0),(3,2,0),(6,2,0),(2,1,0),(7,1,0),(4,2,0),(8,2,0),(1,2,1),(5,2,1),(3,1,1),(6,1,1),(2,2,1),(7,2,1),(4,1,1),(8,1,1)],
(63,467) => MOP_CODE[(5,1,0),(3,2,0),(6,2,0),(2,1,0),(7,1,0),(4,2,0),(8,2,0),(1,3,1),(5,3,1),(3,6,1),(6,6,1),(2,3,1),(7,3,1),(4,6,1),(8,6,1)],
(63,468) => MOP_CODE[(5,1,0),(3,2,0),(6,2,0),(2,1,0),(7,1,0),(4,2,0),(8,2,0),(1,7,1),(5,6,1),(3,3,1),(6,3,1),(2,6,1),(7,6,1),(4,3,1),(8,3,1)],
(64,469) => MOP_CODE[(5,1,0),(3,6,0),(6,6,0),(2,1,0),(7,1,0),(4,6,0),(8,6,0)],
(64,470) => MOP_CODE[(5,1,0),(3,6,0),(6,6,0),(2,1,0),(7,1,0),(4,6,0),(8,6,0),(1,1,1),(5,1,1),(3,6,1),(6,6,1),(2,1,1),(7,1,1),(4,6,1),(8,6,1)],
(64,471) => MOP_CODE[(5,1,0),(3,6,1),(6,6,1),(2,1,1),(7,1,1),(4,6,0),(8,6,0)],
(64,472) => MOP_CODE[(5,1,1),(3,6,0),(6,6,1),(2,1,1),(7,1,0),(4,6,1),(8,6,0)],
(64,473) => MOP_CODE[(5,1,1),(3,6,1),(6,6,0),(2,1,1),(7,1,0),(4,6,0),(8,6,1)],
(64,474) => MOP_CODE[(5,1,1),(3,6,1),(6,6,0),(2,1,0),(7,1,1),(4,6,1),(8,6,0)],
(64,475) => MOP_CODE[(5,1,0),(3,6,1),(6,6,1),(2,1,0),(7,1,0),(4,6,1),(8,6,1)],
(64,476) => MOP_CODE[(5,1,1),(3,6,0),(6,6,1),(2,1,0),(7,1,1),(4,6,0),(8,6,1)],
(64,477) => MOP_CODE[(5,1,0),(3,6,0),(6,6,0),(2,1,1),(7,1,1),(4,6,1),(8,6,1)],
(64,478) => MOP_CODE[(5,1,0),(3,6,0),(6,6,0),(2,1,0),(7,1,0),(4,6,0),(8,6,0),(1,2,1),(5,2,1),(3,3,1),(6,3,1),(2,2,1),(7,2,1),(4,3,1),(8,3,1)],
(64,479) => MOP_CODE[(5,1,0),(3,6,0),(6,6,0),(2,1,0),(7,1,0),(4,6,0),(8,6,0),(1,3,1),(5,3,1),(3,2,1),(6,2,1),(2,3,1),(7,3,1),(4,2,1),(8,2,1)],
(64,480) => MOP_CODE[(5,1,0),(3,6,0),(6,6,0),(2,1,0),(7,1,0),(4,6,0),(8,6,0),(1,7,1),(5,6,1),(3,1,1),(6,1,1),(2,6,1),(7,6,1),(4,1,1),(8,1,1)],
(65,481) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0)],
(65,482) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1),(2,1,1),(7,1,1),(4,1,1),(8,1,1)],
(65,483) => MOP_CODE[(5,1,0),(3,1,1),(6,1,1),(2,1,1),(7,1,1),(4,1,0),(8,1,0)],
(65,484) => MOP_CODE[(5,1,1),(3,1,1),(6,1,0),(2,1,1),(7,1,0),(4,1,0),(8,1,1)],
(65,485) => MOP_CODE[(5,1,1),(3,1,1),(6,1,0),(2,1,0),(7,1,1),(4,1,1),(8,1,0)],
(65,486) => MOP_CODE[(5,1,0),(3,1,1),(6,1,1),(2,1,0),(7,1,0),(4,1,1),(8,1,1)],
(65,487) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,1),(7,1,1),(4,1,1),(8,1,1)],
(65,488) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(1,2,1),(5,2,1),(3,2,1),(6,2,1),(2,2,1),(7,2,1),(4,2,1),(8,2,1)],
(65,489) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(1,3,1),(5,3,1),(3,3,1),(6,3,1),(2,3,1),(7,3,1),(4,3,1),(8,3,1)],
(65,490) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(1,7,1),(5,6,1),(3,6,1),(6,6,1),(2,6,1),(7,6,1),(4,6,1),(8,6,1)],
(66,491) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,0),(7,2,0),(4,2,0),(8,1,0)],
(66,492) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,0),(7,2,0),(4,2,0),(8,1,0),(1,1,1),(5,2,1),(3,2,1),(6,1,1),(2,1,1),(7,2,1),(4,2,1),(8,1,1)],
(66,493) => MOP_CODE[(5,2,0),(3,2,1),(6,1,1),(2,1,1),(7,2,1),(4,2,0),(8,1,0)],
(66,494) => MOP_CODE[(5,2,1),(3,2,1),(6,1,0),(2,1,1),(7,2,0),(4,2,0),(8,1,1)],
(66,495) => MOP_CODE[(5,2,1),(3,2,1),(6,1,0),(2,1,0),(7,2,1),(4,2,1),(8,1,0)],
(66,496) => MOP_CODE[(5,2,0),(3,2,1),(6,1,1),(2,1,0),(7,2,0),(4,2,1),(8,1,1)],
(66,497) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,1),(7,2,1),(4,2,1),(8,1,1)],
(66,498) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,0),(7,2,0),(4,2,0),(8,1,0),(1,2,1),(5,1,1),(3,1,1),(6,2,1),(2,2,1),(7,1,1),(4,1,1),(8,2,1)],
(66,499) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,0),(7,2,0),(4,2,0),(8,1,0),(1,3,1),(5,6,1),(3,6,1),(6,3,1),(2,3,1),(7,6,1),(4,6,1),(8,3,1)],
(66,500) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,0),(7,2,0),(4,2,0),(8,1,0),(1,7,1),(5,3,1),(3,3,1),(6,6,1),(2,6,1),(7,3,1),(4,3,1),(8,6,1)],
(67,501) => MOP_CODE[(5,1,0),(3,3,0),(6,3,0),(2,1,0),(7,1,0),(4,3,0),(8,3,0)],
(67,502) => MOP_CODE[(5,1,0),(3,3,0),(6,3,0),(2,1,0),(7,1,0),(4,3,0),(8,3,0),(1,1,1),(5,1,1),(3,3,1),(6,3,1),(2,1,1),(7,1,1),(4,3,1),(8,3,1)],
(67,503) => MOP_CODE[(5,1,0),(3,3,1),(6,3,1),(2,1,1),(7,1,1),(4,3,0),(8,3,0)],
(67,504) => MOP_CODE[(5,1,1),(3,3,1),(6,3,0),(2,1,1),(7,1,0),(4,3,0),(8,3,1)],
(67,505) => MOP_CODE[(5,1,1),(3,3,1),(6,3,0),(2,1,0),(7,1,1),(4,3,1),(8,3,0)],
(67,506) => MOP_CODE[(5,1,0),(3,3,1),(6,3,1),(2,1,0),(7,1,0),(4,3,1),(8,3,1)],
(67,507) => MOP_CODE[(5,1,0),(3,3,0),(6,3,0),(2,1,1),(7,1,1),(4,3,1),(8,3,1)],
(67,508) => MOP_CODE[(5,1,0),(3,3,0),(6,3,0),(2,1,0),(7,1,0),(4,3,0),(8,3,0),(1,2,1),(5,2,1),(3,6,1),(6,6,1),(2,2,1),(7,2,1),(4,6,1),(8,6,1)],
(67,509) => MOP_CODE[(5,1,0),(3,3,0),(6,3,0),(2,1,0),(7,1,0),(4,3,0),(8,3,0),(1,3,1),(5,3,1),(3,1,1),(6,1,1),(2,3,1),(7,3,1),(4,1,1),(8,1,1)],
(67,510) => MOP_CODE[(5,1,0),(3,3,0),(6,3,0),(2,1,0),(7,1,0),(4,3,0),(8,3,0),(1,7,1),(5,6,1),(3,2,1),(6,2,1),(2,6,1),(7,6,1),(4,2,1),(8,2,1)],
(68,511) => MOP_CODE[(5,7,0),(3,2,0),(6,4,0),(2,5,0),(7,6,0),(4,8,0),(8,3,0)],
(68,512) => MOP_CODE[(5,7,0),(3,2,0),(6,4,0),(2,5,0),(7,6,0),(4,8,0),(8,3,0),(1,1,1),(5,7,1),(3,2,1),(6,4,1),(2,5,1),(7,6,1),(4,8,1),(8,3,1)],
(68,513) => MOP_CODE[(5,7,0),(3,2,1),(6,4,1),(2,5,1),(7,6,1),(4,8,0),(8,3,0)],
(68,514) => MOP_CODE[(5,7,1),(3,2,1),(6,4,0),(2,5,1),(7,6,0),(4,8,0),(8,3,1)],
(68,515) => MOP_CODE[(5,7,1),(3,2,1),(6,4,0),(2,5,0),(7,6,1),(4,8,1),(8,3,0)],
(68,516) => MOP_CODE[(5,7,0),(3,2,1),(6,4,1),(2,5,0),(7,6,0),(4,8,1),(8,3,1)],
(68,517) => MOP_CODE[(5,7,0),(3,2,0),(6,4,0),(2,5,1),(7,6,1),(4,8,1),(8,3,1)],
(68,518) => MOP_CODE[(5,7,0),(3,2,0),(6,4,0),(2,5,0),(7,6,0),(4,8,0),(8,3,0),(1,2,1),(5,4,1),(3,1,1),(6,7,1),(2,8,1),(7,3,1),(4,5,1),(8,6,1)],
(68,519) => MOP_CODE[(5,7,0),(3,2,0),(6,4,0),(2,5,0),(7,6,0),(4,8,0),(8,3,0),(1,3,1),(5,8,1),(3,6,1),(6,5,1),(2,4,1),(7,2,1),(4,7,1),(8,1,1)],
(68,520) => MOP_CODE[(5,7,0),(3,2,0),(6,4,0),(2,5,0),(7,6,0),(4,8,0),(8,3,0),(1,7,1),(5,5,1),(3,3,1),(6,8,1),(2,7,1),(7,1,1),(4,4,1),(8,2,1)],
(69,521) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0)],
(69,522) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1),(2,1,1),(7,1,1),(4,1,1),(8,1,1)],
(69,523) => MOP_CODE[(5,1,0),(3,1,1),(6,1,1),(2,1,1),(7,1,1),(4,1,0),(8,1,0)],
(69,524) => MOP_CODE[(5,1,1),(3,1,1),(6,1,0),(2,1,0),(7,1,1),(4,1,1),(8,1,0)],
(69,525) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,1),(7,1,1),(4,1,1),(8,1,1)],
(69,526) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(1,2,1),(5,8,1),(3,8,1),(6,8,1),(2,8,1),(7,8,1),(4,8,1),(8,8,1)],
(70,527) => MOP_CODE[(5,11,0),(3,12,0),(6,13,0),(2,1,0),(7,14,0),(4,15,0),(8,16,0)],
(70,528) => MOP_CODE[(5,11,0),(3,12,0),(6,13,0),(2,1,0),(7,14,0),(4,15,0),(8,16,0),(1,1,1),(5,11,1),(3,12,1),(6,13,1),(2,1,1),(7,14,1),(4,15,1),(8,16,1)],
(70,529) => MOP_CODE[(5,11,0),(3,12,1),(6,13,1),(2,1,1),(7,14,1),(4,15,0),(8,16,0)],
(70,530) => MOP_CODE[(5,11,1),(3,12,1),(6,13,0),(2,1,0),(7,14,1),(4,15,1),(8,16,0)],
(70,531) => MOP_CODE[(5,11,0),(3,12,0),(6,13,0),(2,1,1),(7,14,1),(4,15,1),(8,16,1)],
(70,532) => MOP_CODE[(5,11,0),(3,12,0),(6,13,0),(2,1,0),(7,14,0),(4,15,0),(8,16,0),(1,2,1),(5,17,1),(3,18,1),(6,19,1),(2,8,1),(7,20,1),(4,21,1),(8,22,1)],
(71,533) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0)],
(71,534) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1),(2,1,1),(7,1,1),(4,1,1),(8,1,1)],
(71,535) => MOP_CODE[(5,1,0),(3,1,1),(6,1,1),(2,1,1),(7,1,1),(4,1,0),(8,1,0)],
(71,536) => MOP_CODE[(5,1,1),(3,1,1),(6,1,0),(2,1,0),(7,1,1),(4,1,1),(8,1,0)],
(71,537) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,1),(7,1,1),(4,1,1),(8,1,1)],
(71,538) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(1,2,1),(5,2,1),(3,2,1),(6,2,1),(2,2,1),(7,2,1),(4,2,1),(8,2,1)],
(72,539) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,0),(7,2,0),(4,2,0),(8,1,0)],
(72,540) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,0),(7,2,0),(4,2,0),(8,1,0),(1,1,1),(5,2,1),(3,2,1),(6,1,1),(2,1,1),(7,2,1),(4,2,1),(8,1,1)],
(72,541) => MOP_CODE[(5,2,0),(3,2,1),(6,1,1),(2,1,1),(7,2,1),(4,2,0),(8,1,0)],
(72,542) => MOP_CODE[(5,2,1),(3,2,1),(6,1,0),(2,1,1),(7,2,0),(4,2,0),(8,1,1)],
(72,543) => MOP_CODE[(5,2,1),(3,2,1),(6,1,0),(2,1,0),(7,2,1),(4,2,1),(8,1,0)],
(72,544) => MOP_CODE[(5,2,0),(3,2,1),(6,1,1),(2,1,0),(7,2,0),(4,2,1),(8,1,1)],
(72,545) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,1),(7,2,1),(4,2,1),(8,1,1)],
(72,546) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,0),(7,2,0),(4,2,0),(8,1,0),(1,2,1),(5,1,1),(3,1,1),(6,2,1),(2,2,1),(7,1,1),(4,1,1),(8,2,1)],
(72,547) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(2,1,0),(7,2,0),(4,2,0),(8,1,0),(1,4,1),(5,3,1),(3,3,1),(6,4,1),(2,4,1),(7,3,1),(4,3,1),(8,4,1)],
(73,548) => MOP_CODE[(5,2,0),(3,3,0),(6,4,0),(2,1,0),(7,2,0),(4,3,0),(8,4,0)],
(73,549) => MOP_CODE[(5,2,0),(3,3,0),(6,4,0),(2,1,0),(7,2,0),(4,3,0),(8,4,0),(1,1,1),(5,2,1),(3,3,1),(6,4,1),(2,1,1),(7,2,1),(4,3,1),(8,4,1)],
(73,550) => MOP_CODE[(5,2,0),(3,3,1),(6,4,1),(2,1,1),(7,2,1),(4,3,0),(8,4,0)],
(73,551) => MOP_CODE[(5,2,1),(3,3,1),(6,4,0),(2,1,0),(7,2,1),(4,3,1),(8,4,0)],
(73,552) => MOP_CODE[(5,2,0),(3,3,0),(6,4,0),(2,1,1),(7,2,1),(4,3,1),(8,4,1)],
(73,553) => MOP_CODE[(5,2,0),(3,3,0),(6,4,0),(2,1,0),(7,2,0),(4,3,0),(8,4,0),(1,2,1),(5,1,1),(3,4,1),(6,3,1),(2,2,1),(7,1,1),(4,4,1),(8,3,1)],
(74,554) => MOP_CODE[(5,1,0),(3,4,0),(6,4,0),(2,1,0),(7,1,0),(4,4,0),(8,4,0)],
(74,555) => MOP_CODE[(5,1,0),(3,4,0),(6,4,0),(2,1,0),(7,1,0),(4,4,0),(8,4,0),(1,1,1),(5,1,1),(3,4,1),(6,4,1),(2,1,1),(7,1,1),(4,4,1),(8,4,1)],
(74,556) => MOP_CODE[(5,1,0),(3,4,1),(6,4,1),(2,1,1),(7,1,1),(4,4,0),(8,4,0)],
(74,557) => MOP_CODE[(5,1,1),(3,4,1),(6,4,0),(2,1,1),(7,1,0),(4,4,0),(8,4,1)],
(74,558) => MOP_CODE[(5,1,1),(3,4,1),(6,4,0),(2,1,0),(7,1,1),(4,4,1),(8,4,0)],
(74,559) => MOP_CODE[(5,1,0),(3,4,1),(6,4,1),(2,1,0),(7,1,0),(4,4,1),(8,4,1)],
(74,560) => MOP_CODE[(5,1,0),(3,4,0),(6,4,0),(2,1,1),(7,1,1),(4,4,1),(8,4,1)],
(74,561) => MOP_CODE[(5,1,0),(3,4,0),(6,4,0),(2,1,0),(7,1,0),(4,4,0),(8,4,0),(1,2,1),(5,2,1),(3,3,1),(6,3,1),(2,2,1),(7,2,1),(4,3,1),(8,3,1)],
(74,562) => MOP_CODE[(5,1,0),(3,4,0),(6,4,0),(2,1,0),(7,1,0),(4,4,0),(8,4,0),(1,4,1),(5,4,1),(3,1,1),(6,1,1),(2,4,1),(7,4,1),(4,1,1),(8,1,1)],
(75,1) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0)],
(75,2) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(1,1,1),(9,1,1),(10,1,1),(6,1,1)],
(75,3) => MOP_CODE[(9,1,1),(10,1,1),(6,1,0)],
(75,4) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(1,2,1),(9,2,1),(10,2,1),(6,2,1)],
(75,5) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(1,5,1),(9,5,1),(10,5,1),(6,5,1)],
(75,6) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(1,8,1),(9,8,1),(10,8,1),(6,8,1)],
(76,7) => MOP_CODE[(9,23,0),(10,24,0),(6,2,0)],
(76,8) => MOP_CODE[(9,23,0),(10,24,0),(6,2,0),(1,1,1),(9,23,1),(10,24,1),(6,2,1)],
(76,9) => MOP_CODE[(9,23,1),(10,24,1),(6,2,0)],
(76,10) => MOP_CODE[(9,23,0),(10,24,0),(6,2,0),(1,2,1),(9,24,1),(10,23,1),(6,1,1)],
(76,11) => MOP_CODE[(9,23,0),(10,24,0),(6,2,0),(1,5,1),(9,25,1),(10,26,1),(6,8,1)],
(76,12) => MOP_CODE[(9,23,0),(10,24,0),(6,2,0),(1,8,1),(9,26,1),(10,25,1),(6,5,1)],
(77,13) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0)],
(77,14) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(1,1,1),(9,2,1),(10,2,1),(6,1,1)],
(77,15) => MOP_CODE[(9,2,1),(10,2,1),(6,1,0)],
(77,16) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(1,2,1),(9,1,1),(10,1,1),(6,2,1)],
(77,17) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(1,5,1),(9,8,1),(10,8,1),(6,5,1)],
(77,18) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(1,8,1),(9,5,1),(10,5,1),(6,8,1)],
(78,19) => MOP_CODE[(9,24,0),(10,23,0),(6,2,0)],
(78,20) => MOP_CODE[(9,24,0),(10,23,0),(6,2,0),(1,1,1),(9,24,1),(10,23,1),(6,2,1)],
(78,21) => MOP_CODE[(9,24,1),(10,23,1),(6,2,0)],
(78,22) => MOP_CODE[(9,24,0),(10,23,0),(6,2,0),(1,2,1),(9,23,1),(10,24,1),(6,1,1)],
(78,23) => MOP_CODE[(9,24,0),(10,23,0),(6,2,0),(1,5,1),(9,26,1),(10,25,1),(6,8,1)],
(78,24) => MOP_CODE[(9,24,0),(10,23,0),(6,2,0),(1,8,1),(9,25,1),(10,26,1),(6,5,1)],
(79,25) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0)],
(79,26) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(1,1,1),(9,1,1),(10,1,1),(6,1,1)],
(79,27) => MOP_CODE[(9,1,1),(10,1,1),(6,1,0)],
(79,28) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(1,2,1),(9,2,1),(10,2,1),(6,2,1)],
(80,29) => MOP_CODE[(9,27,0),(10,27,0),(6,1,0)],
(80,30) => MOP_CODE[(9,27,0),(10,27,0),(6,1,0),(1,1,1),(9,27,1),(10,27,1),(6,1,1)],
(80,31) => MOP_CODE[(9,27,1),(10,27,1),(6,1,0)],
(80,32) => MOP_CODE[(9,27,0),(10,27,0),(6,1,0),(1,2,1),(9,28,1),(10,28,1),(6,2,1)],
(81,33) => MOP_CODE[(6,1,0),(11,1,0),(12,1,0)],
(81,34) => MOP_CODE[(6,1,0),(11,1,0),(12,1,0),(1,1,1),(6,1,1),(11,1,1),(12,1,1)],
(81,35) => MOP_CODE[(6,1,0),(11,1,1),(12,1,1)],
(81,36) => MOP_CODE[(6,1,0),(11,1,0),(12,1,0),(1,2,1),(6,2,1),(11,2,1),(12,2,1)],
(81,37) => MOP_CODE[(6,1,0),(11,1,0),(12,1,0),(1,5,1),(6,5,1),(11,5,1),(12,5,1)],
(81,38) => MOP_CODE[(6,1,0),(11,1,0),(12,1,0),(1,8,1),(6,8,1),(11,8,1),(12,8,1)],
(82,39) => MOP_CODE[(6,1,0),(11,1,0),(12,1,0)],
(82,40) => MOP_CODE[(6,1,0),(11,1,0),(12,1,0),(1,1,1),(6,1,1),(11,1,1),(12,1,1)],
(82,41) => MOP_CODE[(6,1,0),(11,1,1),(12,1,1)],
(82,42) => MOP_CODE[(6,1,0),(11,1,0),(12,1,0),(1,2,1),(6,2,1),(11,2,1),(12,2,1)],
(83,43) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(2,1,0),(11,1,0),(12,1,0),(8,1,0)],
(83,44) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(2,1,0),(11,1,0),(12,1,0),(8,1,0),(1,1,1),(9,1,1),(10,1,1),(6,1,1),(2,1,1),(11,1,1),(12,1,1),(8,1,1)],
(83,45) => MOP_CODE[(9,1,1),(10,1,1),(6,1,0),(2,1,0),(11,1,1),(12,1,1),(8,1,0)],
(83,46) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(2,1,1),(11,1,1),(12,1,1),(8,1,1)],
(83,47) => MOP_CODE[(9,1,1),(10,1,1),(6,1,0),(2,1,1),(11,1,0),(12,1,0),(8,1,1)],
(83,48) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(2,1,0),(11,1,0),(12,1,0),(8,1,0),(1,2,1),(9,2,1),(10,2,1),(6,2,1),(2,2,1),(11,2,1),(12,2,1),(8,2,1)],
(83,49) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(2,1,0),(11,1,0),(12,1,0),(8,1,0),(1,5,1),(9,5,1),(10,5,1),(6,5,1),(2,5,1),(11,5,1),(12,5,1),(8,5,1)],
(83,50) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(2,1,0),(11,1,0),(12,1,0),(8,1,0),(1,8,1),(9,8,1),(10,8,1),(6,8,1),(2,8,1),(11,8,1),(12,8,1),(8,8,1)],
(84,51) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(2,1,0),(11,2,0),(12,2,0),(8,1,0)],
(84,52) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(2,1,0),(11,2,0),(12,2,0),(8,1,0),(1,1,1),(9,2,1),(10,2,1),(6,1,1),(2,1,1),(11,2,1),(12,2,1),(8,1,1)],
(84,53) => MOP_CODE[(9,2,1),(10,2,1),(6,1,0),(2,1,0),(11,2,1),(12,2,1),(8,1,0)],
(84,54) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(2,1,1),(11,2,1),(12,2,1),(8,1,1)],
(84,55) => MOP_CODE[(9,2,1),(10,2,1),(6,1,0),(2,1,1),(11,2,0),(12,2,0),(8,1,1)],
(84,56) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(2,1,0),(11,2,0),(12,2,0),(8,1,0),(1,2,1),(9,1,1),(10,1,1),(6,2,1),(2,2,1),(11,1,1),(12,1,1),(8,2,1)],
(84,57) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(2,1,0),(11,2,0),(12,2,0),(8,1,0),(1,5,1),(9,8,1),(10,8,1),(6,5,1),(2,5,1),(11,8,1),(12,8,1),(8,5,1)],
(84,58) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(2,1,0),(11,2,0),(12,2,0),(8,1,0),(1,8,1),(9,5,1),(10,5,1),(6,8,1),(2,8,1),(11,5,1),(12,5,1),(8,8,1)],
(85,59) => MOP_CODE[(9,3,0),(10,4,0),(6,5,0),(2,1,0),(11,3,0),(12,4,0),(8,5,0)],
(85,60) => MOP_CODE[(9,3,0),(10,4,0),(6,5,0),(2,1,0),(11,3,0),(12,4,0),(8,5,0),(1,1,1),(9,3,1),(10,4,1),(6,5,1),(2,1,1),(11,3,1),(12,4,1),(8,5,1)],
(85,61) => MOP_CODE[(9,3,1),(10,4,1),(6,5,0),(2,1,0),(11,3,1),(12,4,1),(8,5,0)],
(85,62) => MOP_CODE[(9,3,0),(10,4,0),(6,5,0),(2,1,1),(11,3,1),(12,4,1),(8,5,1)],
(85,63) => MOP_CODE[(9,3,1),(10,4,1),(6,5,0),(2,1,1),(11,3,0),(12,4,0),(8,5,1)],
(85,64) => MOP_CODE[(9,3,0),(10,4,0),(6,5,0),(2,1,0),(11,3,0),(12,4,0),(8,5,0),(1,2,1),(9,6,1),(10,7,1),(6,8,1),(2,2,1),(11,6,1),(12,7,1),(8,8,1)],
(85,65) => MOP_CODE[(9,3,0),(10,4,0),(6,5,0),(2,1,0),(11,3,0),(12,4,0),(8,5,0),(1,5,1),(9,4,1),(10,3,1),(6,1,1),(2,5,1),(11,4,1),(12,3,1),(8,1,1)],
(85,66) => MOP_CODE[(9,3,0),(10,4,0),(6,5,0),(2,1,0),(11,3,0),(12,4,0),(8,5,0),(1,8,1),(9,7,1),(10,6,1),(6,2,1),(2,8,1),(11,7,1),(12,6,1),(8,2,1)],
(86,67) => MOP_CODE[(9,7,0),(10,6,0),(6,5,0),(2,1,0),(11,7,0),(12,6,0),(8,5,0)],
(86,68) => MOP_CODE[(9,7,0),(10,6,0),(6,5,0),(2,1,0),(11,7,0),(12,6,0),(8,5,0),(1,1,1),(9,7,1),(10,6,1),(6,5,1),(2,1,1),(11,7,1),(12,6,1),(8,5,1)],
(86,69) => MOP_CODE[(9,7,1),(10,6,1),(6,5,0),(2,1,0),(11,7,1),(12,6,1),(8,5,0)],
(86,70) => MOP_CODE[(9,7,0),(10,6,0),(6,5,0),(2,1,1),(11,7,1),(12,6,1),(8,5,1)],
(86,71) => MOP_CODE[(9,7,1),(10,6,1),(6,5,0),(2,1,1),(11,7,0),(12,6,0),(8,5,1)],
(86,72) => MOP_CODE[(9,7,0),(10,6,0),(6,5,0),(2,1,0),(11,7,0),(12,6,0),(8,5,0),(1,2,1),(9,4,1),(10,3,1),(6,8,1),(2,2,1),(11,4,1),(12,3,1),(8,8,1)],
(86,73) => MOP_CODE[(9,7,0),(10,6,0),(6,5,0),(2,1,0),(11,7,0),(12,6,0),(8,5,0),(1,5,1),(9,6,1),(10,7,1),(6,1,1),(2,5,1),(11,6,1),(12,7,1),(8,1,1)],
(86,74) => MOP_CODE[(9,7,0),(10,6,0),(6,5,0),(2,1,0),(11,7,0),(12,6,0),(8,5,0),(1,8,1),(9,3,1),(10,4,1),(6,2,1),(2,8,1),(11,3,1),(12,4,1),(8,2,1)],
(87,75) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(2,1,0),(11,1,0),(12,1,0),(8,1,0)],
(87,76) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(2,1,0),(11,1,0),(12,1,0),(8,1,0),(1,1,1),(9,1,1),(10,1,1),(6,1,1),(2,1,1),(11,1,1),(12,1,1),(8,1,1)],
(87,77) => MOP_CODE[(9,1,1),(10,1,1),(6,1,0),(2,1,0),(11,1,1),(12,1,1),(8,1,0)],
(87,78) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(2,1,1),(11,1,1),(12,1,1),(8,1,1)],
(87,79) => MOP_CODE[(9,1,1),(10,1,1),(6,1,0),(2,1,1),(11,1,0),(12,1,0),(8,1,1)],
(87,80) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(2,1,0),(11,1,0),(12,1,0),(8,1,0),(1,2,1),(9,2,1),(10,2,1),(6,2,1),(2,2,1),(11,2,1),(12,2,1),(8,2,1)],
(88,81) => MOP_CODE[(9,29,0),(10,9,0),(6,4,0),(2,1,0),(11,30,0),(12,10,0),(8,4,0)],
(88,82) => MOP_CODE[(9,29,0),(10,9,0),(6,4,0),(2,1,0),(11,30,0),(12,10,0),(8,4,0),(1,1,1),(9,29,1),(10,9,1),(6,4,1),(2,1,1),(11,30,1),(12,10,1),(8,4,1)],
(88,83) => MOP_CODE[(9,29,1),(10,9,1),(6,4,0),(2,1,0),(11,30,1),(12,10,1),(8,4,0)],
(88,84) => MOP_CODE[(9,29,0),(10,9,0),(6,4,0),(2,1,1),(11,30,1),(12,10,1),(8,4,1)],
(88,85) => MOP_CODE[(9,29,1),(10,9,1),(6,4,0),(2,1,1),(11,30,0),(12,10,0),(8,4,1)],
(88,86) => MOP_CODE[(9,29,0),(10,9,0),(6,4,0),(2,1,0),(11,30,0),(12,10,0),(8,4,0),(1,2,1),(9,31,1),(10,32,1),(6,7,1),(2,5,1),(11,31,1),(12,32,1),(8,3,1)],
(89,87) => MOP_CODE[(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0)],
(89,88) => MOP_CODE[(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(1,1,1),(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,1,1),(13,1,1),(14,1,1)],
(89,89) => MOP_CODE[(9,1,1),(10,1,1),(5,1,0),(3,1,0),(6,1,0),(13,1,1),(14,1,1)],
(89,90) => MOP_CODE[(9,1,0),(10,1,0),(5,1,1),(3,1,1),(6,1,0),(13,1,1),(14,1,1)],
(89,91) => MOP_CODE[(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,1,0),(13,1,0),(14,1,0)],
(89,92) => MOP_CODE[(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(1,2,1),(9,2,1),(10,2,1),(5,2,1),(3,2,1),(6,2,1),(13,2,1),(14,2,1)],
(89,93) => MOP_CODE[(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(1,5,1),(9,5,1),(10,5,1),(5,5,1),(3,5,1),(6,5,1),(13,5,1),(14,5,1)],
(89,94) => MOP_CODE[(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(1,8,1),(9,8,1),(10,8,1),(5,8,1),(3,8,1),(6,8,1),(13,8,1),(14,8,1)],
(90,95) => MOP_CODE[(9,5,0),(10,5,0),(5,5,0),(3,5,0),(6,1,0),(13,1,0),(14,1,0)],
(90,96) => MOP_CODE[(9,5,0),(10,5,0),(5,5,0),(3,5,0),(6,1,0),(13,1,0),(14,1,0),(1,1,1),(9,5,1),(10,5,1),(5,5,1),(3,5,1),(6,1,1),(13,1,1),(14,1,1)],
(90,97) => MOP_CODE[(9,5,1),(10,5,1),(5,5,0),(3,5,0),(6,1,0),(13,1,1),(14,1,1)],
(90,98) => MOP_CODE[(9,5,0),(10,5,0),(5,5,1),(3,5,1),(6,1,0),(13,1,1),(14,1,1)],
(90,99) => MOP_CODE[(9,5,1),(10,5,1),(5,5,1),(3,5,1),(6,1,0),(13,1,0),(14,1,0)],
(90,100) => MOP_CODE[(9,5,0),(10,5,0),(5,5,0),(3,5,0),(6,1,0),(13,1,0),(14,1,0),(1,2,1),(9,8,1),(10,8,1),(5,8,1),(3,8,1),(6,2,1),(13,2,1),(14,2,1)],
(90,101) => MOP_CODE[(9,5,0),(10,5,0),(5,5,0),(3,5,0),(6,1,0),(13,1,0),(14,1,0),(1,5,1),(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,5,1),(13,5,1),(14,5,1)],
(90,102) => MOP_CODE[(9,5,0),(10,5,0),(5,5,0),(3,5,0),(6,1,0),(13,1,0),(14,1,0),(1,8,1),(9,2,1),(10,2,1),(5,2,1),(3,2,1),(6,8,1),(13,8,1),(14,8,1)],
(91,103) => MOP_CODE[(9,23,0),(10,24,0),(5,2,0),(3,1,0),(6,2,0),(13,24,0),(14,23,0)],
(91,104) => MOP_CODE[(9,23,0),(10,24,0),(5,2,0),(3,1,0),(6,2,0),(13,24,0),(14,23,0),(1,1,1),(9,23,1),(10,24,1),(5,2,1),(3,1,1),(6,2,1),(13,24,1),(14,23,1)],
(91,105) => MOP_CODE[(9,23,1),(10,24,1),(5,2,0),(3,1,0),(6,2,0),(13,24,1),(14,23,1)],
(91,106) => MOP_CODE[(9,23,0),(10,24,0),(5,2,1),(3,1,1),(6,2,0),(13,24,1),(14,23,1)],
(91,107) => MOP_CODE[(9,23,1),(10,24,1),(5,2,1),(3,1,1),(6,2,0),(13,24,0),(14,23,0)],
(91,108) => MOP_CODE[(9,23,0),(10,24,0),(5,2,0),(3,1,0),(6,2,0),(13,24,0),(14,23,0),(1,2,1),(9,24,1),(10,23,1),(5,1,1),(3,2,1),(6,1,1),(13,23,1),(14,24,1)],
(91,109) => MOP_CODE[(9,23,0),(10,24,0),(5,2,0),(3,1,0),(6,2,0),(13,24,0),(14,23,0),(1,5,1),(9,25,1),(10,26,1),(5,8,1),(3,5,1),(6,8,1),(13,26,1),(14,25,1)],
(91,110) => MOP_CODE[(9,23,0),(10,24,0),(5,2,0),(3,1,0),(6,2,0),(13,24,0),(14,23,0),(1,8,1),(9,26,1),(10,25,1),(5,5,1),(3,8,1),(6,5,1),(13,25,1),(14,26,1)],
(92,111) => MOP_CODE[(9,25,0),(10,26,0),(5,26,0),(3,25,0),(6,2,0),(13,1,0),(14,2,0)],
(92,112) => MOP_CODE[(9,25,0),(10,26,0),(5,26,0),(3,25,0),(6,2,0),(13,1,0),(14,2,0),(1,1,1),(9,25,1),(10,26,1),(5,26,1),(3,25,1),(6,2,1),(13,1,1),(14,2,1)],
(92,113) => MOP_CODE[(9,25,1),(10,26,1),(5,26,0),(3,25,0),(6,2,0),(13,1,1),(14,2,1)],
(92,114) => MOP_CODE[(9,25,0),(10,26,0),(5,26,1),(3,25,1),(6,2,0),(13,1,1),(14,2,1)],
(92,115) => MOP_CODE[(9,25,1),(10,26,1),(5,26,1),(3,25,1),(6,2,0),(13,1,0),(14,2,0)],
(92,116) => MOP_CODE[(9,25,0),(10,26,0),(5,26,0),(3,25,0),(6,2,0),(13,1,0),(14,2,0),(1,2,1),(9,26,1),(10,25,1),(5,25,1),(3,26,1),(6,1,1),(13,2,1),(14,1,1)],
(92,117) => MOP_CODE[(9,25,0),(10,26,0),(5,26,0),(3,25,0),(6,2,0),(13,1,0),(14,2,0),(1,5,1),(9,23,1),(10,24,1),(5,24,1),(3,23,1),(6,8,1),(13,5,1),(14,8,1)],
(92,118) => MOP_CODE[(9,25,0),(10,26,0),(5,26,0),(3,25,0),(6,2,0),(13,1,0),(14,2,0),(1,8,1),(9,24,1),(10,23,1),(5,23,1),(3,24,1),(6,5,1),(13,8,1),(14,5,1)],
(93,119) => MOP_CODE[(9,2,0),(10,2,0),(5,1,0),(3,1,0),(6,1,0),(13,2,0),(14,2,0)],
(93,120) => MOP_CODE[(9,2,0),(10,2,0),(5,1,0),(3,1,0),(6,1,0),(13,2,0),(14,2,0),(1,1,1),(9,2,1),(10,2,1),(5,1,1),(3,1,1),(6,1,1),(13,2,1),(14,2,1)],
(93,121) => MOP_CODE[(9,2,1),(10,2,1),(5,1,0),(3,1,0),(6,1,0),(13,2,1),(14,2,1)],
(93,122) => MOP_CODE[(9,2,0),(10,2,0),(5,1,1),(3,1,1),(6,1,0),(13,2,1),(14,2,1)],
(93,123) => MOP_CODE[(9,2,1),(10,2,1),(5,1,1),(3,1,1),(6,1,0),(13,2,0),(14,2,0)],
(93,124) => MOP_CODE[(9,2,0),(10,2,0),(5,1,0),(3,1,0),(6,1,0),(13,2,0),(14,2,0),(1,2,1),(9,1,1),(10,1,1),(5,2,1),(3,2,1),(6,2,1),(13,1,1),(14,1,1)],
(93,125) => MOP_CODE[(9,2,0),(10,2,0),(5,1,0),(3,1,0),(6,1,0),(13,2,0),(14,2,0),(1,5,1),(9,8,1),(10,8,1),(5,5,1),(3,5,1),(6,5,1),(13,8,1),(14,8,1)],
(93,126) => MOP_CODE[(9,2,0),(10,2,0),(5,1,0),(3,1,0),(6,1,0),(13,2,0),(14,2,0),(1,8,1),(9,5,1),(10,5,1),(5,8,1),(3,8,1),(6,8,1),(13,5,1),(14,5,1)],
(94,127) => MOP_CODE[(9,8,0),(10,8,0),(5,8,0),(3,8,0),(6,1,0),(13,1,0),(14,1,0)],
(94,128) => MOP_CODE[(9,8,0),(10,8,0),(5,8,0),(3,8,0),(6,1,0),(13,1,0),(14,1,0),(1,1,1),(9,8,1),(10,8,1),(5,8,1),(3,8,1),(6,1,1),(13,1,1),(14,1,1)],
(94,129) => MOP_CODE[(9,8,1),(10,8,1),(5,8,0),(3,8,0),(6,1,0),(13,1,1),(14,1,1)],
(94,130) => MOP_CODE[(9,8,0),(10,8,0),(5,8,1),(3,8,1),(6,1,0),(13,1,1),(14,1,1)],
(94,131) => MOP_CODE[(9,8,1),(10,8,1),(5,8,1),(3,8,1),(6,1,0),(13,1,0),(14,1,0)],
(94,132) => MOP_CODE[(9,8,0),(10,8,0),(5,8,0),(3,8,0),(6,1,0),(13,1,0),(14,1,0),(1,2,1),(9,5,1),(10,5,1),(5,5,1),(3,5,1),(6,2,1),(13,2,1),(14,2,1)],
(94,133) => MOP_CODE[(9,8,0),(10,8,0),(5,8,0),(3,8,0),(6,1,0),(13,1,0),(14,1,0),(1,5,1),(9,2,1),(10,2,1),(5,2,1),(3,2,1),(6,5,1),(13,5,1),(14,5,1)],
(94,134) => MOP_CODE[(9,8,0),(10,8,0),(5,8,0),(3,8,0),(6,1,0),(13,1,0),(14,1,0),(1,8,1),(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,8,1),(13,8,1),(14,8,1)],
(95,135) => MOP_CODE[(9,24,0),(10,23,0),(5,2,0),(3,1,0),(6,2,0),(13,23,0),(14,24,0)],
(95,136) => MOP_CODE[(9,24,0),(10,23,0),(5,2,0),(3,1,0),(6,2,0),(13,23,0),(14,24,0),(1,1,1),(9,24,1),(10,23,1),(5,2,1),(3,1,1),(6,2,1),(13,23,1),(14,24,1)],
(95,137) => MOP_CODE[(9,24,1),(10,23,1),(5,2,0),(3,1,0),(6,2,0),(13,23,1),(14,24,1)],
(95,138) => MOP_CODE[(9,24,0),(10,23,0),(5,2,1),(3,1,1),(6,2,0),(13,23,1),(14,24,1)],
(95,139) => MOP_CODE[(9,24,1),(10,23,1),(5,2,1),(3,1,1),(6,2,0),(13,23,0),(14,24,0)],
(95,140) => MOP_CODE[(9,24,0),(10,23,0),(5,2,0),(3,1,0),(6,2,0),(13,23,0),(14,24,0),(1,2,1),(9,23,1),(10,24,1),(5,1,1),(3,2,1),(6,1,1),(13,24,1),(14,23,1)],
(95,141) => MOP_CODE[(9,24,0),(10,23,0),(5,2,0),(3,1,0),(6,2,0),(13,23,0),(14,24,0),(1,5,1),(9,26,1),(10,25,1),(5,8,1),(3,5,1),(6,8,1),(13,25,1),(14,26,1)],
(95,142) => MOP_CODE[(9,24,0),(10,23,0),(5,2,0),(3,1,0),(6,2,0),(13,23,0),(14,24,0),(1,8,1),(9,25,1),(10,26,1),(5,5,1),(3,8,1),(6,5,1),(13,26,1),(14,25,1)],
(96,143) => MOP_CODE[(9,26,0),(10,25,0),(5,25,0),(3,26,0),(6,2,0),(13,1,0),(14,2,0)],
(96,144) => MOP_CODE[(9,26,0),(10,25,0),(5,25,0),(3,26,0),(6,2,0),(13,1,0),(14,2,0),(1,1,1),(9,26,1),(10,25,1),(5,25,1),(3,26,1),(6,2,1),(13,1,1),(14,2,1)],
(96,145) => MOP_CODE[(9,26,1),(10,25,1),(5,25,0),(3,26,0),(6,2,0),(13,1,1),(14,2,1)],
(96,146) => MOP_CODE[(9,26,0),(10,25,0),(5,25,1),(3,26,1),(6,2,0),(13,1,1),(14,2,1)],
(96,147) => MOP_CODE[(9,26,1),(10,25,1),(5,25,1),(3,26,1),(6,2,0),(13,1,0),(14,2,0)],
(96,148) => MOP_CODE[(9,26,0),(10,25,0),(5,25,0),(3,26,0),(6,2,0),(13,1,0),(14,2,0),(1,2,1),(9,25,1),(10,26,1),(5,26,1),(3,25,1),(6,1,1),(13,2,1),(14,1,1)],
(96,149) => MOP_CODE[(9,26,0),(10,25,0),(5,25,0),(3,26,0),(6,2,0),(13,1,0),(14,2,0),(1,5,1),(9,24,1),(10,23,1),(5,23,1),(3,24,1),(6,8,1),(13,5,1),(14,8,1)],
(96,150) => MOP_CODE[(9,26,0),(10,25,0),(5,25,0),(3,26,0),(6,2,0),(13,1,0),(14,2,0),(1,8,1),(9,23,1),(10,24,1),(5,24,1),(3,23,1),(6,5,1),(13,8,1),(14,5,1)],
(97,151) => MOP_CODE[(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0)],
(97,152) => MOP_CODE[(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(1,1,1),(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,1,1),(13,1,1),(14,1,1)],
(97,153) => MOP_CODE[(9,1,1),(10,1,1),(5,1,0),(3,1,0),(6,1,0),(13,1,1),(14,1,1)],
(97,154) => MOP_CODE[(9,1,0),(10,1,0),(5,1,1),(3,1,1),(6,1,0),(13,1,1),(14,1,1)],
(97,155) => MOP_CODE[(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,1,0),(13,1,0),(14,1,0)],
(97,156) => MOP_CODE[(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(1,2,1),(9,2,1),(10,2,1),(5,2,1),(3,2,1),(6,2,1),(13,2,1),(14,2,1)],
(98,157) => MOP_CODE[(9,27,0),(10,27,0),(5,27,0),(3,27,0),(6,1,0),(13,1,0),(14,1,0)],
(98,158) => MOP_CODE[(9,27,0),(10,27,0),(5,27,0),(3,27,0),(6,1,0),(13,1,0),(14,1,0),(1,1,1),(9,27,1),(10,27,1),(5,27,1),(3,27,1),(6,1,1),(13,1,1),(14,1,1)],
(98,159) => MOP_CODE[(9,27,1),(10,27,1),(5,27,0),(3,27,0),(6,1,0),(13,1,1),(14,1,1)],
(98,160) => MOP_CODE[(9,27,0),(10,27,0),(5,27,1),(3,27,1),(6,1,0),(13,1,1),(14,1,1)],
(98,161) => MOP_CODE[(9,27,1),(10,27,1),(5,27,1),(3,27,1),(6,1,0),(13,1,0),(14,1,0)],
(98,162) => MOP_CODE[(9,27,0),(10,27,0),(5,27,0),(3,27,0),(6,1,0),(13,1,0),(14,1,0),(1,2,1),(9,28,1),(10,28,1),(5,28,1),(3,28,1),(6,2,1),(13,2,1),(14,2,1)],
(99,163) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,1,0),(4,1,0),(15,1,0),(16,1,0)],
(99,164) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,1,0),(4,1,0),(15,1,0),(16,1,0),(1,1,1),(9,1,1),(10,1,1),(6,1,1),(7,1,1),(4,1,1),(15,1,1),(16,1,1)],
(99,165) => MOP_CODE[(9,1,1),(10,1,1),(6,1,0),(7,1,1),(4,1,1),(15,1,0),(16,1,0)],
(99,166) => MOP_CODE[(9,1,1),(10,1,1),(6,1,0),(7,1,0),(4,1,0),(15,1,1),(16,1,1)],
(99,167) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,1,1),(4,1,1),(15,1,1),(16,1,1)],
(99,168) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,1,0),(4,1,0),(15,1,0),(16,1,0),(1,2,1),(9,2,1),(10,2,1),(6,2,1),(7,2,1),(4,2,1),(15,2,1),(16,2,1)],
(99,169) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,1,0),(4,1,0),(15,1,0),(16,1,0),(1,5,1),(9,5,1),(10,5,1),(6,5,1),(7,5,1),(4,5,1),(15,5,1),(16,5,1)],
(99,170) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,1,0),(4,1,0),(15,1,0),(16,1,0),(1,8,1),(9,8,1),(10,8,1),(6,8,1),(7,8,1),(4,8,1),(15,8,1),(16,8,1)],
(100,171) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,5,0),(4,5,0),(15,5,0),(16,5,0)],
(100,172) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,5,0),(4,5,0),(15,5,0),(16,5,0),(1,1,1),(9,1,1),(10,1,1),(6,1,1),(7,5,1),(4,5,1),(15,5,1),(16,5,1)],
(100,173) => MOP_CODE[(9,1,1),(10,1,1),(6,1,0),(7,5,1),(4,5,1),(15,5,0),(16,5,0)],
(100,174) => MOP_CODE[(9,1,1),(10,1,1),(6,1,0),(7,5,0),(4,5,0),(15,5,1),(16,5,1)],
(100,175) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,5,1),(4,5,1),(15,5,1),(16,5,1)],
(100,176) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,5,0),(4,5,0),(15,5,0),(16,5,0),(1,2,1),(9,2,1),(10,2,1),(6,2,1),(7,8,1),(4,8,1),(15,8,1),(16,8,1)],
(100,177) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,5,0),(4,5,0),(15,5,0),(16,5,0),(1,5,1),(9,5,1),(10,5,1),(6,5,1),(7,1,1),(4,1,1),(15,1,1),(16,1,1)],
(100,178) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,5,0),(4,5,0),(15,5,0),(16,5,0),(1,8,1),(9,8,1),(10,8,1),(6,8,1),(7,2,1),(4,2,1),(15,2,1),(16,2,1)],
(101,179) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(7,2,0),(4,2,0),(15,1,0),(16,1,0)],
(101,180) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(7,2,0),(4,2,0),(15,1,0),(16,1,0),(1,1,1),(9,2,1),(10,2,1),(6,1,1),(7,2,1),(4,2,1),(15,1,1),(16,1,1)],
(101,181) => MOP_CODE[(9,2,1),(10,2,1),(6,1,0),(7,2,1),(4,2,1),(15,1,0),(16,1,0)],
(101,182) => MOP_CODE[(9,2,1),(10,2,1),(6,1,0),(7,2,0),(4,2,0),(15,1,1),(16,1,1)],
(101,183) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(7,2,1),(4,2,1),(15,1,1),(16,1,1)],
(101,184) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(7,2,0),(4,2,0),(15,1,0),(16,1,0),(1,2,1),(9,1,1),(10,1,1),(6,2,1),(7,1,1),(4,1,1),(15,2,1),(16,2,1)],
(101,185) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(7,2,0),(4,2,0),(15,1,0),(16,1,0),(1,5,1),(9,8,1),(10,8,1),(6,5,1),(7,8,1),(4,8,1),(15,5,1),(16,5,1)],
(101,186) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(7,2,0),(4,2,0),(15,1,0),(16,1,0),(1,8,1),(9,5,1),(10,5,1),(6,8,1),(7,5,1),(4,5,1),(15,8,1),(16,8,1)],
(102,187) => MOP_CODE[(9,8,0),(10,8,0),(6,1,0),(7,8,0),(4,8,0),(15,1,0),(16,1,0)],
(102,188) => MOP_CODE[(9,8,0),(10,8,0),(6,1,0),(7,8,0),(4,8,0),(15,1,0),(16,1,0),(1,1,1),(9,8,1),(10,8,1),(6,1,1),(7,8,1),(4,8,1),(15,1,1),(16,1,1)],
(102,189) => MOP_CODE[(9,8,1),(10,8,1),(6,1,0),(7,8,1),(4,8,1),(15,1,0),(16,1,0)],
(102,190) => MOP_CODE[(9,8,1),(10,8,1),(6,1,0),(7,8,0),(4,8,0),(15,1,1),(16,1,1)],
(102,191) => MOP_CODE[(9,8,0),(10,8,0),(6,1,0),(7,8,1),(4,8,1),(15,1,1),(16,1,1)],
(102,192) => MOP_CODE[(9,8,0),(10,8,0),(6,1,0),(7,8,0),(4,8,0),(15,1,0),(16,1,0),(1,2,1),(9,5,1),(10,5,1),(6,2,1),(7,5,1),(4,5,1),(15,2,1),(16,2,1)],
(102,193) => MOP_CODE[(9,8,0),(10,8,0),(6,1,0),(7,8,0),(4,8,0),(15,1,0),(16,1,0),(1,5,1),(9,2,1),(10,2,1),(6,5,1),(7,2,1),(4,2,1),(15,5,1),(16,5,1)],
(102,194) => MOP_CODE[(9,8,0),(10,8,0),(6,1,0),(7,8,0),(4,8,0),(15,1,0),(16,1,0),(1,8,1),(9,1,1),(10,1,1),(6,8,1),(7,1,1),(4,1,1),(15,8,1),(16,8,1)],
(103,195) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,2,0),(4,2,0),(15,2,0),(16,2,0)],
(103,196) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,2,0),(4,2,0),(15,2,0),(16,2,0),(1,1,1),(9,1,1),(10,1,1),(6,1,1),(7,2,1),(4,2,1),(15,2,1),(16,2,1)],
(103,197) => MOP_CODE[(9,1,1),(10,1,1),(6,1,0),(7,2,1),(4,2,1),(15,2,0),(16,2,0)],
(103,198) => MOP_CODE[(9,1,1),(10,1,1),(6,1,0),(7,2,0),(4,2,0),(15,2,1),(16,2,1)],
(103,199) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,2,1),(4,2,1),(15,2,1),(16,2,1)],
(103,200) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,2,0),(4,2,0),(15,2,0),(16,2,0),(1,2,1),(9,2,1),(10,2,1),(6,2,1),(7,1,1),(4,1,1),(15,1,1),(16,1,1)],
(103,201) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,2,0),(4,2,0),(15,2,0),(16,2,0),(1,5,1),(9,5,1),(10,5,1),(6,5,1),(7,8,1),(4,8,1),(15,8,1),(16,8,1)],
(103,202) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,2,0),(4,2,0),(15,2,0),(16,2,0),(1,8,1),(9,8,1),(10,8,1),(6,8,1),(7,5,1),(4,5,1),(15,5,1),(16,5,1)],
(104,203) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,8,0),(4,8,0),(15,8,0),(16,8,0)],
(104,204) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,8,0),(4,8,0),(15,8,0),(16,8,0),(1,1,1),(9,1,1),(10,1,1),(6,1,1),(7,8,1),(4,8,1),(15,8,1),(16,8,1)],
(104,205) => MOP_CODE[(9,1,1),(10,1,1),(6,1,0),(7,8,1),(4,8,1),(15,8,0),(16,8,0)],
(104,206) => MOP_CODE[(9,1,1),(10,1,1),(6,1,0),(7,8,0),(4,8,0),(15,8,1),(16,8,1)],
(104,207) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,8,1),(4,8,1),(15,8,1),(16,8,1)],
(104,208) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,8,0),(4,8,0),(15,8,0),(16,8,0),(1,2,1),(9,2,1),(10,2,1),(6,2,1),(7,5,1),(4,5,1),(15,5,1),(16,5,1)],
(104,209) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,8,0),(4,8,0),(15,8,0),(16,8,0),(1,5,1),(9,5,1),(10,5,1),(6,5,1),(7,2,1),(4,2,1),(15,2,1),(16,2,1)],
(104,210) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,8,0),(4,8,0),(15,8,0),(16,8,0),(1,8,1),(9,8,1),(10,8,1),(6,8,1),(7,1,1),(4,1,1),(15,1,1),(16,1,1)],
(105,211) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(7,1,0),(4,1,0),(15,2,0),(16,2,0)],
(105,212) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(7,1,0),(4,1,0),(15,2,0),(16,2,0),(1,1,1),(9,2,1),(10,2,1),(6,1,1),(7,1,1),(4,1,1),(15,2,1),(16,2,1)],
(105,213) => MOP_CODE[(9,2,1),(10,2,1),(6,1,0),(7,1,1),(4,1,1),(15,2,0),(16,2,0)],
(105,214) => MOP_CODE[(9,2,1),(10,2,1),(6,1,0),(7,1,0),(4,1,0),(15,2,1),(16,2,1)],
(105,215) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(7,1,1),(4,1,1),(15,2,1),(16,2,1)],
(105,216) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(7,1,0),(4,1,0),(15,2,0),(16,2,0),(1,2,1),(9,1,1),(10,1,1),(6,2,1),(7,2,1),(4,2,1),(15,1,1),(16,1,1)],
(105,217) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(7,1,0),(4,1,0),(15,2,0),(16,2,0),(1,5,1),(9,8,1),(10,8,1),(6,5,1),(7,5,1),(4,5,1),(15,8,1),(16,8,1)],
(105,218) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(7,1,0),(4,1,0),(15,2,0),(16,2,0),(1,8,1),(9,5,1),(10,5,1),(6,8,1),(7,8,1),(4,8,1),(15,5,1),(16,5,1)],
(106,219) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(7,5,0),(4,5,0),(15,8,0),(16,8,0)],
(106,220) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(7,5,0),(4,5,0),(15,8,0),(16,8,0),(1,1,1),(9,2,1),(10,2,1),(6,1,1),(7,5,1),(4,5,1),(15,8,1),(16,8,1)],
(106,221) => MOP_CODE[(9,2,1),(10,2,1),(6,1,0),(7,5,1),(4,5,1),(15,8,0),(16,8,0)],
(106,222) => MOP_CODE[(9,2,1),(10,2,1),(6,1,0),(7,5,0),(4,5,0),(15,8,1),(16,8,1)],
(106,223) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(7,5,1),(4,5,1),(15,8,1),(16,8,1)],
(106,224) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(7,5,0),(4,5,0),(15,8,0),(16,8,0),(1,2,1),(9,1,1),(10,1,1),(6,2,1),(7,8,1),(4,8,1),(15,5,1),(16,5,1)],
(106,225) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(7,5,0),(4,5,0),(15,8,0),(16,8,0),(1,5,1),(9,8,1),(10,8,1),(6,5,1),(7,1,1),(4,1,1),(15,2,1),(16,2,1)],
(106,226) => MOP_CODE[(9,2,0),(10,2,0),(6,1,0),(7,5,0),(4,5,0),(15,8,0),(16,8,0),(1,8,1),(9,5,1),(10,5,1),(6,8,1),(7,2,1),(4,2,1),(15,1,1),(16,1,1)],
(107,227) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,1,0),(4,1,0),(15,1,0),(16,1,0)],
(107,228) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,1,0),(4,1,0),(15,1,0),(16,1,0),(1,1,1),(9,1,1),(10,1,1),(6,1,1),(7,1,1),(4,1,1),(15,1,1),(16,1,1)],
(107,229) => MOP_CODE[(9,1,1),(10,1,1),(6,1,0),(7,1,1),(4,1,1),(15,1,0),(16,1,0)],
(107,230) => MOP_CODE[(9,1,1),(10,1,1),(6,1,0),(7,1,0),(4,1,0),(15,1,1),(16,1,1)],
(107,231) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,1,1),(4,1,1),(15,1,1),(16,1,1)],
(107,232) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,1,0),(4,1,0),(15,1,0),(16,1,0),(1,2,1),(9,2,1),(10,2,1),(6,2,1),(7,2,1),(4,2,1),(15,2,1),(16,2,1)],
(108,233) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,2,0),(4,2,0),(15,2,0),(16,2,0)],
(108,234) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,2,0),(4,2,0),(15,2,0),(16,2,0),(1,1,1),(9,1,1),(10,1,1),(6,1,1),(7,2,1),(4,2,1),(15,2,1),(16,2,1)],
(108,235) => MOP_CODE[(9,1,1),(10,1,1),(6,1,0),(7,2,1),(4,2,1),(15,2,0),(16,2,0)],
(108,236) => MOP_CODE[(9,1,1),(10,1,1),(6,1,0),(7,2,0),(4,2,0),(15,2,1),(16,2,1)],
(108,237) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,2,1),(4,2,1),(15,2,1),(16,2,1)],
(108,238) => MOP_CODE[(9,1,0),(10,1,0),(6,1,0),(7,2,0),(4,2,0),(15,2,0),(16,2,0),(1,2,1),(9,2,1),(10,2,1),(6,2,1),(7,1,1),(4,1,1),(15,1,1),(16,1,1)],
(109,239) => MOP_CODE[(9,27,0),(10,27,0),(6,1,0),(7,1,0),(4,1,0),(15,27,0),(16,27,0)],
(109,240) => MOP_CODE[(9,27,0),(10,27,0),(6,1,0),(7,1,0),(4,1,0),(15,27,0),(16,27,0),(1,1,1),(9,27,1),(10,27,1),(6,1,1),(7,1,1),(4,1,1),(15,27,1),(16,27,1)],
(109,241) => MOP_CODE[(9,27,1),(10,27,1),(6,1,0),(7,1,1),(4,1,1),(15,27,0),(16,27,0)],
(109,242) => MOP_CODE[(9,27,1),(10,27,1),(6,1,0),(7,1,0),(4,1,0),(15,27,1),(16,27,1)],
(109,243) => MOP_CODE[(9,27,0),(10,27,0),(6,1,0),(7,1,1),(4,1,1),(15,27,1),(16,27,1)],
(109,244) => MOP_CODE[(9,27,0),(10,27,0),(6,1,0),(7,1,0),(4,1,0),(15,27,0),(16,27,0),(1,2,1),(9,28,1),(10,28,1),(6,2,1),(7,2,1),(4,2,1),(15,28,1),(16,28,1)],
(110,245) => MOP_CODE[(9,27,0),(10,27,0),(6,1,0),(7,2,0),(4,2,0),(15,28,0),(16,28,0)],
(110,246) => MOP_CODE[(9,27,0),(10,27,0),(6,1,0),(7,2,0),(4,2,0),(15,28,0),(16,28,0),(1,1,1),(9,27,1),(10,27,1),(6,1,1),(7,2,1),(4,2,1),(15,28,1),(16,28,1)],
(110,247) => MOP_CODE[(9,27,1),(10,27,1),(6,1,0),(7,2,1),(4,2,1),(15,28,0),(16,28,0)],
(110,248) => MOP_CODE[(9,27,1),(10,27,1),(6,1,0),(7,2,0),(4,2,0),(15,28,1),(16,28,1)],
(110,249) => MOP_CODE[(9,27,0),(10,27,0),(6,1,0),(7,2,1),(4,2,1),(15,28,1),(16,28,1)],
(110,250) => MOP_CODE[(9,27,0),(10,27,0),(6,1,0),(7,2,0),(4,2,0),(15,28,0),(16,28,0),(1,2,1),(9,28,1),(10,28,1),(6,2,1),(7,1,1),(4,1,1),(15,27,1),(16,27,1)],
(111,251) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(11,1,0),(12,1,0),(15,1,0),(16,1,0)],
(111,252) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(11,1,0),(12,1,0),(15,1,0),(16,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1),(11,1,1),(12,1,1),(15,1,1),(16,1,1)],
(111,253) => MOP_CODE[(5,1,1),(3,1,1),(6,1,0),(11,1,1),(12,1,1),(15,1,0),(16,1,0)],
(111,254) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(11,1,1),(12,1,1),(15,1,1),(16,1,1)],
(111,255) => MOP_CODE[(5,1,1),(3,1,1),(6,1,0),(11,1,0),(12,1,0),(15,1,1),(16,1,1)],
(111,256) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(11,1,0),(12,1,0),(15,1,0),(16,1,0),(1,2,1),(5,2,1),(3,2,1),(6,2,1),(11,2,1),(12,2,1),(15,2,1),(16,2,1)],
(111,257) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(11,1,0),(12,1,0),(15,1,0),(16,1,0),(1,5,1),(5,5,1),(3,5,1),(6,5,1),(11,5,1),(12,5,1),(15,5,1),(16,5,1)],
(111,258) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(11,1,0),(12,1,0),(15,1,0),(16,1,0),(1,8,1),(5,8,1),(3,8,1),(6,8,1),(11,8,1),(12,8,1),(15,8,1),(16,8,1)],
(112,259) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(11,1,0),(12,1,0),(15,2,0),(16,2,0)],
(112,260) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(11,1,0),(12,1,0),(15,2,0),(16,2,0),(1,1,1),(5,2,1),(3,2,1),(6,1,1),(11,1,1),(12,1,1),(15,2,1),(16,2,1)],
(112,261) => MOP_CODE[(5,2,1),(3,2,1),(6,1,0),(11,1,1),(12,1,1),(15,2,0),(16,2,0)],
(112,262) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(11,1,1),(12,1,1),(15,2,1),(16,2,1)],
(112,263) => MOP_CODE[(5,2,1),(3,2,1),(6,1,0),(11,1,0),(12,1,0),(15,2,1),(16,2,1)],
(112,264) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(11,1,0),(12,1,0),(15,2,0),(16,2,0),(1,2,1),(5,1,1),(3,1,1),(6,2,1),(11,2,1),(12,2,1),(15,1,1),(16,1,1)],
(112,265) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(11,1,0),(12,1,0),(15,2,0),(16,2,0),(1,5,1),(5,8,1),(3,8,1),(6,5,1),(11,5,1),(12,5,1),(15,8,1),(16,8,1)],
(112,266) => MOP_CODE[(5,2,0),(3,2,0),(6,1,0),(11,1,0),(12,1,0),(15,2,0),(16,2,0),(1,8,1),(5,5,1),(3,5,1),(6,8,1),(11,8,1),(12,8,1),(15,5,1),(16,5,1)],
(113,267) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(11,1,0),(12,1,0),(15,5,0),(16,5,0)],
(113,268) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(11,1,0),(12,1,0),(15,5,0),(16,5,0),(1,1,1),(5,5,1),(3,5,1),(6,1,1),(11,1,1),(12,1,1),(15,5,1),(16,5,1)],
(113,269) => MOP_CODE[(5,5,1),(3,5,1),(6,1,0),(11,1,1),(12,1,1),(15,5,0),(16,5,0)],
(113,270) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(11,1,1),(12,1,1),(15,5,1),(16,5,1)],
(113,271) => MOP_CODE[(5,5,1),(3,5,1),(6,1,0),(11,1,0),(12,1,0),(15,5,1),(16,5,1)],
(113,272) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(11,1,0),(12,1,0),(15,5,0),(16,5,0),(1,2,1),(5,8,1),(3,8,1),(6,2,1),(11,2,1),(12,2,1),(15,8,1),(16,8,1)],
(113,273) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(11,1,0),(12,1,0),(15,5,0),(16,5,0),(1,5,1),(5,1,1),(3,1,1),(6,5,1),(11,5,1),(12,5,1),(15,1,1),(16,1,1)],
(113,274) => MOP_CODE[(5,5,0),(3,5,0),(6,1,0),(11,1,0),(12,1,0),(15,5,0),(16,5,0),(1,8,1),(5,2,1),(3,2,1),(6,8,1),(11,8,1),(12,8,1),(15,2,1),(16,2,1)],
(114,275) => MOP_CODE[(5,8,0),(3,8,0),(6,1,0),(11,1,0),(12,1,0),(15,8,0),(16,8,0)],
(114,276) => MOP_CODE[(5,8,0),(3,8,0),(6,1,0),(11,1,0),(12,1,0),(15,8,0),(16,8,0),(1,1,1),(5,8,1),(3,8,1),(6,1,1),(11,1,1),(12,1,1),(15,8,1),(16,8,1)],
(114,277) => MOP_CODE[(5,8,1),(3,8,1),(6,1,0),(11,1,1),(12,1,1),(15,8,0),(16,8,0)],
(114,278) => MOP_CODE[(5,8,0),(3,8,0),(6,1,0),(11,1,1),(12,1,1),(15,8,1),(16,8,1)],
(114,279) => MOP_CODE[(5,8,1),(3,8,1),(6,1,0),(11,1,0),(12,1,0),(15,8,1),(16,8,1)],
(114,280) => MOP_CODE[(5,8,0),(3,8,0),(6,1,0),(11,1,0),(12,1,0),(15,8,0),(16,8,0),(1,2,1),(5,5,1),(3,5,1),(6,2,1),(11,2,1),(12,2,1),(15,5,1),(16,5,1)],
(114,281) => MOP_CODE[(5,8,0),(3,8,0),(6,1,0),(11,1,0),(12,1,0),(15,8,0),(16,8,0),(1,5,1),(5,2,1),(3,2,1),(6,5,1),(11,5,1),(12,5,1),(15,2,1),(16,2,1)],
(114,282) => MOP_CODE[(5,8,0),(3,8,0),(6,1,0),(11,1,0),(12,1,0),(15,8,0),(16,8,0),(1,8,1),(5,1,1),(3,1,1),(6,8,1),(11,8,1),(12,8,1),(15,1,1),(16,1,1)],
(115,283) => MOP_CODE[(6,1,0),(13,1,0),(14,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0)],
(115,284) => MOP_CODE[(6,1,0),(13,1,0),(14,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(1,1,1),(6,1,1),(13,1,1),(14,1,1),(11,1,1),(12,1,1),(7,1,1),(4,1,1)],
(115,285) => MOP_CODE[(6,1,0),(13,1,0),(14,1,0),(11,1,1),(12,1,1),(7,1,1),(4,1,1)],
(115,286) => MOP_CODE[(6,1,0),(13,1,1),(14,1,1),(11,1,1),(12,1,1),(7,1,0),(4,1,0)],
(115,287) => MOP_CODE[(6,1,0),(13,1,1),(14,1,1),(11,1,0),(12,1,0),(7,1,1),(4,1,1)],
(115,288) => MOP_CODE[(6,1,0),(13,1,0),(14,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(1,2,1),(6,2,1),(13,2,1),(14,2,1),(11,2,1),(12,2,1),(7,2,1),(4,2,1)],
(115,289) => MOP_CODE[(6,1,0),(13,1,0),(14,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(1,5,1),(6,5,1),(13,5,1),(14,5,1),(11,5,1),(12,5,1),(7,5,1),(4,5,1)],
(115,290) => MOP_CODE[(6,1,0),(13,1,0),(14,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(1,8,1),(6,8,1),(13,8,1),(14,8,1),(11,8,1),(12,8,1),(7,8,1),(4,8,1)],
(116,291) => MOP_CODE[(6,1,0),(13,2,0),(14,2,0),(11,1,0),(12,1,0),(7,2,0),(4,2,0)],
(116,292) => MOP_CODE[(6,1,0),(13,2,0),(14,2,0),(11,1,0),(12,1,0),(7,2,0),(4,2,0),(1,1,1),(6,1,1),(13,2,1),(14,2,1),(11,1,1),(12,1,1),(7,2,1),(4,2,1)],
(116,293) => MOP_CODE[(6,1,0),(13,2,0),(14,2,0),(11,1,1),(12,1,1),(7,2,1),(4,2,1)],
(116,294) => MOP_CODE[(6,1,0),(13,2,1),(14,2,1),(11,1,1),(12,1,1),(7,2,0),(4,2,0)],
(116,295) => MOP_CODE[(6,1,0),(13,2,1),(14,2,1),(11,1,0),(12,1,0),(7,2,1),(4,2,1)],
(116,296) => MOP_CODE[(6,1,0),(13,2,0),(14,2,0),(11,1,0),(12,1,0),(7,2,0),(4,2,0),(1,2,1),(6,2,1),(13,1,1),(14,1,1),(11,2,1),(12,2,1),(7,1,1),(4,1,1)],
(116,297) => MOP_CODE[(6,1,0),(13,2,0),(14,2,0),(11,1,0),(12,1,0),(7,2,0),(4,2,0),(1,5,1),(6,5,1),(13,8,1),(14,8,1),(11,5,1),(12,5,1),(7,8,1),(4,8,1)],
(116,298) => MOP_CODE[(6,1,0),(13,2,0),(14,2,0),(11,1,0),(12,1,0),(7,2,0),(4,2,0),(1,8,1),(6,8,1),(13,5,1),(14,5,1),(11,8,1),(12,8,1),(7,5,1),(4,5,1)],
(117,299) => MOP_CODE[(6,1,0),(13,5,0),(14,5,0),(11,1,0),(12,1,0),(7,5,0),(4,5,0)],
(117,300) => MOP_CODE[(6,1,0),(13,5,0),(14,5,0),(11,1,0),(12,1,0),(7,5,0),(4,5,0),(1,1,1),(6,1,1),(13,5,1),(14,5,1),(11,1,1),(12,1,1),(7,5,1),(4,5,1)],
(117,301) => MOP_CODE[(6,1,0),(13,5,0),(14,5,0),(11,1,1),(12,1,1),(7,5,1),(4,5,1)],
(117,302) => MOP_CODE[(6,1,0),(13,5,1),(14,5,1),(11,1,1),(12,1,1),(7,5,0),(4,5,0)],
(117,303) => MOP_CODE[(6,1,0),(13,5,1),(14,5,1),(11,1,0),(12,1,0),(7,5,1),(4,5,1)],
(117,304) => MOP_CODE[(6,1,0),(13,5,0),(14,5,0),(11,1,0),(12,1,0),(7,5,0),(4,5,0),(1,2,1),(6,2,1),(13,8,1),(14,8,1),(11,2,1),(12,2,1),(7,8,1),(4,8,1)],
(117,305) => MOP_CODE[(6,1,0),(13,5,0),(14,5,0),(11,1,0),(12,1,0),(7,5,0),(4,5,0),(1,5,1),(6,5,1),(13,1,1),(14,1,1),(11,5,1),(12,5,1),(7,1,1),(4,1,1)],
(117,306) => MOP_CODE[(6,1,0),(13,5,0),(14,5,0),(11,1,0),(12,1,0),(7,5,0),(4,5,0),(1,8,1),(6,8,1),(13,2,1),(14,2,1),(11,8,1),(12,8,1),(7,2,1),(4,2,1)],
(118,307) => MOP_CODE[(6,1,0),(13,8,0),(14,8,0),(11,1,0),(12,1,0),(7,8,0),(4,8,0)],
(118,308) => MOP_CODE[(6,1,0),(13,8,0),(14,8,0),(11,1,0),(12,1,0),(7,8,0),(4,8,0),(1,1,1),(6,1,1),(13,8,1),(14,8,1),(11,1,1),(12,1,1),(7,8,1),(4,8,1)],
(118,309) => MOP_CODE[(6,1,0),(13,8,0),(14,8,0),(11,1,1),(12,1,1),(7,8,1),(4,8,1)],
(118,310) => MOP_CODE[(6,1,0),(13,8,1),(14,8,1),(11,1,1),(12,1,1),(7,8,0),(4,8,0)],
(118,311) => MOP_CODE[(6,1,0),(13,8,1),(14,8,1),(11,1,0),(12,1,0),(7,8,1),(4,8,1)],
(118,312) => MOP_CODE[(6,1,0),(13,8,0),(14,8,0),(11,1,0),(12,1,0),(7,8,0),(4,8,0),(1,2,1),(6,2,1),(13,5,1),(14,5,1),(11,2,1),(12,2,1),(7,5,1),(4,5,1)],
(118,313) => MOP_CODE[(6,1,0),(13,8,0),(14,8,0),(11,1,0),(12,1,0),(7,8,0),(4,8,0),(1,5,1),(6,5,1),(13,2,1),(14,2,1),(11,5,1),(12,5,1),(7,2,1),(4,2,1)],
(118,314) => MOP_CODE[(6,1,0),(13,8,0),(14,8,0),(11,1,0),(12,1,0),(7,8,0),(4,8,0),(1,8,1),(6,8,1),(13,1,1),(14,1,1),(11,8,1),(12,8,1),(7,1,1),(4,1,1)],
(119,315) => MOP_CODE[(6,1,0),(13,1,0),(14,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0)],
(119,316) => MOP_CODE[(6,1,0),(13,1,0),(14,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(1,1,1),(6,1,1),(13,1,1),(14,1,1),(11,1,1),(12,1,1),(7,1,1),(4,1,1)],
(119,317) => MOP_CODE[(6,1,0),(13,1,0),(14,1,0),(11,1,1),(12,1,1),(7,1,1),(4,1,1)],
(119,318) => MOP_CODE[(6,1,0),(13,1,1),(14,1,1),(11,1,1),(12,1,1),(7,1,0),(4,1,0)],
(119,319) => MOP_CODE[(6,1,0),(13,1,1),(14,1,1),(11,1,0),(12,1,0),(7,1,1),(4,1,1)],
(119,320) => MOP_CODE[(6,1,0),(13,1,0),(14,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(1,2,1),(6,2,1),(13,2,1),(14,2,1),(11,2,1),(12,2,1),(7,2,1),(4,2,1)],
(120,321) => MOP_CODE[(6,1,0),(13,2,0),(14,2,0),(11,1,0),(12,1,0),(7,2,0),(4,2,0)],
(120,322) => MOP_CODE[(6,1,0),(13,2,0),(14,2,0),(11,1,0),(12,1,0),(7,2,0),(4,2,0),(1,1,1),(6,1,1),(13,2,1),(14,2,1),(11,1,1),(12,1,1),(7,2,1),(4,2,1)],
(120,323) => MOP_CODE[(6,1,0),(13,2,0),(14,2,0),(11,1,1),(12,1,1),(7,2,1),(4,2,1)],
(120,324) => MOP_CODE[(6,1,0),(13,2,1),(14,2,1),(11,1,1),(12,1,1),(7,2,0),(4,2,0)],
(120,325) => MOP_CODE[(6,1,0),(13,2,1),(14,2,1),(11,1,0),(12,1,0),(7,2,1),(4,2,1)],
(120,326) => MOP_CODE[(6,1,0),(13,2,0),(14,2,0),(11,1,0),(12,1,0),(7,2,0),(4,2,0),(1,2,1),(6,2,1),(13,1,1),(14,1,1),(11,2,1),(12,2,1),(7,1,1),(4,1,1)],
(121,327) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(11,1,0),(12,1,0),(15,1,0),(16,1,0)],
(121,328) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(11,1,0),(12,1,0),(15,1,0),(16,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1),(11,1,1),(12,1,1),(15,1,1),(16,1,1)],
(121,329) => MOP_CODE[(5,1,1),(3,1,1),(6,1,0),(11,1,1),(12,1,1),(15,1,0),(16,1,0)],
(121,330) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(11,1,1),(12,1,1),(15,1,1),(16,1,1)],
(121,331) => MOP_CODE[(5,1,1),(3,1,1),(6,1,0),(11,1,0),(12,1,0),(15,1,1),(16,1,1)],
(121,332) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(11,1,0),(12,1,0),(15,1,0),(16,1,0),(1,2,1),(5,2,1),(3,2,1),(6,2,1),(11,2,1),(12,2,1),(15,2,1),(16,2,1)],
(122,333) => MOP_CODE[(5,27,0),(3,27,0),(6,1,0),(11,1,0),(12,1,0),(15,27,0),(16,27,0)],
(122,334) => MOP_CODE[(5,27,0),(3,27,0),(6,1,0),(11,1,0),(12,1,0),(15,27,0),(16,27,0),(1,1,1),(5,27,1),(3,27,1),(6,1,1),(11,1,1),(12,1,1),(15,27,1),(16,27,1)],
(122,335) => MOP_CODE[(5,27,1),(3,27,1),(6,1,0),(11,1,1),(12,1,1),(15,27,0),(16,27,0)],
(122,336) => MOP_CODE[(5,27,0),(3,27,0),(6,1,0),(11,1,1),(12,1,1),(15,27,1),(16,27,1)],
(122,337) => MOP_CODE[(5,27,1),(3,27,1),(6,1,0),(11,1,0),(12,1,0),(15,27,1),(16,27,1)],
(122,338) => MOP_CODE[(5,27,0),(3,27,0),(6,1,0),(11,1,0),(12,1,0),(15,27,0),(16,27,0),(1,2,1),(5,28,1),(3,28,1),(6,2,1),(11,2,1),(12,2,1),(15,28,1),(16,28,1)],
(123,339) => MOP_CODE[(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(8,1,0),(15,1,0),(16,1,0)],
(123,340) => MOP_CODE[(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(8,1,0),(15,1,0),(16,1,0),(1,1,1),(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,1,1),(13,1,1),(14,1,1),(2,1,1),(11,1,1),(12,1,1),(7,1,1),(4,1,1),(8,1,1),(15,1,1),(16,1,1)],
(123,341) => MOP_CODE[(9,1,0),(10,1,0),(5,1,1),(3,1,1),(6,1,0),(13,1,1),(14,1,1),(2,1,1),(11,1,1),(12,1,1),(7,1,0),(4,1,0),(8,1,1),(15,1,0),(16,1,0)],
(123,342) => MOP_CODE[(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,1,1),(12,1,1),(7,1,1),(4,1,1),(8,1,0),(15,1,0),(16,1,0)],
(123,343) => MOP_CODE[(9,1,1),(10,1,1),(5,1,0),(3,1,0),(6,1,0),(13,1,1),(14,1,1),(2,1,0),(11,1,1),(12,1,1),(7,1,0),(4,1,0),(8,1,0),(15,1,1),(16,1,1)],
(123,344) => MOP_CODE[(9,1,1),(10,1,1),(5,1,0),(3,1,0),(6,1,0),(13,1,1),(14,1,1),(2,1,1),(11,1,0),(12,1,0),(7,1,1),(4,1,1),(8,1,1),(15,1,0),(16,1,0)],
(123,345) => MOP_CODE[(9,1,0),(10,1,0),(5,1,1),(3,1,1),(6,1,0),(13,1,1),(14,1,1),(2,1,0),(11,1,0),(12,1,0),(7,1,1),(4,1,1),(8,1,0),(15,1,1),(16,1,1)],
(123,346) => MOP_CODE[(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,1,0),(13,1,0),(14,1,0),(2,1,1),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(8,1,1),(15,1,1),(16,1,1)],
(123,347) => MOP_CODE[(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(2,1,1),(11,1,1),(12,1,1),(7,1,1),(4,1,1),(8,1,1),(15,1,1),(16,1,1)],
(123,348) => MOP_CODE[(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(8,1,0),(15,1,0),(16,1,0),(1,2,1),(9,2,1),(10,2,1),(5,2,1),(3,2,1),(6,2,1),(13,2,1),(14,2,1),(2,2,1),(11,2,1),(12,2,1),(7,2,1),(4,2,1),(8,2,1),(15,2,1),(16,2,1)],
(123,349) => MOP_CODE[(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(8,1,0),(15,1,0),(16,1,0),(1,5,1),(9,5,1),(10,5,1),(5,5,1),(3,5,1),(6,5,1),(13,5,1),(14,5,1),(2,5,1),(11,5,1),(12,5,1),(7,5,1),(4,5,1),(8,5,1),(15,5,1),(16,5,1)],
(123,350) => MOP_CODE[(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(8,1,0),(15,1,0),(16,1,0),(1,8,1),(9,8,1),(10,8,1),(5,8,1),(3,8,1),(6,8,1),(13,8,1),(14,8,1),(2,8,1),(11,8,1),(12,8,1),(7,8,1),(4,8,1),(8,8,1),(15,8,1),(16,8,1)],
(124,351) => MOP_CODE[(9,1,0),(10,1,0),(5,2,0),(3,2,0),(6,1,0),(13,2,0),(14,2,0),(2,1,0),(11,1,0),(12,1,0),(7,2,0),(4,2,0),(8,1,0),(15,2,0),(16,2,0)],
(124,352) => MOP_CODE[(9,1,0),(10,1,0),(5,2,0),(3,2,0),(6,1,0),(13,2,0),(14,2,0),(2,1,0),(11,1,0),(12,1,0),(7,2,0),(4,2,0),(8,1,0),(15,2,0),(16,2,0),(1,1,1),(9,1,1),(10,1,1),(5,2,1),(3,2,1),(6,1,1),(13,2,1),(14,2,1),(2,1,1),(11,1,1),(12,1,1),(7,2,1),(4,2,1),(8,1,1),(15,2,1),(16,2,1)],
(124,353) => MOP_CODE[(9,1,0),(10,1,0),(5,2,1),(3,2,1),(6,1,0),(13,2,1),(14,2,1),(2,1,1),(11,1,1),(12,1,1),(7,2,0),(4,2,0),(8,1,1),(15,2,0),(16,2,0)],
(124,354) => MOP_CODE[(9,1,1),(10,1,1),(5,2,1),(3,2,1),(6,1,0),(13,2,0),(14,2,0),(2,1,0),(11,1,1),(12,1,1),(7,2,1),(4,2,1),(8,1,0),(15,2,0),(16,2,0)],
(124,355) => MOP_CODE[(9,1,1),(10,1,1),(5,2,0),(3,2,0),(6,1,0),(13,2,1),(14,2,1),(2,1,0),(11,1,1),(12,1,1),(7,2,0),(4,2,0),(8,1,0),(15,2,1),(16,2,1)],
(124,356) => MOP_CODE[(9,1,1),(10,1,1),(5,2,0),(3,2,0),(6,1,0),(13,2,1),(14,2,1),(2,1,1),(11,1,0),(12,1,0),(7,2,1),(4,2,1),(8,1,1),(15,2,0),(16,2,0)],
(124,357) => MOP_CODE[(9,1,0),(10,1,0),(5,2,1),(3,2,1),(6,1,0),(13,2,1),(14,2,1),(2,1,0),(11,1,0),(12,1,0),(7,2,1),(4,2,1),(8,1,0),(15,2,1),(16,2,1)],
(124,358) => MOP_CODE[(9,1,1),(10,1,1),(5,2,1),(3,2,1),(6,1,0),(13,2,0),(14,2,0),(2,1,1),(11,1,0),(12,1,0),(7,2,0),(4,2,0),(8,1,1),(15,2,1),(16,2,1)],
(124,359) => MOP_CODE[(9,1,0),(10,1,0),(5,2,0),(3,2,0),(6,1,0),(13,2,0),(14,2,0),(2,1,1),(11,1,1),(12,1,1),(7,2,1),(4,2,1),(8,1,1),(15,2,1),(16,2,1)],
(124,360) => MOP_CODE[(9,1,0),(10,1,0),(5,2,0),(3,2,0),(6,1,0),(13,2,0),(14,2,0),(2,1,0),(11,1,0),(12,1,0),(7,2,0),(4,2,0),(8,1,0),(15,2,0),(16,2,0),(1,2,1),(9,2,1),(10,2,1),(5,1,1),(3,1,1),(6,2,1),(13,1,1),(14,1,1),(2,2,1),(11,2,1),(12,2,1),(7,1,1),(4,1,1),(8,2,1),(15,1,1),(16,1,1)],
(124,361) => MOP_CODE[(9,1,0),(10,1,0),(5,2,0),(3,2,0),(6,1,0),(13,2,0),(14,2,0),(2,1,0),(11,1,0),(12,1,0),(7,2,0),(4,2,0),(8,1,0),(15,2,0),(16,2,0),(1,5,1),(9,5,1),(10,5,1),(5,8,1),(3,8,1),(6,5,1),(13,8,1),(14,8,1),(2,5,1),(11,5,1),(12,5,1),(7,8,1),(4,8,1),(8,5,1),(15,8,1),(16,8,1)],
(124,362) => MOP_CODE[(9,1,0),(10,1,0),(5,2,0),(3,2,0),(6,1,0),(13,2,0),(14,2,0),(2,1,0),(11,1,0),(12,1,0),(7,2,0),(4,2,0),(8,1,0),(15,2,0),(16,2,0),(1,8,1),(9,8,1),(10,8,1),(5,5,1),(3,5,1),(6,8,1),(13,5,1),(14,5,1),(2,8,1),(11,8,1),(12,8,1),(7,5,1),(4,5,1),(8,8,1),(15,5,1),(16,5,1)],
(125,363) => MOP_CODE[(9,3,0),(10,4,0),(5,4,0),(3,3,0),(6,5,0),(13,1,0),(14,5,0),(2,1,0),(11,3,0),(12,4,0),(7,4,0),(4,3,0),(8,5,0),(15,1,0),(16,5,0)],
(125,364) => MOP_CODE[(9,3,0),(10,4,0),(5,4,0),(3,3,0),(6,5,0),(13,1,0),(14,5,0),(2,1,0),(11,3,0),(12,4,0),(7,4,0),(4,3,0),(8,5,0),(15,1,0),(16,5,0),(1,1,1),(9,3,1),(10,4,1),(5,4,1),(3,3,1),(6,5,1),(13,1,1),(14,5,1),(2,1,1),(11,3,1),(12,4,1),(7,4,1),(4,3,1),(8,5,1),(15,1,1),(16,5,1)],
(125,365) => MOP_CODE[(9,3,0),(10,4,0),(5,4,1),(3,3,1),(6,5,0),(13,1,1),(14,5,1),(2,1,1),(11,3,1),(12,4,1),(7,4,0),(4,3,0),(8,5,1),(15,1,0),(16,5,0)],
(125,366) => MOP_CODE[(9,3,1),(10,4,1),(5,4,1),(3,3,1),(6,5,0),(13,1,0),(14,5,0),(2,1,0),(11,3,1),(12,4,1),(7,4,1),(4,3,1),(8,5,0),(15,1,0),(16,5,0)],
(125,367) => MOP_CODE[(9,3,1),(10,4,1),(5,4,0),(3,3,0),(6,5,0),(13,1,1),(14,5,1),(2,1,0),(11,3,1),(12,4,1),(7,4,0),(4,3,0),(8,5,0),(15,1,1),(16,5,1)],
(125,368) => MOP_CODE[(9,3,1),(10,4,1),(5,4,0),(3,3,0),(6,5,0),(13,1,1),(14,5,1),(2,1,1),(11,3,0),(12,4,0),(7,4,1),(4,3,1),(8,5,1),(15,1,0),(16,5,0)],
(125,369) => MOP_CODE[(9,3,0),(10,4,0),(5,4,1),(3,3,1),(6,5,0),(13,1,1),(14,5,1),(2,1,0),(11,3,0),(12,4,0),(7,4,1),(4,3,1),(8,5,0),(15,1,1),(16,5,1)],
(125,370) => MOP_CODE[(9,3,1),(10,4,1),(5,4,1),(3,3,1),(6,5,0),(13,1,0),(14,5,0),(2,1,1),(11,3,0),(12,4,0),(7,4,0),(4,3,0),(8,5,1),(15,1,1),(16,5,1)],
(125,371) => MOP_CODE[(9,3,0),(10,4,0),(5,4,0),(3,3,0),(6,5,0),(13,1,0),(14,5,0),(2,1,1),(11,3,1),(12,4,1),(7,4,1),(4,3,1),(8,5,1),(15,1,1),(16,5,1)],
(125,372) => MOP_CODE[(9,3,0),(10,4,0),(5,4,0),(3,3,0),(6,5,0),(13,1,0),(14,5,0),(2,1,0),(11,3,0),(12,4,0),(7,4,0),(4,3,0),(8,5,0),(15,1,0),(16,5,0),(1,2,1),(9,6,1),(10,7,1),(5,7,1),(3,6,1),(6,8,1),(13,2,1),(14,8,1),(2,2,1),(11,6,1),(12,7,1),(7,7,1),(4,6,1),(8,8,1),(15,2,1),(16,8,1)],
(125,373) => MOP_CODE[(9,3,0),(10,4,0),(5,4,0),(3,3,0),(6,5,0),(13,1,0),(14,5,0),(2,1,0),(11,3,0),(12,4,0),(7,4,0),(4,3,0),(8,5,0),(15,1,0),(16,5,0),(1,5,1),(9,4,1),(10,3,1),(5,3,1),(3,4,1),(6,1,1),(13,5,1),(14,1,1),(2,5,1),(11,4,1),(12,3,1),(7,3,1),(4,4,1),(8,1,1),(15,5,1),(16,1,1)],
(125,374) => MOP_CODE[(9,3,0),(10,4,0),(5,4,0),(3,3,0),(6,5,0),(13,1,0),(14,5,0),(2,1,0),(11,3,0),(12,4,0),(7,4,0),(4,3,0),(8,5,0),(15,1,0),(16,5,0),(1,8,1),(9,7,1),(10,6,1),(5,6,1),(3,7,1),(6,2,1),(13,8,1),(14,2,1),(2,8,1),(11,7,1),(12,6,1),(7,6,1),(4,7,1),(8,2,1),(15,8,1),(16,2,1)],
(126,375) => MOP_CODE[(9,3,0),(10,4,0),(5,7,0),(3,6,0),(6,5,0),(13,2,0),(14,8,0),(2,1,0),(11,3,0),(12,4,0),(7,7,0),(4,6,0),(8,5,0),(15,2,0),(16,8,0)],
(126,376) => MOP_CODE[(9,3,0),(10,4,0),(5,7,0),(3,6,0),(6,5,0),(13,2,0),(14,8,0),(2,1,0),(11,3,0),(12,4,0),(7,7,0),(4,6,0),(8,5,0),(15,2,0),(16,8,0),(1,1,1),(9,3,1),(10,4,1),(5,7,1),(3,6,1),(6,5,1),(13,2,1),(14,8,1),(2,1,1),(11,3,1),(12,4,1),(7,7,1),(4,6,1),(8,5,1),(15,2,1),(16,8,1)],
(126,377) => MOP_CODE[(9,3,0),(10,4,0),(5,7,1),(3,6,1),(6,5,0),(13,2,1),(14,8,1),(2,1,1),(11,3,1),(12,4,1),(7,7,0),(4,6,0),(8,5,1),(15,2,0),(16,8,0)],
(126,378) => MOP_CODE[(9,3,1),(10,4,1),(5,7,1),(3,6,1),(6,5,0),(13,2,0),(14,8,0),(2,1,0),(11,3,1),(12,4,1),(7,7,1),(4,6,1),(8,5,0),(15,2,0),(16,8,0)],
(126,379) => MOP_CODE[(9,3,1),(10,4,1),(5,7,0),(3,6,0),(6,5,0),(13,2,1),(14,8,1),(2,1,0),(11,3,1),(12,4,1),(7,7,0),(4,6,0),(8,5,0),(15,2,1),(16,8,1)],
(126,380) => MOP_CODE[(9,3,1),(10,4,1),(5,7,0),(3,6,0),(6,5,0),(13,2,1),(14,8,1),(2,1,1),(11,3,0),(12,4,0),(7,7,1),(4,6,1),(8,5,1),(15,2,0),(16,8,0)],
(126,381) => MOP_CODE[(9,3,0),(10,4,0),(5,7,1),(3,6,1),(6,5,0),(13,2,1),(14,8,1),(2,1,0),(11,3,0),(12,4,0),(7,7,1),(4,6,1),(8,5,0),(15,2,1),(16,8,1)],
(126,382) => MOP_CODE[(9,3,1),(10,4,1),(5,7,1),(3,6,1),(6,5,0),(13,2,0),(14,8,0),(2,1,1),(11,3,0),(12,4,0),(7,7,0),(4,6,0),(8,5,1),(15,2,1),(16,8,1)],
(126,383) => MOP_CODE[(9,3,0),(10,4,0),(5,7,0),(3,6,0),(6,5,0),(13,2,0),(14,8,0),(2,1,1),(11,3,1),(12,4,1),(7,7,1),(4,6,1),(8,5,1),(15,2,1),(16,8,1)],
(126,384) => MOP_CODE[(9,3,0),(10,4,0),(5,7,0),(3,6,0),(6,5,0),(13,2,0),(14,8,0),(2,1,0),(11,3,0),(12,4,0),(7,7,0),(4,6,0),(8,5,0),(15,2,0),(16,8,0),(1,2,1),(9,6,1),(10,7,1),(5,4,1),(3,3,1),(6,8,1),(13,1,1),(14,5,1),(2,2,1),(11,6,1),(12,7,1),(7,4,1),(4,3,1),(8,8,1),(15,1,1),(16,5,1)],
(126,385) => MOP_CODE[(9,3,0),(10,4,0),(5,7,0),(3,6,0),(6,5,0),(13,2,0),(14,8,0),(2,1,0),(11,3,0),(12,4,0),(7,7,0),(4,6,0),(8,5,0),(15,2,0),(16,8,0),(1,5,1),(9,4,1),(10,3,1),(5,6,1),(3,7,1),(6,1,1),(13,8,1),(14,2,1),(2,5,1),(11,4,1),(12,3,1),(7,6,1),(4,7,1),(8,1,1),(15,8,1),(16,2,1)],
(126,386) => MOP_CODE[(9,3,0),(10,4,0),(5,7,0),(3,6,0),(6,5,0),(13,2,0),(14,8,0),(2,1,0),(11,3,0),(12,4,0),(7,7,0),(4,6,0),(8,5,0),(15,2,0),(16,8,0),(1,8,1),(9,7,1),(10,6,1),(5,3,1),(3,4,1),(6,2,1),(13,5,1),(14,1,1),(2,8,1),(11,7,1),(12,6,1),(7,3,1),(4,4,1),(8,2,1),(15,5,1),(16,1,1)],
(127,387) => MOP_CODE[(9,1,0),(10,1,0),(5,5,0),(3,5,0),(6,1,0),(13,5,0),(14,5,0),(2,1,0),(11,1,0),(12,1,0),(7,5,0),(4,5,0),(8,1,0),(15,5,0),(16,5,0)],
(127,388) => MOP_CODE[(9,1,0),(10,1,0),(5,5,0),(3,5,0),(6,1,0),(13,5,0),(14,5,0),(2,1,0),(11,1,0),(12,1,0),(7,5,0),(4,5,0),(8,1,0),(15,5,0),(16,5,0),(1,1,1),(9,1,1),(10,1,1),(5,5,1),(3,5,1),(6,1,1),(13,5,1),(14,5,1),(2,1,1),(11,1,1),(12,1,1),(7,5,1),(4,5,1),(8,1,1),(15,5,1),(16,5,1)],
(127,389) => MOP_CODE[(9,1,0),(10,1,0),(5,5,1),(3,5,1),(6,1,0),(13,5,1),(14,5,1),(2,1,1),(11,1,1),(12,1,1),(7,5,0),(4,5,0),(8,1,1),(15,5,0),(16,5,0)],
(127,390) => MOP_CODE[(9,1,1),(10,1,1),(5,5,1),(3,5,1),(6,1,0),(13,5,0),(14,5,0),(2,1,0),(11,1,1),(12,1,1),(7,5,1),(4,5,1),(8,1,0),(15,5,0),(16,5,0)],
(127,391) => MOP_CODE[(9,1,1),(10,1,1),(5,5,0),(3,5,0),(6,1,0),(13,5,1),(14,5,1),(2,1,0),(11,1,1),(12,1,1),(7,5,0),(4,5,0),(8,1,0),(15,5,1),(16,5,1)],
(127,392) => MOP_CODE[(9,1,1),(10,1,1),(5,5,0),(3,5,0),(6,1,0),(13,5,1),(14,5,1),(2,1,1),(11,1,0),(12,1,0),(7,5,1),(4,5,1),(8,1,1),(15,5,0),(16,5,0)],
(127,393) => MOP_CODE[(9,1,0),(10,1,0),(5,5,1),(3,5,1),(6,1,0),(13,5,1),(14,5,1),(2,1,0),(11,1,0),(12,1,0),(7,5,1),(4,5,1),(8,1,0),(15,5,1),(16,5,1)],
(127,394) => MOP_CODE[(9,1,1),(10,1,1),(5,5,1),(3,5,1),(6,1,0),(13,5,0),(14,5,0),(2,1,1),(11,1,0),(12,1,0),(7,5,0),(4,5,0),(8,1,1),(15,5,1),(16,5,1)],
(127,395) => MOP_CODE[(9,1,0),(10,1,0),(5,5,0),(3,5,0),(6,1,0),(13,5,0),(14,5,0),(2,1,1),(11,1,1),(12,1,1),(7,5,1),(4,5,1),(8,1,1),(15,5,1),(16,5,1)],
(127,396) => MOP_CODE[(9,1,0),(10,1,0),(5,5,0),(3,5,0),(6,1,0),(13,5,0),(14,5,0),(2,1,0),(11,1,0),(12,1,0),(7,5,0),(4,5,0),(8,1,0),(15,5,0),(16,5,0),(1,2,1),(9,2,1),(10,2,1),(5,8,1),(3,8,1),(6,2,1),(13,8,1),(14,8,1),(2,2,1),(11,2,1),(12,2,1),(7,8,1),(4,8,1),(8,2,1),(15,8,1),(16,8,1)],
(127,397) => MOP_CODE[(9,1,0),(10,1,0),(5,5,0),(3,5,0),(6,1,0),(13,5,0),(14,5,0),(2,1,0),(11,1,0),(12,1,0),(7,5,0),(4,5,0),(8,1,0),(15,5,0),(16,5,0),(1,5,1),(9,5,1),(10,5,1),(5,1,1),(3,1,1),(6,5,1),(13,1,1),(14,1,1),(2,5,1),(11,5,1),(12,5,1),(7,1,1),(4,1,1),(8,5,1),(15,1,1),(16,1,1)],
(127,398) => MOP_CODE[(9,1,0),(10,1,0),(5,5,0),(3,5,0),(6,1,0),(13,5,0),(14,5,0),(2,1,0),(11,1,0),(12,1,0),(7,5,0),(4,5,0),(8,1,0),(15,5,0),(16,5,0),(1,8,1),(9,8,1),(10,8,1),(5,2,1),(3,2,1),(6,8,1),(13,2,1),(14,2,1),(2,8,1),(11,8,1),(12,8,1),(7,2,1),(4,2,1),(8,8,1),(15,2,1),(16,2,1)],
(128,399) => MOP_CODE[(9,1,0),(10,1,0),(5,8,0),(3,8,0),(6,1,0),(13,8,0),(14,8,0),(2,1,0),(11,1,0),(12,1,0),(7,8,0),(4,8,0),(8,1,0),(15,8,0),(16,8,0)],
(128,400) => MOP_CODE[(9,1,0),(10,1,0),(5,8,0),(3,8,0),(6,1,0),(13,8,0),(14,8,0),(2,1,0),(11,1,0),(12,1,0),(7,8,0),(4,8,0),(8,1,0),(15,8,0),(16,8,0),(1,1,1),(9,1,1),(10,1,1),(5,8,1),(3,8,1),(6,1,1),(13,8,1),(14,8,1),(2,1,1),(11,1,1),(12,1,1),(7,8,1),(4,8,1),(8,1,1),(15,8,1),(16,8,1)],
(128,401) => MOP_CODE[(9,1,0),(10,1,0),(5,8,1),(3,8,1),(6,1,0),(13,8,1),(14,8,1),(2,1,1),(11,1,1),(12,1,1),(7,8,0),(4,8,0),(8,1,1),(15,8,0),(16,8,0)],
(128,402) => MOP_CODE[(9,1,1),(10,1,1),(5,8,1),(3,8,1),(6,1,0),(13,8,0),(14,8,0),(2,1,0),(11,1,1),(12,1,1),(7,8,1),(4,8,1),(8,1,0),(15,8,0),(16,8,0)],
(128,403) => MOP_CODE[(9,1,1),(10,1,1),(5,8,0),(3,8,0),(6,1,0),(13,8,1),(14,8,1),(2,1,0),(11,1,1),(12,1,1),(7,8,0),(4,8,0),(8,1,0),(15,8,1),(16,8,1)],
(128,404) => MOP_CODE[(9,1,1),(10,1,1),(5,8,0),(3,8,0),(6,1,0),(13,8,1),(14,8,1),(2,1,1),(11,1,0),(12,1,0),(7,8,1),(4,8,1),(8,1,1),(15,8,0),(16,8,0)],
(128,405) => MOP_CODE[(9,1,0),(10,1,0),(5,8,1),(3,8,1),(6,1,0),(13,8,1),(14,8,1),(2,1,0),(11,1,0),(12,1,0),(7,8,1),(4,8,1),(8,1,0),(15,8,1),(16,8,1)],
(128,406) => MOP_CODE[(9,1,1),(10,1,1),(5,8,1),(3,8,1),(6,1,0),(13,8,0),(14,8,0),(2,1,1),(11,1,0),(12,1,0),(7,8,0),(4,8,0),(8,1,1),(15,8,1),(16,8,1)],
(128,407) => MOP_CODE[(9,1,0),(10,1,0),(5,8,0),(3,8,0),(6,1,0),(13,8,0),(14,8,0),(2,1,1),(11,1,1),(12,1,1),(7,8,1),(4,8,1),(8,1,1),(15,8,1),(16,8,1)],
(128,408) => MOP_CODE[(9,1,0),(10,1,0),(5,8,0),(3,8,0),(6,1,0),(13,8,0),(14,8,0),(2,1,0),(11,1,0),(12,1,0),(7,8,0),(4,8,0),(8,1,0),(15,8,0),(16,8,0),(1,2,1),(9,2,1),(10,2,1),(5,5,1),(3,5,1),(6,2,1),(13,5,1),(14,5,1),(2,2,1),(11,2,1),(12,2,1),(7,5,1),(4,5,1),(8,2,1),(15,5,1),(16,5,1)],
(128,409) => MOP_CODE[(9,1,0),(10,1,0),(5,8,0),(3,8,0),(6,1,0),(13,8,0),(14,8,0),(2,1,0),(11,1,0),(12,1,0),(7,8,0),(4,8,0),(8,1,0),(15,8,0),(16,8,0),(1,5,1),(9,5,1),(10,5,1),(5,2,1),(3,2,1),(6,5,1),(13,2,1),(14,2,1),(2,5,1),(11,5,1),(12,5,1),(7,2,1),(4,2,1),(8,5,1),(15,2,1),(16,2,1)],
(128,410) => MOP_CODE[(9,1,0),(10,1,0),(5,8,0),(3,8,0),(6,1,0),(13,8,0),(14,8,0),(2,1,0),(11,1,0),(12,1,0),(7,8,0),(4,8,0),(8,1,0),(15,8,0),(16,8,0),(1,8,1),(9,8,1),(10,8,1),(5,1,1),(3,1,1),(6,8,1),(13,1,1),(14,1,1),(2,8,1),(11,8,1),(12,8,1),(7,1,1),(4,1,1),(8,8,1),(15,1,1),(16,1,1)],
(129,411) => MOP_CODE[(9,3,0),(10,4,0),(5,3,0),(3,4,0),(6,5,0),(13,5,0),(14,1,0),(2,1,0),(11,3,0),(12,4,0),(7,3,0),(4,4,0),(8,5,0),(15,5,0),(16,1,0)],
(129,412) => MOP_CODE[(9,3,0),(10,4,0),(5,3,0),(3,4,0),(6,5,0),(13,5,0),(14,1,0),(2,1,0),(11,3,0),(12,4,0),(7,3,0),(4,4,0),(8,5,0),(15,5,0),(16,1,0),(1,1,1),(9,3,1),(10,4,1),(5,3,1),(3,4,1),(6,5,1),(13,5,1),(14,1,1),(2,1,1),(11,3,1),(12,4,1),(7,3,1),(4,4,1),(8,5,1),(15,5,1),(16,1,1)],
(129,413) => MOP_CODE[(9,3,0),(10,4,0),(5,3,1),(3,4,1),(6,5,0),(13,5,1),(14,1,1),(2,1,1),(11,3,1),(12,4,1),(7,3,0),(4,4,0),(8,5,1),(15,5,0),(16,1,0)],
(129,414) => MOP_CODE[(9,3,1),(10,4,1),(5,3,1),(3,4,1),(6,5,0),(13,5,0),(14,1,0),(2,1,0),(11,3,1),(12,4,1),(7,3,1),(4,4,1),(8,5,0),(15,5,0),(16,1,0)],
(129,415) => MOP_CODE[(9,3,1),(10,4,1),(5,3,0),(3,4,0),(6,5,0),(13,5,1),(14,1,1),(2,1,0),(11,3,1),(12,4,1),(7,3,0),(4,4,0),(8,5,0),(15,5,1),(16,1,1)],
(129,416) => MOP_CODE[(9,3,1),(10,4,1),(5,3,0),(3,4,0),(6,5,0),(13,5,1),(14,1,1),(2,1,1),(11,3,0),(12,4,0),(7,3,1),(4,4,1),(8,5,1),(15,5,0),(16,1,0)],
(129,417) => MOP_CODE[(9,3,0),(10,4,0),(5,3,1),(3,4,1),(6,5,0),(13,5,1),(14,1,1),(2,1,0),(11,3,0),(12,4,0),(7,3,1),(4,4,1),(8,5,0),(15,5,1),(16,1,1)],
(129,418) => MOP_CODE[(9,3,1),(10,4,1),(5,3,1),(3,4,1),(6,5,0),(13,5,0),(14,1,0),(2,1,1),(11,3,0),(12,4,0),(7,3,0),(4,4,0),(8,5,1),(15,5,1),(16,1,1)],
(129,419) => MOP_CODE[(9,3,0),(10,4,0),(5,3,0),(3,4,0),(6,5,0),(13,5,0),(14,1,0),(2,1,1),(11,3,1),(12,4,1),(7,3,1),(4,4,1),(8,5,1),(15,5,1),(16,1,1)],
(129,420) => MOP_CODE[(9,3,0),(10,4,0),(5,3,0),(3,4,0),(6,5,0),(13,5,0),(14,1,0),(2,1,0),(11,3,0),(12,4,0),(7,3,0),(4,4,0),(8,5,0),(15,5,0),(16,1,0),(1,2,1),(9,6,1),(10,7,1),(5,6,1),(3,7,1),(6,8,1),(13,8,1),(14,2,1),(2,2,1),(11,6,1),(12,7,1),(7,6,1),(4,7,1),(8,8,1),(15,8,1),(16,2,1)],
(129,421) => MOP_CODE[(9,3,0),(10,4,0),(5,3,0),(3,4,0),(6,5,0),(13,5,0),(14,1,0),(2,1,0),(11,3,0),(12,4,0),(7,3,0),(4,4,0),(8,5,0),(15,5,0),(16,1,0),(1,5,1),(9,4,1),(10,3,1),(5,4,1),(3,3,1),(6,1,1),(13,1,1),(14,5,1),(2,5,1),(11,4,1),(12,3,1),(7,4,1),(4,3,1),(8,1,1),(15,1,1),(16,5,1)],
(129,422) => MOP_CODE[(9,3,0),(10,4,0),(5,3,0),(3,4,0),(6,5,0),(13,5,0),(14,1,0),(2,1,0),(11,3,0),(12,4,0),(7,3,0),(4,4,0),(8,5,0),(15,5,0),(16,1,0),(1,8,1),(9,7,1),(10,6,1),(5,7,1),(3,6,1),(6,2,1),(13,2,1),(14,8,1),(2,8,1),(11,7,1),(12,6,1),(7,7,1),(4,6,1),(8,2,1),(15,2,1),(16,8,1)],
(130,423) => MOP_CODE[(9,3,0),(10,4,0),(5,6,0),(3,7,0),(6,5,0),(13,8,0),(14,2,0),(2,1,0),(11,3,0),(12,4,0),(7,6,0),(4,7,0),(8,5,0),(15,8,0),(16,2,0)],
(130,424) => MOP_CODE[(9,3,0),(10,4,0),(5,6,0),(3,7,0),(6,5,0),(13,8,0),(14,2,0),(2,1,0),(11,3,0),(12,4,0),(7,6,0),(4,7,0),(8,5,0),(15,8,0),(16,2,0),(1,1,1),(9,3,1),(10,4,1),(5,6,1),(3,7,1),(6,5,1),(13,8,1),(14,2,1),(2,1,1),(11,3,1),(12,4,1),(7,6,1),(4,7,1),(8,5,1),(15,8,1),(16,2,1)],
(130,425) => MOP_CODE[(9,3,0),(10,4,0),(5,6,1),(3,7,1),(6,5,0),(13,8,1),(14,2,1),(2,1,1),(11,3,1),(12,4,1),(7,6,0),(4,7,0),(8,5,1),(15,8,0),(16,2,0)],
(130,426) => MOP_CODE[(9,3,1),(10,4,1),(5,6,1),(3,7,1),(6,5,0),(13,8,0),(14,2,0),(2,1,0),(11,3,1),(12,4,1),(7,6,1),(4,7,1),(8,5,0),(15,8,0),(16,2,0)],
(130,427) => MOP_CODE[(9,3,1),(10,4,1),(5,6,0),(3,7,0),(6,5,0),(13,8,1),(14,2,1),(2,1,0),(11,3,1),(12,4,1),(7,6,0),(4,7,0),(8,5,0),(15,8,1),(16,2,1)],
(130,428) => MOP_CODE[(9,3,1),(10,4,1),(5,6,0),(3,7,0),(6,5,0),(13,8,1),(14,2,1),(2,1,1),(11,3,0),(12,4,0),(7,6,1),(4,7,1),(8,5,1),(15,8,0),(16,2,0)],
(130,429) => MOP_CODE[(9,3,0),(10,4,0),(5,6,1),(3,7,1),(6,5,0),(13,8,1),(14,2,1),(2,1,0),(11,3,0),(12,4,0),(7,6,1),(4,7,1),(8,5,0),(15,8,1),(16,2,1)],
(130,430) => MOP_CODE[(9,3,1),(10,4,1),(5,6,1),(3,7,1),(6,5,0),(13,8,0),(14,2,0),(2,1,1),(11,3,0),(12,4,0),(7,6,0),(4,7,0),(8,5,1),(15,8,1),(16,2,1)],
(130,431) => MOP_CODE[(9,3,0),(10,4,0),(5,6,0),(3,7,0),(6,5,0),(13,8,0),(14,2,0),(2,1,1),(11,3,1),(12,4,1),(7,6,1),(4,7,1),(8,5,1),(15,8,1),(16,2,1)],
(130,432) => MOP_CODE[(9,3,0),(10,4,0),(5,6,0),(3,7,0),(6,5,0),(13,8,0),(14,2,0),(2,1,0),(11,3,0),(12,4,0),(7,6,0),(4,7,0),(8,5,0),(15,8,0),(16,2,0),(1,2,1),(9,6,1),(10,7,1),(5,3,1),(3,4,1),(6,8,1),(13,5,1),(14,1,1),(2,2,1),(11,6,1),(12,7,1),(7,3,1),(4,4,1),(8,8,1),(15,5,1),(16,1,1)],
(130,433) => MOP_CODE[(9,3,0),(10,4,0),(5,6,0),(3,7,0),(6,5,0),(13,8,0),(14,2,0),(2,1,0),(11,3,0),(12,4,0),(7,6,0),(4,7,0),(8,5,0),(15,8,0),(16,2,0),(1,5,1),(9,4,1),(10,3,1),(5,7,1),(3,6,1),(6,1,1),(13,2,1),(14,8,1),(2,5,1),(11,4,1),(12,3,1),(7,7,1),(4,6,1),(8,1,1),(15,2,1),(16,8,1)],
(130,434) => MOP_CODE[(9,3,0),(10,4,0),(5,6,0),(3,7,0),(6,5,0),(13,8,0),(14,2,0),(2,1,0),(11,3,0),(12,4,0),(7,6,0),(4,7,0),(8,5,0),(15,8,0),(16,2,0),(1,8,1),(9,7,1),(10,6,1),(5,4,1),(3,3,1),(6,2,1),(13,1,1),(14,5,1),(2,8,1),(11,7,1),(12,6,1),(7,4,1),(4,3,1),(8,2,1),(15,1,1),(16,5,1)],
(131,435) => MOP_CODE[(9,2,0),(10,2,0),(5,1,0),(3,1,0),(6,1,0),(13,2,0),(14,2,0),(2,1,0),(11,2,0),(12,2,0),(7,1,0),(4,1,0),(8,1,0),(15,2,0),(16,2,0)],
(131,436) => MOP_CODE[(9,2,0),(10,2,0),(5,1,0),(3,1,0),(6,1,0),(13,2,0),(14,2,0),(2,1,0),(11,2,0),(12,2,0),(7,1,0),(4,1,0),(8,1,0),(15,2,0),(16,2,0),(1,1,1),(9,2,1),(10,2,1),(5,1,1),(3,1,1),(6,1,1),(13,2,1),(14,2,1),(2,1,1),(11,2,1),(12,2,1),(7,1,1),(4,1,1),(8,1,1),(15,2,1),(16,2,1)],
(131,437) => MOP_CODE[(9,2,0),(10,2,0),(5,1,1),(3,1,1),(6,1,0),(13,2,1),(14,2,1),(2,1,1),(11,2,1),(12,2,1),(7,1,0),(4,1,0),(8,1,1),(15,2,0),(16,2,0)],
(131,438) => MOP_CODE[(9,2,1),(10,2,1),(5,1,1),(3,1,1),(6,1,0),(13,2,0),(14,2,0),(2,1,0),(11,2,1),(12,2,1),(7,1,1),(4,1,1),(8,1,0),(15,2,0),(16,2,0)],
(131,439) => MOP_CODE[(9,2,1),(10,2,1),(5,1,0),(3,1,0),(6,1,0),(13,2,1),(14,2,1),(2,1,0),(11,2,1),(12,2,1),(7,1,0),(4,1,0),(8,1,0),(15,2,1),(16,2,1)],
(131,440) => MOP_CODE[(9,2,1),(10,2,1),(5,1,0),(3,1,0),(6,1,0),(13,2,1),(14,2,1),(2,1,1),(11,2,0),(12,2,0),(7,1,1),(4,1,1),(8,1,1),(15,2,0),(16,2,0)],
(131,441) => MOP_CODE[(9,2,0),(10,2,0),(5,1,1),(3,1,1),(6,1,0),(13,2,1),(14,2,1),(2,1,0),(11,2,0),(12,2,0),(7,1,1),(4,1,1),(8,1,0),(15,2,1),(16,2,1)],
(131,442) => MOP_CODE[(9,2,1),(10,2,1),(5,1,1),(3,1,1),(6,1,0),(13,2,0),(14,2,0),(2,1,1),(11,2,0),(12,2,0),(7,1,0),(4,1,0),(8,1,1),(15,2,1),(16,2,1)],
(131,443) => MOP_CODE[(9,2,0),(10,2,0),(5,1,0),(3,1,0),(6,1,0),(13,2,0),(14,2,0),(2,1,1),(11,2,1),(12,2,1),(7,1,1),(4,1,1),(8,1,1),(15,2,1),(16,2,1)],
(131,444) => MOP_CODE[(9,2,0),(10,2,0),(5,1,0),(3,1,0),(6,1,0),(13,2,0),(14,2,0),(2,1,0),(11,2,0),(12,2,0),(7,1,0),(4,1,0),(8,1,0),(15,2,0),(16,2,0),(1,2,1),(9,1,1),(10,1,1),(5,2,1),(3,2,1),(6,2,1),(13,1,1),(14,1,1),(2,2,1),(11,1,1),(12,1,1),(7,2,1),(4,2,1),(8,2,1),(15,1,1),(16,1,1)],
(131,445) => MOP_CODE[(9,2,0),(10,2,0),(5,1,0),(3,1,0),(6,1,0),(13,2,0),(14,2,0),(2,1,0),(11,2,0),(12,2,0),(7,1,0),(4,1,0),(8,1,0),(15,2,0),(16,2,0),(1,5,1),(9,8,1),(10,8,1),(5,5,1),(3,5,1),(6,5,1),(13,8,1),(14,8,1),(2,5,1),(11,8,1),(12,8,1),(7,5,1),(4,5,1),(8,5,1),(15,8,1),(16,8,1)],
(131,446) => MOP_CODE[(9,2,0),(10,2,0),(5,1,0),(3,1,0),(6,1,0),(13,2,0),(14,2,0),(2,1,0),(11,2,0),(12,2,0),(7,1,0),(4,1,0),(8,1,0),(15,2,0),(16,2,0),(1,8,1),(9,5,1),(10,5,1),(5,8,1),(3,8,1),(6,8,1),(13,5,1),(14,5,1),(2,8,1),(11,5,1),(12,5,1),(7,8,1),(4,8,1),(8,8,1),(15,5,1),(16,5,1)],
(132,447) => MOP_CODE[(9,2,0),(10,2,0),(5,2,0),(3,2,0),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,2,0),(12,2,0),(7,2,0),(4,2,0),(8,1,0),(15,1,0),(16,1,0)],
(132,448) => MOP_CODE[(9,2,0),(10,2,0),(5,2,0),(3,2,0),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,2,0),(12,2,0),(7,2,0),(4,2,0),(8,1,0),(15,1,0),(16,1,0),(1,1,1),(9,2,1),(10,2,1),(5,2,1),(3,2,1),(6,1,1),(13,1,1),(14,1,1),(2,1,1),(11,2,1),(12,2,1),(7,2,1),(4,2,1),(8,1,1),(15,1,1),(16,1,1)],
(132,449) => MOP_CODE[(9,2,0),(10,2,0),(5,2,1),(3,2,1),(6,1,0),(13,1,1),(14,1,1),(2,1,1),(11,2,1),(12,2,1),(7,2,0),(4,2,0),(8,1,1),(15,1,0),(16,1,0)],
(132,450) => MOP_CODE[(9,2,1),(10,2,1),(5,2,1),(3,2,1),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,2,1),(12,2,1),(7,2,1),(4,2,1),(8,1,0),(15,1,0),(16,1,0)],
(132,451) => MOP_CODE[(9,2,1),(10,2,1),(5,2,0),(3,2,0),(6,1,0),(13,1,1),(14,1,1),(2,1,0),(11,2,1),(12,2,1),(7,2,0),(4,2,0),(8,1,0),(15,1,1),(16,1,1)],
(132,452) => MOP_CODE[(9,2,1),(10,2,1),(5,2,0),(3,2,0),(6,1,0),(13,1,1),(14,1,1),(2,1,1),(11,2,0),(12,2,0),(7,2,1),(4,2,1),(8,1,1),(15,1,0),(16,1,0)],
(132,453) => MOP_CODE[(9,2,0),(10,2,0),(5,2,1),(3,2,1),(6,1,0),(13,1,1),(14,1,1),(2,1,0),(11,2,0),(12,2,0),(7,2,1),(4,2,1),(8,1,0),(15,1,1),(16,1,1)],
(132,454) => MOP_CODE[(9,2,1),(10,2,1),(5,2,1),(3,2,1),(6,1,0),(13,1,0),(14,1,0),(2,1,1),(11,2,0),(12,2,0),(7,2,0),(4,2,0),(8,1,1),(15,1,1),(16,1,1)],
(132,455) => MOP_CODE[(9,2,0),(10,2,0),(5,2,0),(3,2,0),(6,1,0),(13,1,0),(14,1,0),(2,1,1),(11,2,1),(12,2,1),(7,2,1),(4,2,1),(8,1,1),(15,1,1),(16,1,1)],
(132,456) => MOP_CODE[(9,2,0),(10,2,0),(5,2,0),(3,2,0),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,2,0),(12,2,0),(7,2,0),(4,2,0),(8,1,0),(15,1,0),(16,1,0),(1,2,1),(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,2,1),(13,2,1),(14,2,1),(2,2,1),(11,1,1),(12,1,1),(7,1,1),(4,1,1),(8,2,1),(15,2,1),(16,2,1)],
(132,457) => MOP_CODE[(9,2,0),(10,2,0),(5,2,0),(3,2,0),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,2,0),(12,2,0),(7,2,0),(4,2,0),(8,1,0),(15,1,0),(16,1,0),(1,5,1),(9,8,1),(10,8,1),(5,8,1),(3,8,1),(6,5,1),(13,5,1),(14,5,1),(2,5,1),(11,8,1),(12,8,1),(7,8,1),(4,8,1),(8,5,1),(15,5,1),(16,5,1)],
(132,458) => MOP_CODE[(9,2,0),(10,2,0),(5,2,0),(3,2,0),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,2,0),(12,2,0),(7,2,0),(4,2,0),(8,1,0),(15,1,0),(16,1,0),(1,8,1),(9,5,1),(10,5,1),(5,5,1),(3,5,1),(6,8,1),(13,8,1),(14,8,1),(2,8,1),(11,5,1),(12,5,1),(7,5,1),(4,5,1),(8,8,1),(15,8,1),(16,8,1)],
(133,459) => MOP_CODE[(9,6,0),(10,7,0),(5,4,0),(3,3,0),(6,5,0),(13,2,0),(14,8,0),(2,1,0),(11,6,0),(12,7,0),(7,4,0),(4,3,0),(8,5,0),(15,2,0),(16,8,0)],
(133,460) => MOP_CODE[(9,6,0),(10,7,0),(5,4,0),(3,3,0),(6,5,0),(13,2,0),(14,8,0),(2,1,0),(11,6,0),(12,7,0),(7,4,0),(4,3,0),(8,5,0),(15,2,0),(16,8,0),(1,1,1),(9,6,1),(10,7,1),(5,4,1),(3,3,1),(6,5,1),(13,2,1),(14,8,1),(2,1,1),(11,6,1),(12,7,1),(7,4,1),(4,3,1),(8,5,1),(15,2,1),(16,8,1)],
(133,461) => MOP_CODE[(9,6,0),(10,7,0),(5,4,1),(3,3,1),(6,5,0),(13,2,1),(14,8,1),(2,1,1),(11,6,1),(12,7,1),(7,4,0),(4,3,0),(8,5,1),(15,2,0),(16,8,0)],
(133,462) => MOP_CODE[(9,6,1),(10,7,1),(5,4,1),(3,3,1),(6,5,0),(13,2,0),(14,8,0),(2,1,0),(11,6,1),(12,7,1),(7,4,1),(4,3,1),(8,5,0),(15,2,0),(16,8,0)],
(133,463) => MOP_CODE[(9,6,1),(10,7,1),(5,4,0),(3,3,0),(6,5,0),(13,2,1),(14,8,1),(2,1,0),(11,6,1),(12,7,1),(7,4,0),(4,3,0),(8,5,0),(15,2,1),(16,8,1)],
(133,464) => MOP_CODE[(9,6,1),(10,7,1),(5,4,0),(3,3,0),(6,5,0),(13,2,1),(14,8,1),(2,1,1),(11,6,0),(12,7,0),(7,4,1),(4,3,1),(8,5,1),(15,2,0),(16,8,0)],
(133,465) => MOP_CODE[(9,6,0),(10,7,0),(5,4,1),(3,3,1),(6,5,0),(13,2,1),(14,8,1),(2,1,0),(11,6,0),(12,7,0),(7,4,1),(4,3,1),(8,5,0),(15,2,1),(16,8,1)],
(133,466) => MOP_CODE[(9,6,1),(10,7,1),(5,4,1),(3,3,1),(6,5,0),(13,2,0),(14,8,0),(2,1,1),(11,6,0),(12,7,0),(7,4,0),(4,3,0),(8,5,1),(15,2,1),(16,8,1)],
(133,467) => MOP_CODE[(9,6,0),(10,7,0),(5,4,0),(3,3,0),(6,5,0),(13,2,0),(14,8,0),(2,1,1),(11,6,1),(12,7,1),(7,4,1),(4,3,1),(8,5,1),(15,2,1),(16,8,1)],
(133,468) => MOP_CODE[(9,6,0),(10,7,0),(5,4,0),(3,3,0),(6,5,0),(13,2,0),(14,8,0),(2,1,0),(11,6,0),(12,7,0),(7,4,0),(4,3,0),(8,5,0),(15,2,0),(16,8,0),(1,2,1),(9,3,1),(10,4,1),(5,7,1),(3,6,1),(6,8,1),(13,1,1),(14,5,1),(2,2,1),(11,3,1),(12,4,1),(7,7,1),(4,6,1),(8,8,1),(15,1,1),(16,5,1)],
(133,469) => MOP_CODE[(9,6,0),(10,7,0),(5,4,0),(3,3,0),(6,5,0),(13,2,0),(14,8,0),(2,1,0),(11,6,0),(12,7,0),(7,4,0),(4,3,0),(8,5,0),(15,2,0),(16,8,0),(1,5,1),(9,7,1),(10,6,1),(5,3,1),(3,4,1),(6,1,1),(13,8,1),(14,2,1),(2,5,1),(11,7,1),(12,6,1),(7,3,1),(4,4,1),(8,1,1),(15,8,1),(16,2,1)],
(133,470) => MOP_CODE[(9,6,0),(10,7,0),(5,4,0),(3,3,0),(6,5,0),(13,2,0),(14,8,0),(2,1,0),(11,6,0),(12,7,0),(7,4,0),(4,3,0),(8,5,0),(15,2,0),(16,8,0),(1,8,1),(9,4,1),(10,3,1),(5,6,1),(3,7,1),(6,2,1),(13,5,1),(14,1,1),(2,8,1),(11,4,1),(12,3,1),(7,6,1),(4,7,1),(8,2,1),(15,5,1),(16,1,1)],
(134,471) => MOP_CODE[(9,6,0),(10,7,0),(5,7,0),(3,6,0),(6,5,0),(13,1,0),(14,5,0),(2,1,0),(11,6,0),(12,7,0),(7,7,0),(4,6,0),(8,5,0),(15,1,0),(16,5,0)],
(134,472) => MOP_CODE[(9,6,0),(10,7,0),(5,7,0),(3,6,0),(6,5,0),(13,1,0),(14,5,0),(2,1,0),(11,6,0),(12,7,0),(7,7,0),(4,6,0),(8,5,0),(15,1,0),(16,5,0),(1,1,1),(9,6,1),(10,7,1),(5,7,1),(3,6,1),(6,5,1),(13,1,1),(14,5,1),(2,1,1),(11,6,1),(12,7,1),(7,7,1),(4,6,1),(8,5,1),(15,1,1),(16,5,1)],
(134,473) => MOP_CODE[(9,6,0),(10,7,0),(5,7,1),(3,6,1),(6,5,0),(13,1,1),(14,5,1),(2,1,1),(11,6,1),(12,7,1),(7,7,0),(4,6,0),(8,5,1),(15,1,0),(16,5,0)],
(134,474) => MOP_CODE[(9,6,1),(10,7,1),(5,7,1),(3,6,1),(6,5,0),(13,1,0),(14,5,0),(2,1,0),(11,6,1),(12,7,1),(7,7,1),(4,6,1),(8,5,0),(15,1,0),(16,5,0)],
(134,475) => MOP_CODE[(9,6,1),(10,7,1),(5,7,0),(3,6,0),(6,5,0),(13,1,1),(14,5,1),(2,1,0),(11,6,1),(12,7,1),(7,7,0),(4,6,0),(8,5,0),(15,1,1),(16,5,1)],
(134,476) => MOP_CODE[(9,6,1),(10,7,1),(5,7,0),(3,6,0),(6,5,0),(13,1,1),(14,5,1),(2,1,1),(11,6,0),(12,7,0),(7,7,1),(4,6,1),(8,5,1),(15,1,0),(16,5,0)],
(134,477) => MOP_CODE[(9,6,0),(10,7,0),(5,7,1),(3,6,1),(6,5,0),(13,1,1),(14,5,1),(2,1,0),(11,6,0),(12,7,0),(7,7,1),(4,6,1),(8,5,0),(15,1,1),(16,5,1)],
(134,478) => MOP_CODE[(9,6,1),(10,7,1),(5,7,1),(3,6,1),(6,5,0),(13,1,0),(14,5,0),(2,1,1),(11,6,0),(12,7,0),(7,7,0),(4,6,0),(8,5,1),(15,1,1),(16,5,1)],
(134,479) => MOP_CODE[(9,6,0),(10,7,0),(5,7,0),(3,6,0),(6,5,0),(13,1,0),(14,5,0),(2,1,1),(11,6,1),(12,7,1),(7,7,1),(4,6,1),(8,5,1),(15,1,1),(16,5,1)],
(134,480) => MOP_CODE[(9,6,0),(10,7,0),(5,7,0),(3,6,0),(6,5,0),(13,1,0),(14,5,0),(2,1,0),(11,6,0),(12,7,0),(7,7,0),(4,6,0),(8,5,0),(15,1,0),(16,5,0),(1,2,1),(9,3,1),(10,4,1),(5,4,1),(3,3,1),(6,8,1),(13,2,1),(14,8,1),(2,2,1),(11,3,1),(12,4,1),(7,4,1),(4,3,1),(8,8,1),(15,2,1),(16,8,1)],
(134,481) => MOP_CODE[(9,6,0),(10,7,0),(5,7,0),(3,6,0),(6,5,0),(13,1,0),(14,5,0),(2,1,0),(11,6,0),(12,7,0),(7,7,0),(4,6,0),(8,5,0),(15,1,0),(16,5,0),(1,5,1),(9,7,1),(10,6,1),(5,6,1),(3,7,1),(6,1,1),(13,5,1),(14,1,1),(2,5,1),(11,7,1),(12,6,1),(7,6,1),(4,7,1),(8,1,1),(15,5,1),(16,1,1)],
(134,482) => MOP_CODE[(9,6,0),(10,7,0),(5,7,0),(3,6,0),(6,5,0),(13,1,0),(14,5,0),(2,1,0),(11,6,0),(12,7,0),(7,7,0),(4,6,0),(8,5,0),(15,1,0),(16,5,0),(1,8,1),(9,4,1),(10,3,1),(5,3,1),(3,4,1),(6,2,1),(13,8,1),(14,2,1),(2,8,1),(11,4,1),(12,3,1),(7,3,1),(4,4,1),(8,2,1),(15,8,1),(16,2,1)],
(135,483) => MOP_CODE[(9,2,0),(10,2,0),(5,5,0),(3,5,0),(6,1,0),(13,8,0),(14,8,0),(2,1,0),(11,2,0),(12,2,0),(7,5,0),(4,5,0),(8,1,0),(15,8,0),(16,8,0)],
(135,484) => MOP_CODE[(9,2,0),(10,2,0),(5,5,0),(3,5,0),(6,1,0),(13,8,0),(14,8,0),(2,1,0),(11,2,0),(12,2,0),(7,5,0),(4,5,0),(8,1,0),(15,8,0),(16,8,0),(1,1,1),(9,2,1),(10,2,1),(5,5,1),(3,5,1),(6,1,1),(13,8,1),(14,8,1),(2,1,1),(11,2,1),(12,2,1),(7,5,1),(4,5,1),(8,1,1),(15,8,1),(16,8,1)],
(135,485) => MOP_CODE[(9,2,0),(10,2,0),(5,5,1),(3,5,1),(6,1,0),(13,8,1),(14,8,1),(2,1,1),(11,2,1),(12,2,1),(7,5,0),(4,5,0),(8,1,1),(15,8,0),(16,8,0)],
(135,486) => MOP_CODE[(9,2,1),(10,2,1),(5,5,1),(3,5,1),(6,1,0),(13,8,0),(14,8,0),(2,1,0),(11,2,1),(12,2,1),(7,5,1),(4,5,1),(8,1,0),(15,8,0),(16,8,0)],
(135,487) => MOP_CODE[(9,2,1),(10,2,1),(5,5,0),(3,5,0),(6,1,0),(13,8,1),(14,8,1),(2,1,0),(11,2,1),(12,2,1),(7,5,0),(4,5,0),(8,1,0),(15,8,1),(16,8,1)],
(135,488) => MOP_CODE[(9,2,1),(10,2,1),(5,5,0),(3,5,0),(6,1,0),(13,8,1),(14,8,1),(2,1,1),(11,2,0),(12,2,0),(7,5,1),(4,5,1),(8,1,1),(15,8,0),(16,8,0)],
(135,489) => MOP_CODE[(9,2,0),(10,2,0),(5,5,1),(3,5,1),(6,1,0),(13,8,1),(14,8,1),(2,1,0),(11,2,0),(12,2,0),(7,5,1),(4,5,1),(8,1,0),(15,8,1),(16,8,1)],
(135,490) => MOP_CODE[(9,2,1),(10,2,1),(5,5,1),(3,5,1),(6,1,0),(13,8,0),(14,8,0),(2,1,1),(11,2,0),(12,2,0),(7,5,0),(4,5,0),(8,1,1),(15,8,1),(16,8,1)],
(135,491) => MOP_CODE[(9,2,0),(10,2,0),(5,5,0),(3,5,0),(6,1,0),(13,8,0),(14,8,0),(2,1,1),(11,2,1),(12,2,1),(7,5,1),(4,5,1),(8,1,1),(15,8,1),(16,8,1)],
(135,492) => MOP_CODE[(9,2,0),(10,2,0),(5,5,0),(3,5,0),(6,1,0),(13,8,0),(14,8,0),(2,1,0),(11,2,0),(12,2,0),(7,5,0),(4,5,0),(8,1,0),(15,8,0),(16,8,0),(1,2,1),(9,1,1),(10,1,1),(5,8,1),(3,8,1),(6,2,1),(13,5,1),(14,5,1),(2,2,1),(11,1,1),(12,1,1),(7,8,1),(4,8,1),(8,2,1),(15,5,1),(16,5,1)],
(135,493) => MOP_CODE[(9,2,0),(10,2,0),(5,5,0),(3,5,0),(6,1,0),(13,8,0),(14,8,0),(2,1,0),(11,2,0),(12,2,0),(7,5,0),(4,5,0),(8,1,0),(15,8,0),(16,8,0),(1,5,1),(9,8,1),(10,8,1),(5,1,1),(3,1,1),(6,5,1),(13,2,1),(14,2,1),(2,5,1),(11,8,1),(12,8,1),(7,1,1),(4,1,1),(8,5,1),(15,2,1),(16,2,1)],
(135,494) => MOP_CODE[(9,2,0),(10,2,0),(5,5,0),(3,5,0),(6,1,0),(13,8,0),(14,8,0),(2,1,0),(11,2,0),(12,2,0),(7,5,0),(4,5,0),(8,1,0),(15,8,0),(16,8,0),(1,8,1),(9,5,1),(10,5,1),(5,2,1),(3,2,1),(6,8,1),(13,1,1),(14,1,1),(2,8,1),(11,5,1),(12,5,1),(7,2,1),(4,2,1),(8,8,1),(15,1,1),(16,1,1)],
(136,495) => MOP_CODE[(9,8,0),(10,8,0),(5,8,0),(3,8,0),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,8,0),(12,8,0),(7,8,0),(4,8,0),(8,1,0),(15,1,0),(16,1,0)],
(136,496) => MOP_CODE[(9,8,0),(10,8,0),(5,8,0),(3,8,0),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,8,0),(12,8,0),(7,8,0),(4,8,0),(8,1,0),(15,1,0),(16,1,0),(1,1,1),(9,8,1),(10,8,1),(5,8,1),(3,8,1),(6,1,1),(13,1,1),(14,1,1),(2,1,1),(11,8,1),(12,8,1),(7,8,1),(4,8,1),(8,1,1),(15,1,1),(16,1,1)],
(136,497) => MOP_CODE[(9,8,0),(10,8,0),(5,8,1),(3,8,1),(6,1,0),(13,1,1),(14,1,1),(2,1,1),(11,8,1),(12,8,1),(7,8,0),(4,8,0),(8,1,1),(15,1,0),(16,1,0)],
(136,498) => MOP_CODE[(9,8,1),(10,8,1),(5,8,1),(3,8,1),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,8,1),(12,8,1),(7,8,1),(4,8,1),(8,1,0),(15,1,0),(16,1,0)],
(136,499) => MOP_CODE[(9,8,1),(10,8,1),(5,8,0),(3,8,0),(6,1,0),(13,1,1),(14,1,1),(2,1,0),(11,8,1),(12,8,1),(7,8,0),(4,8,0),(8,1,0),(15,1,1),(16,1,1)],
(136,500) => MOP_CODE[(9,8,1),(10,8,1),(5,8,0),(3,8,0),(6,1,0),(13,1,1),(14,1,1),(2,1,1),(11,8,0),(12,8,0),(7,8,1),(4,8,1),(8,1,1),(15,1,0),(16,1,0)],
(136,501) => MOP_CODE[(9,8,0),(10,8,0),(5,8,1),(3,8,1),(6,1,0),(13,1,1),(14,1,1),(2,1,0),(11,8,0),(12,8,0),(7,8,1),(4,8,1),(8,1,0),(15,1,1),(16,1,1)],
(136,502) => MOP_CODE[(9,8,1),(10,8,1),(5,8,1),(3,8,1),(6,1,0),(13,1,0),(14,1,0),(2,1,1),(11,8,0),(12,8,0),(7,8,0),(4,8,0),(8,1,1),(15,1,1),(16,1,1)],
(136,503) => MOP_CODE[(9,8,0),(10,8,0),(5,8,0),(3,8,0),(6,1,0),(13,1,0),(14,1,0),(2,1,1),(11,8,1),(12,8,1),(7,8,1),(4,8,1),(8,1,1),(15,1,1),(16,1,1)],
(136,504) => MOP_CODE[(9,8,0),(10,8,0),(5,8,0),(3,8,0),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,8,0),(12,8,0),(7,8,0),(4,8,0),(8,1,0),(15,1,0),(16,1,0),(1,2,1),(9,5,1),(10,5,1),(5,5,1),(3,5,1),(6,2,1),(13,2,1),(14,2,1),(2,2,1),(11,5,1),(12,5,1),(7,5,1),(4,5,1),(8,2,1),(15,2,1),(16,2,1)],
(136,505) => MOP_CODE[(9,8,0),(10,8,0),(5,8,0),(3,8,0),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,8,0),(12,8,0),(7,8,0),(4,8,0),(8,1,0),(15,1,0),(16,1,0),(1,5,1),(9,2,1),(10,2,1),(5,2,1),(3,2,1),(6,5,1),(13,5,1),(14,5,1),(2,5,1),(11,2,1),(12,2,1),(7,2,1),(4,2,1),(8,5,1),(15,5,1),(16,5,1)],
(136,506) => MOP_CODE[(9,8,0),(10,8,0),(5,8,0),(3,8,0),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,8,0),(12,8,0),(7,8,0),(4,8,0),(8,1,0),(15,1,0),(16,1,0),(1,8,1),(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,8,1),(13,8,1),(14,8,1),(2,8,1),(11,1,1),(12,1,1),(7,1,1),(4,1,1),(8,8,1),(15,8,1),(16,8,1)],
(137,507) => MOP_CODE[(9,6,0),(10,7,0),(5,3,0),(3,4,0),(6,5,0),(13,8,0),(14,2,0),(2,1,0),(11,6,0),(12,7,0),(7,3,0),(4,4,0),(8,5,0),(15,8,0),(16,2,0)],
(137,508) => MOP_CODE[(9,6,0),(10,7,0),(5,3,0),(3,4,0),(6,5,0),(13,8,0),(14,2,0),(2,1,0),(11,6,0),(12,7,0),(7,3,0),(4,4,0),(8,5,0),(15,8,0),(16,2,0),(1,1,1),(9,6,1),(10,7,1),(5,3,1),(3,4,1),(6,5,1),(13,8,1),(14,2,1),(2,1,1),(11,6,1),(12,7,1),(7,3,1),(4,4,1),(8,5,1),(15,8,1),(16,2,1)],
(137,509) => MOP_CODE[(9,6,0),(10,7,0),(5,3,1),(3,4,1),(6,5,0),(13,8,1),(14,2,1),(2,1,1),(11,6,1),(12,7,1),(7,3,0),(4,4,0),(8,5,1),(15,8,0),(16,2,0)],
(137,510) => MOP_CODE[(9,6,1),(10,7,1),(5,3,1),(3,4,1),(6,5,0),(13,8,0),(14,2,0),(2,1,0),(11,6,1),(12,7,1),(7,3,1),(4,4,1),(8,5,0),(15,8,0),(16,2,0)],
(137,511) => MOP_CODE[(9,6,1),(10,7,1),(5,3,0),(3,4,0),(6,5,0),(13,8,1),(14,2,1),(2,1,0),(11,6,1),(12,7,1),(7,3,0),(4,4,0),(8,5,0),(15,8,1),(16,2,1)],
(137,512) => MOP_CODE[(9,6,1),(10,7,1),(5,3,0),(3,4,0),(6,5,0),(13,8,1),(14,2,1),(2,1,1),(11,6,0),(12,7,0),(7,3,1),(4,4,1),(8,5,1),(15,8,0),(16,2,0)],
(137,513) => MOP_CODE[(9,6,0),(10,7,0),(5,3,1),(3,4,1),(6,5,0),(13,8,1),(14,2,1),(2,1,0),(11,6,0),(12,7,0),(7,3,1),(4,4,1),(8,5,0),(15,8,1),(16,2,1)],
(137,514) => MOP_CODE[(9,6,1),(10,7,1),(5,3,1),(3,4,1),(6,5,0),(13,8,0),(14,2,0),(2,1,1),(11,6,0),(12,7,0),(7,3,0),(4,4,0),(8,5,1),(15,8,1),(16,2,1)],
(137,515) => MOP_CODE[(9,6,0),(10,7,0),(5,3,0),(3,4,0),(6,5,0),(13,8,0),(14,2,0),(2,1,1),(11,6,1),(12,7,1),(7,3,1),(4,4,1),(8,5,1),(15,8,1),(16,2,1)],
(137,516) => MOP_CODE[(9,6,0),(10,7,0),(5,3,0),(3,4,0),(6,5,0),(13,8,0),(14,2,0),(2,1,0),(11,6,0),(12,7,0),(7,3,0),(4,4,0),(8,5,0),(15,8,0),(16,2,0),(1,2,1),(9,3,1),(10,4,1),(5,6,1),(3,7,1),(6,8,1),(13,5,1),(14,1,1),(2,2,1),(11,3,1),(12,4,1),(7,6,1),(4,7,1),(8,8,1),(15,5,1),(16,1,1)],
(137,517) => MOP_CODE[(9,6,0),(10,7,0),(5,3,0),(3,4,0),(6,5,0),(13,8,0),(14,2,0),(2,1,0),(11,6,0),(12,7,0),(7,3,0),(4,4,0),(8,5,0),(15,8,0),(16,2,0),(1,5,1),(9,7,1),(10,6,1),(5,4,1),(3,3,1),(6,1,1),(13,2,1),(14,8,1),(2,5,1),(11,7,1),(12,6,1),(7,4,1),(4,3,1),(8,1,1),(15,2,1),(16,8,1)],
(137,518) => MOP_CODE[(9,6,0),(10,7,0),(5,3,0),(3,4,0),(6,5,0),(13,8,0),(14,2,0),(2,1,0),(11,6,0),(12,7,0),(7,3,0),(4,4,0),(8,5,0),(15,8,0),(16,2,0),(1,8,1),(9,4,1),(10,3,1),(5,7,1),(3,6,1),(6,2,1),(13,1,1),(14,5,1),(2,8,1),(11,4,1),(12,3,1),(7,7,1),(4,6,1),(8,2,1),(15,1,1),(16,5,1)],
(138,519) => MOP_CODE[(9,6,0),(10,7,0),(5,6,0),(3,7,0),(6,5,0),(13,5,0),(14,1,0),(2,1,0),(11,6,0),(12,7,0),(7,6,0),(4,7,0),(8,5,0),(15,5,0),(16,1,0)],
(138,520) => MOP_CODE[(9,6,0),(10,7,0),(5,6,0),(3,7,0),(6,5,0),(13,5,0),(14,1,0),(2,1,0),(11,6,0),(12,7,0),(7,6,0),(4,7,0),(8,5,0),(15,5,0),(16,1,0),(1,1,1),(9,6,1),(10,7,1),(5,6,1),(3,7,1),(6,5,1),(13,5,1),(14,1,1),(2,1,1),(11,6,1),(12,7,1),(7,6,1),(4,7,1),(8,5,1),(15,5,1),(16,1,1)],
(138,521) => MOP_CODE[(9,6,0),(10,7,0),(5,6,1),(3,7,1),(6,5,0),(13,5,1),(14,1,1),(2,1,1),(11,6,1),(12,7,1),(7,6,0),(4,7,0),(8,5,1),(15,5,0),(16,1,0)],
(138,522) => MOP_CODE[(9,6,1),(10,7,1),(5,6,1),(3,7,1),(6,5,0),(13,5,0),(14,1,0),(2,1,0),(11,6,1),(12,7,1),(7,6,1),(4,7,1),(8,5,0),(15,5,0),(16,1,0)],
(138,523) => MOP_CODE[(9,6,1),(10,7,1),(5,6,0),(3,7,0),(6,5,0),(13,5,1),(14,1,1),(2,1,0),(11,6,1),(12,7,1),(7,6,0),(4,7,0),(8,5,0),(15,5,1),(16,1,1)],
(138,524) => MOP_CODE[(9,6,1),(10,7,1),(5,6,0),(3,7,0),(6,5,0),(13,5,1),(14,1,1),(2,1,1),(11,6,0),(12,7,0),(7,6,1),(4,7,1),(8,5,1),(15,5,0),(16,1,0)],
(138,525) => MOP_CODE[(9,6,0),(10,7,0),(5,6,1),(3,7,1),(6,5,0),(13,5,1),(14,1,1),(2,1,0),(11,6,0),(12,7,0),(7,6,1),(4,7,1),(8,5,0),(15,5,1),(16,1,1)],
(138,526) => MOP_CODE[(9,6,1),(10,7,1),(5,6,1),(3,7,1),(6,5,0),(13,5,0),(14,1,0),(2,1,1),(11,6,0),(12,7,0),(7,6,0),(4,7,0),(8,5,1),(15,5,1),(16,1,1)],
(138,527) => MOP_CODE[(9,6,0),(10,7,0),(5,6,0),(3,7,0),(6,5,0),(13,5,0),(14,1,0),(2,1,1),(11,6,1),(12,7,1),(7,6,1),(4,7,1),(8,5,1),(15,5,1),(16,1,1)],
(138,528) => MOP_CODE[(9,6,0),(10,7,0),(5,6,0),(3,7,0),(6,5,0),(13,5,0),(14,1,0),(2,1,0),(11,6,0),(12,7,0),(7,6,0),(4,7,0),(8,5,0),(15,5,0),(16,1,0),(1,2,1),(9,3,1),(10,4,1),(5,3,1),(3,4,1),(6,8,1),(13,8,1),(14,2,1),(2,2,1),(11,3,1),(12,4,1),(7,3,1),(4,4,1),(8,8,1),(15,8,1),(16,2,1)],
(138,529) => MOP_CODE[(9,6,0),(10,7,0),(5,6,0),(3,7,0),(6,5,0),(13,5,0),(14,1,0),(2,1,0),(11,6,0),(12,7,0),(7,6,0),(4,7,0),(8,5,0),(15,5,0),(16,1,0),(1,5,1),(9,7,1),(10,6,1),(5,7,1),(3,6,1),(6,1,1),(13,1,1),(14,5,1),(2,5,1),(11,7,1),(12,6,1),(7,7,1),(4,6,1),(8,1,1),(15,1,1),(16,5,1)],
(138,530) => MOP_CODE[(9,6,0),(10,7,0),(5,6,0),(3,7,0),(6,5,0),(13,5,0),(14,1,0),(2,1,0),(11,6,0),(12,7,0),(7,6,0),(4,7,0),(8,5,0),(15,5,0),(16,1,0),(1,8,1),(9,4,1),(10,3,1),(5,4,1),(3,3,1),(6,2,1),(13,2,1),(14,8,1),(2,8,1),(11,4,1),(12,3,1),(7,4,1),(4,3,1),(8,2,1),(15,2,1),(16,8,1)],
(139,531) => MOP_CODE[(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(8,1,0),(15,1,0),(16,1,0)],
(139,532) => MOP_CODE[(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(8,1,0),(15,1,0),(16,1,0),(1,1,1),(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,1,1),(13,1,1),(14,1,1),(2,1,1),(11,1,1),(12,1,1),(7,1,1),(4,1,1),(8,1,1),(15,1,1),(16,1,1)],
(139,533) => MOP_CODE[(9,1,0),(10,1,0),(5,1,1),(3,1,1),(6,1,0),(13,1,1),(14,1,1),(2,1,1),(11,1,1),(12,1,1),(7,1,0),(4,1,0),(8,1,1),(15,1,0),(16,1,0)],
(139,534) => MOP_CODE[(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,1,1),(12,1,1),(7,1,1),(4,1,1),(8,1,0),(15,1,0),(16,1,0)],
(139,535) => MOP_CODE[(9,1,1),(10,1,1),(5,1,0),(3,1,0),(6,1,0),(13,1,1),(14,1,1),(2,1,0),(11,1,1),(12,1,1),(7,1,0),(4,1,0),(8,1,0),(15,1,1),(16,1,1)],
(139,536) => MOP_CODE[(9,1,1),(10,1,1),(5,1,0),(3,1,0),(6,1,0),(13,1,1),(14,1,1),(2,1,1),(11,1,0),(12,1,0),(7,1,1),(4,1,1),(8,1,1),(15,1,0),(16,1,0)],
(139,537) => MOP_CODE[(9,1,0),(10,1,0),(5,1,1),(3,1,1),(6,1,0),(13,1,1),(14,1,1),(2,1,0),(11,1,0),(12,1,0),(7,1,1),(4,1,1),(8,1,0),(15,1,1),(16,1,1)],
(139,538) => MOP_CODE[(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,1,0),(13,1,0),(14,1,0),(2,1,1),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(8,1,1),(15,1,1),(16,1,1)],
(139,539) => MOP_CODE[(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(2,1,1),(11,1,1),(12,1,1),(7,1,1),(4,1,1),(8,1,1),(15,1,1),(16,1,1)],
(139,540) => MOP_CODE[(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(2,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(8,1,0),(15,1,0),(16,1,0),(1,2,1),(9,2,1),(10,2,1),(5,2,1),(3,2,1),(6,2,1),(13,2,1),(14,2,1),(2,2,1),(11,2,1),(12,2,1),(7,2,1),(4,2,1),(8,2,1),(15,2,1),(16,2,1)],
(140,541) => MOP_CODE[(9,1,0),(10,1,0),(5,2,0),(3,2,0),(6,1,0),(13,2,0),(14,2,0),(2,1,0),(11,1,0),(12,1,0),(7,2,0),(4,2,0),(8,1,0),(15,2,0),(16,2,0)],
(140,542) => MOP_CODE[(9,1,0),(10,1,0),(5,2,0),(3,2,0),(6,1,0),(13,2,0),(14,2,0),(2,1,0),(11,1,0),(12,1,0),(7,2,0),(4,2,0),(8,1,0),(15,2,0),(16,2,0),(1,1,1),(9,1,1),(10,1,1),(5,2,1),(3,2,1),(6,1,1),(13,2,1),(14,2,1),(2,1,1),(11,1,1),(12,1,1),(7,2,1),(4,2,1),(8,1,1),(15,2,1),(16,2,1)],
(140,543) => MOP_CODE[(9,1,0),(10,1,0),(5,2,1),(3,2,1),(6,1,0),(13,2,1),(14,2,1),(2,1,1),(11,1,1),(12,1,1),(7,2,0),(4,2,0),(8,1,1),(15,2,0),(16,2,0)],
(140,544) => MOP_CODE[(9,1,1),(10,1,1),(5,2,1),(3,2,1),(6,1,0),(13,2,0),(14,2,0),(2,1,0),(11,1,1),(12,1,1),(7,2,1),(4,2,1),(8,1,0),(15,2,0),(16,2,0)],
(140,545) => MOP_CODE[(9,1,1),(10,1,1),(5,2,0),(3,2,0),(6,1,0),(13,2,1),(14,2,1),(2,1,0),(11,1,1),(12,1,1),(7,2,0),(4,2,0),(8,1,0),(15,2,1),(16,2,1)],
(140,546) => MOP_CODE[(9,1,1),(10,1,1),(5,2,0),(3,2,0),(6,1,0),(13,2,1),(14,2,1),(2,1,1),(11,1,0),(12,1,0),(7,2,1),(4,2,1),(8,1,1),(15,2,0),(16,2,0)],
(140,547) => MOP_CODE[(9,1,0),(10,1,0),(5,2,1),(3,2,1),(6,1,0),(13,2,1),(14,2,1),(2,1,0),(11,1,0),(12,1,0),(7,2,1),(4,2,1),(8,1,0),(15,2,1),(16,2,1)],
(140,548) => MOP_CODE[(9,1,1),(10,1,1),(5,2,1),(3,2,1),(6,1,0),(13,2,0),(14,2,0),(2,1,1),(11,1,0),(12,1,0),(7,2,0),(4,2,0),(8,1,1),(15,2,1),(16,2,1)],
(140,549) => MOP_CODE[(9,1,0),(10,1,0),(5,2,0),(3,2,0),(6,1,0),(13,2,0),(14,2,0),(2,1,1),(11,1,1),(12,1,1),(7,2,1),(4,2,1),(8,1,1),(15,2,1),(16,2,1)],
(140,550) => MOP_CODE[(9,1,0),(10,1,0),(5,2,0),(3,2,0),(6,1,0),(13,2,0),(14,2,0),(2,1,0),(11,1,0),(12,1,0),(7,2,0),(4,2,0),(8,1,0),(15,2,0),(16,2,0),(1,2,1),(9,2,1),(10,2,1),(5,1,1),(3,1,1),(6,2,1),(13,1,1),(14,1,1),(2,2,1),(11,2,1),(12,2,1),(7,1,1),(4,1,1),(8,2,1),(15,1,1),(16,1,1)],
(141,551) => MOP_CODE[(9,31,0),(10,32,0),(5,1,0),(3,4,0),(6,4,0),(13,33,0),(14,34,0),(2,1,0),(11,33,0),(12,34,0),(7,1,0),(4,4,0),(8,4,0),(15,31,0),(16,32,0)],
(141,552) => MOP_CODE[(9,31,0),(10,32,0),(5,1,0),(3,4,0),(6,4,0),(13,33,0),(14,34,0),(2,1,0),(11,33,0),(12,34,0),(7,1,0),(4,4,0),(8,4,0),(15,31,0),(16,32,0),(1,1,1),(9,31,1),(10,32,1),(5,1,1),(3,4,1),(6,4,1),(13,33,1),(14,34,1),(2,1,1),(11,33,1),(12,34,1),(7,1,1),(4,4,1),(8,4,1),(15,31,1),(16,32,1)],
(141,553) => MOP_CODE[(9,31,0),(10,32,0),(5,1,1),(3,4,1),(6,4,0),(13,33,1),(14,34,1),(2,1,1),(11,33,1),(12,34,1),(7,1,0),(4,4,0),(8,4,1),(15,31,0),(16,32,0)],
(141,554) => MOP_CODE[(9,31,1),(10,32,1),(5,1,1),(3,4,1),(6,4,0),(13,33,0),(14,34,0),(2,1,0),(11,33,1),(12,34,1),(7,1,1),(4,4,1),(8,4,0),(15,31,0),(16,32,0)],
(141,555) => MOP_CODE[(9,31,1),(10,32,1),(5,1,0),(3,4,0),(6,4,0),(13,33,1),(14,34,1),(2,1,0),(11,33,1),(12,34,1),(7,1,0),(4,4,0),(8,4,0),(15,31,1),(16,32,1)],
(141,556) => MOP_CODE[(9,31,1),(10,32,1),(5,1,0),(3,4,0),(6,4,0),(13,33,1),(14,34,1),(2,1,1),(11,33,0),(12,34,0),(7,1,1),(4,4,1),(8,4,1),(15,31,0),(16,32,0)],
(141,557) => MOP_CODE[(9,31,0),(10,32,0),(5,1,1),(3,4,1),(6,4,0),(13,33,1),(14,34,1),(2,1,0),(11,33,0),(12,34,0),(7,1,1),(4,4,1),(8,4,0),(15,31,1),(16,32,1)],
(141,558) => MOP_CODE[(9,31,1),(10,32,1),(5,1,1),(3,4,1),(6,4,0),(13,33,0),(14,34,0),(2,1,1),(11,33,0),(12,34,0),(7,1,0),(4,4,0),(8,4,1),(15,31,1),(16,32,1)],
(141,559) => MOP_CODE[(9,31,0),(10,32,0),(5,1,0),(3,4,0),(6,4,0),(13,33,0),(14,34,0),(2,1,1),(11,33,1),(12,34,1),(7,1,1),(4,4,1),(8,4,1),(15,31,1),(16,32,1)],
(141,560) => MOP_CODE[(9,31,0),(10,32,0),(5,1,0),(3,4,0),(6,4,0),(13,33,0),(14,34,0),(2,1,0),(11,33,0),(12,34,0),(7,1,0),(4,4,0),(8,4,0),(15,31,0),(16,32,0),(1,2,1),(9,29,1),(10,9,1),(5,5,1),(3,3,1),(6,7,1),(13,29,1),(14,9,1),(2,5,1),(11,29,1),(12,9,1),(7,2,1),(4,7,1),(8,3,1),(15,29,1),(16,9,1)],
(142,561) => MOP_CODE[(9,31,0),(10,32,0),(5,5,0),(3,3,0),(6,4,0),(13,29,0),(14,9,0),(2,1,0),(11,33,0),(12,34,0),(7,2,0),(4,7,0),(8,4,0),(15,29,0),(16,9,0)],
(142,562) => MOP_CODE[(9,31,0),(10,32,0),(5,5,0),(3,3,0),(6,4,0),(13,29,0),(14,9,0),(2,1,0),(11,33,0),(12,34,0),(7,2,0),(4,7,0),(8,4,0),(15,29,0),(16,9,0),(1,1,1),(9,31,1),(10,32,1),(5,5,1),(3,3,1),(6,4,1),(13,29,1),(14,9,1),(2,1,1),(11,33,1),(12,34,1),(7,2,1),(4,7,1),(8,4,1),(15,29,1),(16,9,1)],
(142,563) => MOP_CODE[(9,31,0),(10,32,0),(5,5,1),(3,3,1),(6,4,0),(13,29,1),(14,9,1),(2,1,1),(11,33,1),(12,34,1),(7,2,0),(4,7,0),(8,4,1),(15,29,0),(16,9,0)],
(142,564) => MOP_CODE[(9,31,1),(10,32,1),(5,5,1),(3,3,1),(6,4,0),(13,29,0),(14,9,0),(2,1,0),(11,33,1),(12,34,1),(7,2,1),(4,7,1),(8,4,0),(15,29,0),(16,9,0)],
(142,565) => MOP_CODE[(9,31,1),(10,32,1),(5,5,0),(3,3,0),(6,4,0),(13,29,1),(14,9,1),(2,1,0),(11,33,1),(12,34,1),(7,2,0),(4,7,0),(8,4,0),(15,29,1),(16,9,1)],
(142,566) => MOP_CODE[(9,31,1),(10,32,1),(5,5,0),(3,3,0),(6,4,0),(13,29,1),(14,9,1),(2,1,1),(11,33,0),(12,34,0),(7,2,1),(4,7,1),(8,4,1),(15,29,0),(16,9,0)],
(142,567) => MOP_CODE[(9,31,0),(10,32,0),(5,5,1),(3,3,1),(6,4,0),(13,29,1),(14,9,1),(2,1,0),(11,33,0),(12,34,0),(7,2,1),(4,7,1),(8,4,0),(15,29,1),(16,9,1)],
(142,568) => MOP_CODE[(9,31,1),(10,32,1),(5,5,1),(3,3,1),(6,4,0),(13,29,0),(14,9,0),(2,1,1),(11,33,0),(12,34,0),(7,2,0),(4,7,0),(8,4,1),(15,29,1),(16,9,1)],
(142,569) => MOP_CODE[(9,31,0),(10,32,0),(5,5,0),(3,3,0),(6,4,0),(13,29,0),(14,9,0),(2,1,1),(11,33,1),(12,34,1),(7,2,1),(4,7,1),(8,4,1),(15,29,1),(16,9,1)],
(142,570) => MOP_CODE[(9,31,0),(10,32,0),(5,5,0),(3,3,0),(6,4,0),(13,29,0),(14,9,0),(2,1,0),(11,33,0),(12,34,0),(7,2,0),(4,7,0),(8,4,0),(15,29,0),(16,9,0),(1,2,1),(9,29,1),(10,9,1),(5,1,1),(3,4,1),(6,7,1),(13,33,1),(14,34,1),(2,5,1),(11,29,1),(12,9,1),(7,1,1),(4,4,1),(8,3,1),(15,31,1),(16,32,1)],
(143,1) => MOP_CODE[(17,1,0),(18,1,0)],
(143,2) => MOP_CODE[(17,1,0),(18,1,0),(1,1,1),(17,1,1),(18,1,1)],
(143,3) => MOP_CODE[(17,1,0),(18,1,0),(1,2,1),(17,2,1),(18,2,1)],
(144,4) => MOP_CODE[(17,35,0),(18,36,0)],
(144,5) => MOP_CODE[(17,35,0),(18,36,0),(1,1,1),(17,35,1),(18,36,1)],
(144,6) => MOP_CODE[(17,35,0),(18,36,0),(1,2,1),(17,37,1),(18,38,1)],
(145,7) => MOP_CODE[(17,36,0),(18,35,0)],
(145,8) => MOP_CODE[(17,36,0),(18,35,0),(1,1,1),(17,36,1),(18,35,1)],
(145,9) => MOP_CODE[(17,36,0),(18,35,0),(1,2,1),(17,38,1),(18,37,1)],
(146,10) => MOP_CODE[(17,1,0),(18,1,0)],
(146,11) => MOP_CODE[(17,1,0),(18,1,0),(1,1,1),(17,1,1),(18,1,1)],
(146,12) => MOP_CODE[(17,1,0),(18,1,0),(1,2,1),(17,2,1),(18,2,1)],
(147,13) => MOP_CODE[(17,1,0),(18,1,0),(2,1,0),(19,1,0),(20,1,0)],
(147,14) => MOP_CODE[(17,1,0),(18,1,0),(2,1,0),(19,1,0),(20,1,0),(1,1,1),(17,1,1),(18,1,1),(2,1,1),(19,1,1),(20,1,1)],
(147,15) => MOP_CODE[(17,1,0),(18,1,0),(2,1,1),(19,1,1),(20,1,1)],
(147,16) => MOP_CODE[(17,1,0),(18,1,0),(2,1,0),(19,1,0),(20,1,0),(1,2,1),(17,2,1),(18,2,1),(2,2,1),(19,2,1),(20,2,1)],
(148,17) => MOP_CODE[(17,1,0),(18,1,0),(2,1,0),(19,1,0),(20,1,0)],
(148,18) => MOP_CODE[(17,1,0),(18,1,0),(2,1,0),(19,1,0),(20,1,0),(1,1,1),(17,1,1),(18,1,1),(2,1,1),(19,1,1),(20,1,1)],
(148,19) => MOP_CODE[(17,1,0),(18,1,0),(2,1,1),(19,1,1),(20,1,1)],
(148,20) => MOP_CODE[(17,1,0),(18,1,0),(2,1,0),(19,1,0),(20,1,0),(1,2,1),(17,2,1),(18,2,1),(2,2,1),(19,2,1),(20,2,1)],
(149,21) => MOP_CODE[(17,1,0),(18,1,0),(21,1,0),(22,1,0),(14,1,0)],
(149,22) => MOP_CODE[(17,1,0),(18,1,0),(21,1,0),(22,1,0),(14,1,0),(1,1,1),(17,1,1),(18,1,1),(21,1,1),(22,1,1),(14,1,1)],
(149,23) => MOP_CODE[(17,1,0),(18,1,0),(21,1,1),(22,1,1),(14,1,1)],
(149,24) => MOP_CODE[(17,1,0),(18,1,0),(21,1,0),(22,1,0),(14,1,0),(1,2,1),(17,2,1),(18,2,1),(21,2,1),(22,2,1),(14,2,1)],
(150,25) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0)],
(150,26) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(1,1,1),(17,1,1),(18,1,1),(23,1,1),(13,1,1),(24,1,1)],
(150,27) => MOP_CODE[(17,1,0),(18,1,0),(23,1,1),(13,1,1),(24,1,1)],
(150,28) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(1,2,1),(17,2,1),(18,2,1),(23,2,1),(13,2,1),(24,2,1)],
(151,29) => MOP_CODE[(17,35,0),(18,36,0),(21,1,0),(22,35,0),(14,36,0)],
(151,30) => MOP_CODE[(17,35,0),(18,36,0),(21,1,0),(22,35,0),(14,36,0),(1,1,1),(17,35,1),(18,36,1),(21,1,1),(22,35,1),(14,36,1)],
(151,31) => MOP_CODE[(17,35,0),(18,36,0),(21,1,1),(22,35,1),(14,36,1)],
(151,32) => MOP_CODE[(17,35,0),(18,36,0),(21,1,0),(22,35,0),(14,36,0),(1,2,1),(17,37,1),(18,38,1),(21,2,1),(22,37,1),(14,38,1)],
(152,33) => MOP_CODE[(17,35,0),(18,36,0),(23,36,0),(13,1,0),(24,35,0)],
(152,34) => MOP_CODE[(17,35,0),(18,36,0),(23,36,0),(13,1,0),(24,35,0),(1,1,1),(17,35,1),(18,36,1),(23,36,1),(13,1,1),(24,35,1)],
(152,35) => MOP_CODE[(17,35,0),(18,36,0),(23,36,1),(13,1,1),(24,35,1)],
(152,36) => MOP_CODE[(17,35,0),(18,36,0),(23,36,0),(13,1,0),(24,35,0),(1,2,1),(17,37,1),(18,38,1),(23,38,1),(13,2,1),(24,37,1)],
(153,37) => MOP_CODE[(17,36,0),(18,35,0),(21,1,0),(22,36,0),(14,35,0)],
(153,38) => MOP_CODE[(17,36,0),(18,35,0),(21,1,0),(22,36,0),(14,35,0),(1,1,1),(17,36,1),(18,35,1),(21,1,1),(22,36,1),(14,35,1)],
(153,39) => MOP_CODE[(17,36,0),(18,35,0),(21,1,1),(22,36,1),(14,35,1)],
(153,40) => MOP_CODE[(17,36,0),(18,35,0),(21,1,0),(22,36,0),(14,35,0),(1,2,1),(17,38,1),(18,37,1),(21,2,1),(22,38,1),(14,37,1)],
(154,41) => MOP_CODE[(17,36,0),(18,35,0),(23,35,0),(13,1,0),(24,36,0)],
(154,42) => MOP_CODE[(17,36,0),(18,35,0),(23,35,0),(13,1,0),(24,36,0),(1,1,1),(17,36,1),(18,35,1),(23,35,1),(13,1,1),(24,36,1)],
(154,43) => MOP_CODE[(17,36,0),(18,35,0),(23,35,1),(13,1,1),(24,36,1)],
(154,44) => MOP_CODE[(17,36,0),(18,35,0),(23,35,0),(13,1,0),(24,36,0),(1,2,1),(17,38,1),(18,37,1),(23,37,1),(13,2,1),(24,38,1)],
(155,45) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0)],
(155,46) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(1,1,1),(17,1,1),(18,1,1),(23,1,1),(13,1,1),(24,1,1)],
(155,47) => MOP_CODE[(17,1,0),(18,1,0),(23,1,1),(13,1,1),(24,1,1)],
(155,48) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(1,2,1),(17,2,1),(18,2,1),(23,2,1),(13,2,1),(24,2,1)],
(156,49) => MOP_CODE[(17,1,0),(18,1,0),(25,1,0),(15,1,0),(26,1,0)],
(156,50) => MOP_CODE[(17,1,0),(18,1,0),(25,1,0),(15,1,0),(26,1,0),(1,1,1),(17,1,1),(18,1,1),(25,1,1),(15,1,1),(26,1,1)],
(156,51) => MOP_CODE[(17,1,0),(18,1,0),(25,1,1),(15,1,1),(26,1,1)],
(156,52) => MOP_CODE[(17,1,0),(18,1,0),(25,1,0),(15,1,0),(26,1,0),(1,2,1),(17,2,1),(18,2,1),(25,2,1),(15,2,1),(26,2,1)],
(157,53) => MOP_CODE[(17,1,0),(18,1,0),(27,1,0),(28,1,0),(16,1,0)],
(157,54) => MOP_CODE[(17,1,0),(18,1,0),(27,1,0),(28,1,0),(16,1,0),(1,1,1),(17,1,1),(18,1,1),(27,1,1),(28,1,1),(16,1,1)],
(157,55) => MOP_CODE[(17,1,0),(18,1,0),(27,1,1),(28,1,1),(16,1,1)],
(157,56) => MOP_CODE[(17,1,0),(18,1,0),(27,1,0),(28,1,0),(16,1,0),(1,2,1),(17,2,1),(18,2,1),(27,2,1),(28,2,1),(16,2,1)],
(158,57) => MOP_CODE[(17,1,0),(18,1,0),(25,2,0),(15,2,0),(26,2,0)],
(158,58) => MOP_CODE[(17,1,0),(18,1,0),(25,2,0),(15,2,0),(26,2,0),(1,1,1),(17,1,1),(18,1,1),(25,2,1),(15,2,1),(26,2,1)],
(158,59) => MOP_CODE[(17,1,0),(18,1,0),(25,2,1),(15,2,1),(26,2,1)],
(158,60) => MOP_CODE[(17,1,0),(18,1,0),(25,2,0),(15,2,0),(26,2,0),(1,2,1),(17,2,1),(18,2,1),(25,1,1),(15,1,1),(26,1,1)],
(159,61) => MOP_CODE[(17,1,0),(18,1,0),(27,2,0),(28,2,0),(16,2,0)],
(159,62) => MOP_CODE[(17,1,0),(18,1,0),(27,2,0),(28,2,0),(16,2,0),(1,1,1),(17,1,1),(18,1,1),(27,2,1),(28,2,1),(16,2,1)],
(159,63) => MOP_CODE[(17,1,0),(18,1,0),(27,2,1),(28,2,1),(16,2,1)],
(159,64) => MOP_CODE[(17,1,0),(18,1,0),(27,2,0),(28,2,0),(16,2,0),(1,2,1),(17,2,1),(18,2,1),(27,1,1),(28,1,1),(16,1,1)],
(160,65) => MOP_CODE[(17,1,0),(18,1,0),(25,1,0),(15,1,0),(26,1,0)],
(160,66) => MOP_CODE[(17,1,0),(18,1,0),(25,1,0),(15,1,0),(26,1,0),(1,1,1),(17,1,1),(18,1,1),(25,1,1),(15,1,1),(26,1,1)],
(160,67) => MOP_CODE[(17,1,0),(18,1,0),(25,1,1),(15,1,1),(26,1,1)],
(160,68) => MOP_CODE[(17,1,0),(18,1,0),(25,1,0),(15,1,0),(26,1,0),(1,2,1),(17,2,1),(18,2,1),(25,2,1),(15,2,1),(26,2,1)],
(161,69) => MOP_CODE[(17,1,0),(18,1,0),(25,2,0),(15,2,0),(26,2,0)],
(161,70) => MOP_CODE[(17,1,0),(18,1,0),(25,2,0),(15,2,0),(26,2,0),(1,1,1),(17,1,1),(18,1,1),(25,2,1),(15,2,1),(26,2,1)],
(161,71) => MOP_CODE[(17,1,0),(18,1,0),(25,2,1),(15,2,1),(26,2,1)],
(161,72) => MOP_CODE[(17,1,0),(18,1,0),(25,2,0),(15,2,0),(26,2,0),(1,2,1),(17,2,1),(18,2,1),(25,1,1),(15,1,1),(26,1,1)],
(162,73) => MOP_CODE[(17,1,0),(18,1,0),(21,1,0),(22,1,0),(14,1,0),(2,1,0),(19,1,0),(20,1,0),(27,1,0),(28,1,0),(16,1,0)],
(162,74) => MOP_CODE[(17,1,0),(18,1,0),(21,1,0),(22,1,0),(14,1,0),(2,1,0),(19,1,0),(20,1,0),(27,1,0),(28,1,0),(16,1,0),(1,1,1),(17,1,1),(18,1,1),(21,1,1),(22,1,1),(14,1,1),(2,1,1),(19,1,1),(20,1,1),(27,1,1),(28,1,1),(16,1,1)],
(162,75) => MOP_CODE[(17,1,0),(18,1,0),(21,1,1),(22,1,1),(14,1,1),(2,1,1),(19,1,1),(20,1,1),(27,1,0),(28,1,0),(16,1,0)],
(162,76) => MOP_CODE[(17,1,0),(18,1,0),(21,1,0),(22,1,0),(14,1,0),(2,1,1),(19,1,1),(20,1,1),(27,1,1),(28,1,1),(16,1,1)],
(162,77) => MOP_CODE[(17,1,0),(18,1,0),(21,1,1),(22,1,1),(14,1,1),(2,1,0),(19,1,0),(20,1,0),(27,1,1),(28,1,1),(16,1,1)],
(162,78) => MOP_CODE[(17,1,0),(18,1,0),(21,1,0),(22,1,0),(14,1,0),(2,1,0),(19,1,0),(20,1,0),(27,1,0),(28,1,0),(16,1,0),(1,2,1),(17,2,1),(18,2,1),(21,2,1),(22,2,1),(14,2,1),(2,2,1),(19,2,1),(20,2,1),(27,2,1),(28,2,1),(16,2,1)],
(163,79) => MOP_CODE[(17,1,0),(18,1,0),(21,2,0),(22,2,0),(14,2,0),(2,1,0),(19,1,0),(20,1,0),(27,2,0),(28,2,0),(16,2,0)],
(163,80) => MOP_CODE[(17,1,0),(18,1,0),(21,2,0),(22,2,0),(14,2,0),(2,1,0),(19,1,0),(20,1,0),(27,2,0),(28,2,0),(16,2,0),(1,1,1),(17,1,1),(18,1,1),(21,2,1),(22,2,1),(14,2,1),(2,1,1),(19,1,1),(20,1,1),(27,2,1),(28,2,1),(16,2,1)],
(163,81) => MOP_CODE[(17,1,0),(18,1,0),(21,2,1),(22,2,1),(14,2,1),(2,1,1),(19,1,1),(20,1,1),(27,2,0),(28,2,0),(16,2,0)],
(163,82) => MOP_CODE[(17,1,0),(18,1,0),(21,2,0),(22,2,0),(14,2,0),(2,1,1),(19,1,1),(20,1,1),(27,2,1),(28,2,1),(16,2,1)],
(163,83) => MOP_CODE[(17,1,0),(18,1,0),(21,2,1),(22,2,1),(14,2,1),(2,1,0),(19,1,0),(20,1,0),(27,2,1),(28,2,1),(16,2,1)],
(163,84) => MOP_CODE[(17,1,0),(18,1,0),(21,2,0),(22,2,0),(14,2,0),(2,1,0),(19,1,0),(20,1,0),(27,2,0),(28,2,0),(16,2,0),(1,2,1),(17,2,1),(18,2,1),(21,1,1),(22,1,1),(14,1,1),(2,2,1),(19,2,1),(20,2,1),(27,1,1),(28,1,1),(16,1,1)],
(164,85) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(2,1,0),(19,1,0),(20,1,0),(25,1,0),(15,1,0),(26,1,0)],
(164,86) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(2,1,0),(19,1,0),(20,1,0),(25,1,0),(15,1,0),(26,1,0),(1,1,1),(17,1,1),(18,1,1),(23,1,1),(13,1,1),(24,1,1),(2,1,1),(19,1,1),(20,1,1),(25,1,1),(15,1,1),(26,1,1)],
(164,87) => MOP_CODE[(17,1,0),(18,1,0),(23,1,1),(13,1,1),(24,1,1),(2,1,1),(19,1,1),(20,1,1),(25,1,0),(15,1,0),(26,1,0)],
(164,88) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(2,1,1),(19,1,1),(20,1,1),(25,1,1),(15,1,1),(26,1,1)],
(164,89) => MOP_CODE[(17,1,0),(18,1,0),(23,1,1),(13,1,1),(24,1,1),(2,1,0),(19,1,0),(20,1,0),(25,1,1),(15,1,1),(26,1,1)],
(164,90) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(2,1,0),(19,1,0),(20,1,0),(25,1,0),(15,1,0),(26,1,0),(1,2,1),(17,2,1),(18,2,1),(23,2,1),(13,2,1),(24,2,1),(2,2,1),(19,2,1),(20,2,1),(25,2,1),(15,2,1),(26,2,1)],
(165,91) => MOP_CODE[(17,1,0),(18,1,0),(23,2,0),(13,2,0),(24,2,0),(2,1,0),(19,1,0),(20,1,0),(25,2,0),(15,2,0),(26,2,0)],
(165,92) => MOP_CODE[(17,1,0),(18,1,0),(23,2,0),(13,2,0),(24,2,0),(2,1,0),(19,1,0),(20,1,0),(25,2,0),(15,2,0),(26,2,0),(1,1,1),(17,1,1),(18,1,1),(23,2,1),(13,2,1),(24,2,1),(2,1,1),(19,1,1),(20,1,1),(25,2,1),(15,2,1),(26,2,1)],
(165,93) => MOP_CODE[(17,1,0),(18,1,0),(23,2,1),(13,2,1),(24,2,1),(2,1,1),(19,1,1),(20,1,1),(25,2,0),(15,2,0),(26,2,0)],
(165,94) => MOP_CODE[(17,1,0),(18,1,0),(23,2,0),(13,2,0),(24,2,0),(2,1,1),(19,1,1),(20,1,1),(25,2,1),(15,2,1),(26,2,1)],
(165,95) => MOP_CODE[(17,1,0),(18,1,0),(23,2,1),(13,2,1),(24,2,1),(2,1,0),(19,1,0),(20,1,0),(25,2,1),(15,2,1),(26,2,1)],
(165,96) => MOP_CODE[(17,1,0),(18,1,0),(23,2,0),(13,2,0),(24,2,0),(2,1,0),(19,1,0),(20,1,0),(25,2,0),(15,2,0),(26,2,0),(1,2,1),(17,2,1),(18,2,1),(23,1,1),(13,1,1),(24,1,1),(2,2,1),(19,2,1),(20,2,1),(25,1,1),(15,1,1),(26,1,1)],
(166,97) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(2,1,0),(19,1,0),(20,1,0),(25,1,0),(15,1,0),(26,1,0)],
(166,98) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(2,1,0),(19,1,0),(20,1,0),(25,1,0),(15,1,0),(26,1,0),(1,1,1),(17,1,1),(18,1,1),(23,1,1),(13,1,1),(24,1,1),(2,1,1),(19,1,1),(20,1,1),(25,1,1),(15,1,1),(26,1,1)],
(166,99) => MOP_CODE[(17,1,0),(18,1,0),(23,1,1),(13,1,1),(24,1,1),(2,1,1),(19,1,1),(20,1,1),(25,1,0),(15,1,0),(26,1,0)],
(166,100) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(2,1,1),(19,1,1),(20,1,1),(25,1,1),(15,1,1),(26,1,1)],
(166,101) => MOP_CODE[(17,1,0),(18,1,0),(23,1,1),(13,1,1),(24,1,1),(2,1,0),(19,1,0),(20,1,0),(25,1,1),(15,1,1),(26,1,1)],
(166,102) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(2,1,0),(19,1,0),(20,1,0),(25,1,0),(15,1,0),(26,1,0),(1,2,1),(17,2,1),(18,2,1),(23,2,1),(13,2,1),(24,2,1),(2,2,1),(19,2,1),(20,2,1),(25,2,1),(15,2,1),(26,2,1)],
(167,103) => MOP_CODE[(17,1,0),(18,1,0),(23,2,0),(13,2,0),(24,2,0),(2,1,0),(19,1,0),(20,1,0),(25,2,0),(15,2,0),(26,2,0)],
(167,104) => MOP_CODE[(17,1,0),(18,1,0),(23,2,0),(13,2,0),(24,2,0),(2,1,0),(19,1,0),(20,1,0),(25,2,0),(15,2,0),(26,2,0),(1,1,1),(17,1,1),(18,1,1),(23,2,1),(13,2,1),(24,2,1),(2,1,1),(19,1,1),(20,1,1),(25,2,1),(15,2,1),(26,2,1)],
(167,105) => MOP_CODE[(17,1,0),(18,1,0),(23,2,1),(13,2,1),(24,2,1),(2,1,1),(19,1,1),(20,1,1),(25,2,0),(15,2,0),(26,2,0)],
(167,106) => MOP_CODE[(17,1,0),(18,1,0),(23,2,0),(13,2,0),(24,2,0),(2,1,1),(19,1,1),(20,1,1),(25,2,1),(15,2,1),(26,2,1)],
(167,107) => MOP_CODE[(17,1,0),(18,1,0),(23,2,1),(13,2,1),(24,2,1),(2,1,0),(19,1,0),(20,1,0),(25,2,1),(15,2,1),(26,2,1)],
(167,108) => MOP_CODE[(17,1,0),(18,1,0),(23,2,0),(13,2,0),(24,2,0),(2,1,0),(19,1,0),(20,1,0),(25,2,0),(15,2,0),(26,2,0),(1,2,1),(17,2,1),(18,2,1),(23,1,1),(13,1,1),(24,1,1),(2,2,1),(19,2,1),(20,2,1),(25,1,1),(15,1,1),(26,1,1)],
(168,109) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0)],
(168,110) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(1,1,1),(29,1,1),(17,1,1),(6,1,1),(18,1,1),(30,1,1)],
(168,111) => MOP_CODE[(29,1,1),(17,1,0),(6,1,1),(18,1,0),(30,1,1)],
(168,112) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(1,2,1),(29,2,1),(17,2,1),(6,2,1),(18,2,1),(30,2,1)],
(169,113) => MOP_CODE[(29,38,0),(17,35,0),(6,2,0),(18,36,0),(30,37,0)],
(169,114) => MOP_CODE[(29,38,0),(17,35,0),(6,2,0),(18,36,0),(30,37,0),(1,1,1),(29,38,1),(17,35,1),(6,2,1),(18,36,1),(30,37,1)],
(169,115) => MOP_CODE[(29,38,1),(17,35,0),(6,2,1),(18,36,0),(30,37,1)],
(169,116) => MOP_CODE[(29,38,0),(17,35,0),(6,2,0),(18,36,0),(30,37,0),(1,2,1),(29,36,1),(17,37,1),(6,1,1),(18,38,1),(30,35,1)],
(170,117) => MOP_CODE[(29,37,0),(17,36,0),(6,2,0),(18,35,0),(30,38,0)],
(170,118) => MOP_CODE[(29,37,0),(17,36,0),(6,2,0),(18,35,0),(30,38,0),(1,1,1),(29,37,1),(17,36,1),(6,2,1),(18,35,1),(30,38,1)],
(170,119) => MOP_CODE[(29,37,1),(17,36,0),(6,2,1),(18,35,0),(30,38,1)],
(170,120) => MOP_CODE[(29,37,0),(17,36,0),(6,2,0),(18,35,0),(30,38,0),(1,2,1),(29,35,1),(17,38,1),(6,1,1),(18,37,1),(30,36,1)],
(171,121) => MOP_CODE[(29,35,0),(17,36,0),(6,1,0),(18,35,0),(30,36,0)],
(171,122) => MOP_CODE[(29,35,0),(17,36,0),(6,1,0),(18,35,0),(30,36,0),(1,1,1),(29,35,1),(17,36,1),(6,1,1),(18,35,1),(30,36,1)],
(171,123) => MOP_CODE[(29,35,1),(17,36,0),(6,1,1),(18,35,0),(30,36,1)],
(171,124) => MOP_CODE[(29,35,0),(17,36,0),(6,1,0),(18,35,0),(30,36,0),(1,2,1),(29,37,1),(17,38,1),(6,2,1),(18,37,1),(30,38,1)],
(172,125) => MOP_CODE[(29,36,0),(17,35,0),(6,1,0),(18,36,0),(30,35,0)],
(172,126) => MOP_CODE[(29,36,0),(17,35,0),(6,1,0),(18,36,0),(30,35,0),(1,1,1),(29,36,1),(17,35,1),(6,1,1),(18,36,1),(30,35,1)],
(172,127) => MOP_CODE[(29,36,1),(17,35,0),(6,1,1),(18,36,0),(30,35,1)],
(172,128) => MOP_CODE[(29,36,0),(17,35,0),(6,1,0),(18,36,0),(30,35,0),(1,2,1),(29,38,1),(17,37,1),(6,2,1),(18,38,1),(30,37,1)],
(173,129) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0)],
(173,130) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(1,1,1),(29,2,1),(17,1,1),(6,2,1),(18,1,1),(30,2,1)],
(173,131) => MOP_CODE[(29,2,1),(17,1,0),(6,2,1),(18,1,0),(30,2,1)],
(173,132) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(1,2,1),(29,1,1),(17,2,1),(6,1,1),(18,2,1),(30,1,1)],
(174,133) => MOP_CODE[(17,1,0),(18,1,0),(31,1,0),(8,1,0),(32,1,0)],
(174,134) => MOP_CODE[(17,1,0),(18,1,0),(31,1,0),(8,1,0),(32,1,0),(1,1,1),(17,1,1),(18,1,1),(31,1,1),(8,1,1),(32,1,1)],
(174,135) => MOP_CODE[(17,1,0),(18,1,0),(31,1,1),(8,1,1),(32,1,1)],
(174,136) => MOP_CODE[(17,1,0),(18,1,0),(31,1,0),(8,1,0),(32,1,0),(1,2,1),(17,2,1),(18,2,1),(31,2,1),(8,2,1),(32,2,1)],
(175,137) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(2,1,0),(31,1,0),(19,1,0),(8,1,0),(20,1,0),(32,1,0)],
(175,138) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(2,1,0),(31,1,0),(19,1,0),(8,1,0),(20,1,0),(32,1,0),(1,1,1),(29,1,1),(17,1,1),(6,1,1),(18,1,1),(30,1,1),(2,1,1),(31,1,1),(19,1,1),(8,1,1),(20,1,1),(32,1,1)],
(175,139) => MOP_CODE[(29,1,1),(17,1,0),(6,1,1),(18,1,0),(30,1,1),(2,1,1),(31,1,0),(19,1,1),(8,1,0),(20,1,1),(32,1,0)],
(175,140) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(2,1,1),(31,1,1),(19,1,1),(8,1,1),(20,1,1),(32,1,1)],
(175,141) => MOP_CODE[(29,1,1),(17,1,0),(6,1,1),(18,1,0),(30,1,1),(2,1,0),(31,1,1),(19,1,0),(8,1,1),(20,1,0),(32,1,1)],
(175,142) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(2,1,0),(31,1,0),(19,1,0),(8,1,0),(20,1,0),(32,1,0),(1,2,1),(29,2,1),(17,2,1),(6,2,1),(18,2,1),(30,2,1),(2,2,1),(31,2,1),(19,2,1),(8,2,1),(20,2,1),(32,2,1)],
(176,143) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(2,1,0),(31,2,0),(19,1,0),(8,2,0),(20,1,0),(32,2,0)],
(176,144) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(2,1,0),(31,2,0),(19,1,0),(8,2,0),(20,1,0),(32,2,0),(1,1,1),(29,2,1),(17,1,1),(6,2,1),(18,1,1),(30,2,1),(2,1,1),(31,2,1),(19,1,1),(8,2,1),(20,1,1),(32,2,1)],
(176,145) => MOP_CODE[(29,2,1),(17,1,0),(6,2,1),(18,1,0),(30,2,1),(2,1,1),(31,2,0),(19,1,1),(8,2,0),(20,1,1),(32,2,0)],
(176,146) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(2,1,1),(31,2,1),(19,1,1),(8,2,1),(20,1,1),(32,2,1)],
(176,147) => MOP_CODE[(29,2,1),(17,1,0),(6,2,1),(18,1,0),(30,2,1),(2,1,0),(31,2,1),(19,1,0),(8,2,1),(20,1,0),(32,2,1)],
(176,148) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(2,1,0),(31,2,0),(19,1,0),(8,2,0),(20,1,0),(32,2,0),(1,2,1),(29,1,1),(17,2,1),(6,1,1),(18,2,1),(30,1,1),(2,2,1),(31,1,1),(19,2,1),(8,1,1),(20,2,1),(32,1,1)],
(177,149) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(23,1,0),(13,1,0),(24,1,0),(21,1,0),(22,1,0),(14,1,0)],
(177,150) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(23,1,0),(13,1,0),(24,1,0),(21,1,0),(22,1,0),(14,1,0),(1,1,1),(29,1,1),(17,1,1),(6,1,1),(18,1,1),(30,1,1),(23,1,1),(13,1,1),(24,1,1),(21,1,1),(22,1,1),(14,1,1)],
(177,151) => MOP_CODE[(29,1,1),(17,1,0),(6,1,1),(18,1,0),(30,1,1),(23,1,1),(13,1,1),(24,1,1),(21,1,0),(22,1,0),(14,1,0)],
(177,152) => MOP_CODE[(29,1,1),(17,1,0),(6,1,1),(18,1,0),(30,1,1),(23,1,0),(13,1,0),(24,1,0),(21,1,1),(22,1,1),(14,1,1)],
(177,153) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(23,1,1),(13,1,1),(24,1,1),(21,1,1),(22,1,1),(14,1,1)],
(177,154) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(23,1,0),(13,1,0),(24,1,0),(21,1,0),(22,1,0),(14,1,0),(1,2,1),(29,2,1),(17,2,1),(6,2,1),(18,2,1),(30,2,1),(23,2,1),(13,2,1),(24,2,1),(21,2,1),(22,2,1),(14,2,1)],
(178,155) => MOP_CODE[(29,38,0),(17,35,0),(6,2,0),(18,36,0),(30,37,0),(23,1,0),(13,35,0),(24,36,0),(21,38,0),(22,2,0),(14,37,0)],
(178,156) => MOP_CODE[(29,38,0),(17,35,0),(6,2,0),(18,36,0),(30,37,0),(23,1,0),(13,35,0),(24,36,0),(21,38,0),(22,2,0),(14,37,0),(1,1,1),(29,38,1),(17,35,1),(6,2,1),(18,36,1),(30,37,1),(23,1,1),(13,35,1),(24,36,1),(21,38,1),(22,2,1),(14,37,1)],
(178,157) => MOP_CODE[(29,38,1),(17,35,0),(6,2,1),(18,36,0),(30,37,1),(23,1,1),(13,35,1),(24,36,1),(21,38,0),(22,2,0),(14,37,0)],
(178,158) => MOP_CODE[(29,38,1),(17,35,0),(6,2,1),(18,36,0),(30,37,1),(23,1,0),(13,35,0),(24,36,0),(21,38,1),(22,2,1),(14,37,1)],
(178,159) => MOP_CODE[(29,38,0),(17,35,0),(6,2,0),(18,36,0),(30,37,0),(23,1,1),(13,35,1),(24,36,1),(21,38,1),(22,2,1),(14,37,1)],
(178,160) => MOP_CODE[(29,38,0),(17,35,0),(6,2,0),(18,36,0),(30,37,0),(23,1,0),(13,35,0),(24,36,0),(21,38,0),(22,2,0),(14,37,0),(1,2,1),(29,36,1),(17,37,1),(6,1,1),(18,38,1),(30,35,1),(23,2,1),(13,37,1),(24,38,1),(21,36,1),(22,1,1),(14,35,1)],
(179,161) => MOP_CODE[(29,37,0),(17,36,0),(6,2,0),(18,35,0),(30,38,0),(23,1,0),(13,36,0),(24,35,0),(21,37,0),(22,2,0),(14,38,0)],
(179,162) => MOP_CODE[(29,37,0),(17,36,0),(6,2,0),(18,35,0),(30,38,0),(23,1,0),(13,36,0),(24,35,0),(21,37,0),(22,2,0),(14,38,0),(1,1,1),(29,37,1),(17,36,1),(6,2,1),(18,35,1),(30,38,1),(23,1,1),(13,36,1),(24,35,1),(21,37,1),(22,2,1),(14,38,1)],
(179,163) => MOP_CODE[(29,37,1),(17,36,0),(6,2,1),(18,35,0),(30,38,1),(23,1,1),(13,36,1),(24,35,1),(21,37,0),(22,2,0),(14,38,0)],
(179,164) => MOP_CODE[(29,37,1),(17,36,0),(6,2,1),(18,35,0),(30,38,1),(23,1,0),(13,36,0),(24,35,0),(21,37,1),(22,2,1),(14,38,1)],
(179,165) => MOP_CODE[(29,37,0),(17,36,0),(6,2,0),(18,35,0),(30,38,0),(23,1,1),(13,36,1),(24,35,1),(21,37,1),(22,2,1),(14,38,1)],
(179,166) => MOP_CODE[(29,37,0),(17,36,0),(6,2,0),(18,35,0),(30,38,0),(23,1,0),(13,36,0),(24,35,0),(21,37,0),(22,2,0),(14,38,0),(1,2,1),(29,35,1),(17,38,1),(6,1,1),(18,37,1),(30,36,1),(23,2,1),(13,38,1),(24,37,1),(21,35,1),(22,1,1),(14,36,1)],
(180,167) => MOP_CODE[(29,35,0),(17,36,0),(6,1,0),(18,35,0),(30,36,0),(23,1,0),(13,36,0),(24,35,0),(21,35,0),(22,1,0),(14,36,0)],
(180,168) => MOP_CODE[(29,35,0),(17,36,0),(6,1,0),(18,35,0),(30,36,0),(23,1,0),(13,36,0),(24,35,0),(21,35,0),(22,1,0),(14,36,0),(1,1,1),(29,35,1),(17,36,1),(6,1,1),(18,35,1),(30,36,1),(23,1,1),(13,36,1),(24,35,1),(21,35,1),(22,1,1),(14,36,1)],
(180,169) => MOP_CODE[(29,35,1),(17,36,0),(6,1,1),(18,35,0),(30,36,1),(23,1,1),(13,36,1),(24,35,1),(21,35,0),(22,1,0),(14,36,0)],
(180,170) => MOP_CODE[(29,35,1),(17,36,0),(6,1,1),(18,35,0),(30,36,1),(23,1,0),(13,36,0),(24,35,0),(21,35,1),(22,1,1),(14,36,1)],
(180,171) => MOP_CODE[(29,35,0),(17,36,0),(6,1,0),(18,35,0),(30,36,0),(23,1,1),(13,36,1),(24,35,1),(21,35,1),(22,1,1),(14,36,1)],
(180,172) => MOP_CODE[(29,35,0),(17,36,0),(6,1,0),(18,35,0),(30,36,0),(23,1,0),(13,36,0),(24,35,0),(21,35,0),(22,1,0),(14,36,0),(1,2,1),(29,37,1),(17,38,1),(6,2,1),(18,37,1),(30,38,1),(23,2,1),(13,38,1),(24,37,1),(21,37,1),(22,2,1),(14,38,1)],
(181,173) => MOP_CODE[(29,36,0),(17,35,0),(6,1,0),(18,36,0),(30,35,0),(23,1,0),(13,35,0),(24,36,0),(21,36,0),(22,1,0),(14,35,0)],
(181,174) => MOP_CODE[(29,36,0),(17,35,0),(6,1,0),(18,36,0),(30,35,0),(23,1,0),(13,35,0),(24,36,0),(21,36,0),(22,1,0),(14,35,0),(1,1,1),(29,36,1),(17,35,1),(6,1,1),(18,36,1),(30,35,1),(23,1,1),(13,35,1),(24,36,1),(21,36,1),(22,1,1),(14,35,1)],
(181,175) => MOP_CODE[(29,36,1),(17,35,0),(6,1,1),(18,36,0),(30,35,1),(23,1,1),(13,35,1),(24,36,1),(21,36,0),(22,1,0),(14,35,0)],
(181,176) => MOP_CODE[(29,36,1),(17,35,0),(6,1,1),(18,36,0),(30,35,1),(23,1,0),(13,35,0),(24,36,0),(21,36,1),(22,1,1),(14,35,1)],
(181,177) => MOP_CODE[(29,36,0),(17,35,0),(6,1,0),(18,36,0),(30,35,0),(23,1,1),(13,35,1),(24,36,1),(21,36,1),(22,1,1),(14,35,1)],
(181,178) => MOP_CODE[(29,36,0),(17,35,0),(6,1,0),(18,36,0),(30,35,0),(23,1,0),(13,35,0),(24,36,0),(21,36,0),(22,1,0),(14,35,0),(1,2,1),(29,38,1),(17,37,1),(6,2,1),(18,38,1),(30,37,1),(23,2,1),(13,37,1),(24,38,1),(21,38,1),(22,2,1),(14,37,1)],
(182,179) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(23,1,0),(13,1,0),(24,1,0),(21,2,0),(22,2,0),(14,2,0)],
(182,180) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(23,1,0),(13,1,0),(24,1,0),(21,2,0),(22,2,0),(14,2,0),(1,1,1),(29,2,1),(17,1,1),(6,2,1),(18,1,1),(30,2,1),(23,1,1),(13,1,1),(24,1,1),(21,2,1),(22,2,1),(14,2,1)],
(182,181) => MOP_CODE[(29,2,1),(17,1,0),(6,2,1),(18,1,0),(30,2,1),(23,1,1),(13,1,1),(24,1,1),(21,2,0),(22,2,0),(14,2,0)],
(182,182) => MOP_CODE[(29,2,1),(17,1,0),(6,2,1),(18,1,0),(30,2,1),(23,1,0),(13,1,0),(24,1,0),(21,2,1),(22,2,1),(14,2,1)],
(182,183) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(23,1,1),(13,1,1),(24,1,1),(21,2,1),(22,2,1),(14,2,1)],
(182,184) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(23,1,0),(13,1,0),(24,1,0),(21,2,0),(22,2,0),(14,2,0),(1,2,1),(29,1,1),(17,2,1),(6,1,1),(18,2,1),(30,1,1),(23,2,1),(13,2,1),(24,2,1),(21,1,1),(22,1,1),(14,1,1)],
(183,185) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(25,1,0),(15,1,0),(26,1,0),(27,1,0),(28,1,0),(16,1,0)],
(183,186) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(25,1,0),(15,1,0),(26,1,0),(27,1,0),(28,1,0),(16,1,0),(1,1,1),(29,1,1),(17,1,1),(6,1,1),(18,1,1),(30,1,1),(25,1,1),(15,1,1),(26,1,1),(27,1,1),(28,1,1),(16,1,1)],
(183,187) => MOP_CODE[(29,1,1),(17,1,0),(6,1,1),(18,1,0),(30,1,1),(25,1,1),(15,1,1),(26,1,1),(27,1,0),(28,1,0),(16,1,0)],
(183,188) => MOP_CODE[(29,1,1),(17,1,0),(6,1,1),(18,1,0),(30,1,1),(25,1,0),(15,1,0),(26,1,0),(27,1,1),(28,1,1),(16,1,1)],
(183,189) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(25,1,1),(15,1,1),(26,1,1),(27,1,1),(28,1,1),(16,1,1)],
(183,190) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(25,1,0),(15,1,0),(26,1,0),(27,1,0),(28,1,0),(16,1,0),(1,2,1),(29,2,1),(17,2,1),(6,2,1),(18,2,1),(30,2,1),(25,2,1),(15,2,1),(26,2,1),(27,2,1),(28,2,1),(16,2,1)],
(184,191) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(25,2,0),(15,2,0),(26,2,0),(27,2,0),(28,2,0),(16,2,0)],
(184,192) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(25,2,0),(15,2,0),(26,2,0),(27,2,0),(28,2,0),(16,2,0),(1,1,1),(29,1,1),(17,1,1),(6,1,1),(18,1,1),(30,1,1),(25,2,1),(15,2,1),(26,2,1),(27,2,1),(28,2,1),(16,2,1)],
(184,193) => MOP_CODE[(29,1,1),(17,1,0),(6,1,1),(18,1,0),(30,1,1),(25,2,1),(15,2,1),(26,2,1),(27,2,0),(28,2,0),(16,2,0)],
(184,194) => MOP_CODE[(29,1,1),(17,1,0),(6,1,1),(18,1,0),(30,1,1),(25,2,0),(15,2,0),(26,2,0),(27,2,1),(28,2,1),(16,2,1)],
(184,195) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(25,2,1),(15,2,1),(26,2,1),(27,2,1),(28,2,1),(16,2,1)],
(184,196) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(25,2,0),(15,2,0),(26,2,0),(27,2,0),(28,2,0),(16,2,0),(1,2,1),(29,2,1),(17,2,1),(6,2,1),(18,2,1),(30,2,1),(25,1,1),(15,1,1),(26,1,1),(27,1,1),(28,1,1),(16,1,1)],
(185,197) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(25,2,0),(15,2,0),(26,2,0),(27,1,0),(28,1,0),(16,1,0)],
(185,198) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(25,2,0),(15,2,0),(26,2,0),(27,1,0),(28,1,0),(16,1,0),(1,1,1),(29,2,1),(17,1,1),(6,2,1),(18,1,1),(30,2,1),(25,2,1),(15,2,1),(26,2,1),(27,1,1),(28,1,1),(16,1,1)],
(185,199) => MOP_CODE[(29,2,1),(17,1,0),(6,2,1),(18,1,0),(30,2,1),(25,2,1),(15,2,1),(26,2,1),(27,1,0),(28,1,0),(16,1,0)],
(185,200) => MOP_CODE[(29,2,1),(17,1,0),(6,2,1),(18,1,0),(30,2,1),(25,2,0),(15,2,0),(26,2,0),(27,1,1),(28,1,1),(16,1,1)],
(185,201) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(25,2,1),(15,2,1),(26,2,1),(27,1,1),(28,1,1),(16,1,1)],
(185,202) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(25,2,0),(15,2,0),(26,2,0),(27,1,0),(28,1,0),(16,1,0),(1,2,1),(29,1,1),(17,2,1),(6,1,1),(18,2,1),(30,1,1),(25,1,1),(15,1,1),(26,1,1),(27,2,1),(28,2,1),(16,2,1)],
(186,203) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(25,1,0),(15,1,0),(26,1,0),(27,2,0),(28,2,0),(16,2,0)],
(186,204) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(25,1,0),(15,1,0),(26,1,0),(27,2,0),(28,2,0),(16,2,0),(1,1,1),(29,2,1),(17,1,1),(6,2,1),(18,1,1),(30,2,1),(25,1,1),(15,1,1),(26,1,1),(27,2,1),(28,2,1),(16,2,1)],
(186,205) => MOP_CODE[(29,2,1),(17,1,0),(6,2,1),(18,1,0),(30,2,1),(25,1,1),(15,1,1),(26,1,1),(27,2,0),(28,2,0),(16,2,0)],
(186,206) => MOP_CODE[(29,2,1),(17,1,0),(6,2,1),(18,1,0),(30,2,1),(25,1,0),(15,1,0),(26,1,0),(27,2,1),(28,2,1),(16,2,1)],
(186,207) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(25,1,1),(15,1,1),(26,1,1),(27,2,1),(28,2,1),(16,2,1)],
(186,208) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(25,1,0),(15,1,0),(26,1,0),(27,2,0),(28,2,0),(16,2,0),(1,2,1),(29,1,1),(17,2,1),(6,1,1),(18,2,1),(30,1,1),(25,2,1),(15,2,1),(26,2,1),(27,1,1),(28,1,1),(16,1,1)],
(187,209) => MOP_CODE[(17,1,0),(18,1,0),(21,1,0),(22,1,0),(14,1,0),(31,1,0),(8,1,0),(32,1,0),(25,1,0),(15,1,0),(26,1,0)],
(187,210) => MOP_CODE[(17,1,0),(18,1,0),(21,1,0),(22,1,0),(14,1,0),(31,1,0),(8,1,0),(32,1,0),(25,1,0),(15,1,0),(26,1,0),(1,1,1),(17,1,1),(18,1,1),(21,1,1),(22,1,1),(14,1,1),(31,1,1),(8,1,1),(32,1,1),(25,1,1),(15,1,1),(26,1,1)],
(187,211) => MOP_CODE[(17,1,0),(18,1,0),(21,1,0),(22,1,0),(14,1,0),(31,1,1),(8,1,1),(32,1,1),(25,1,1),(15,1,1),(26,1,1)],
(187,212) => MOP_CODE[(17,1,0),(18,1,0),(21,1,1),(22,1,1),(14,1,1),(31,1,1),(8,1,1),(32,1,1),(25,1,0),(15,1,0),(26,1,0)],
(187,213) => MOP_CODE[(17,1,0),(18,1,0),(21,1,1),(22,1,1),(14,1,1),(31,1,0),(8,1,0),(32,1,0),(25,1,1),(15,1,1),(26,1,1)],
(187,214) => MOP_CODE[(17,1,0),(18,1,0),(21,1,0),(22,1,0),(14,1,0),(31,1,0),(8,1,0),(32,1,0),(25,1,0),(15,1,0),(26,1,0),(1,2,1),(17,2,1),(18,2,1),(21,2,1),(22,2,1),(14,2,1),(31,2,1),(8,2,1),(32,2,1),(25,2,1),(15,2,1),(26,2,1)],
(188,215) => MOP_CODE[(17,1,0),(18,1,0),(21,1,0),(22,1,0),(14,1,0),(31,2,0),(8,2,0),(32,2,0),(25,2,0),(15,2,0),(26,2,0)],
(188,216) => MOP_CODE[(17,1,0),(18,1,0),(21,1,0),(22,1,0),(14,1,0),(31,2,0),(8,2,0),(32,2,0),(25,2,0),(15,2,0),(26,2,0),(1,1,1),(17,1,1),(18,1,1),(21,1,1),(22,1,1),(14,1,1),(31,2,1),(8,2,1),(32,2,1),(25,2,1),(15,2,1),(26,2,1)],
(188,217) => MOP_CODE[(17,1,0),(18,1,0),(21,1,0),(22,1,0),(14,1,0),(31,2,1),(8,2,1),(32,2,1),(25,2,1),(15,2,1),(26,2,1)],
(188,218) => MOP_CODE[(17,1,0),(18,1,0),(21,1,1),(22,1,1),(14,1,1),(31,2,1),(8,2,1),(32,2,1),(25,2,0),(15,2,0),(26,2,0)],
(188,219) => MOP_CODE[(17,1,0),(18,1,0),(21,1,1),(22,1,1),(14,1,1),(31,2,0),(8,2,0),(32,2,0),(25,2,1),(15,2,1),(26,2,1)],
(188,220) => MOP_CODE[(17,1,0),(18,1,0),(21,1,0),(22,1,0),(14,1,0),(31,2,0),(8,2,0),(32,2,0),(25,2,0),(15,2,0),(26,2,0),(1,2,1),(17,2,1),(18,2,1),(21,2,1),(22,2,1),(14,2,1),(31,1,1),(8,1,1),(32,1,1),(25,1,1),(15,1,1),(26,1,1)],
(189,221) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(31,1,0),(8,1,0),(32,1,0),(27,1,0),(28,1,0),(16,1,0)],
(189,222) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(31,1,0),(8,1,0),(32,1,0),(27,1,0),(28,1,0),(16,1,0),(1,1,1),(17,1,1),(18,1,1),(23,1,1),(13,1,1),(24,1,1),(31,1,1),(8,1,1),(32,1,1),(27,1,1),(28,1,1),(16,1,1)],
(189,223) => MOP_CODE[(17,1,0),(18,1,0),(23,1,1),(13,1,1),(24,1,1),(31,1,1),(8,1,1),(32,1,1),(27,1,0),(28,1,0),(16,1,0)],
(189,224) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(31,1,1),(8,1,1),(32,1,1),(27,1,1),(28,1,1),(16,1,1)],
(189,225) => MOP_CODE[(17,1,0),(18,1,0),(23,1,1),(13,1,1),(24,1,1),(31,1,0),(8,1,0),(32,1,0),(27,1,1),(28,1,1),(16,1,1)],
(189,226) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(31,1,0),(8,1,0),(32,1,0),(27,1,0),(28,1,0),(16,1,0),(1,2,1),(17,2,1),(18,2,1),(23,2,1),(13,2,1),(24,2,1),(31,2,1),(8,2,1),(32,2,1),(27,2,1),(28,2,1),(16,2,1)],
(190,227) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(31,2,0),(8,2,0),(32,2,0),(27,2,0),(28,2,0),(16,2,0)],
(190,228) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(31,2,0),(8,2,0),(32,2,0),(27,2,0),(28,2,0),(16,2,0),(1,1,1),(17,1,1),(18,1,1),(23,1,1),(13,1,1),(24,1,1),(31,2,1),(8,2,1),(32,2,1),(27,2,1),(28,2,1),(16,2,1)],
(190,229) => MOP_CODE[(17,1,0),(18,1,0),(23,1,1),(13,1,1),(24,1,1),(31,2,1),(8,2,1),(32,2,1),(27,2,0),(28,2,0),(16,2,0)],
(190,230) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(31,2,1),(8,2,1),(32,2,1),(27,2,1),(28,2,1),(16,2,1)],
(190,231) => MOP_CODE[(17,1,0),(18,1,0),(23,1,1),(13,1,1),(24,1,1),(31,2,0),(8,2,0),(32,2,0),(27,2,1),(28,2,1),(16,2,1)],
(190,232) => MOP_CODE[(17,1,0),(18,1,0),(23,1,0),(13,1,0),(24,1,0),(31,2,0),(8,2,0),(32,2,0),(27,2,0),(28,2,0),(16,2,0),(1,2,1),(17,2,1),(18,2,1),(23,2,1),(13,2,1),(24,2,1),(31,1,1),(8,1,1),(32,1,1),(27,1,1),(28,1,1),(16,1,1)],
(191,233) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(23,1,0),(13,1,0),(24,1,0),(21,1,0),(22,1,0),(14,1,0),(2,1,0),(31,1,0),(19,1,0),(8,1,0),(20,1,0),(32,1,0),(25,1,0),(15,1,0),(26,1,0),(27,1,0),(28,1,0),(16,1,0)],
(191,234) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(23,1,0),(13,1,0),(24,1,0),(21,1,0),(22,1,0),(14,1,0),(2,1,0),(31,1,0),(19,1,0),(8,1,0),(20,1,0),(32,1,0),(25,1,0),(15,1,0),(26,1,0),(27,1,0),(28,1,0),(16,1,0),(1,1,1),(29,1,1),(17,1,1),(6,1,1),(18,1,1),(30,1,1),(23,1,1),(13,1,1),(24,1,1),(21,1,1),(22,1,1),(14,1,1),(2,1,1),(31,1,1),(19,1,1),(8,1,1),(20,1,1),(32,1,1),(25,1,1),(15,1,1),(26,1,1),(27,1,1),(28,1,1),(16,1,1)],
(191,235) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(23,1,1),(13,1,1),(24,1,1),(21,1,1),(22,1,1),(14,1,1),(2,1,1),(31,1,1),(19,1,1),(8,1,1),(20,1,1),(32,1,1),(25,1,0),(15,1,0),(26,1,0),(27,1,0),(28,1,0),(16,1,0)],
(191,236) => MOP_CODE[(29,1,1),(17,1,0),(6,1,1),(18,1,0),(30,1,1),(23,1,0),(13,1,0),(24,1,0),(21,1,1),(22,1,1),(14,1,1),(2,1,1),(31,1,0),(19,1,1),(8,1,0),(20,1,1),(32,1,0),(25,1,1),(15,1,1),(26,1,1),(27,1,0),(28,1,0),(16,1,0)],
(191,237) => MOP_CODE[(29,1,1),(17,1,0),(6,1,1),(18,1,0),(30,1,1),(23,1,1),(13,1,1),(24,1,1),(21,1,0),(22,1,0),(14,1,0),(2,1,1),(31,1,0),(19,1,1),(8,1,0),(20,1,1),(32,1,0),(25,1,0),(15,1,0),(26,1,0),(27,1,1),(28,1,1),(16,1,1)],
(191,238) => MOP_CODE[(29,1,1),(17,1,0),(6,1,1),(18,1,0),(30,1,1),(23,1,1),(13,1,1),(24,1,1),(21,1,0),(22,1,0),(14,1,0),(2,1,0),(31,1,1),(19,1,0),(8,1,1),(20,1,0),(32,1,1),(25,1,1),(15,1,1),(26,1,1),(27,1,0),(28,1,0),(16,1,0)],
(191,239) => MOP_CODE[(29,1,1),(17,1,0),(6,1,1),(18,1,0),(30,1,1),(23,1,0),(13,1,0),(24,1,0),(21,1,1),(22,1,1),(14,1,1),(2,1,0),(31,1,1),(19,1,0),(8,1,1),(20,1,0),(32,1,1),(25,1,0),(15,1,0),(26,1,0),(27,1,1),(28,1,1),(16,1,1)],
(191,240) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(23,1,1),(13,1,1),(24,1,1),(21,1,1),(22,1,1),(14,1,1),(2,1,0),(31,1,0),(19,1,0),(8,1,0),(20,1,0),(32,1,0),(25,1,1),(15,1,1),(26,1,1),(27,1,1),(28,1,1),(16,1,1)],
(191,241) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(23,1,0),(13,1,0),(24,1,0),(21,1,0),(22,1,0),(14,1,0),(2,1,1),(31,1,1),(19,1,1),(8,1,1),(20,1,1),(32,1,1),(25,1,1),(15,1,1),(26,1,1),(27,1,1),(28,1,1),(16,1,1)],
(191,242) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(23,1,0),(13,1,0),(24,1,0),(21,1,0),(22,1,0),(14,1,0),(2,1,0),(31,1,0),(19,1,0),(8,1,0),(20,1,0),(32,1,0),(25,1,0),(15,1,0),(26,1,0),(27,1,0),(28,1,0),(16,1,0),(1,2,1),(29,2,1),(17,2,1),(6,2,1),(18,2,1),(30,2,1),(23,2,1),(13,2,1),(24,2,1),(21,2,1),(22,2,1),(14,2,1),(2,2,1),(31,2,1),(19,2,1),(8,2,1),(20,2,1),(32,2,1),(25,2,1),(15,2,1),(26,2,1),(27,2,1),(28,2,1),(16,2,1)],
(192,243) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(23,2,0),(13,2,0),(24,2,0),(21,2,0),(22,2,0),(14,2,0),(2,1,0),(31,1,0),(19,1,0),(8,1,0),(20,1,0),(32,1,0),(25,2,0),(15,2,0),(26,2,0),(27,2,0),(28,2,0),(16,2,0)],
(192,244) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(23,2,0),(13,2,0),(24,2,0),(21,2,0),(22,2,0),(14,2,0),(2,1,0),(31,1,0),(19,1,0),(8,1,0),(20,1,0),(32,1,0),(25,2,0),(15,2,0),(26,2,0),(27,2,0),(28,2,0),(16,2,0),(1,1,1),(29,1,1),(17,1,1),(6,1,1),(18,1,1),(30,1,1),(23,2,1),(13,2,1),(24,2,1),(21,2,1),(22,2,1),(14,2,1),(2,1,1),(31,1,1),(19,1,1),(8,1,1),(20,1,1),(32,1,1),(25,2,1),(15,2,1),(26,2,1),(27,2,1),(28,2,1),(16,2,1)],
(192,245) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(23,2,1),(13,2,1),(24,2,1),(21,2,1),(22,2,1),(14,2,1),(2,1,1),(31,1,1),(19,1,1),(8,1,1),(20,1,1),(32,1,1),(25,2,0),(15,2,0),(26,2,0),(27,2,0),(28,2,0),(16,2,0)],
(192,246) => MOP_CODE[(29,1,1),(17,1,0),(6,1,1),(18,1,0),(30,1,1),(23,2,0),(13,2,0),(24,2,0),(21,2,1),(22,2,1),(14,2,1),(2,1,1),(31,1,0),(19,1,1),(8,1,0),(20,1,1),(32,1,0),(25,2,1),(15,2,1),(26,2,1),(27,2,0),(28,2,0),(16,2,0)],
(192,247) => MOP_CODE[(29,1,1),(17,1,0),(6,1,1),(18,1,0),(30,1,1),(23,2,1),(13,2,1),(24,2,1),(21,2,0),(22,2,0),(14,2,0),(2,1,1),(31,1,0),(19,1,1),(8,1,0),(20,1,1),(32,1,0),(25,2,0),(15,2,0),(26,2,0),(27,2,1),(28,2,1),(16,2,1)],
(192,248) => MOP_CODE[(29,1,1),(17,1,0),(6,1,1),(18,1,0),(30,1,1),(23,2,1),(13,2,1),(24,2,1),(21,2,0),(22,2,0),(14,2,0),(2,1,0),(31,1,1),(19,1,0),(8,1,1),(20,1,0),(32,1,1),(25,2,1),(15,2,1),(26,2,1),(27,2,0),(28,2,0),(16,2,0)],
(192,249) => MOP_CODE[(29,1,1),(17,1,0),(6,1,1),(18,1,0),(30,1,1),(23,2,0),(13,2,0),(24,2,0),(21,2,1),(22,2,1),(14,2,1),(2,1,0),(31,1,1),(19,1,0),(8,1,1),(20,1,0),(32,1,1),(25,2,0),(15,2,0),(26,2,0),(27,2,1),(28,2,1),(16,2,1)],
(192,250) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(23,2,1),(13,2,1),(24,2,1),(21,2,1),(22,2,1),(14,2,1),(2,1,0),(31,1,0),(19,1,0),(8,1,0),(20,1,0),(32,1,0),(25,2,1),(15,2,1),(26,2,1),(27,2,1),(28,2,1),(16,2,1)],
(192,251) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(23,2,0),(13,2,0),(24,2,0),(21,2,0),(22,2,0),(14,2,0),(2,1,1),(31,1,1),(19,1,1),(8,1,1),(20,1,1),(32,1,1),(25,2,1),(15,2,1),(26,2,1),(27,2,1),(28,2,1),(16,2,1)],
(192,252) => MOP_CODE[(29,1,0),(17,1,0),(6,1,0),(18,1,0),(30,1,0),(23,2,0),(13,2,0),(24,2,0),(21,2,0),(22,2,0),(14,2,0),(2,1,0),(31,1,0),(19,1,0),(8,1,0),(20,1,0),(32,1,0),(25,2,0),(15,2,0),(26,2,0),(27,2,0),(28,2,0),(16,2,0),(1,2,1),(29,2,1),(17,2,1),(6,2,1),(18,2,1),(30,2,1),(23,1,1),(13,1,1),(24,1,1),(21,1,1),(22,1,1),(14,1,1),(2,2,1),(31,2,1),(19,2,1),(8,2,1),(20,2,1),(32,2,1),(25,1,1),(15,1,1),(26,1,1),(27,1,1),(28,1,1),(16,1,1)],
(193,253) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(23,2,0),(13,2,0),(24,2,0),(21,1,0),(22,1,0),(14,1,0),(2,1,0),(31,2,0),(19,1,0),(8,2,0),(20,1,0),(32,2,0),(25,2,0),(15,2,0),(26,2,0),(27,1,0),(28,1,0),(16,1,0)],
(193,254) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(23,2,0),(13,2,0),(24,2,0),(21,1,0),(22,1,0),(14,1,0),(2,1,0),(31,2,0),(19,1,0),(8,2,0),(20,1,0),(32,2,0),(25,2,0),(15,2,0),(26,2,0),(27,1,0),(28,1,0),(16,1,0),(1,1,1),(29,2,1),(17,1,1),(6,2,1),(18,1,1),(30,2,1),(23,2,1),(13,2,1),(24,2,1),(21,1,1),(22,1,1),(14,1,1),(2,1,1),(31,2,1),(19,1,1),(8,2,1),(20,1,1),(32,2,1),(25,2,1),(15,2,1),(26,2,1),(27,1,1),(28,1,1),(16,1,1)],
(193,255) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(23,2,1),(13,2,1),(24,2,1),(21,1,1),(22,1,1),(14,1,1),(2,1,1),(31,2,1),(19,1,1),(8,2,1),(20,1,1),(32,2,1),(25,2,0),(15,2,0),(26,2,0),(27,1,0),(28,1,0),(16,1,0)],
(193,256) => MOP_CODE[(29,2,1),(17,1,0),(6,2,1),(18,1,0),(30,2,1),(23,2,0),(13,2,0),(24,2,0),(21,1,1),(22,1,1),(14,1,1),(2,1,1),(31,2,0),(19,1,1),(8,2,0),(20,1,1),(32,2,0),(25,2,1),(15,2,1),(26,2,1),(27,1,0),(28,1,0),(16,1,0)],
(193,257) => MOP_CODE[(29,2,1),(17,1,0),(6,2,1),(18,1,0),(30,2,1),(23,2,1),(13,2,1),(24,2,1),(21,1,0),(22,1,0),(14,1,0),(2,1,1),(31,2,0),(19,1,1),(8,2,0),(20,1,1),(32,2,0),(25,2,0),(15,2,0),(26,2,0),(27,1,1),(28,1,1),(16,1,1)],
(193,258) => MOP_CODE[(29,2,1),(17,1,0),(6,2,1),(18,1,0),(30,2,1),(23,2,1),(13,2,1),(24,2,1),(21,1,0),(22,1,0),(14,1,0),(2,1,0),(31,2,1),(19,1,0),(8,2,1),(20,1,0),(32,2,1),(25,2,1),(15,2,1),(26,2,1),(27,1,0),(28,1,0),(16,1,0)],
(193,259) => MOP_CODE[(29,2,1),(17,1,0),(6,2,1),(18,1,0),(30,2,1),(23,2,0),(13,2,0),(24,2,0),(21,1,1),(22,1,1),(14,1,1),(2,1,0),(31,2,1),(19,1,0),(8,2,1),(20,1,0),(32,2,1),(25,2,0),(15,2,0),(26,2,0),(27,1,1),(28,1,1),(16,1,1)],
(193,260) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(23,2,1),(13,2,1),(24,2,1),(21,1,1),(22,1,1),(14,1,1),(2,1,0),(31,2,0),(19,1,0),(8,2,0),(20,1,0),(32,2,0),(25,2,1),(15,2,1),(26,2,1),(27,1,1),(28,1,1),(16,1,1)],
(193,261) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(23,2,0),(13,2,0),(24,2,0),(21,1,0),(22,1,0),(14,1,0),(2,1,1),(31,2,1),(19,1,1),(8,2,1),(20,1,1),(32,2,1),(25,2,1),(15,2,1),(26,2,1),(27,1,1),(28,1,1),(16,1,1)],
(193,262) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(23,2,0),(13,2,0),(24,2,0),(21,1,0),(22,1,0),(14,1,0),(2,1,0),(31,2,0),(19,1,0),(8,2,0),(20,1,0),(32,2,0),(25,2,0),(15,2,0),(26,2,0),(27,1,0),(28,1,0),(16,1,0),(1,2,1),(29,1,1),(17,2,1),(6,1,1),(18,2,1),(30,1,1),(23,1,1),(13,1,1),(24,1,1),(21,2,1),(22,2,1),(14,2,1),(2,2,1),(31,1,1),(19,2,1),(8,1,1),(20,2,1),(32,1,1),(25,1,1),(15,1,1),(26,1,1),(27,2,1),(28,2,1),(16,2,1)],
(194,263) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(23,1,0),(13,1,0),(24,1,0),(21,2,0),(22,2,0),(14,2,0),(2,1,0),(31,2,0),(19,1,0),(8,2,0),(20,1,0),(32,2,0),(25,1,0),(15,1,0),(26,1,0),(27,2,0),(28,2,0),(16,2,0)],
(194,264) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(23,1,0),(13,1,0),(24,1,0),(21,2,0),(22,2,0),(14,2,0),(2,1,0),(31,2,0),(19,1,0),(8,2,0),(20,1,0),(32,2,0),(25,1,0),(15,1,0),(26,1,0),(27,2,0),(28,2,0),(16,2,0),(1,1,1),(29,2,1),(17,1,1),(6,2,1),(18,1,1),(30,2,1),(23,1,1),(13,1,1),(24,1,1),(21,2,1),(22,2,1),(14,2,1),(2,1,1),(31,2,1),(19,1,1),(8,2,1),(20,1,1),(32,2,1),(25,1,1),(15,1,1),(26,1,1),(27,2,1),(28,2,1),(16,2,1)],
(194,265) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(23,1,1),(13,1,1),(24,1,1),(21,2,1),(22,2,1),(14,2,1),(2,1,1),(31,2,1),(19,1,1),(8,2,1),(20,1,1),(32,2,1),(25,1,0),(15,1,0),(26,1,0),(27,2,0),(28,2,0),(16,2,0)],
(194,266) => MOP_CODE[(29,2,1),(17,1,0),(6,2,1),(18,1,0),(30,2,1),(23,1,0),(13,1,0),(24,1,0),(21,2,1),(22,2,1),(14,2,1),(2,1,1),(31,2,0),(19,1,1),(8,2,0),(20,1,1),(32,2,0),(25,1,1),(15,1,1),(26,1,1),(27,2,0),(28,2,0),(16,2,0)],
(194,267) => MOP_CODE[(29,2,1),(17,1,0),(6,2,1),(18,1,0),(30,2,1),(23,1,1),(13,1,1),(24,1,1),(21,2,0),(22,2,0),(14,2,0),(2,1,1),(31,2,0),(19,1,1),(8,2,0),(20,1,1),(32,2,0),(25,1,0),(15,1,0),(26,1,0),(27,2,1),(28,2,1),(16,2,1)],
(194,268) => MOP_CODE[(29,2,1),(17,1,0),(6,2,1),(18,1,0),(30,2,1),(23,1,1),(13,1,1),(24,1,1),(21,2,0),(22,2,0),(14,2,0),(2,1,0),(31,2,1),(19,1,0),(8,2,1),(20,1,0),(32,2,1),(25,1,1),(15,1,1),(26,1,1),(27,2,0),(28,2,0),(16,2,0)],
(194,269) => MOP_CODE[(29,2,1),(17,1,0),(6,2,1),(18,1,0),(30,2,1),(23,1,0),(13,1,0),(24,1,0),(21,2,1),(22,2,1),(14,2,1),(2,1,0),(31,2,1),(19,1,0),(8,2,1),(20,1,0),(32,2,1),(25,1,0),(15,1,0),(26,1,0),(27,2,1),(28,2,1),(16,2,1)],
(194,270) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(23,1,1),(13,1,1),(24,1,1),(21,2,1),(22,2,1),(14,2,1),(2,1,0),(31,2,0),(19,1,0),(8,2,0),(20,1,0),(32,2,0),(25,1,1),(15,1,1),(26,1,1),(27,2,1),(28,2,1),(16,2,1)],
(194,271) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(23,1,0),(13,1,0),(24,1,0),(21,2,0),(22,2,0),(14,2,0),(2,1,1),(31,2,1),(19,1,1),(8,2,1),(20,1,1),(32,2,1),(25,1,1),(15,1,1),(26,1,1),(27,2,1),(28,2,1),(16,2,1)],
(194,272) => MOP_CODE[(29,2,0),(17,1,0),(6,2,0),(18,1,0),(30,2,0),(23,1,0),(13,1,0),(24,1,0),(21,2,0),(22,2,0),(14,2,0),(2,1,0),(31,2,0),(19,1,0),(8,2,0),(20,1,0),(32,2,0),(25,1,0),(15,1,0),(26,1,0),(27,2,0),(28,2,0),(16,2,0),(1,2,1),(29,1,1),(17,2,1),(6,1,1),(18,2,1),(30,1,1),(23,2,1),(13,2,1),(24,2,1),(21,1,1),(22,1,1),(14,1,1),(2,2,1),(31,1,1),(19,2,1),(8,1,1),(20,2,1),(32,1,1),(25,2,1),(15,2,1),(26,2,1),(27,1,1),(28,1,1),(16,1,1)],
(195,1) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0)],
(195,2) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1)],
(195,3) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(1,8,1),(5,8,1),(3,8,1),(6,8,1),(33,8,1),(34,8,1),(35,8,1),(36,8,1),(37,8,1),(38,8,1),(39,8,1),(40,8,1)],
(196,4) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0)],
(196,5) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1)],
(196,6) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(1,2,1),(5,8,1),(3,8,1),(6,8,1),(33,8,1),(34,8,1),(35,8,1),(36,8,1),(37,8,1),(38,8,1),(39,8,1),(40,8,1)],
(197,7) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0)],
(197,8) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1)],
(198,9) => MOP_CODE[(5,5,0),(3,7,0),(6,6,0),(33,1,0),(34,1,0),(35,7,0),(36,6,0),(37,6,0),(38,5,0),(39,5,0),(40,7,0)],
(198,10) => MOP_CODE[(5,5,0),(3,7,0),(6,6,0),(33,1,0),(34,1,0),(35,7,0),(36,6,0),(37,6,0),(38,5,0),(39,5,0),(40,7,0),(1,1,1),(5,5,1),(3,7,1),(6,6,1),(33,1,1),(34,1,1),(35,7,1),(36,6,1),(37,6,1),(38,5,1),(39,5,1),(40,7,1)],
(198,11) => MOP_CODE[(5,5,0),(3,7,0),(6,6,0),(33,1,0),(34,1,0),(35,7,0),(36,6,0),(37,6,0),(38,5,0),(39,5,0),(40,7,0),(1,8,1),(5,2,1),(3,3,1),(6,4,1),(33,8,1),(34,8,1),(35,3,1),(36,4,1),(37,4,1),(38,2,1),(39,2,1),(40,3,1)],
(199,12) => MOP_CODE[(5,2,0),(3,3,0),(6,4,0),(33,1,0),(34,1,0),(35,3,0),(36,4,0),(37,4,0),(38,2,0),(39,2,0),(40,3,0)],
(199,13) => MOP_CODE[(5,2,0),(3,3,0),(6,4,0),(33,1,0),(34,1,0),(35,3,0),(36,4,0),(37,4,0),(38,2,0),(39,2,0),(40,3,0),(1,1,1),(5,2,1),(3,3,1),(6,4,1),(33,1,1),(34,1,1),(35,3,1),(36,4,1),(37,4,1),(38,2,1),(39,2,1),(40,3,1)],
(200,14) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0)],
(200,15) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1),(2,1,1),(7,1,1),(4,1,1),(8,1,1),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(200,16) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,1),(7,1,1),(4,1,1),(8,1,1),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(200,17) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0),(1,8,1),(5,8,1),(3,8,1),(6,8,1),(33,8,1),(34,8,1),(35,8,1),(36,8,1),(37,8,1),(38,8,1),(39,8,1),(40,8,1),(2,8,1),(7,8,1),(4,8,1),(8,8,1),(41,8,1),(42,8,1),(43,8,1),(44,8,1),(45,8,1),(46,8,1),(47,8,1),(48,8,1)],
(201,18) => MOP_CODE[(5,7,0),(3,6,0),(6,5,0),(33,1,0),(34,1,0),(35,6,0),(36,5,0),(37,5,0),(38,7,0),(39,7,0),(40,6,0),(2,1,0),(7,7,0),(4,6,0),(8,5,0),(41,1,0),(42,1,0),(43,6,0),(44,5,0),(45,5,0),(46,7,0),(47,7,0),(48,6,0)],
(201,19) => MOP_CODE[(5,7,0),(3,6,0),(6,5,0),(33,1,0),(34,1,0),(35,6,0),(36,5,0),(37,5,0),(38,7,0),(39,7,0),(40,6,0),(2,1,0),(7,7,0),(4,6,0),(8,5,0),(41,1,0),(42,1,0),(43,6,0),(44,5,0),(45,5,0),(46,7,0),(47,7,0),(48,6,0),(1,1,1),(5,7,1),(3,6,1),(6,5,1),(33,1,1),(34,1,1),(35,6,1),(36,5,1),(37,5,1),(38,7,1),(39,7,1),(40,6,1),(2,1,1),(7,7,1),(4,6,1),(8,5,1),(41,1,1),(42,1,1),(43,6,1),(44,5,1),(45,5,1),(46,7,1),(47,7,1),(48,6,1)],
(201,20) => MOP_CODE[(5,7,0),(3,6,0),(6,5,0),(33,1,0),(34,1,0),(35,6,0),(36,5,0),(37,5,0),(38,7,0),(39,7,0),(40,6,0),(2,1,1),(7,7,1),(4,6,1),(8,5,1),(41,1,1),(42,1,1),(43,6,1),(44,5,1),(45,5,1),(46,7,1),(47,7,1),(48,6,1)],
(201,21) => MOP_CODE[(5,7,0),(3,6,0),(6,5,0),(33,1,0),(34,1,0),(35,6,0),(36,5,0),(37,5,0),(38,7,0),(39,7,0),(40,6,0),(2,1,0),(7,7,0),(4,6,0),(8,5,0),(41,1,0),(42,1,0),(43,6,0),(44,5,0),(45,5,0),(46,7,0),(47,7,0),(48,6,0),(1,8,1),(5,3,1),(3,4,1),(6,2,1),(33,8,1),(34,8,1),(35,4,1),(36,2,1),(37,2,1),(38,3,1),(39,3,1),(40,4,1),(2,8,1),(7,3,1),(4,4,1),(8,2,1),(41,8,1),(42,8,1),(43,4,1),(44,2,1),(45,2,1),(46,3,1),(47,3,1),(48,4,1)],
(202,22) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0)],
(202,23) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1),(2,1,1),(7,1,1),(4,1,1),(8,1,1),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(202,24) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,1),(7,1,1),(4,1,1),(8,1,1),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(202,25) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0),(1,2,1),(5,8,1),(3,8,1),(6,8,1),(33,8,1),(34,8,1),(35,8,1),(36,8,1),(37,8,1),(38,8,1),(39,8,1),(40,8,1),(2,8,1),(7,8,1),(4,8,1),(8,8,1),(41,8,1),(42,8,1),(43,8,1),(44,8,1),(45,8,1),(46,8,1),(47,8,1),(48,8,1)],
(203,26) => MOP_CODE[(5,11,0),(3,12,0),(6,13,0),(33,1,0),(34,1,0),(35,12,0),(36,13,0),(37,13,0),(38,11,0),(39,11,0),(40,12,0),(2,1,0),(7,14,0),(4,15,0),(8,16,0),(41,1,0),(42,1,0),(43,15,0),(44,16,0),(45,16,0),(46,14,0),(47,14,0),(48,15,0)],
(203,27) => MOP_CODE[(5,11,0),(3,12,0),(6,13,0),(33,1,0),(34,1,0),(35,12,0),(36,13,0),(37,13,0),(38,11,0),(39,11,0),(40,12,0),(2,1,0),(7,14,0),(4,15,0),(8,16,0),(41,1,0),(42,1,0),(43,15,0),(44,16,0),(45,16,0),(46,14,0),(47,14,0),(48,15,0),(1,1,1),(5,11,1),(3,12,1),(6,13,1),(33,1,1),(34,1,1),(35,12,1),(36,13,1),(37,13,1),(38,11,1),(39,11,1),(40,12,1),(2,1,1),(7,14,1),(4,15,1),(8,16,1),(41,1,1),(42,1,1),(43,15,1),(44,16,1),(45,16,1),(46,14,1),(47,14,1),(48,15,1)],
(203,28) => MOP_CODE[(5,11,0),(3,12,0),(6,13,0),(33,1,0),(34,1,0),(35,12,0),(36,13,0),(37,13,0),(38,11,0),(39,11,0),(40,12,0),(2,1,1),(7,14,1),(4,15,1),(8,16,1),(41,1,1),(42,1,1),(43,15,1),(44,16,1),(45,16,1),(46,14,1),(47,14,1),(48,15,1)],
(203,29) => MOP_CODE[(5,11,0),(3,12,0),(6,13,0),(33,1,0),(34,1,0),(35,12,0),(36,13,0),(37,13,0),(38,11,0),(39,11,0),(40,12,0),(2,1,0),(7,14,0),(4,15,0),(8,16,0),(41,1,0),(42,1,0),(43,15,0),(44,16,0),(45,16,0),(46,14,0),(47,14,0),(48,15,0),(1,2,1),(5,17,1),(3,18,1),(6,19,1),(33,8,1),(34,8,1),(35,18,1),(36,19,1),(37,19,1),(38,17,1),(39,17,1),(40,18,1),(2,8,1),(7,20,1),(4,21,1),(8,22,1),(41,8,1),(42,8,1),(43,21,1),(44,22,1),(45,22,1),(46,20,1),(47,20,1),(48,21,1)],
(204,30) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0)],
(204,31) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(7,1,0),(4,1,0),(8,1,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1),(2,1,1),(7,1,1),(4,1,1),(8,1,1),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(204,32) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,1),(7,1,1),(4,1,1),(8,1,1),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(205,33) => MOP_CODE[(5,5,0),(3,7,0),(6,6,0),(33,1,0),(34,1,0),(35,7,0),(36,6,0),(37,6,0),(38,5,0),(39,5,0),(40,7,0),(2,1,0),(7,5,0),(4,7,0),(8,6,0),(41,1,0),(42,1,0),(43,7,0),(44,6,0),(45,6,0),(46,5,0),(47,5,0),(48,7,0)],
(205,34) => MOP_CODE[(5,5,0),(3,7,0),(6,6,0),(33,1,0),(34,1,0),(35,7,0),(36,6,0),(37,6,0),(38,5,0),(39,5,0),(40,7,0),(2,1,0),(7,5,0),(4,7,0),(8,6,0),(41,1,0),(42,1,0),(43,7,0),(44,6,0),(45,6,0),(46,5,0),(47,5,0),(48,7,0),(1,1,1),(5,5,1),(3,7,1),(6,6,1),(33,1,1),(34,1,1),(35,7,1),(36,6,1),(37,6,1),(38,5,1),(39,5,1),(40,7,1),(2,1,1),(7,5,1),(4,7,1),(8,6,1),(41,1,1),(42,1,1),(43,7,1),(44,6,1),(45,6,1),(46,5,1),(47,5,1),(48,7,1)],
(205,35) => MOP_CODE[(5,5,0),(3,7,0),(6,6,0),(33,1,0),(34,1,0),(35,7,0),(36,6,0),(37,6,0),(38,5,0),(39,5,0),(40,7,0),(2,1,1),(7,5,1),(4,7,1),(8,6,1),(41,1,1),(42,1,1),(43,7,1),(44,6,1),(45,6,1),(46,5,1),(47,5,1),(48,7,1)],
(205,36) => MOP_CODE[(5,5,0),(3,7,0),(6,6,0),(33,1,0),(34,1,0),(35,7,0),(36,6,0),(37,6,0),(38,5,0),(39,5,0),(40,7,0),(2,1,0),(7,5,0),(4,7,0),(8,6,0),(41,1,0),(42,1,0),(43,7,0),(44,6,0),(45,6,0),(46,5,0),(47,5,0),(48,7,0),(1,8,1),(5,2,1),(3,3,1),(6,4,1),(33,8,1),(34,8,1),(35,3,1),(36,4,1),(37,4,1),(38,2,1),(39,2,1),(40,3,1),(2,8,1),(7,2,1),(4,3,1),(8,4,1),(41,8,1),(42,8,1),(43,3,1),(44,4,1),(45,4,1),(46,2,1),(47,2,1),(48,3,1)],
(206,37) => MOP_CODE[(5,2,0),(3,3,0),(6,4,0),(33,1,0),(34,1,0),(35,3,0),(36,4,0),(37,4,0),(38,2,0),(39,2,0),(40,3,0),(2,1,0),(7,2,0),(4,3,0),(8,4,0),(41,1,0),(42,1,0),(43,3,0),(44,4,0),(45,4,0),(46,2,0),(47,2,0),(48,3,0)],
(206,38) => MOP_CODE[(5,2,0),(3,3,0),(6,4,0),(33,1,0),(34,1,0),(35,3,0),(36,4,0),(37,4,0),(38,2,0),(39,2,0),(40,3,0),(2,1,0),(7,2,0),(4,3,0),(8,4,0),(41,1,0),(42,1,0),(43,3,0),(44,4,0),(45,4,0),(46,2,0),(47,2,0),(48,3,0),(1,1,1),(5,2,1),(3,3,1),(6,4,1),(33,1,1),(34,1,1),(35,3,1),(36,4,1),(37,4,1),(38,2,1),(39,2,1),(40,3,1),(2,1,1),(7,2,1),(4,3,1),(8,4,1),(41,1,1),(42,1,1),(43,3,1),(44,4,1),(45,4,1),(46,2,1),(47,2,1),(48,3,1)],
(206,39) => MOP_CODE[(5,2,0),(3,3,0),(6,4,0),(33,1,0),(34,1,0),(35,3,0),(36,4,0),(37,4,0),(38,2,0),(39,2,0),(40,3,0),(2,1,1),(7,2,1),(4,3,1),(8,4,1),(41,1,1),(42,1,1),(43,3,1),(44,4,1),(45,4,1),(46,2,1),(47,2,1),(48,3,1)],
(207,40) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0)],
(207,41) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(1,1,1),(49,1,1),(50,1,1),(51,1,1),(52,1,1),(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,1,1),(13,1,1),(14,1,1),(53,1,1),(54,1,1),(55,1,1),(56,1,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1)],
(207,42) => MOP_CODE[(49,1,1),(50,1,1),(51,1,1),(52,1,1),(9,1,1),(10,1,1),(5,1,0),(3,1,0),(6,1,0),(13,1,1),(14,1,1),(53,1,1),(54,1,1),(55,1,1),(56,1,1),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0)],
(207,43) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(1,8,1),(49,8,1),(50,8,1),(51,8,1),(52,8,1),(9,8,1),(10,8,1),(5,8,1),(3,8,1),(6,8,1),(13,8,1),(14,8,1),(53,8,1),(54,8,1),(55,8,1),(56,8,1),(33,8,1),(34,8,1),(35,8,1),(36,8,1),(37,8,1),(38,8,1),(39,8,1),(40,8,1)],
(208,44) => MOP_CODE[(49,8,0),(50,8,0),(51,8,0),(52,8,0),(9,8,0),(10,8,0),(5,1,0),(3,1,0),(6,1,0),(13,8,0),(14,8,0),(53,8,0),(54,8,0),(55,8,0),(56,8,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0)],
(208,45) => MOP_CODE[(49,8,0),(50,8,0),(51,8,0),(52,8,0),(9,8,0),(10,8,0),(5,1,0),(3,1,0),(6,1,0),(13,8,0),(14,8,0),(53,8,0),(54,8,0),(55,8,0),(56,8,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(1,1,1),(49,8,1),(50,8,1),(51,8,1),(52,8,1),(9,8,1),(10,8,1),(5,1,1),(3,1,1),(6,1,1),(13,8,1),(14,8,1),(53,8,1),(54,8,1),(55,8,1),(56,8,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1)],
(208,46) => MOP_CODE[(49,8,1),(50,8,1),(51,8,1),(52,8,1),(9,8,1),(10,8,1),(5,1,0),(3,1,0),(6,1,0),(13,8,1),(14,8,1),(53,8,1),(54,8,1),(55,8,1),(56,8,1),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0)],
(208,47) => MOP_CODE[(49,8,0),(50,8,0),(51,8,0),(52,8,0),(9,8,0),(10,8,0),(5,1,0),(3,1,0),(6,1,0),(13,8,0),(14,8,0),(53,8,0),(54,8,0),(55,8,0),(56,8,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(1,8,1),(49,1,1),(50,1,1),(51,1,1),(52,1,1),(9,1,1),(10,1,1),(5,8,1),(3,8,1),(6,8,1),(13,1,1),(14,1,1),(53,1,1),(54,1,1),(55,1,1),(56,1,1),(33,8,1),(34,8,1),(35,8,1),(36,8,1),(37,8,1),(38,8,1),(39,8,1),(40,8,1)],
(209,48) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0)],
(209,49) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(1,1,1),(49,1,1),(50,1,1),(51,1,1),(52,1,1),(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,1,1),(13,1,1),(14,1,1),(53,1,1),(54,1,1),(55,1,1),(56,1,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1)],
(209,50) => MOP_CODE[(49,1,1),(50,1,1),(51,1,1),(52,1,1),(9,1,1),(10,1,1),(5,1,0),(3,1,0),(6,1,0),(13,1,1),(14,1,1),(53,1,1),(54,1,1),(55,1,1),(56,1,1),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0)],
(209,51) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(1,2,1),(49,8,1),(50,8,1),(51,8,1),(52,8,1),(9,8,1),(10,8,1),(5,8,1),(3,8,1),(6,8,1),(13,8,1),(14,8,1),(53,8,1),(54,8,1),(55,8,1),(56,8,1),(33,8,1),(34,8,1),(35,8,1),(36,8,1),(37,8,1),(38,8,1),(39,8,1),(40,8,1)],
(210,52) => MOP_CODE[(49,9,0),(50,9,0),(51,9,0),(52,9,0),(9,9,0),(10,9,0),(5,1,0),(3,1,0),(6,1,0),(13,9,0),(14,9,0),(53,9,0),(54,9,0),(55,9,0),(56,9,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0)],
(210,53) => MOP_CODE[(49,9,0),(50,9,0),(51,9,0),(52,9,0),(9,9,0),(10,9,0),(5,1,0),(3,1,0),(6,1,0),(13,9,0),(14,9,0),(53,9,0),(54,9,0),(55,9,0),(56,9,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(1,1,1),(49,9,1),(50,9,1),(51,9,1),(52,9,1),(9,9,1),(10,9,1),(5,1,1),(3,1,1),(6,1,1),(13,9,1),(14,9,1),(53,9,1),(54,9,1),(55,9,1),(56,9,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1)],
(210,54) => MOP_CODE[(49,9,1),(50,9,1),(51,9,1),(52,9,1),(9,9,1),(10,9,1),(5,1,0),(3,1,0),(6,1,0),(13,9,1),(14,9,1),(53,9,1),(54,9,1),(55,9,1),(56,9,1),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0)],
(210,55) => MOP_CODE[(49,9,0),(50,9,0),(51,9,0),(52,9,0),(9,9,0),(10,9,0),(5,1,0),(3,1,0),(6,1,0),(13,9,0),(14,9,0),(53,9,0),(54,9,0),(55,9,0),(56,9,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(1,2,1),(49,10,1),(50,10,1),(51,10,1),(52,10,1),(9,10,1),(10,10,1),(5,8,1),(3,8,1),(6,8,1),(13,10,1),(14,10,1),(53,10,1),(54,10,1),(55,10,1),(56,10,1),(33,8,1),(34,8,1),(35,8,1),(36,8,1),(37,8,1),(38,8,1),(39,8,1),(40,8,1)],
(211,56) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0)],
(211,57) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(1,1,1),(49,1,1),(50,1,1),(51,1,1),(52,1,1),(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,1,1),(13,1,1),(14,1,1),(53,1,1),(54,1,1),(55,1,1),(56,1,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1)],
(211,58) => MOP_CODE[(49,1,1),(50,1,1),(51,1,1),(52,1,1),(9,1,1),(10,1,1),(5,1,0),(3,1,0),(6,1,0),(13,1,1),(14,1,1),(53,1,1),(54,1,1),(55,1,1),(56,1,1),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0)],
(212,59) => MOP_CODE[(49,32,0),(50,30,0),(51,30,0),(52,33,0),(9,33,0),(10,32,0),(5,5,0),(3,7,0),(6,6,0),(13,30,0),(14,9,0),(53,33,0),(54,9,0),(55,32,0),(56,9,0),(33,1,0),(34,1,0),(35,7,0),(36,6,0),(37,6,0),(38,5,0),(39,5,0),(40,7,0)],
(212,60) => MOP_CODE[(49,32,0),(50,30,0),(51,30,0),(52,33,0),(9,33,0),(10,32,0),(5,5,0),(3,7,0),(6,6,0),(13,30,0),(14,9,0),(53,33,0),(54,9,0),(55,32,0),(56,9,0),(33,1,0),(34,1,0),(35,7,0),(36,6,0),(37,6,0),(38,5,0),(39,5,0),(40,7,0),(1,1,1),(49,32,1),(50,30,1),(51,30,1),(52,33,1),(9,33,1),(10,32,1),(5,5,1),(3,7,1),(6,6,1),(13,30,1),(14,9,1),(53,33,1),(54,9,1),(55,32,1),(56,9,1),(33,1,1),(34,1,1),(35,7,1),(36,6,1),(37,6,1),(38,5,1),(39,5,1),(40,7,1)],
(212,61) => MOP_CODE[(49,32,1),(50,30,1),(51,30,1),(52,33,1),(9,33,1),(10,32,1),(5,5,0),(3,7,0),(6,6,0),(13,30,1),(14,9,1),(53,33,1),(54,9,1),(55,32,1),(56,9,1),(33,1,0),(34,1,0),(35,7,0),(36,6,0),(37,6,0),(38,5,0),(39,5,0),(40,7,0)],
(212,62) => MOP_CODE[(49,32,0),(50,30,0),(51,30,0),(52,33,0),(9,33,0),(10,32,0),(5,5,0),(3,7,0),(6,6,0),(13,30,0),(14,9,0),(53,33,0),(54,9,0),(55,32,0),(56,9,0),(33,1,0),(34,1,0),(35,7,0),(36,6,0),(37,6,0),(38,5,0),(39,5,0),(40,7,0),(1,8,1),(49,34,1),(50,29,1),(51,29,1),(52,31,1),(9,31,1),(10,34,1),(5,2,1),(3,3,1),(6,4,1),(13,29,1),(14,10,1),(53,31,1),(54,10,1),(55,34,1),(56,10,1),(33,8,1),(34,8,1),(35,3,1),(36,4,1),(37,4,1),(38,2,1),(39,2,1),(40,3,1)],
(213,63) => MOP_CODE[(49,34,0),(50,29,0),(51,29,0),(52,31,0),(9,31,0),(10,34,0),(5,5,0),(3,7,0),(6,6,0),(13,29,0),(14,10,0),(53,31,0),(54,10,0),(55,34,0),(56,10,0),(33,1,0),(34,1,0),(35,7,0),(36,6,0),(37,6,0),(38,5,0),(39,5,0),(40,7,0)],
(213,64) => MOP_CODE[(49,34,0),(50,29,0),(51,29,0),(52,31,0),(9,31,0),(10,34,0),(5,5,0),(3,7,0),(6,6,0),(13,29,0),(14,10,0),(53,31,0),(54,10,0),(55,34,0),(56,10,0),(33,1,0),(34,1,0),(35,7,0),(36,6,0),(37,6,0),(38,5,0),(39,5,0),(40,7,0),(1,1,1),(49,34,1),(50,29,1),(51,29,1),(52,31,1),(9,31,1),(10,34,1),(5,5,1),(3,7,1),(6,6,1),(13,29,1),(14,10,1),(53,31,1),(54,10,1),(55,34,1),(56,10,1),(33,1,1),(34,1,1),(35,7,1),(36,6,1),(37,6,1),(38,5,1),(39,5,1),(40,7,1)],
(213,65) => MOP_CODE[(49,34,1),(50,29,1),(51,29,1),(52,31,1),(9,31,1),(10,34,1),(5,5,0),(3,7,0),(6,6,0),(13,29,1),(14,10,1),(53,31,1),(54,10,1),(55,34,1),(56,10,1),(33,1,0),(34,1,0),(35,7,0),(36,6,0),(37,6,0),(38,5,0),(39,5,0),(40,7,0)],
(213,66) => MOP_CODE[(49,34,0),(50,29,0),(51,29,0),(52,31,0),(9,31,0),(10,34,0),(5,5,0),(3,7,0),(6,6,0),(13,29,0),(14,10,0),(53,31,0),(54,10,0),(55,34,0),(56,10,0),(33,1,0),(34,1,0),(35,7,0),(36,6,0),(37,6,0),(38,5,0),(39,5,0),(40,7,0),(1,8,1),(49,32,1),(50,30,1),(51,30,1),(52,33,1),(9,33,1),(10,32,1),(5,2,1),(3,3,1),(6,4,1),(13,30,1),(14,9,1),(53,33,1),(54,9,1),(55,32,1),(56,9,1),(33,8,1),(34,8,1),(35,3,1),(36,4,1),(37,4,1),(38,2,1),(39,2,1),(40,3,1)],
(214,67) => MOP_CODE[(49,34,0),(50,29,0),(51,29,0),(52,31,0),(9,31,0),(10,34,0),(5,2,0),(3,3,0),(6,4,0),(13,29,0),(14,9,0),(53,31,0),(54,9,0),(55,34,0),(56,9,0),(33,1,0),(34,1,0),(35,3,0),(36,4,0),(37,4,0),(38,2,0),(39,2,0),(40,3,0)],
(214,68) => MOP_CODE[(49,34,0),(50,29,0),(51,29,0),(52,31,0),(9,31,0),(10,34,0),(5,2,0),(3,3,0),(6,4,0),(13,29,0),(14,9,0),(53,31,0),(54,9,0),(55,34,0),(56,9,0),(33,1,0),(34,1,0),(35,3,0),(36,4,0),(37,4,0),(38,2,0),(39,2,0),(40,3,0),(1,1,1),(49,34,1),(50,29,1),(51,29,1),(52,31,1),(9,31,1),(10,34,1),(5,2,1),(3,3,1),(6,4,1),(13,29,1),(14,9,1),(53,31,1),(54,9,1),(55,34,1),(56,9,1),(33,1,1),(34,1,1),(35,3,1),(36,4,1),(37,4,1),(38,2,1),(39,2,1),(40,3,1)],
(214,69) => MOP_CODE[(49,34,1),(50,29,1),(51,29,1),(52,31,1),(9,31,1),(10,34,1),(5,2,0),(3,3,0),(6,4,0),(13,29,1),(14,9,1),(53,31,1),(54,9,1),(55,34,1),(56,9,1),(33,1,0),(34,1,0),(35,3,0),(36,4,0),(37,4,0),(38,2,0),(39,2,0),(40,3,0)],
(215,70) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0)],
(215,71) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1)],
(215,72) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1)],
(215,73) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0),(1,8,1),(5,8,1),(3,8,1),(6,8,1),(33,8,1),(34,8,1),(35,8,1),(36,8,1),(37,8,1),(38,8,1),(39,8,1),(40,8,1),(57,8,1),(58,8,1),(59,8,1),(60,8,1),(11,8,1),(12,8,1),(15,8,1),(16,8,1),(61,8,1),(62,8,1),(63,8,1),(64,8,1)],
(216,74) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0)],
(216,75) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1)],
(216,76) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1)],
(216,77) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0),(1,2,1),(5,8,1),(3,8,1),(6,8,1),(33,8,1),(34,8,1),(35,8,1),(36,8,1),(37,8,1),(38,8,1),(39,8,1),(40,8,1),(57,8,1),(58,8,1),(59,8,1),(60,8,1),(11,8,1),(12,8,1),(15,8,1),(16,8,1),(61,8,1),(62,8,1),(63,8,1),(64,8,1)],
(217,78) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0)],
(217,79) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1)],
(217,80) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1)],
(218,81) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,8,0),(58,8,0),(59,8,0),(60,8,0),(11,8,0),(12,8,0),(15,8,0),(16,8,0),(61,8,0),(62,8,0),(63,8,0),(64,8,0)],
(218,82) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,8,0),(58,8,0),(59,8,0),(60,8,0),(11,8,0),(12,8,0),(15,8,0),(16,8,0),(61,8,0),(62,8,0),(63,8,0),(64,8,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1),(57,8,1),(58,8,1),(59,8,1),(60,8,1),(11,8,1),(12,8,1),(15,8,1),(16,8,1),(61,8,1),(62,8,1),(63,8,1),(64,8,1)],
(218,83) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,8,1),(58,8,1),(59,8,1),(60,8,1),(11,8,1),(12,8,1),(15,8,1),(16,8,1),(61,8,1),(62,8,1),(63,8,1),(64,8,1)],
(218,84) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,8,0),(58,8,0),(59,8,0),(60,8,0),(11,8,0),(12,8,0),(15,8,0),(16,8,0),(61,8,0),(62,8,0),(63,8,0),(64,8,0),(1,8,1),(5,8,1),(3,8,1),(6,8,1),(33,8,1),(34,8,1),(35,8,1),(36,8,1),(37,8,1),(38,8,1),(39,8,1),(40,8,1),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1)],
(219,85) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,8,0),(58,8,0),(59,8,0),(60,8,0),(11,8,0),(12,8,0),(15,8,0),(16,8,0),(61,8,0),(62,8,0),(63,8,0),(64,8,0)],
(219,86) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,8,0),(58,8,0),(59,8,0),(60,8,0),(11,8,0),(12,8,0),(15,8,0),(16,8,0),(61,8,0),(62,8,0),(63,8,0),(64,8,0),(1,1,1),(5,1,1),(3,1,1),(6,1,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1),(57,8,1),(58,8,1),(59,8,1),(60,8,1),(11,8,1),(12,8,1),(15,8,1),(16,8,1),(61,8,1),(62,8,1),(63,8,1),(64,8,1)],
(219,87) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,8,1),(58,8,1),(59,8,1),(60,8,1),(11,8,1),(12,8,1),(15,8,1),(16,8,1),(61,8,1),(62,8,1),(63,8,1),(64,8,1)],
(219,88) => MOP_CODE[(5,1,0),(3,1,0),(6,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(57,8,0),(58,8,0),(59,8,0),(60,8,0),(11,8,0),(12,8,0),(15,8,0),(16,8,0),(61,8,0),(62,8,0),(63,8,0),(64,8,0),(1,2,1),(5,8,1),(3,8,1),(6,8,1),(33,8,1),(34,8,1),(35,8,1),(36,8,1),(37,8,1),(38,8,1),(39,8,1),(40,8,1),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1)],
(220,89) => MOP_CODE[(5,2,0),(3,3,0),(6,4,0),(33,1,0),(34,1,0),(35,3,0),(36,4,0),(37,4,0),(38,2,0),(39,2,0),(40,3,0),(57,34,0),(58,29,0),(59,29,0),(60,31,0),(11,31,0),(12,34,0),(15,29,0),(16,9,0),(61,31,0),(62,9,0),(63,34,0),(64,9,0)],
(220,90) => MOP_CODE[(5,2,0),(3,3,0),(6,4,0),(33,1,0),(34,1,0),(35,3,0),(36,4,0),(37,4,0),(38,2,0),(39,2,0),(40,3,0),(57,34,0),(58,29,0),(59,29,0),(60,31,0),(11,31,0),(12,34,0),(15,29,0),(16,9,0),(61,31,0),(62,9,0),(63,34,0),(64,9,0),(1,1,1),(5,2,1),(3,3,1),(6,4,1),(33,1,1),(34,1,1),(35,3,1),(36,4,1),(37,4,1),(38,2,1),(39,2,1),(40,3,1),(57,34,1),(58,29,1),(59,29,1),(60,31,1),(11,31,1),(12,34,1),(15,29,1),(16,9,1),(61,31,1),(62,9,1),(63,34,1),(64,9,1)],
(220,91) => MOP_CODE[(5,2,0),(3,3,0),(6,4,0),(33,1,0),(34,1,0),(35,3,0),(36,4,0),(37,4,0),(38,2,0),(39,2,0),(40,3,0),(57,34,1),(58,29,1),(59,29,1),(60,31,1),(11,31,1),(12,34,1),(15,29,1),(16,9,1),(61,31,1),(62,9,1),(63,34,1),(64,9,1)],
(221,92) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(8,1,0),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0)],
(221,93) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(8,1,0),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0),(1,1,1),(49,1,1),(50,1,1),(51,1,1),(52,1,1),(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,1,1),(13,1,1),(14,1,1),(53,1,1),(54,1,1),(55,1,1),(56,1,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1),(2,1,1),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(7,1,1),(4,1,1),(8,1,1),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(221,94) => MOP_CODE[(49,1,1),(50,1,1),(51,1,1),(52,1,1),(9,1,1),(10,1,1),(5,1,0),(3,1,0),(6,1,0),(13,1,1),(14,1,1),(53,1,1),(54,1,1),(55,1,1),(56,1,1),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,1),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(7,1,1),(4,1,1),(8,1,1),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(221,95) => MOP_CODE[(49,1,1),(50,1,1),(51,1,1),(52,1,1),(9,1,1),(10,1,1),(5,1,0),(3,1,0),(6,1,0),(13,1,1),(14,1,1),(53,1,1),(54,1,1),(55,1,1),(56,1,1),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(7,1,0),(4,1,0),(8,1,0),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0)],
(221,96) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,1),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(7,1,1),(4,1,1),(8,1,1),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(221,97) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(8,1,0),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0),(1,8,1),(49,8,1),(50,8,1),(51,8,1),(52,8,1),(9,8,1),(10,8,1),(5,8,1),(3,8,1),(6,8,1),(13,8,1),(14,8,1),(53,8,1),(54,8,1),(55,8,1),(56,8,1),(33,8,1),(34,8,1),(35,8,1),(36,8,1),(37,8,1),(38,8,1),(39,8,1),(40,8,1),(2,8,1),(57,8,1),(58,8,1),(59,8,1),(60,8,1),(11,8,1),(12,8,1),(7,8,1),(4,8,1),(8,8,1),(15,8,1),(16,8,1),(61,8,1),(62,8,1),(63,8,1),(64,8,1),(41,8,1),(42,8,1),(43,8,1),(44,8,1),(45,8,1),(46,8,1),(47,8,1),(48,8,1)],
(222,98) => MOP_CODE[(49,4,0),(50,2,0),(51,2,0),(52,3,0),(9,3,0),(10,4,0),(5,7,0),(3,6,0),(6,5,0),(13,2,0),(14,8,0),(53,3,0),(54,8,0),(55,4,0),(56,8,0),(33,1,0),(34,1,0),(35,6,0),(36,5,0),(37,5,0),(38,7,0),(39,7,0),(40,6,0),(2,1,0),(57,4,0),(58,2,0),(59,2,0),(60,3,0),(11,3,0),(12,4,0),(7,7,0),(4,6,0),(8,5,0),(15,2,0),(16,8,0),(61,3,0),(62,8,0),(63,4,0),(64,8,0),(41,1,0),(42,1,0),(43,6,0),(44,5,0),(45,5,0),(46,7,0),(47,7,0),(48,6,0)],
(222,99) => MOP_CODE[(49,4,0),(50,2,0),(51,2,0),(52,3,0),(9,3,0),(10,4,0),(5,7,0),(3,6,0),(6,5,0),(13,2,0),(14,8,0),(53,3,0),(54,8,0),(55,4,0),(56,8,0),(33,1,0),(34,1,0),(35,6,0),(36,5,0),(37,5,0),(38,7,0),(39,7,0),(40,6,0),(2,1,0),(57,4,0),(58,2,0),(59,2,0),(60,3,0),(11,3,0),(12,4,0),(7,7,0),(4,6,0),(8,5,0),(15,2,0),(16,8,0),(61,3,0),(62,8,0),(63,4,0),(64,8,0),(41,1,0),(42,1,0),(43,6,0),(44,5,0),(45,5,0),(46,7,0),(47,7,0),(48,6,0),(1,1,1),(49,4,1),(50,2,1),(51,2,1),(52,3,1),(9,3,1),(10,4,1),(5,7,1),(3,6,1),(6,5,1),(13,2,1),(14,8,1),(53,3,1),(54,8,1),(55,4,1),(56,8,1),(33,1,1),(34,1,1),(35,6,1),(36,5,1),(37,5,1),(38,7,1),(39,7,1),(40,6,1),(2,1,1),(57,4,1),(58,2,1),(59,2,1),(60,3,1),(11,3,1),(12,4,1),(7,7,1),(4,6,1),(8,5,1),(15,2,1),(16,8,1),(61,3,1),(62,8,1),(63,4,1),(64,8,1),(41,1,1),(42,1,1),(43,6,1),(44,5,1),(45,5,1),(46,7,1),(47,7,1),(48,6,1)],
(222,100) => MOP_CODE[(49,4,1),(50,2,1),(51,2,1),(52,3,1),(9,3,1),(10,4,1),(5,7,0),(3,6,0),(6,5,0),(13,2,1),(14,8,1),(53,3,1),(54,8,1),(55,4,1),(56,8,1),(33,1,0),(34,1,0),(35,6,0),(36,5,0),(37,5,0),(38,7,0),(39,7,0),(40,6,0),(2,1,1),(57,4,0),(58,2,0),(59,2,0),(60,3,0),(11,3,0),(12,4,0),(7,7,1),(4,6,1),(8,5,1),(15,2,0),(16,8,0),(61,3,0),(62,8,0),(63,4,0),(64,8,0),(41,1,1),(42,1,1),(43,6,1),(44,5,1),(45,5,1),(46,7,1),(47,7,1),(48,6,1)],
(222,101) => MOP_CODE[(49,4,1),(50,2,1),(51,2,1),(52,3,1),(9,3,1),(10,4,1),(5,7,0),(3,6,0),(6,5,0),(13,2,1),(14,8,1),(53,3,1),(54,8,1),(55,4,1),(56,8,1),(33,1,0),(34,1,0),(35,6,0),(36,5,0),(37,5,0),(38,7,0),(39,7,0),(40,6,0),(2,1,0),(57,4,1),(58,2,1),(59,2,1),(60,3,1),(11,3,1),(12,4,1),(7,7,0),(4,6,0),(8,5,0),(15,2,1),(16,8,1),(61,3,1),(62,8,1),(63,4,1),(64,8,1),(41,1,0),(42,1,0),(43,6,0),(44,5,0),(45,5,0),(46,7,0),(47,7,0),(48,6,0)],
(222,102) => MOP_CODE[(49,4,0),(50,2,0),(51,2,0),(52,3,0),(9,3,0),(10,4,0),(5,7,0),(3,6,0),(6,5,0),(13,2,0),(14,8,0),(53,3,0),(54,8,0),(55,4,0),(56,8,0),(33,1,0),(34,1,0),(35,6,0),(36,5,0),(37,5,0),(38,7,0),(39,7,0),(40,6,0),(2,1,1),(57,4,1),(58,2,1),(59,2,1),(60,3,1),(11,3,1),(12,4,1),(7,7,1),(4,6,1),(8,5,1),(15,2,1),(16,8,1),(61,3,1),(62,8,1),(63,4,1),(64,8,1),(41,1,1),(42,1,1),(43,6,1),(44,5,1),(45,5,1),(46,7,1),(47,7,1),(48,6,1)],
(222,103) => MOP_CODE[(49,4,0),(50,2,0),(51,2,0),(52,3,0),(9,3,0),(10,4,0),(5,7,0),(3,6,0),(6,5,0),(13,2,0),(14,8,0),(53,3,0),(54,8,0),(55,4,0),(56,8,0),(33,1,0),(34,1,0),(35,6,0),(36,5,0),(37,5,0),(38,7,0),(39,7,0),(40,6,0),(2,1,0),(57,4,0),(58,2,0),(59,2,0),(60,3,0),(11,3,0),(12,4,0),(7,7,0),(4,6,0),(8,5,0),(15,2,0),(16,8,0),(61,3,0),(62,8,0),(63,4,0),(64,8,0),(41,1,0),(42,1,0),(43,6,0),(44,5,0),(45,5,0),(46,7,0),(47,7,0),(48,6,0),(1,8,1),(49,6,1),(50,5,1),(51,5,1),(52,7,1),(9,7,1),(10,6,1),(5,3,1),(3,4,1),(6,2,1),(13,5,1),(14,1,1),(53,7,1),(54,1,1),(55,6,1),(56,1,1),(33,8,1),(34,8,1),(35,4,1),(36,2,1),(37,2,1),(38,3,1),(39,3,1),(40,4,1),(2,8,1),(57,6,1),(58,5,1),(59,5,1),(60,7,1),(11,7,1),(12,6,1),(7,3,1),(4,4,1),(8,2,1),(15,5,1),(16,1,1),(61,7,1),(62,1,1),(63,6,1),(64,1,1),(41,8,1),(42,8,1),(43,4,1),(44,2,1),(45,2,1),(46,3,1),(47,3,1),(48,4,1)],
(223,104) => MOP_CODE[(49,8,0),(50,8,0),(51,8,0),(52,8,0),(9,8,0),(10,8,0),(5,1,0),(3,1,0),(6,1,0),(13,8,0),(14,8,0),(53,8,0),(54,8,0),(55,8,0),(56,8,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,8,0),(58,8,0),(59,8,0),(60,8,0),(11,8,0),(12,8,0),(7,1,0),(4,1,0),(8,1,0),(15,8,0),(16,8,0),(61,8,0),(62,8,0),(63,8,0),(64,8,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0)],
(223,105) => MOP_CODE[(49,8,0),(50,8,0),(51,8,0),(52,8,0),(9,8,0),(10,8,0),(5,1,0),(3,1,0),(6,1,0),(13,8,0),(14,8,0),(53,8,0),(54,8,0),(55,8,0),(56,8,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,8,0),(58,8,0),(59,8,0),(60,8,0),(11,8,0),(12,8,0),(7,1,0),(4,1,0),(8,1,0),(15,8,0),(16,8,0),(61,8,0),(62,8,0),(63,8,0),(64,8,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0),(1,1,1),(49,8,1),(50,8,1),(51,8,1),(52,8,1),(9,8,1),(10,8,1),(5,1,1),(3,1,1),(6,1,1),(13,8,1),(14,8,1),(53,8,1),(54,8,1),(55,8,1),(56,8,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1),(2,1,1),(57,8,1),(58,8,1),(59,8,1),(60,8,1),(11,8,1),(12,8,1),(7,1,1),(4,1,1),(8,1,1),(15,8,1),(16,8,1),(61,8,1),(62,8,1),(63,8,1),(64,8,1),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(223,106) => MOP_CODE[(49,8,1),(50,8,1),(51,8,1),(52,8,1),(9,8,1),(10,8,1),(5,1,0),(3,1,0),(6,1,0),(13,8,1),(14,8,1),(53,8,1),(54,8,1),(55,8,1),(56,8,1),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,1),(57,8,0),(58,8,0),(59,8,0),(60,8,0),(11,8,0),(12,8,0),(7,1,1),(4,1,1),(8,1,1),(15,8,0),(16,8,0),(61,8,0),(62,8,0),(63,8,0),(64,8,0),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(223,107) => MOP_CODE[(49,8,1),(50,8,1),(51,8,1),(52,8,1),(9,8,1),(10,8,1),(5,1,0),(3,1,0),(6,1,0),(13,8,1),(14,8,1),(53,8,1),(54,8,1),(55,8,1),(56,8,1),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,8,1),(58,8,1),(59,8,1),(60,8,1),(11,8,1),(12,8,1),(7,1,0),(4,1,0),(8,1,0),(15,8,1),(16,8,1),(61,8,1),(62,8,1),(63,8,1),(64,8,1),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0)],
(223,108) => MOP_CODE[(49,8,0),(50,8,0),(51,8,0),(52,8,0),(9,8,0),(10,8,0),(5,1,0),(3,1,0),(6,1,0),(13,8,0),(14,8,0),(53,8,0),(54,8,0),(55,8,0),(56,8,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,1),(57,8,1),(58,8,1),(59,8,1),(60,8,1),(11,8,1),(12,8,1),(7,1,1),(4,1,1),(8,1,1),(15,8,1),(16,8,1),(61,8,1),(62,8,1),(63,8,1),(64,8,1),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(223,109) => MOP_CODE[(49,8,0),(50,8,0),(51,8,0),(52,8,0),(9,8,0),(10,8,0),(5,1,0),(3,1,0),(6,1,0),(13,8,0),(14,8,0),(53,8,0),(54,8,0),(55,8,0),(56,8,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,8,0),(58,8,0),(59,8,0),(60,8,0),(11,8,0),(12,8,0),(7,1,0),(4,1,0),(8,1,0),(15,8,0),(16,8,0),(61,8,0),(62,8,0),(63,8,0),(64,8,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0),(1,8,1),(49,1,1),(50,1,1),(51,1,1),(52,1,1),(9,1,1),(10,1,1),(5,8,1),(3,8,1),(6,8,1),(13,1,1),(14,1,1),(53,1,1),(54,1,1),(55,1,1),(56,1,1),(33,8,1),(34,8,1),(35,8,1),(36,8,1),(37,8,1),(38,8,1),(39,8,1),(40,8,1),(2,8,1),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(7,8,1),(4,8,1),(8,8,1),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1),(41,8,1),(42,8,1),(43,8,1),(44,8,1),(45,8,1),(46,8,1),(47,8,1),(48,8,1)],
(224,110) => MOP_CODE[(49,6,0),(50,5,0),(51,5,0),(52,7,0),(9,7,0),(10,6,0),(5,7,0),(3,6,0),(6,5,0),(13,5,0),(14,1,0),(53,7,0),(54,1,0),(55,6,0),(56,1,0),(33,1,0),(34,1,0),(35,6,0),(36,5,0),(37,5,0),(38,7,0),(39,7,0),(40,6,0),(2,1,0),(57,6,0),(58,5,0),(59,5,0),(60,7,0),(11,7,0),(12,6,0),(7,7,0),(4,6,0),(8,5,0),(15,5,0),(16,1,0),(61,7,0),(62,1,0),(63,6,0),(64,1,0),(41,1,0),(42,1,0),(43,6,0),(44,5,0),(45,5,0),(46,7,0),(47,7,0),(48,6,0)],
(224,111) => MOP_CODE[(49,6,0),(50,5,0),(51,5,0),(52,7,0),(9,7,0),(10,6,0),(5,7,0),(3,6,0),(6,5,0),(13,5,0),(14,1,0),(53,7,0),(54,1,0),(55,6,0),(56,1,0),(33,1,0),(34,1,0),(35,6,0),(36,5,0),(37,5,0),(38,7,0),(39,7,0),(40,6,0),(2,1,0),(57,6,0),(58,5,0),(59,5,0),(60,7,0),(11,7,0),(12,6,0),(7,7,0),(4,6,0),(8,5,0),(15,5,0),(16,1,0),(61,7,0),(62,1,0),(63,6,0),(64,1,0),(41,1,0),(42,1,0),(43,6,0),(44,5,0),(45,5,0),(46,7,0),(47,7,0),(48,6,0),(1,1,1),(49,6,1),(50,5,1),(51,5,1),(52,7,1),(9,7,1),(10,6,1),(5,7,1),(3,6,1),(6,5,1),(13,5,1),(14,1,1),(53,7,1),(54,1,1),(55,6,1),(56,1,1),(33,1,1),(34,1,1),(35,6,1),(36,5,1),(37,5,1),(38,7,1),(39,7,1),(40,6,1),(2,1,1),(57,6,1),(58,5,1),(59,5,1),(60,7,1),(11,7,1),(12,6,1),(7,7,1),(4,6,1),(8,5,1),(15,5,1),(16,1,1),(61,7,1),(62,1,1),(63,6,1),(64,1,1),(41,1,1),(42,1,1),(43,6,1),(44,5,1),(45,5,1),(46,7,1),(47,7,1),(48,6,1)],
(224,112) => MOP_CODE[(49,6,1),(50,5,1),(51,5,1),(52,7,1),(9,7,1),(10,6,1),(5,7,0),(3,6,0),(6,5,0),(13,5,1),(14,1,1),(53,7,1),(54,1,1),(55,6,1),(56,1,1),(33,1,0),(34,1,0),(35,6,0),(36,5,0),(37,5,0),(38,7,0),(39,7,0),(40,6,0),(2,1,1),(57,6,0),(58,5,0),(59,5,0),(60,7,0),(11,7,0),(12,6,0),(7,7,1),(4,6,1),(8,5,1),(15,5,0),(16,1,0),(61,7,0),(62,1,0),(63,6,0),(64,1,0),(41,1,1),(42,1,1),(43,6,1),(44,5,1),(45,5,1),(46,7,1),(47,7,1),(48,6,1)],
(224,113) => MOP_CODE[(49,6,1),(50,5,1),(51,5,1),(52,7,1),(9,7,1),(10,6,1),(5,7,0),(3,6,0),(6,5,0),(13,5,1),(14,1,1),(53,7,1),(54,1,1),(55,6,1),(56,1,1),(33,1,0),(34,1,0),(35,6,0),(36,5,0),(37,5,0),(38,7,0),(39,7,0),(40,6,0),(2,1,0),(57,6,1),(58,5,1),(59,5,1),(60,7,1),(11,7,1),(12,6,1),(7,7,0),(4,6,0),(8,5,0),(15,5,1),(16,1,1),(61,7,1),(62,1,1),(63,6,1),(64,1,1),(41,1,0),(42,1,0),(43,6,0),(44,5,0),(45,5,0),(46,7,0),(47,7,0),(48,6,0)],
(224,114) => MOP_CODE[(49,6,0),(50,5,0),(51,5,0),(52,7,0),(9,7,0),(10,6,0),(5,7,0),(3,6,0),(6,5,0),(13,5,0),(14,1,0),(53,7,0),(54,1,0),(55,6,0),(56,1,0),(33,1,0),(34,1,0),(35,6,0),(36,5,0),(37,5,0),(38,7,0),(39,7,0),(40,6,0),(2,1,1),(57,6,1),(58,5,1),(59,5,1),(60,7,1),(11,7,1),(12,6,1),(7,7,1),(4,6,1),(8,5,1),(15,5,1),(16,1,1),(61,7,1),(62,1,1),(63,6,1),(64,1,1),(41,1,1),(42,1,1),(43,6,1),(44,5,1),(45,5,1),(46,7,1),(47,7,1),(48,6,1)],
(224,115) => MOP_CODE[(49,6,0),(50,5,0),(51,5,0),(52,7,0),(9,7,0),(10,6,0),(5,7,0),(3,6,0),(6,5,0),(13,5,0),(14,1,0),(53,7,0),(54,1,0),(55,6,0),(56,1,0),(33,1,0),(34,1,0),(35,6,0),(36,5,0),(37,5,0),(38,7,0),(39,7,0),(40,6,0),(2,1,0),(57,6,0),(58,5,0),(59,5,0),(60,7,0),(11,7,0),(12,6,0),(7,7,0),(4,6,0),(8,5,0),(15,5,0),(16,1,0),(61,7,0),(62,1,0),(63,6,0),(64,1,0),(41,1,0),(42,1,0),(43,6,0),(44,5,0),(45,5,0),(46,7,0),(47,7,0),(48,6,0),(1,8,1),(49,4,1),(50,2,1),(51,2,1),(52,3,1),(9,3,1),(10,4,1),(5,3,1),(3,4,1),(6,2,1),(13,2,1),(14,8,1),(53,3,1),(54,8,1),(55,4,1),(56,8,1),(33,8,1),(34,8,1),(35,4,1),(36,2,1),(37,2,1),(38,3,1),(39,3,1),(40,4,1),(2,8,1),(57,4,1),(58,2,1),(59,2,1),(60,3,1),(11,3,1),(12,4,1),(7,3,1),(4,4,1),(8,2,1),(15,2,1),(16,8,1),(61,3,1),(62,8,1),(63,4,1),(64,8,1),(41,8,1),(42,8,1),(43,4,1),(44,2,1),(45,2,1),(46,3,1),(47,3,1),(48,4,1)],
(225,116) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(8,1,0),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0)],
(225,117) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(8,1,0),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0),(1,1,1),(49,1,1),(50,1,1),(51,1,1),(52,1,1),(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,1,1),(13,1,1),(14,1,1),(53,1,1),(54,1,1),(55,1,1),(56,1,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1),(2,1,1),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(7,1,1),(4,1,1),(8,1,1),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(225,118) => MOP_CODE[(49,1,1),(50,1,1),(51,1,1),(52,1,1),(9,1,1),(10,1,1),(5,1,0),(3,1,0),(6,1,0),(13,1,1),(14,1,1),(53,1,1),(54,1,1),(55,1,1),(56,1,1),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,1),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(7,1,1),(4,1,1),(8,1,1),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(225,119) => MOP_CODE[(49,1,1),(50,1,1),(51,1,1),(52,1,1),(9,1,1),(10,1,1),(5,1,0),(3,1,0),(6,1,0),(13,1,1),(14,1,1),(53,1,1),(54,1,1),(55,1,1),(56,1,1),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(7,1,0),(4,1,0),(8,1,0),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0)],
(225,120) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,1),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(7,1,1),(4,1,1),(8,1,1),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(225,121) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(8,1,0),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0),(1,2,1),(49,8,1),(50,8,1),(51,8,1),(52,8,1),(9,8,1),(10,8,1),(5,8,1),(3,8,1),(6,8,1),(13,8,1),(14,8,1),(53,8,1),(54,8,1),(55,8,1),(56,8,1),(33,8,1),(34,8,1),(35,8,1),(36,8,1),(37,8,1),(38,8,1),(39,8,1),(40,8,1),(2,8,1),(57,8,1),(58,8,1),(59,8,1),(60,8,1),(11,8,1),(12,8,1),(7,8,1),(4,8,1),(8,8,1),(15,8,1),(16,8,1),(61,8,1),(62,8,1),(63,8,1),(64,8,1),(41,8,1),(42,8,1),(43,8,1),(44,8,1),(45,8,1),(46,8,1),(47,8,1),(48,8,1)],
(226,122) => MOP_CODE[(49,8,0),(50,8,0),(51,8,0),(52,8,0),(9,8,0),(10,8,0),(5,1,0),(3,1,0),(6,1,0),(13,8,0),(14,8,0),(53,8,0),(54,8,0),(55,8,0),(56,8,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,8,0),(58,8,0),(59,8,0),(60,8,0),(11,8,0),(12,8,0),(7,1,0),(4,1,0),(8,1,0),(15,8,0),(16,8,0),(61,8,0),(62,8,0),(63,8,0),(64,8,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0)],
(226,123) => MOP_CODE[(49,8,0),(50,8,0),(51,8,0),(52,8,0),(9,8,0),(10,8,0),(5,1,0),(3,1,0),(6,1,0),(13,8,0),(14,8,0),(53,8,0),(54,8,0),(55,8,0),(56,8,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,8,0),(58,8,0),(59,8,0),(60,8,0),(11,8,0),(12,8,0),(7,1,0),(4,1,0),(8,1,0),(15,8,0),(16,8,0),(61,8,0),(62,8,0),(63,8,0),(64,8,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0),(1,1,1),(49,8,1),(50,8,1),(51,8,1),(52,8,1),(9,8,1),(10,8,1),(5,1,1),(3,1,1),(6,1,1),(13,8,1),(14,8,1),(53,8,1),(54,8,1),(55,8,1),(56,8,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1),(2,1,1),(57,8,1),(58,8,1),(59,8,1),(60,8,1),(11,8,1),(12,8,1),(7,1,1),(4,1,1),(8,1,1),(15,8,1),(16,8,1),(61,8,1),(62,8,1),(63,8,1),(64,8,1),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(226,124) => MOP_CODE[(49,8,1),(50,8,1),(51,8,1),(52,8,1),(9,8,1),(10,8,1),(5,1,0),(3,1,0),(6,1,0),(13,8,1),(14,8,1),(53,8,1),(54,8,1),(55,8,1),(56,8,1),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,1),(57,8,0),(58,8,0),(59,8,0),(60,8,0),(11,8,0),(12,8,0),(7,1,1),(4,1,1),(8,1,1),(15,8,0),(16,8,0),(61,8,0),(62,8,0),(63,8,0),(64,8,0),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(226,125) => MOP_CODE[(49,8,1),(50,8,1),(51,8,1),(52,8,1),(9,8,1),(10,8,1),(5,1,0),(3,1,0),(6,1,0),(13,8,1),(14,8,1),(53,8,1),(54,8,1),(55,8,1),(56,8,1),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,8,1),(58,8,1),(59,8,1),(60,8,1),(11,8,1),(12,8,1),(7,1,0),(4,1,0),(8,1,0),(15,8,1),(16,8,1),(61,8,1),(62,8,1),(63,8,1),(64,8,1),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0)],
(226,126) => MOP_CODE[(49,8,0),(50,8,0),(51,8,0),(52,8,0),(9,8,0),(10,8,0),(5,1,0),(3,1,0),(6,1,0),(13,8,0),(14,8,0),(53,8,0),(54,8,0),(55,8,0),(56,8,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,1),(57,8,1),(58,8,1),(59,8,1),(60,8,1),(11,8,1),(12,8,1),(7,1,1),(4,1,1),(8,1,1),(15,8,1),(16,8,1),(61,8,1),(62,8,1),(63,8,1),(64,8,1),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(226,127) => MOP_CODE[(49,8,0),(50,8,0),(51,8,0),(52,8,0),(9,8,0),(10,8,0),(5,1,0),(3,1,0),(6,1,0),(13,8,0),(14,8,0),(53,8,0),(54,8,0),(55,8,0),(56,8,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,8,0),(58,8,0),(59,8,0),(60,8,0),(11,8,0),(12,8,0),(7,1,0),(4,1,0),(8,1,0),(15,8,0),(16,8,0),(61,8,0),(62,8,0),(63,8,0),(64,8,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0),(1,2,1),(49,1,1),(50,1,1),(51,1,1),(52,1,1),(9,1,1),(10,1,1),(5,8,1),(3,8,1),(6,8,1),(13,1,1),(14,1,1),(53,1,1),(54,1,1),(55,1,1),(56,1,1),(33,8,1),(34,8,1),(35,8,1),(36,8,1),(37,8,1),(38,8,1),(39,8,1),(40,8,1),(2,8,1),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(7,8,1),(4,8,1),(8,8,1),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1),(41,8,1),(42,8,1),(43,8,1),(44,8,1),(45,8,1),(46,8,1),(47,8,1),(48,8,1)],
(227,128) => MOP_CODE[(49,15,0),(50,16,0),(51,16,0),(52,14,0),(9,14,0),(10,15,0),(5,14,0),(3,15,0),(6,16,0),(13,16,0),(14,1,0),(53,14,0),(54,1,0),(55,15,0),(56,1,0),(33,1,0),(34,1,0),(35,15,0),(36,16,0),(37,16,0),(38,14,0),(39,14,0),(40,15,0),(2,1,0),(57,15,0),(58,16,0),(59,16,0),(60,14,0),(11,14,0),(12,15,0),(7,14,0),(4,15,0),(8,16,0),(15,16,0),(16,1,0),(61,14,0),(62,1,0),(63,15,0),(64,1,0),(41,1,0),(42,1,0),(43,15,0),(44,16,0),(45,16,0),(46,14,0),(47,14,0),(48,15,0)],
(227,129) => MOP_CODE[(49,15,0),(50,16,0),(51,16,0),(52,14,0),(9,14,0),(10,15,0),(5,14,0),(3,15,0),(6,16,0),(13,16,0),(14,1,0),(53,14,0),(54,1,0),(55,15,0),(56,1,0),(33,1,0),(34,1,0),(35,15,0),(36,16,0),(37,16,0),(38,14,0),(39,14,0),(40,15,0),(2,1,0),(57,15,0),(58,16,0),(59,16,0),(60,14,0),(11,14,0),(12,15,0),(7,14,0),(4,15,0),(8,16,0),(15,16,0),(16,1,0),(61,14,0),(62,1,0),(63,15,0),(64,1,0),(41,1,0),(42,1,0),(43,15,0),(44,16,0),(45,16,0),(46,14,0),(47,14,0),(48,15,0),(1,1,1),(49,15,1),(50,16,1),(51,16,1),(52,14,1),(9,14,1),(10,15,1),(5,14,1),(3,15,1),(6,16,1),(13,16,1),(14,1,1),(53,14,1),(54,1,1),(55,15,1),(56,1,1),(33,1,1),(34,1,1),(35,15,1),(36,16,1),(37,16,1),(38,14,1),(39,14,1),(40,15,1),(2,1,1),(57,15,1),(58,16,1),(59,16,1),(60,14,1),(11,14,1),(12,15,1),(7,14,1),(4,15,1),(8,16,1),(15,16,1),(16,1,1),(61,14,1),(62,1,1),(63,15,1),(64,1,1),(41,1,1),(42,1,1),(43,15,1),(44,16,1),(45,16,1),(46,14,1),(47,14,1),(48,15,1)],
(227,130) => MOP_CODE[(49,15,1),(50,16,1),(51,16,1),(52,14,1),(9,14,1),(10,15,1),(5,14,0),(3,15,0),(6,16,0),(13,16,1),(14,1,1),(53,14,1),(54,1,1),(55,15,1),(56,1,1),(33,1,0),(34,1,0),(35,15,0),(36,16,0),(37,16,0),(38,14,0),(39,14,0),(40,15,0),(2,1,1),(57,15,0),(58,16,0),(59,16,0),(60,14,0),(11,14,0),(12,15,0),(7,14,1),(4,15,1),(8,16,1),(15,16,0),(16,1,0),(61,14,0),(62,1,0),(63,15,0),(64,1,0),(41,1,1),(42,1,1),(43,15,1),(44,16,1),(45,16,1),(46,14,1),(47,14,1),(48,15,1)],
(227,131) => MOP_CODE[(49,15,1),(50,16,1),(51,16,1),(52,14,1),(9,14,1),(10,15,1),(5,14,0),(3,15,0),(6,16,0),(13,16,1),(14,1,1),(53,14,1),(54,1,1),(55,15,1),(56,1,1),(33,1,0),(34,1,0),(35,15,0),(36,16,0),(37,16,0),(38,14,0),(39,14,0),(40,15,0),(2,1,0),(57,15,1),(58,16,1),(59,16,1),(60,14,1),(11,14,1),(12,15,1),(7,14,0),(4,15,0),(8,16,0),(15,16,1),(16,1,1),(61,14,1),(62,1,1),(63,15,1),(64,1,1),(41,1,0),(42,1,0),(43,15,0),(44,16,0),(45,16,0),(46,14,0),(47,14,0),(48,15,0)],
(227,132) => MOP_CODE[(49,15,0),(50,16,0),(51,16,0),(52,14,0),(9,14,0),(10,15,0),(5,14,0),(3,15,0),(6,16,0),(13,16,0),(14,1,0),(53,14,0),(54,1,0),(55,15,0),(56,1,0),(33,1,0),(34,1,0),(35,15,0),(36,16,0),(37,16,0),(38,14,0),(39,14,0),(40,15,0),(2,1,1),(57,15,1),(58,16,1),(59,16,1),(60,14,1),(11,14,1),(12,15,1),(7,14,1),(4,15,1),(8,16,1),(15,16,1),(16,1,1),(61,14,1),(62,1,1),(63,15,1),(64,1,1),(41,1,1),(42,1,1),(43,15,1),(44,16,1),(45,16,1),(46,14,1),(47,14,1),(48,15,1)],
(227,133) => MOP_CODE[(49,15,0),(50,16,0),(51,16,0),(52,14,0),(9,14,0),(10,15,0),(5,14,0),(3,15,0),(6,16,0),(13,16,0),(14,1,0),(53,14,0),(54,1,0),(55,15,0),(56,1,0),(33,1,0),(34,1,0),(35,15,0),(36,16,0),(37,16,0),(38,14,0),(39,14,0),(40,15,0),(2,1,0),(57,15,0),(58,16,0),(59,16,0),(60,14,0),(11,14,0),(12,15,0),(7,14,0),(4,15,0),(8,16,0),(15,16,0),(16,1,0),(61,14,0),(62,1,0),(63,15,0),(64,1,0),(41,1,0),(42,1,0),(43,15,0),(44,16,0),(45,16,0),(46,14,0),(47,14,0),(48,15,0),(1,2,1),(49,18,1),(50,19,1),(51,19,1),(52,17,1),(9,17,1),(10,18,1),(5,17,1),(3,18,1),(6,19,1),(13,19,1),(14,8,1),(53,17,1),(54,8,1),(55,18,1),(56,8,1),(33,8,1),(34,8,1),(35,18,1),(36,19,1),(37,19,1),(38,17,1),(39,17,1),(40,18,1),(2,8,1),(57,18,1),(58,19,1),(59,19,1),(60,17,1),(11,17,1),(12,18,1),(7,17,1),(4,18,1),(8,19,1),(15,19,1),(16,8,1),(61,17,1),(62,8,1),(63,18,1),(64,8,1),(41,8,1),(42,8,1),(43,18,1),(44,19,1),(45,19,1),(46,17,1),(47,17,1),(48,18,1)],
(228,134) => MOP_CODE[(49,18,0),(50,19,0),(51,19,0),(52,17,0),(9,17,0),(10,18,0),(5,14,0),(3,15,0),(6,16,0),(13,19,0),(14,8,0),(53,17,0),(54,8,0),(55,18,0),(56,8,0),(33,1,0),(34,1,0),(35,15,0),(36,16,0),(37,16,0),(38,14,0),(39,14,0),(40,15,0),(2,1,0),(57,18,0),(58,19,0),(59,19,0),(60,17,0),(11,17,0),(12,18,0),(7,14,0),(4,15,0),(8,16,0),(15,19,0),(16,8,0),(61,17,0),(62,8,0),(63,18,0),(64,8,0),(41,1,0),(42,1,0),(43,15,0),(44,16,0),(45,16,0),(46,14,0),(47,14,0),(48,15,0)],
(228,135) => MOP_CODE[(49,18,0),(50,19,0),(51,19,0),(52,17,0),(9,17,0),(10,18,0),(5,14,0),(3,15,0),(6,16,0),(13,19,0),(14,8,0),(53,17,0),(54,8,0),(55,18,0),(56,8,0),(33,1,0),(34,1,0),(35,15,0),(36,16,0),(37,16,0),(38,14,0),(39,14,0),(40,15,0),(2,1,0),(57,18,0),(58,19,0),(59,19,0),(60,17,0),(11,17,0),(12,18,0),(7,14,0),(4,15,0),(8,16,0),(15,19,0),(16,8,0),(61,17,0),(62,8,0),(63,18,0),(64,8,0),(41,1,0),(42,1,0),(43,15,0),(44,16,0),(45,16,0),(46,14,0),(47,14,0),(48,15,0),(1,1,1),(49,18,1),(50,19,1),(51,19,1),(52,17,1),(9,17,1),(10,18,1),(5,14,1),(3,15,1),(6,16,1),(13,19,1),(14,8,1),(53,17,1),(54,8,1),(55,18,1),(56,8,1),(33,1,1),(34,1,1),(35,15,1),(36,16,1),(37,16,1),(38,14,1),(39,14,1),(40,15,1),(2,1,1),(57,18,1),(58,19,1),(59,19,1),(60,17,1),(11,17,1),(12,18,1),(7,14,1),(4,15,1),(8,16,1),(15,19,1),(16,8,1),(61,17,1),(62,8,1),(63,18,1),(64,8,1),(41,1,1),(42,1,1),(43,15,1),(44,16,1),(45,16,1),(46,14,1),(47,14,1),(48,15,1)],
(228,136) => MOP_CODE[(49,18,1),(50,19,1),(51,19,1),(52,17,1),(9,17,1),(10,18,1),(5,14,0),(3,15,0),(6,16,0),(13,19,1),(14,8,1),(53,17,1),(54,8,1),(55,18,1),(56,8,1),(33,1,0),(34,1,0),(35,15,0),(36,16,0),(37,16,0),(38,14,0),(39,14,0),(40,15,0),(2,1,1),(57,18,0),(58,19,0),(59,19,0),(60,17,0),(11,17,0),(12,18,0),(7,14,1),(4,15,1),(8,16,1),(15,19,0),(16,8,0),(61,17,0),(62,8,0),(63,18,0),(64,8,0),(41,1,1),(42,1,1),(43,15,1),(44,16,1),(45,16,1),(46,14,1),(47,14,1),(48,15,1)],
(228,137) => MOP_CODE[(49,18,1),(50,19,1),(51,19,1),(52,17,1),(9,17,1),(10,18,1),(5,14,0),(3,15,0),(6,16,0),(13,19,1),(14,8,1),(53,17,1),(54,8,1),(55,18,1),(56,8,1),(33,1,0),(34,1,0),(35,15,0),(36,16,0),(37,16,0),(38,14,0),(39,14,0),(40,15,0),(2,1,0),(57,18,1),(58,19,1),(59,19,1),(60,17,1),(11,17,1),(12,18,1),(7,14,0),(4,15,0),(8,16,0),(15,19,1),(16,8,1),(61,17,1),(62,8,1),(63,18,1),(64,8,1),(41,1,0),(42,1,0),(43,15,0),(44,16,0),(45,16,0),(46,14,0),(47,14,0),(48,15,0)],
(228,138) => MOP_CODE[(49,18,0),(50,19,0),(51,19,0),(52,17,0),(9,17,0),(10,18,0),(5,14,0),(3,15,0),(6,16,0),(13,19,0),(14,8,0),(53,17,0),(54,8,0),(55,18,0),(56,8,0),(33,1,0),(34,1,0),(35,15,0),(36,16,0),(37,16,0),(38,14,0),(39,14,0),(40,15,0),(2,1,1),(57,18,1),(58,19,1),(59,19,1),(60,17,1),(11,17,1),(12,18,1),(7,14,1),(4,15,1),(8,16,1),(15,19,1),(16,8,1),(61,17,1),(62,8,1),(63,18,1),(64,8,1),(41,1,1),(42,1,1),(43,15,1),(44,16,1),(45,16,1),(46,14,1),(47,14,1),(48,15,1)],
(228,139) => MOP_CODE[(49,18,0),(50,19,0),(51,19,0),(52,17,0),(9,17,0),(10,18,0),(5,14,0),(3,15,0),(6,16,0),(13,19,0),(14,8,0),(53,17,0),(54,8,0),(55,18,0),(56,8,0),(33,1,0),(34,1,0),(35,15,0),(36,16,0),(37,16,0),(38,14,0),(39,14,0),(40,15,0),(2,1,0),(57,18,0),(58,19,0),(59,19,0),(60,17,0),(11,17,0),(12,18,0),(7,14,0),(4,15,0),(8,16,0),(15,19,0),(16,8,0),(61,17,0),(62,8,0),(63,18,0),(64,8,0),(41,1,0),(42,1,0),(43,15,0),(44,16,0),(45,16,0),(46,14,0),(47,14,0),(48,15,0),(1,2,1),(49,15,1),(50,16,1),(51,16,1),(52,14,1),(9,14,1),(10,15,1),(5,17,1),(3,18,1),(6,19,1),(13,16,1),(14,1,1),(53,14,1),(54,1,1),(55,15,1),(56,1,1),(33,8,1),(34,8,1),(35,18,1),(36,19,1),(37,19,1),(38,17,1),(39,17,1),(40,18,1),(2,8,1),(57,15,1),(58,16,1),(59,16,1),(60,14,1),(11,14,1),(12,15,1),(7,17,1),(4,18,1),(8,19,1),(15,16,1),(16,1,1),(61,14,1),(62,1,1),(63,15,1),(64,1,1),(41,8,1),(42,8,1),(43,18,1),(44,19,1),(45,19,1),(46,17,1),(47,17,1),(48,18,1)],
(229,140) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(8,1,0),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0)],
(229,141) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(7,1,0),(4,1,0),(8,1,0),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0),(1,1,1),(49,1,1),(50,1,1),(51,1,1),(52,1,1),(9,1,1),(10,1,1),(5,1,1),(3,1,1),(6,1,1),(13,1,1),(14,1,1),(53,1,1),(54,1,1),(55,1,1),(56,1,1),(33,1,1),(34,1,1),(35,1,1),(36,1,1),(37,1,1),(38,1,1),(39,1,1),(40,1,1),(2,1,1),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(7,1,1),(4,1,1),(8,1,1),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(229,142) => MOP_CODE[(49,1,1),(50,1,1),(51,1,1),(52,1,1),(9,1,1),(10,1,1),(5,1,0),(3,1,0),(6,1,0),(13,1,1),(14,1,1),(53,1,1),(54,1,1),(55,1,1),(56,1,1),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,1),(57,1,0),(58,1,0),(59,1,0),(60,1,0),(11,1,0),(12,1,0),(7,1,1),(4,1,1),(8,1,1),(15,1,0),(16,1,0),(61,1,0),(62,1,0),(63,1,0),(64,1,0),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(229,143) => MOP_CODE[(49,1,1),(50,1,1),(51,1,1),(52,1,1),(9,1,1),(10,1,1),(5,1,0),(3,1,0),(6,1,0),(13,1,1),(14,1,1),(53,1,1),(54,1,1),(55,1,1),(56,1,1),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,0),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(7,1,0),(4,1,0),(8,1,0),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1),(41,1,0),(42,1,0),(43,1,0),(44,1,0),(45,1,0),(46,1,0),(47,1,0),(48,1,0)],
(229,144) => MOP_CODE[(49,1,0),(50,1,0),(51,1,0),(52,1,0),(9,1,0),(10,1,0),(5,1,0),(3,1,0),(6,1,0),(13,1,0),(14,1,0),(53,1,0),(54,1,0),(55,1,0),(56,1,0),(33,1,0),(34,1,0),(35,1,0),(36,1,0),(37,1,0),(38,1,0),(39,1,0),(40,1,0),(2,1,1),(57,1,1),(58,1,1),(59,1,1),(60,1,1),(11,1,1),(12,1,1),(7,1,1),(4,1,1),(8,1,1),(15,1,1),(16,1,1),(61,1,1),(62,1,1),(63,1,1),(64,1,1),(41,1,1),(42,1,1),(43,1,1),(44,1,1),(45,1,1),(46,1,1),(47,1,1),(48,1,1)],
(230,145) => MOP_CODE[(49,34,0),(50,29,0),(51,29,0),(52,31,0),(9,31,0),(10,34,0),(5,2,0),(3,3,0),(6,4,0),(13,29,0),(14,9,0),(53,31,0),(54,9,0),(55,34,0),(56,9,0),(33,1,0),(34,1,0),(35,3,0),(36,4,0),(37,4,0),(38,2,0),(39,2,0),(40,3,0),(2,1,0),(57,34,0),(58,29,0),(59,29,0),(60,31,0),(11,31,0),(12,34,0),(7,2,0),(4,3,0),(8,4,0),(15,29,0),(16,9,0),(61,31,0),(62,9,0),(63,34,0),(64,9,0),(41,1,0),(42,1,0),(43,3,0),(44,4,0),(45,4,0),(46,2,0),(47,2,0),(48,3,0)],
(230,146) => MOP_CODE[(49,34,0),(50,29,0),(51,29,0),(52,31,0),(9,31,0),(10,34,0),(5,2,0),(3,3,0),(6,4,0),(13,29,0),(14,9,0),(53,31,0),(54,9,0),(55,34,0),(56,9,0),(33,1,0),(34,1,0),(35,3,0),(36,4,0),(37,4,0),(38,2,0),(39,2,0),(40,3,0),(2,1,0),(57,34,0),(58,29,0),(59,29,0),(60,31,0),(11,31,0),(12,34,0),(7,2,0),(4,3,0),(8,4,0),(15,29,0),(16,9,0),(61,31,0),(62,9,0),(63,34,0),(64,9,0),(41,1,0),(42,1,0),(43,3,0),(44,4,0),(45,4,0),(46,2,0),(47,2,0),(48,3,0),(1,1,1),(49,34,1),(50,29,1),(51,29,1),(52,31,1),(9,31,1),(10,34,1),(5,2,1),(3,3,1),(6,4,1),(13,29,1),(14,9,1),(53,31,1),(54,9,1),(55,34,1),(56,9,1),(33,1,1),(34,1,1),(35,3,1),(36,4,1),(37,4,1),(38,2,1),(39,2,1),(40,3,1),(2,1,1),(57,34,1),(58,29,1),(59,29,1),(60,31,1),(11,31,1),(12,34,1),(7,2,1),(4,3,1),(8,4,1),(15,29,1),(16,9,1),(61,31,1),(62,9,1),(63,34,1),(64,9,1),(41,1,1),(42,1,1),(43,3,1),(44,4,1),(45,4,1),(46,2,1),(47,2,1),(48,3,1)],
(230,147) => MOP_CODE[(49,34,1),(50,29,1),(51,29,1),(52,31,1),(9,31,1),(10,34,1),(5,2,0),(3,3,0),(6,4,0),(13,29,1),(14,9,1),(53,31,1),(54,9,1),(55,34,1),(56,9,1),(33,1,0),(34,1,0),(35,3,0),(36,4,0),(37,4,0),(38,2,0),(39,2,0),(40,3,0),(2,1,1),(57,34,0),(58,29,0),(59,29,0),(60,31,0),(11,31,0),(12,34,0),(7,2,1),(4,3,1),(8,4,1),(15,29,0),(16,9,0),(61,31,0),(62,9,0),(63,34,0),(64,9,0),(41,1,1),(42,1,1),(43,3,1),(44,4,1),(45,4,1),(46,2,1),(47,2,1),(48,3,1)],
(230,148) => MOP_CODE[(49,34,1),(50,29,1),(51,29,1),(52,31,1),(9,31,1),(10,34,1),(5,2,0),(3,3,0),(6,4,0),(13,29,1),(14,9,1),(53,31,1),(54,9,1),(55,34,1),(56,9,1),(33,1,0),(34,1,0),(35,3,0),(36,4,0),(37,4,0),(38,2,0),(39,2,0),(40,3,0),(2,1,0),(57,34,1),(58,29,1),(59,29,1),(60,31,1),(11,31,1),(12,34,1),(7,2,0),(4,3,0),(8,4,0),(15,29,1),(16,9,1),(61,31,1),(62,9,1),(63,34,1),(64,9,1),(41,1,0),(42,1,0),(43,3,0),(44,4,0),(45,4,0),(46,2,0),(47,2,0),(48,3,0)],
(230,149) => MOP_CODE[(49,34,0),(50,29,0),(51,29,0),(52,31,0),(9,31,0),(10,34,0),(5,2,0),(3,3,0),(6,4,0),(13,29,0),(14,9,0),(53,31,0),(54,9,0),(55,34,0),(56,9,0),(33,1,0),(34,1,0),(35,3,0),(36,4,0),(37,4,0),(38,2,0),(39,2,0),(40,3,0),(2,1,1),(57,34,1),(58,29,1),(59,29,1),(60,31,1),(11,31,1),(12,34,1),(7,2,1),(4,3,1),(8,4,1),(15,29,1),(16,9,1),(61,31,1),(62,9,1),(63,34,1),(64,9,1),(41,1,1),(42,1,1),(43,3,1),(44,4,1),(45,4,1),(46,2,1),(47,2,1),(48,3,1)]
)